*-------------------------------------------------------------------------*
 |                                                                         
 |                    SAS SETUP FILE FOR ICPSR 03404
 |       DRUG ABUSE TREATMENT OUTCOME STUDY--ADOLESCENT (DATOS-A),
 |                       1993-1995: [UNITED STATES]
 |               (DATASET 0007:  6-MONTH INTREATMENT DATA)
 |
 |
 | SAS setup sections are provided for the ASCII version of this data
 | collection.  These sections are listed below:
 |
 | PROC FORMAT:  creates user-defined formats for the variables. Formats
 | replace original value codes with value code descriptions. Only
 | variables with user-defined formats are included in this section.
 |
 | DATA:  begins a SAS data step and names an output SAS data set.
 |
 | INFILE:  identifies the input file to be read with the input statement.
 | Users must replace the "data-filename" with a filename specifying the
 | directory on the user's computer system in which the downloaded and
 | unzipped data file is physically located (e.g.,
 | "c:\temp\03404-0007-data.txt").
 |
 | INPUT:  assigns the name, type, decimal specification (if any), and
 | specifies the beginning and ending column locations for each variable
 | in the data file.
 |
 | LABEL:  assigns descriptive labels to all variables. Variable labels
 | and variable names may be identical for some variables.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | FORMAT:  associates the formats created by the PROC FORMAT step with
 | the variables named in the INPUT statement.
 |
 | NOTE:  Users should modify this setup file to suit their specific needs.
 | Sections for PROC FORMAT, FORMAT, and MISSING VALUE RECODES have been
 | commented out (i.e., '/*'). To include these sections in the final SAS
 | setup, users should remove the SAS comment indicators from the desired
 | section(s).
 |
 *------------------------------------------------------------------------;

* SAS PROC FORMAT;

/*
PROC FORMAT;
  VALUE caseid    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wdc_m     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE wdc_y     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wt_l_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wtime1_h  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wtime1_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wam_pm_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) AM' 2='(2) PM' ;
  VALUE wa3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wa3_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PUERTO RICAN' 2='(2) MEXICAN' 3='(3) CUBAN' 4='(4) CARIBBEAN'
                  5='(5) CENTRAL AMERICAN' 6='(6) SOUTH AMERICAN'
                  7='(7) OTHER/ETHNIC BACKGROUND' 15='(15) MIXED' ;
  VALUE wa3_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ALASKAN NATIVE' 2='(2) AMERICAN INDIAN'
                  3='(3) ASIAN/PACIFIC ISLANDER' 4='(4) BLACK/AFRICAN AMERICAN'
                  5='(5) WHITE/CAUCASIAN' 6='(6) OTHER' ;
  VALUE wa4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ALASKAN NATIVE' 2='(2) AMERICAN INDIAN'
                  3='(3) ASIAN/PACIFIC ISLANDER' 4='(4) BLACK/AFRICAN AMERICAN'
                  5='(5) WHITE/CAUCASIAN' 6='(6) OTHER' ;
  VALUE wa4_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CHINESE'
                  2='(2) JAPANESE' 3='(3) KOREAN' 4='(4) PACIFIC ISLANDER'
                  5='(5) SOUTHEAST ASIAN' 6='(6) OTHER ASIAN' 7='(7) OTHER' 15='(15) MIXED' ;
  VALUE wa5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ONE FAMILY HOUSE/DUPLEX/CONDO' 2='(2) A MOBILE HOME/TRAILER'
                  3='(3) APARTMENT/MULTIPLE FAMILY BUILDING'
                  4='(4) HOTEL/ROOMING HOUSE/BOARDING HOUSE'
                  5='(5) HOSPITAL/MEDICAL INSTITUTION'
                  6='(6) JAIL/PRISON/JUVENILE DETENTION HOME'
                  7='(7) RESIDENTIAL DRUG TREAT CTR'
                  8='(8) OTHER GROUP RESIDENCE/HALFWAY HOUSE'
                  9='(9) IN A HOMELESS SHELTER'
                  10='(10) ON THE STREET/NO REGULAR PLACE' 11='(11) OTHER' ;
  VALUE wa6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wa7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MARRIED'
                  2='(2) SEPARATED' 3='(3) DIVORCED' 4='(4) WIDOWED'
                  5='(5) LIVE/W/SOMEONE AS MARRIED' 6='(6) NEVER MARRIED' ;
  VALUE wa8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) HAS BEEN VERY MUCH OPPOSED'
                  2='(2) HAS BEEN SOMEWHAT OPPOSED'
                  3='(3) HAS NOT CARED ONE WAY/OTHER'
                  4='(4) APPROVED OF YOUR USE OF DRUGS'
                  5='(5) HAS NOT AWARE OF YOUR DRUG USE'
                  6='(6) NOT IN CONTACT WITH PARTNER' ;
  VALUE wa8_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY IMPORTANT' ;
  VALUE wa8_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wa8_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wa8_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wa8_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wa9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wa10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WITH SPOUSE/SEXUAL PARTNER/CHILDREN'
                  2='(2) WITH SPOUSE/SEXUAL PARTNER ONLY' 3='(3) WITH CHILDREN ONLY'
                  4='(4) WITH BOTH PARENTS' 5='(5) WITH MOTHER ONLY'
                  6='(6) WITH FATHER ONLY' 7='(7) WITH PARENT(S) AND OWN CHILDREN'
                  8='(8) WITH OTHER FAMILY/ANY COMB 01 - 07'
                  9='(9) WITH FOSTER PARENTS'
                  10='(10) W/FAMILY/FRIENDS/BOARDERS/ROOMMATES'
                  11='(11) W/FRIENDS/ROOMMATES ONLY' 12='(12) ALONE'
                  13='(13) INSTITUTION/CLOSED FACILITY/HOSP'
                  14='(14) NO STABLE ARRANGEMENTS' 15='(15) OTHER' ;
  VALUE wa11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) VERY DISSATISFIED' 2='(2) SOMEWHAT DISSATISFIED'
                  3='(3) SOMEWHAT SATISFIED' 4='(4) VERY SATISFIED' ;
  VALUE wa12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) 6+' ;
  VALUE wa13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) 6+' ;
  VALUE wa13a_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wa13a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wa13a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wa13a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wa13a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wa14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wa14a_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wa14a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wa14a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wa14a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wa14a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wa15_00f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE wa15_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wa15_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wa15_03f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wa16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) SOMEWHAT/MAYBE' ;
  VALUE wa17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) WELL' ;
  VALUE wa18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY DIFFICULT' ;
  VALUE wa19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wa19_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE wa19_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wa20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE wa21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) SOME' 2='(2) A LOT' 93='(93) IF VOL: NO FAMILY/FRIENDS' ;
  VALUE wa22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) WELL' ;
  VALUE wa23_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) LESS ONCE A WEEK' 3='(3) AT LEAST ONCE A WEEK'
                  4='(4) ALMOST DAILY' ;
  VALUE wa23_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) LESS ONCE A WEEK' 3='(3) AT LEAST ONCE A WEEK'
                  4='(4) ALMOST DAILY' ;
  VALUE wa23_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) LESS ONCE A WEEK' 3='(3) AT LEAST ONCE A WEEK'
                  4='(4) ALMOST DAILY' ;
  VALUE wa24_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE wa24_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE wa24_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE wa24_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE wa24_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE wa24_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) ONE OR A FEW' 3='(3) MANY' ;
  VALUE wa25ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) VERY UNHAPPY' 2='(2) SOMEWHAT UNHAPPY' 3='(3) SOMEWHAT HAPPY'
                  4='(4) VERY HAPPY' ;
  VALUE wa26ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) WORSE'
                  2='(2) BETTER' ;
  VALUE wa27ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wa27a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE wb1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wb1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wb1_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wb1_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MIDDLE SCHOOL (JUNIOR HIGH)' 2='(2) HIGH SCHOOL'
                  3='(3) JUNIOR (2-YEAR) COLLEGE'
                  4='(4) 4-YEAR COLLEGE OR UNIVERSITY'
                  5='(5) TECHNICAL/TRADE/VOCATIONAL SCHOOL' 6='(6) JOB CORPS PROGRAM'
                  7='(7) SPECIAL EDUCATION PROGRAM' 8='(8) OTHER' ;
  VALUE wb1_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BETTER THAN AVERAGE' 2='(2) AVERAGE' 3='(3) NOT SO GOOD' ;
  VALUE wb1_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DID AS WELL AS COULD' 2='(2) COULD HAVE DONE MUCH BETTER' ;
  VALUE wb1_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wb1_g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wb2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wb2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) DIPLOMA'
                  2='(2) GED' ;
  VALUE wb3_0fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE wb3_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wb3_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wb3_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wb3_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wb3_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wb3_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wb4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wb4_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EXPIRED'
                  2='(2) SUSPENDED' 3='(3) REVOKED' 4='(4) IF VOL: NEVER HAD ONE' ;
  VALUE wb5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NONE OF THE TIME' 1='(1) SOME OF THE TIME'
                  2='(2) ALL OF THE TIME' ;
  VALUE wc1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wc1_a_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wc1_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wc1_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wc1_a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wc1_a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wc1_a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wc1_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) OWN NAME'
                  2='(2) OTHER FAMILY MEMBER' ;
  VALUE wc1_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) PROGRAM CHARGES NO FEES' ;
  VALUE wc1_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) LESS THAN HALF' 2='(2) HALF OR MORE' 3='(3) ALL'
                  4='(4) PROG CHARGES NO FEES' ;
  VALUE wc1_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF PAY'
                  2='(2) FAMILY/RELATIVES' 3='(3) WORKER''S COMPENSATION' 4='(4) OTHER' ;
  VALUE wc2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LIVING AT PROGRAM' 1='(1) WALK' 2='(2) DRIVE'
                  3='(3) PUBLIC TRANSPORTATION' 4='(4) RIDE FROM FAMILY/FRIEND'
                  5='(5) TAXI CAB' 6='(6) PROG PROVIDED TRANSPORTATION' 7='(7) OTHER' ;
  VALUE wc3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EASY'
                  2='(2) DIFFICULT' ;
  VALUE wc3_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOMEWHAT EASY' 2='(2) VERY EASY' ;
  VALUE wc3_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOMEWHAT DIFFICULT' 2='(2) VERY DIFFICULT' ;
  VALUE wc4_00ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE wc4_01ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wc4_02ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wc4_03ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wc4_04ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wc4_05ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wc4_06ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wc4_07ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wc4_08ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wc4_09ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wc5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) UNCERTAIN' ;
  VALUE wc5_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wc6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wc6_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) REQUIRED, STIPULATED' 2='(2) SUGGESTED, ENCOURAGED' ;
  VALUE wc7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wc7_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) REGULAR'
                  2='(2) RANDOM' 3='(3) BOTH' ;
  VALUE wc7_b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wc7_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PER WEEK'
                  2='(2) PER MONTH' 3='(3) TOTAL/ALTOGETHER' ;
  VALUE wd1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wd1_b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE wd1_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wd1_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd2_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wd2_c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE wd2_c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wd2_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd3_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd4_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd5_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE wd5_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wd5_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd6_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE wd6_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wd6_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd7_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE wd7_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wd7_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd8_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd10_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wd11_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE wd12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE wd13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wd14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wd15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wd16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wd17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wd18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wd19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE we1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE we8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE we9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POOR'
                  2='(2) FAIR' 3='(3) VERY GOOD' ;
  VALUE we10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY DIFFICULT' ;
  VALUE we11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POOR'
                  2='(2) FAIR' 3='(3) VERY GOOD' ;
  VALUE we12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we12_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN 1/2 PACK A DAY' 2='(2) ABOUT 1/2 PACK A DAY'
                  3='(3) ABOUT A PACK A DAY' 4='(4) ABOUT 1-1/2 PACKS A DAY'
                  5='(5) ABOUT 2 PACKS OR MORE A DAY' ;
  VALUE we13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we13_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE we13_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE we13_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE we14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we14_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE we14_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we14_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE we14_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we14_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we15_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE we15_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we15_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE we15_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we15_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE we15_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we15_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT USED'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we16_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE we16_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we16_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE we16_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we16_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE we16_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we16_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT USED'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we16_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE we17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we17_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we17_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DARVON' 2='(2) DOLENE' 3='(3) SK-65' 4='(4) WYGESIC'
                  5='(5) LEVO-DROMORAN' 6='(6) PERCODAN' 7='(7) DEMEROL' 8='(8) DILAUDID'
                  9='(9) TYLENOL WITH CODEINE' 10='(10) PHENAPHEN WITH CODEINE'
                  11='(11) TALWIN' 12='(12) TALWIN NX' 13='(13) TALACEN' 14='(14) PROPOXYPHENE'
                  15='(15) CODEINE' 16='(16) ANILERIDINE' 17='(17) MORPHINE' 18='(18) METHADONE'
                  19='(19) STADOL' 20='(20) DARVOCET' 21='(21) LOMOTIL' 22='(22) PARGGORIC' ;
  VALUE we17_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DARVON' 2='(2) DOLENE' 3='(3) SK-65' 4='(4) WYGESIC'
                  5='(5) LEVO-DROMORAN' 6='(6) PERCODAN' 7='(7) DEMEROL' 8='(8) DILAUDID'
                  9='(9) TYLENOL WITH CODEINE' 10='(10) PHENAPHEN WITH CODEINE'
                  11='(11) TALWIN' 12='(12) TALWIN NX' 13='(13) TALACEN' 14='(14) PROPOXYPHENE'
                  15='(15) CODEINE' 16='(16) ANILERIDINE' 17='(17) MORPHINE' 18='(18) METHADONE'
                  19='(19) STADOL' 20='(20) DARVOCET' 21='(21) LOMOTIL' 22='(22) PARGGORIC' ;
  VALUE we17_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DARVON' 2='(2) DOLENE' 3='(3) SK-65' 4='(4) WYGESIC'
                  5='(5) LEVO-DROMORAN' 6='(6) PERCODAN' 7='(7) DEMEROL' 8='(8) DILAUDID'
                  9='(9) TYLENOL WITH CODEINE' 10='(10) PHENAPHEN WITH CODEINE'
                  11='(11) TALWIN' 12='(12) TALWIN NX' 13='(13) TALACEN' 14='(14) PROPOXYPHENE'
                  15='(15) CODEINE' 16='(16) ANILERIDINE' 17='(17) MORPHINE' 18='(18) METHADONE'
                  19='(19) STADOL' 20='(20) DARVOCET' 21='(21) LOMOTIL' 22='(22) PARGGORIC' ;
  VALUE we17_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we18_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE we18_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we18_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE we18_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we18_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE we18_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we18_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT USED'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we19_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we19b1_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) BUTISOL' 2='(2) BUTICAPS' 3='(3) AMYTAL' 4='(4) MEBARAL'
                  5='(5) PLACIDYL' 6='(6) DORIDEN' 7='(7) NOLUDAR' 8='(8) NEMBUTAL'
                  9='(9) SECONAL' 10='(10) TUINAL' 11='(11) DALMANE' 12='(12) RESTORIL'
                  13='(13) HALCION' 14='(14) AMOBARBITAL' 15='(15) PHENOBARBITAL'
                  16='(16) METHAQUALONE (INCL. SOPR, QUAALUDE)'
                  17='(17) CHLORAL HYDRATE' 18='(18) PENTOBARBITAL' 19='(19) SECOBARBITAL'
                  20='(20) FLURAZEPAN' 21='(21) NOCTEC' ;
  VALUE we19b10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) BUTISOL' 2='(2) BUTICAPS' 3='(3) AMYTAL' 4='(4) MEBARAL'
                  5='(5) PLACIDYL' 6='(6) DORIDEN' 7='(7) NOLUDAR' 8='(8) NEMBUTAL'
                  9='(9) SECONAL' 10='(10) TUINAL' 11='(11) DALMANE' 12='(12) RESTORIL'
                  13='(13) HALCION' 14='(14) AMOBARBITAL' 15='(15) PHENOBARBITAL'
                  16='(16) METHAQUALONE (INCL. SOPR, QUAALUDE)'
                  17='(17) CHLORAL HYDRATE' 18='(18) PENTOBARBITAL' 19='(19) SECOBARBITAL'
                  20='(20) FLURAZEPAN' 21='(21) NOCTEC' ;
  VALUE we19b2_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) VALIUM' 2='(2) LIBRIUM' 3='(3) LIMBITROL' 4='(4) MENRIUM' 5='(5) SERAX'
                  6='(6) TRANXENE' 7='(7) ATIVAN' 8='(8) CENTRAX' 9='(9) XANAX' 10='(10) PAXIPAM'
                  11='(11) BUSPAR' 12='(12) MILTOWN' 13='(13) EQUANIL' 14='(14) DEPROL'
                  15='(15) VISTARIL' 16='(16) ATARAX' 17='(17) DURRAX' 18='(18) DIAZEPAM'
                  19='(19) SK-LYGEN' 20='(20) MEPROBAMATE' 21='(21) HYDROXYZINE'
                  22='(22) BENADRYL' 23='(23) CLONAZEPAN' 24='(24) KLONOPIN' ;
  VALUE we19b20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) VALIUM' 2='(2) LIBRIUM' 3='(3) LIMBITROL' 4='(4) MENRIUM' 5='(5) SERAX'
                  6='(6) TRANXENE' 7='(7) ATIVAN' 8='(8) CENTRAX' 9='(9) XANAX' 10='(10) PAXIPAM'
                  11='(11) BUSPAR' 12='(12) MILTOWN' 13='(13) EQUANIL' 14='(14) DEPROL'
                  15='(15) VISTARIL' 16='(16) ATARAX' 17='(17) DURRAX' 18='(18) DIAZEPAM'
                  19='(19) SK-LYGEN' 20='(20) MEPROBAMATE' 21='(21) HYDROXYZINE'
                  22='(22) BENADRYL' 23='(23) CLONAZEPAN' 24='(24) KLONOPIN' ;
  VALUE we19_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we20_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE we20_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we20_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE we20_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we20_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE we20_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we20_e_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE we20_e0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE we20_e1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE we20_e2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE we20_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SEDATIVES AND SLEEPING PILLS' 2='(2) BARBITURATES'
                  3='(3) BENZODIAZEPINE, SUCH AS XANAX, VALIUM, OR LIBRIUM'
                  4='(4) OTHER TRANQUILIZERS' ;
  VALUE we21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we21_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we21_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DEXEDRINE' 2='(2) DEXAMYL' 3='(3) ESKATROL' 4='(4) BENZEDRINE'
                  5='(5) BIPHETAMINE' 6='(6) DESOXYN' 7='(7) TENUATE' 8='(8) TEPANIL'
                  9='(9) DIDREX' 10='(10) PLGGINE' 11='(11) PRELUDIN' 12='(12) IONAMIN'
                  13='(13) FASTIN' 14='(14) PONDIMIN' 15='(15) VORANIL' 16='(16) SANOREX'
                  17='(17) MAZANOR' 18='(18) RITALIN' 19='(19) CYLERT' 20='(20) DEXTROAMPHETAMIN'
                  21='(21) METHEDRINE'
                  22='(22) METHAMPHETAMINE (''SPEED'' OR ''CRANK'')'
                  23='(23) OBEDRIN-L.A.' ;
  VALUE we21_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DEXEDRINE' 2='(2) DEXAMYL' 3='(3) ESKATROL' 4='(4) BENZEDRINE'
                  5='(5) BIPHETAMINE' 6='(6) DESOXYN' 7='(7) TENUATE' 8='(8) TEPANIL'
                  9='(9) DIDREX' 10='(10) PLGGINE' 11='(11) PRELUDIN' 12='(12) IONAMIN'
                  13='(13) FASTIN' 14='(14) PONDIMIN' 15='(15) VORANIL' 16='(16) SANOREX'
                  17='(17) MAZANOR' 18='(18) RITALIN' 19='(19) CYLERT' 20='(20) DEXTROAMPHETAMIN'
                  21='(21) METHEDRINE'
                  22='(22) METHAMPHETAMINE (''SPEED'' OR ''CRANK'')'
                  23='(23) OBEDRIN-L.A.' ;
  VALUE we21_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) DEXEDRINE' 2='(2) DEXAMYL' 3='(3) ESKATROL' 4='(4) BENZEDRINE'
                  5='(5) BIPHETAMINE' 6='(6) DESOXYN' 7='(7) TENUATE' 8='(8) TEPANIL'
                  9='(9) DIDREX' 10='(10) PLGGINE' 11='(11) PRELUDIN' 12='(12) IONAMIN'
                  13='(13) FASTIN' 14='(14) PONDIMIN' 15='(15) VORANIL' 16='(16) SANOREX'
                  17='(17) MAZANOR' 18='(18) RITALIN' 19='(19) CYLERT' 20='(20) DEXTROAMPHETAMIN'
                  21='(21) METHEDRINE'
                  22='(22) METHAMPHETAMINE (''SPEED'' OR ''CRANK'')'
                  23='(23) OBEDRIN-L.A.' ;
  VALUE we21_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we22ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we22_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE we22_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we22_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE we22_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we22_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE we22_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we22_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT USED'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we23ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEITHER'
                  1='(1) MAJOR TRANQUILIZERS' 2='(2) MAJOR ANTIDEPRESSANTS' 3='(3) BOTH' ;
  VALUE we23_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEITHER'
                  1='(1) MAJOR TRANQUILIZERS' 2='(2) MAJOR ANTIDEPRESSANTS' 3='(3) BOTH' ;
  VALUE we24ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we24_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE we24_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we24_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE we24_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we24_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE we24_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we24_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT USED'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we25ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we25_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE we25_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we25_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE we25_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we25_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we26ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO PROB DRUG' 10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE we26_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE we26_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we26_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE we26_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we26_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE we26_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we27ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we27_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO PROB DRUG' 10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE we27_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE we27_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we27_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE we27_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we27_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE we27_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we28ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we28_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO PROB DRUG' 10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE we28_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONE WEEK AFTER ADMISSION'
                  2='(2) AT LEAST ONE WEEK AFTER ADMISSION' ;
  VALUE we28_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we28_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) MORE THAN ONE WEEK AGO' 2='(2) WITHIN THE LAST WEEK' ;
  VALUE we28_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we28_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) BY MOUTH (EAT, CHEW)' 2='(2) BY SMOKING IT'
                  3='(3) BY INHALING/SNORTING/SNIFFING IT'
                  4='(4) BY INJECTING IT INTO A VEIN'
                  5='(5) BY INJECTING IT SOMEWHERE ELSE' 6='(6) BY FREEBASING'
                  7='(7) SOME OTHER WAY' ;
  VALUE we28_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) LESS THAN ONCE PER MONTH' 2='(2) 1 TO 3 TIMES A MONTH'
                  3='(3) 1 TO 2 TIMES A WEEK' 4='(4) 3 TO 4 TIMES A WEEK'
                  5='(5) 5 TO 6 TIMES A WEEK' 6='(6) DAILY OR ALMOST EVERY DAY'
                  7='(7) 2 OR 3 TIMES A DAY' 8='(8) 4 OR MORE TIMES A DAY' ;
  VALUE we29ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we30ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we30_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we31ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we31a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we31a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we31a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we31a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we31a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we31a_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE we32ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we33_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE we33_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE we33_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE we33_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE we33_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE we33_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) RARELY' 2='(2) SOMETIMES' 3='(3) OFTEN' 4='(4) ALWAYS' ;
  VALUE we34ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE we35ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE we36ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE we37ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE we38ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TEMPTED' ;
  VALUE we39_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_l    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_n    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_o    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_p    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_q    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_r    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_s    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we39_t    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we40ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE we40_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we40_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we40_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we41_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we41_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL CONFIDENT/SURE' 1='(1) SOMEWHAT CONFIDENT/SURE'
                  2='(2) VERY CONFIDENT/SURE' ;
  VALUE we42ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY DIFFICULT' ;
  VALUE we43ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POOR'
                  2='(2) FAIR' 3='(3) VERY GOOD' ;
  VALUE we44ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE we45ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY DIFFICULT' ;
  VALUE we46ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY POOR'
                  2='(2) FAIR' 3='(3) VERY GOOD' ;
  VALUE we47ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE we48_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE we48_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE we48_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE we48_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE we48_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE we48_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE we48_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE we48_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE we48_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE we48_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE we48_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE we48_l    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wf1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD VAGINAL SEX WITH A FEMALE' 1='(1) NONE'
                  2='(2) 1 FEMALE' 3='(3) 2 TO 4 FEMALES' 4='(4) 5 TO 9 FEMALES'
                  5='(5) 10 TO 20 FEMALES' 6='(6) 21 TO 99 FEMALES'
                  7='(7) 100 OR MORE FEMALES' ;
  VALUE wf1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE wf2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NONE'
                  2='(2) 1 FEMALE' 3='(3) 2 TO 4 FEMALES' 4='(4) 5 TO 9 FEMALES'
                  5='(5) 10 TO 20 FEMALES' 6='(6) 21 TO 99 FEMALES'
                  7='(7) 100 OR MORE FEMALES' ;
  VALUE wf2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE wf3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD SEX WITH A MALE' 1='(1) NONE' 2='(2) 1 MALE'
                  3='(3) 2 TO 4 MALES' 4='(4) 5 TO 9 MALES' 5='(5) 10 TO 20 MALES'
                  6='(6) 21 TO 99 MALES' 7='(7) 100 OR MORE MALES' ;
  VALUE wf5_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE wf6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf9_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) 1 PERSON'
                  2='(2) 2 TO 4 PEOPLE' 3='(3) 5 OR MORE PEOPLE' ;
  VALUE wf10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD VAGINAL INTERCOURSE W/MALE' 1='(1) NONE'
                  2='(2) 1 MALE' 3='(3) 2 TO 4 MALES' 4='(4) 5 TO 9 MALES'
                  5='(5) 10 TO 20 MALES' 6='(6) 21 TO 99 MALES' 7='(7) 100 OR MORE MALES' ;
  VALUE wf10_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE wf11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NEVER HAD ANAL SEX WITH A MAN' 1='(1) NONE' 2='(2) 1 MALE'
                  3='(3) 2 TO 4 MALES' 4='(4) 5 TO 9 MALES' 5='(5) 10 TO 20 MALES'
                  6='(6) 21 TO 99 MALES' 7='(7) 100 OR MORE MALES' ;
  VALUE wf11_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER'
                  2='(2) SOMETIMES' 3='(3) USUALLY' 4='(4) EVERY TIME' ;
  VALUE wf12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf16_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) 1 MALE'
                  2='(2) 2 TO 4 MALES' 3='(3) 5 OR MORE MALES' ;
  VALUE wf17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wf17_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wf17_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wf17_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wf17_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wf17_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AT THIS PROGRAM' 2='(2) SOME OTHER PLACE' 3='(3) BOTH' ;
  VALUE wf17_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE wf17d_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wf17d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wf17d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 14='(14) CIRCLED' ;
  VALUE wf17d_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wf17d_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE wf17d_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE wf17d_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 61='(61) CIRCLED' ;
  VALUE wf17d_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 62='(62) CIRCLED' ;
  VALUE wf17d_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wf17_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wf18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EXCELLENT'
                  2='(2) GOOD' 3='(3) FAIR' 4='(4) POOR' ;
  VALUE wg2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MUCH BETTER'
                  2='(2) BETTER' 3='(3) THE SAME' 4='(4) WORSE' 5='(5) MUCH WORSE' ;
  VALUE wg3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MUCH BETTER'
                  2='(2) BETTER' 3='(3) THE SAME' 4='(4) WORSE' 5='(5) MUCH WORSE' ;
  VALUE wg4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg4_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg4_b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wg4_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wg4_b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wg4_b_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wg4_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) 1-3 MOS'
                  6='(6) 3-6 MOS' 9='(9) 7-9 MOS' ;
  VALUE wg4_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) VERY MILD' 2='(2) MILD' 3='(3) MODERATE' 4='(4) SEVERE' ;
  VALUE wg4_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg4f_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wg4f_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wg4f_3ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wg4f_4ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wg4f_5ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wg4f_6ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wg4g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wg5_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg5_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg5_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg5_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg5_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg5_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg7_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wg8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wg10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wg11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wg12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg12a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wg12a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wg12a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wg12a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wg12b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO DIAGNOSIS' 1='(1) SUBSTANCE-RELATED CONDITIONS'
                  2='(2) MENTAL HEALTH CONDITIONS' 3='(3) ALL OTHER CONDITIONS' ;
  VALUE wg12b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO DIAGNOSIS' 1='(1) SUBSTANCE-RELATED CONDITIONS'
                  2='(2) MENTAL HEALTH CONDITIONS' 3='(3) ALL OTHER CONDITIONS' ;
  VALUE wg12b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO DIAGNOSIS' 1='(1) SUBSTANCE-RELATED CONDITIONS'
                  2='(2) MENTAL HEALTH CONDITIONS' 3='(3) ALL OTHER CONDITIONS' ;
  VALUE wg13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wg14ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE wg15ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wg15_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE wh1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_h     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_i     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_i     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_j     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_j     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_k     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_k     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh2_l     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh3_l     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wh5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) 1 OR 2 TIMES' 2='(2) 3 TO 5 TIMES' 3='(3) 6 TO 10 TIMES'
                  4='(4) 11 TO 49 TIMES' 5='(5) 50 OR MORE TIMES' ;
  VALUE wh6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh6_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) NOT AT ALL SERIOUS' 2='(2) SOMEWHAT SERIOUS'
                  3='(3) VERY SERIOUS' ;
  VALUE wh7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE wh8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh8_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wh9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY TROUBLED' ;
  VALUE wj1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) WORKING LEGITIMATE JOB/YOURSELF'
                  2='(2) HAD A JOB BUT WAS NOT WORKING' 3='(3) LOOKING FOR WORK'
                  4='(4) HOMEMAKER' 5='(5) GOING TO SCHOOL/TRAINING PROG'
                  6='(6) UNABLE TO WORK, DISABLE' 7='(7) RETIRED'
                  8='(8) IN JAIL/RESI TREAT PROG/OTHER INSTI'
                  9='(9) INVOLVED IN DRUG RELATED ACTIVITY'
                  10='(10) INVOLVED IN OTHER ILLEGAL ACTIVITY'
                  11='(11) NOT WORKING/NOT INTEREST WORKING' 12='(12) OTHER' ;
  VALUE wj2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wj2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) DID NOT EARN MONEY LEGALLY' 2='(2) DID EARN MONEY LEGALLY' ;
  VALUE wj2_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wj2_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wj2_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wj2_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SLACK WORK, LAYOFFS, STRIKE' 2='(2) SEASONAL WORKER'
                  3='(3) JOB TERMINATED' 4='(4) NEW JOB STARTED DURING WEEK'
                  5='(5) COULD ONLY FINE PART-TIME WORK'
                  6='(6) DRUG OR ALCOHOL PROBLEM' 7='(7) ILLNESS' 8='(8) VACATION'
                  9='(9) BUSY WITH OTHER ACTIVITIES'
                  10='(10) DID NOT WANT/NEED FULL-TIME WORK'
                  11='(11) WORKWEEK USUALLY UNDER 35 HOURS' 12='(12) UNABLE TO WORK'
                  13='(13) RETIRED' 14='(14) IN JAIL, RESIDENTIAL TREATMENT PROGRAM'
                  15='(15) INVOLVED IN ILLEGAL ACTIVITIES' 16='(16) OTHERS' ;
  VALUE wj2_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wj2_g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SLACK WORK, LAYOFFS, STRIKE' 2='(2) SEASONAL WORKER'
                  3='(3) JOB TERMINATED' 4='(4) NEW JOB STARTED DURING WEEK'
                  5='(5) COULD ONLY FINE PART-TIME WORK'
                  6='(6) DRUG OR ALCOHOL PROBLEM' 7='(7) ILLNESS' 8='(8) VACATION'
                  9='(9) BUSY WITH OTHER ACTIVITIES'
                  10='(10) DID NOT WANT/NEED FULL-TIME WORK'
                  11='(11) WORKWEEK USUALLY UNDER 35 HOURS' 12='(12) UNABLE TO WORK'
                  13='(13) RETIRED' 14='(14) IN JAIL, RESIDENTIAL TREATMENT PROGRAM'
                  15='(15) INVOLVED IN ILLEGAL ACTIVITIES' 16='(16) OTHERS' ;
  VALUE wj3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wj3_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wj3_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wj3_a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wj3_a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wj3_a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wj3_a_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wj3_a_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wj3_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wj3_c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wj3_c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wj3_c_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wj3_c_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wj3_c_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wj3_c_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wj3_c_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wj3_c_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wj3_c_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wj3_c_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE wj3_c10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wj4_0fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE wj4_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wj4_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wj4_3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wj4_4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wj4_5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wj4_6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wj4_7fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wj4_8fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wj4_9fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wj4_10ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE wj4_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wj4_12ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wj4_13ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wj4_14ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 14='(14) CIRCLED' ;
  VALUE wj4_15ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 15='(15) CIRCLED' ;
  VALUE wj4_16ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 16='(16) CIRCLED' ;
  VALUE wj5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wj6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wj7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wj8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wj9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVES' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVES'
                  8='(8) LABORERS (FARM & NONFARM)' 10='(10) SERVICE WORKER'
                  86='(86) OTHER' ;
  VALUE wj9_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AGRICULTURE/FORESTRY/FISHERIES' 2='(2) CONSTRUCTION'
                  3='(3) MANUFACTURING'
                  4='(4) TRANSPORT./COMMUNIC./OTHER PUB UTILITIES'
                  5='(5) WHOLESALE TRADE' 6='(6) RETAIL TRADE'
                  7='(7) FINANCE/INSUR./REAL ESTATE' 8='(8) BUSINESS/REPAIR SERVICES'
                  9='(9) PERSONAL SERVICES' 10='(10) ENTERTAINMENT/REC. SVCS'
                  11='(11) PROF./RELATED SVCS' 12='(12) PUBLIC ADMIN.'
                  13='(13) INDUSTRY NOT REPORTED' ;
  VALUE wj9_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wj9_c_oc  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PROFESSIONAL AND TECHNICAL'
                  2='(2) MANAGER AND ADMINISTRATOR' 3='(3) SALES'
                  4='(4) CLERICAL OR OFFICE WORKER' 5='(5) CRAFT AND KINDRED'
                  6='(6) OPERATIVES' 7='(7) TRANSPORTATION EQUIPMENT OPERATIVES'
                  8='(8) LABORERS (FARM & NONFARM)' 10='(10) SERVICE WORKER'
                  86='(86) OTHER' ;
  VALUE wj9_c     -9.00='LEGITIMATE NONRESPONSE' -8.00='MISSING'
                  -7.00='REFUSAL' -6.00='MULTIPLE RESPONSE' -5.00='BAD DATA'
                  -4.00='DON''T KNOW' -3.00='NOT APPLICABLE'
                  -2.00='RESPONSE ILLEGIBLE' ;
  VALUE wj9_cod   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) HOUR'
                  2='(2) WEEK' 3='(3) 2 WEEKS' 4='(4) MONTH' 5='(5) YEAR' 6='(6) OTHER' ;
  VALUE wj10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wj11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE wj12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wj12_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE wk1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wk2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk1_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wk2_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk1_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wk2_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk1_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wk2_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk1_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wk2_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk1_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wk2_f     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk2_g     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wk4_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk6_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk6_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk6_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk6_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wk7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wk7_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY SERIOUS' ;
  VALUE wk8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wk9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY IMPORTANT' ;
  VALUE wl1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl1_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl2_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl2_b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) YOU WERE SICK' 2='(2) FRIEND/FAMILY MEMBER SICK'
                  9='(9) OTHER ILLNESS RELATED' 10='(10) CHILD CARE ARRANGE PROBLEM'
                  11='(11) FAMILY MEMBER OBJECTED'
                  12='(12) FAMILY MEMBER DID NOT ATTEND W/YOU'
                  13='(13) FRIENDS PUT YOU DOWN TO SEEK HELP'
                  14='(14) STIGMA/COME TO PROG/DISCOURAGED YOU'
                  15='(15) FEAR OF DRUG TEST/BY EMPLOYER' 16='(16) YOU WERE IN SCHOOL'
                  19='(19) OTHER PRESSURES' 20='(20) DIFFICULTY W/TRANSPORTATION'
                  21='(21) DAILY SCHEDULE PREVENTED YOU'
                  22='(22) YOU WERE INCARCERATED'
                  23='(23) OTHER ACTIVITY KEPT FROM ATTENDING'
                  24='(24) COULD NOT ATTEND DURING PROG HRS'
                  25='(25) YOU DID NOT CARE FOR LOCATION'
                  26='(26) DISTANCE TO PROG WAS TOO FAR' 29='(29) OTHER ACCESS RELATED'
                  30='(30) TREATMENT/WAS NOT YOU EXPECTED'
                  31='(31) FELT/GET BETTER HELP ELSEWHERE'
                  32='(32) NOT TREATED IN A PROF MANNER' 33='(33) TOO MUCH PAPERWORK'
                  34='(34) TOO HIGH FEES' 35='(35) HAD TO WAIT TOO LONG'
                  36='(36) NOT FEEL COMFORTABLE W/COUNSELOR'
                  37='(37) YOU SOUGHT OTHER HELP' 38='(38) RESENTMENT OVER DRUG TEST'
                  39='(39) OTHER DISSATISFACTION REASON'
                  40='(40) PROBLEM IMPROVED ON ITS OWN'
                  41='(41) IMMEDIATE CRISIS WAS RESOLVED'
                  42='(42) DID NOT THINK YOU NEED TREATMENT'
                  49='(49) TREATMENT NOT HELPFUL' 50='(50) YOU FORGOT APPOINTMENT'
                  51='(51) YOU WERE DRUNK/HIGH' 52='(52) FELT OVERWHELMED'
                  53='(53) COUNSELOR CANCELLED APPOINTMENT'
                  54='(54) AFRAID OF BAD DRUG TEST RESULT' 59='(59) OTHER' ;
  VALUE wl2_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl2_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) YOU WERE SICK' 2='(2) FRIEND/FAMILY MEMBER SICK'
                  9='(9) OTHER ILLNESS RELATED' 10='(10) CHILD CARE ARRANGE PROBLEM'
                  11='(11) FAMILY MEMBER OBJECTED'
                  12='(12) FAMILY MEMBER DID NOT ATTEND W/YOU'
                  13='(13) FRIENDS PUT YOU DOWN TO SEEK HELP'
                  14='(14) STIGMA/COME TO PROG/DISCOURAGED YOU'
                  15='(15) FEAR OF DRUG TEST/BY EMPLOYER' 16='(16) YOU WERE IN SCHOOL'
                  19='(19) OTHER PRESSURES' 20='(20) DIFFICULTY W/TRANSPORTATION'
                  21='(21) DAILY SCHEDULE PREVENTED YOU'
                  22='(22) YOU WERE INCARCERATED'
                  23='(23) OTHER ACTIVITY KEPT FROM ATTENDING'
                  24='(24) COULD NOT ATTEND DURING PROG HRS'
                  25='(25) YOU DID NOT CARE FOR LOCATION'
                  26='(26) DISTANCE TO PROG WAS TOO FAR' 29='(29) OTHER ACCESS RELATED'
                  30='(30) TREATMENT/WAS NOT YOU EXPECTED'
                  31='(31) FELT/GET BETTER HELP ELSEWHERE'
                  32='(32) NOT TREATED IN A PROF MANNER' 33='(33) TOO MUCH PAPERWORK'
                  34='(34) TOO HIGH FEES' 35='(35) HAD TO WAIT TOO LONG'
                  36='(36) NOT FEEL COMFORTABLE W/COUNSELOR'
                  37='(37) YOU SOUGHT OTHER HELP' 38='(38) RESENTMENT OVER DRUG TEST'
                  39='(39) OTHER DISSATISFACTION REASON'
                  40='(40) PROBLEM IMPROVED ON ITS OWN'
                  41='(41) IMMEDIATE CRISIS WAS RESOLVED'
                  42='(42) DID NOT THINK YOU NEED TREATMENT'
                  49='(49) TREATMENT NOT HELPFUL' 50='(50) YOU FORGOT APPOINTMENT'
                  51='(51) YOU WERE DRUNK/HIGH' 52='(52) FELT OVERWHELMED'
                  53='(53) COUNSELOR CANCELLED APPOINTMENT'
                  54='(54) AFRAID OF BAD DRUG TEST RESULT' 59='(59) OTHER' ;
  VALUE wl2_e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl2_f_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) YOU WERE SICK' 2='(2) FRIEND/FAMILY MEMBER SICK'
                  9='(9) OTHER ILLNESS RELATED' 10='(10) CHILD CARE ARRANGE PROBLEM'
                  11='(11) FAMILY MEMBER OBJECTED'
                  12='(12) FAMILY MEMBER DID NOT ATTEND W/YOU'
                  13='(13) FRIENDS PUT YOU DOWN TO SEEK HELP'
                  14='(14) STIGMA/COME TO PROG/DISCOURAGED YOU'
                  15='(15) FEAR OF DRUG TEST/BY EMPLOYER' 16='(16) YOU WERE IN SCHOOL'
                  19='(19) OTHER PRESSURES' 20='(20) DIFFICULTY W/TRANSPORTATION'
                  21='(21) DAILY SCHEDULE PREVENTED YOU'
                  22='(22) YOU WERE INCARCERATED'
                  23='(23) OTHER ACTIVITY KEPT FROM ATTENDING'
                  24='(24) COULD NOT ATTEND DURING PROG HRS'
                  25='(25) YOU DID NOT CARE FOR LOCATION'
                  26='(26) DISTANCE TO PROG WAS TOO FAR' 29='(29) OTHER ACCESS RELATED'
                  30='(30) TREATMENT/WAS NOT YOU EXPECTED'
                  31='(31) FELT/GET BETTER HELP ELSEWHERE'
                  32='(32) NOT TREATED IN A PROF MANNER' 33='(33) TOO MUCH PAPERWORK'
                  34='(34) TOO HIGH FEES' 35='(35) HAD TO WAIT TOO LONG'
                  36='(36) NOT FEEL COMFORTABLE W/COUNSELOR'
                  37='(37) YOU SOUGHT OTHER HELP' 38='(38) RESENTMENT OVER DRUG TEST'
                  39='(39) OTHER DISSATISFACTION REASON'
                  40='(40) PROBLEM IMPROVED ON ITS OWN'
                  41='(41) IMMEDIATE CRISIS WAS RESOLVED'
                  42='(42) DID NOT THINK YOU NEED TREATMENT'
                  49='(49) TREATMENT NOT HELPFUL' 50='(50) YOU FORGOT APPOINTMENT'
                  51='(51) YOU WERE DRUNK/HIGH' 52='(52) FELT OVERWHELMED'
                  53='(53) COUNSELOR CANCELLED APPOINTMENT'
                  54='(54) AFRAID OF BAD DRUG TEST RESULT' 59='(59) OTHER' ;
  VALUE wl2_f_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) YOU WERE SICK' 2='(2) FRIEND/FAMILY MEMBER SICK'
                  9='(9) OTHER ILLNESS RELATED' 10='(10) CHILD CARE ARRANGE PROBLEM'
                  11='(11) FAMILY MEMBER OBJECTED'
                  12='(12) FAMILY MEMBER DID NOT ATTEND W/YOU'
                  13='(13) FRIENDS PUT YOU DOWN TO SEEK HELP'
                  14='(14) STIGMA/COME TO PROG/DISCOURAGED YOU'
                  15='(15) FEAR OF DRUG TEST/BY EMPLOYER' 16='(16) YOU WERE IN SCHOOL'
                  19='(19) OTHER PRESSURES' 20='(20) DIFFICULTY W/TRANSPORTATION'
                  21='(21) DAILY SCHEDULE PREVENTED YOU'
                  22='(22) YOU WERE INCARCERATED'
                  23='(23) OTHER ACTIVITY KEPT FROM ATTENDING'
                  24='(24) COULD NOT ATTEND DURING PROG HRS'
                  25='(25) YOU DID NOT CARE FOR LOCATION'
                  26='(26) DISTANCE TO PROG WAS TOO FAR' 29='(29) OTHER ACCESS RELATED'
                  30='(30) TREATMENT/WAS NOT YOU EXPECTED'
                  31='(31) FELT/GET BETTER HELP ELSEWHERE'
                  32='(32) NOT TREATED IN A PROF MANNER' 33='(33) TOO MUCH PAPERWORK'
                  34='(34) TOO HIGH FEES' 35='(35) HAD TO WAIT TOO LONG'
                  36='(36) NOT FEEL COMFORTABLE W/COUNSELOR'
                  37='(37) YOU SOUGHT OTHER HELP' 38='(38) RESENTMENT OVER DRUG TEST'
                  39='(39) OTHER DISSATISFACTION REASON'
                  40='(40) PROBLEM IMPROVED ON ITS OWN'
                  41='(41) IMMEDIATE CRISIS WAS RESOLVED'
                  42='(42) DID NOT THINK YOU NEED TREATMENT'
                  49='(49) TREATMENT NOT HELPFUL' 50='(50) YOU FORGOT APPOINTMENT'
                  51='(51) YOU WERE DRUNK/HIGH' 52='(52) FELT OVERWHELMED'
                  53='(53) COUNSELOR CANCELLED APPOINTMENT'
                  54='(54) AFRAID OF BAD DRUG TEST RESULT' 59='(59) OTHER' ;
  VALUE wl2_f_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) YOU WERE SICK' 2='(2) FRIEND/FAMILY MEMBER SICK'
                  9='(9) OTHER ILLNESS RELATED' 10='(10) CHILD CARE ARRANGE PROBLEM'
                  11='(11) FAMILY MEMBER OBJECTED'
                  12='(12) FAMILY MEMBER DID NOT ATTEND W/YOU'
                  13='(13) FRIENDS PUT YOU DOWN TO SEEK HELP'
                  14='(14) STIGMA/COME TO PROG/DISCOURAGED YOU'
                  15='(15) FEAR OF DRUG TEST/BY EMPLOYER' 16='(16) YOU WERE IN SCHOOL'
                  19='(19) OTHER PRESSURES' 20='(20) DIFFICULTY W/TRANSPORTATION'
                  21='(21) DAILY SCHEDULE PREVENTED YOU'
                  22='(22) YOU WERE INCARCERATED'
                  23='(23) OTHER ACTIVITY KEPT FROM ATTENDING'
                  24='(24) COULD NOT ATTEND DURING PROG HRS'
                  25='(25) YOU DID NOT CARE FOR LOCATION'
                  26='(26) DISTANCE TO PROG WAS TOO FAR' 29='(29) OTHER ACCESS RELATED'
                  30='(30) TREATMENT/WAS NOT YOU EXPECTED'
                  31='(31) FELT/GET BETTER HELP ELSEWHERE'
                  32='(32) NOT TREATED IN A PROF MANNER' 33='(33) TOO MUCH PAPERWORK'
                  34='(34) TOO HIGH FEES' 35='(35) HAD TO WAIT TOO LONG'
                  36='(36) NOT FEEL COMFORTABLE W/COUNSELOR'
                  37='(37) YOU SOUGHT OTHER HELP' 38='(38) RESENTMENT OVER DRUG TEST'
                  39='(39) OTHER DISSATISFACTION REASON'
                  40='(40) PROBLEM IMPROVED ON ITS OWN'
                  41='(41) IMMEDIATE CRISIS WAS RESOLVED'
                  42='(42) DID NOT THINK YOU NEED TREATMENT'
                  49='(49) TREATMENT NOT HELPFUL' 50='(50) YOU FORGOT APPOINTMENT'
                  51='(51) YOU WERE DRUNK/HIGH' 52='(52) FELT OVERWHELMED'
                  53='(53) COUNSELOR CANCELLED APPOINTMENT'
                  54='(54) AFRAID OF BAD DRUG TEST RESULT' 59='(59) OTHER' ;
  VALUE wl3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl3_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl5_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl5_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl5_a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl5_a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl5_b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl5_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl5_b_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl5_b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl5_b_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl5_b_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl5_b_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl5_b_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl5_b_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 31='(31) CIRCLED' ;
  VALUE wl5_b_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl5_b10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl5_c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl5_d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl6_a_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl6_a_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl6_a_c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl6_a_d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl6_a_e   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl6_a_f   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl6_a_g   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl6_a_h   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl6_a_i   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wl6_a_j   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 10='(10) CIRCLED' ;
  VALUE wl6_b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMMUNITY MENTAL HEALTH PROG'
                  2='(2) ALC REHABILITATION CENTER'
                  3='(3) 28-DAY/OTHER SHORT TERM TRTMNT'
                  4='(4) THERAPEUTIC COMMUNITY' 5='(5) HALFWAY HOUSE'
                  6='(6) DETOXIFICATION TREATMENT UNIT'
                  7='(7) EMERGENCY ROOM/CRISIS CENTER' 8='(8) PRIVATE THERAPIST'
                  9='(9) OTHER OUTPATIENT TREATMENT'
                  10='(10) OTHER INPATIENT TREATMENT' ;
  VALUE wl6_c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl6_d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE wl6_e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl6_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMMUNITY MENTAL HEALTH PROG'
                  2='(2) ALC REHABILITATION CENTER'
                  3='(3) 28-DAY/OTHER SHORT TERM TRTMNT'
                  4='(4) THERAPEUTIC COMMUNITY' 5='(5) HALFWAY HOUSE'
                  6='(6) DETOXIFICATION TREATMENT UNIT'
                  7='(7) EMERGENCY ROOM/CRISIS CENTER' 8='(8) PRIVATE THERAPIST'
                  9='(9) OTHER OUTPATIENT TREATMENT'
                  10='(10) OTHER INPATIENT TREATMENT' ;
  VALUE wl6_c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl6_d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE wl6_e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl6_b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMMUNITY MENTAL HEALTH PROG'
                  2='(2) ALC REHABILITATION CENTER'
                  3='(3) 28-DAY/OTHER SHORT TERM TRTMNT'
                  4='(4) THERAPEUTIC COMMUNITY' 5='(5) HALFWAY HOUSE'
                  6='(6) DETOXIFICATION TREATMENT UNIT'
                  7='(7) EMERGENCY ROOM/CRISIS CENTER' 8='(8) PRIVATE THERAPIST'
                  9='(9) OTHER OUTPATIENT TREATMENT'
                  10='(10) OTHER INPATIENT TREATMENT' ;
  VALUE wl6_c_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl6_d_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE wl6_e_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl6_b_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) COMMUNITY MENTAL HEALTH PROG'
                  2='(2) ALC REHABILITATION CENTER'
                  3='(3) 28-DAY/OTHER SHORT TERM TRTMNT'
                  4='(4) THERAPEUTIC COMMUNITY' 5='(5) HALFWAY HOUSE'
                  6='(6) DETOXIFICATION TREATMENT UNIT'
                  7='(7) EMERGENCY ROOM/CRISIS CENTER' 8='(8) PRIVATE THERAPIST'
                  9='(9) OTHER OUTPATIENT TREATMENT'
                  10='(10) OTHER INPATIENT TREATMENT' ;
  VALUE wl6_c_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl6_d_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE wl6_e_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl7_a_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl7_a_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl7_a_c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl7_a_d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl7_a_e   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl7_a_f   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl7_a_g   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl7_a_h   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl7_a_i   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wl7_b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN/PSYCHI/PSYCHO'
                  2='(2) 28-DAY/OTHER SHORT TERM TREATMENT'
                  3='(3) THERAPEUTIC COMMUNITY' 4='(4) HALFWAY HOUSE'
                  5='(5) METHADONE TREAT PROG' 6='(6) NON-METHADONE'
                  7='(7) DETOXIFICATION TREATMENT UNIT'
                  8='(8) OTHER OUTPATIENT DRUG TREATMENT'
                  9='(9) OTHER INPATIENT DRUG TREATMENT' ;
  VALUE wl7_c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl7_d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE wl7_e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl7_b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN/PSYCHI/PSYCHO'
                  2='(2) 28-DAY/OTHER SHORT TERM TREATMENT'
                  3='(3) THERAPEUTIC COMMUNITY' 4='(4) HALFWAY HOUSE'
                  5='(5) METHADONE TREAT PROG' 6='(6) NON-METHADONE'
                  7='(7) DETOXIFICATION TREATMENT UNIT'
                  8='(8) OTHER OUTPATIENT DRUG TREATMENT'
                  9='(9) OTHER INPATIENT DRUG TREATMENT' ;
  VALUE wl7_c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl7_d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE wl7_e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl7_b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN/PSYCHI/PSYCHO'
                  2='(2) 28-DAY/OTHER SHORT TERM TREATMENT'
                  3='(3) THERAPEUTIC COMMUNITY' 4='(4) HALFWAY HOUSE'
                  5='(5) METHADONE TREAT PROG' 6='(6) NON-METHADONE'
                  7='(7) DETOXIFICATION TREATMENT UNIT'
                  8='(8) OTHER OUTPATIENT DRUG TREATMENT'
                  9='(9) OTHER INPATIENT DRUG TREATMENT' ;
  VALUE wl7_c_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl7_d_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE wl7_e_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl7_b_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN/PSYCHI/PSYCHO'
                  2='(2) 28-DAY/OTHER SHORT TERM TREATMENT'
                  3='(3) THERAPEUTIC COMMUNITY' 4='(4) HALFWAY HOUSE'
                  5='(5) METHADONE TREAT PROG' 6='(6) NON-METHADONE'
                  7='(7) DETOXIFICATION TREATMENT UNIT'
                  8='(8) OTHER OUTPATIENT DRUG TREATMENT'
                  9='(9) OTHER INPATIENT DRUG TREATMENT' ;
  VALUE wl7_c_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl7_d_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) OUTSIDE SOURCE' 3='(3) SELF' ;
  VALUE wl7_e_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl8_0fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE wl8_1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl8_2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl8_11ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl8_12ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl8_13ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl8_21ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl8_22ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl8_71ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl8_91ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl8_a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO ONE'
                  1='(1) PRIMARY/RGG COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl8_a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO ONE'
                  1='(1) PRIMARY/RGG COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl9_a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl10ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl11ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) A LOT' ;
  VALUE wl12ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) GOOD' 4='(4) EXCELLENT' ;
  VALUE wl13_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl13_k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl13_k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl14_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl14_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl15_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE wl15_y    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl16_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl18ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) A LOT' ;
  VALUE wl19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) GOOD' 4='(4) EXCELLENT' ;
  VALUE wl20_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl20_k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl20_k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl21_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl21_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl22_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE wl22_y    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl23ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl24ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl25ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 71='(71) STAFF FROM OTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl26_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE wl26_y    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl27ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO'
                  3='(3) DON''T KNOW' ;
  VALUE wl28ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl28a_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE wl28a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl28a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl28a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl28a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl28a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl28a_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl28a_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl28a_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl28a_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE wl28a10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE wl28a11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE wl28a12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl28a13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl28b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) SELF'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 24='(24) VOCATIONAL COUNSELOR' 25='(25) PHYSICIAN'
                  26='(26) PHYSICIANS ASSISTANT' 71='(71) STAFF FROM ANOTHER AGENCY'
                  91='(91) OTHER' ;
  VALUE wl29ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_b_a  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_b_b  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_b_c  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_b_d  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_b_e  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_b_g  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_b_h  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_b_i  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_b_j  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_b_k  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29b_kf  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29b_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl29_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl29_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl30ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl30_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl30_b_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE wl30c_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) CIRCLED' ;
  VALUE wl30c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl30c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl30c_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl30c_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl30c_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl30c_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl30c_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl30c_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl30c_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE wl30c10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE wl30c11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE wl30c12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE wl30c13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl30c14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl30_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl31ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl32ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl33ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) DIFFICULT'
                  2='(2) EASY' ;
  VALUE wl33_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) VERY DIFFICULT' 2='(2) SOMEWHAT DIFFICULT' ;
  VALUE wl33_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY EASY'
                  2='(2) SOMEWHAT EASY' ;
  VALUE wl34ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY CLOSELY' ;
  VALUE wl35ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO PROB DRUG' 10='(10) ALCOHOL' 20='(20) MARIJUANA, HASHISH, THC'
                  30='(30) HALLUCINOGENS/PSYCHEDELICS' 40='(40) COCAINE IN ANY FORM'
                  41='(41) CRACK' 50='(50) HEROIN ALONE,WITH OTHER DRUGS'
                  51='(51) HEROIN/COCAINE TOGETHER AT SAME TIME'
                  60='(60) NARCOTICS/OPIATES' 61='(61) STREET/ILLEGAL METHADONE'
                  70='(70) DOWNERS/DEPRESSANTS'
                  80='(80) AMPHETAMINES/OTHER STIMULANTS/SPEED'
                  81='(81) METHAMPHETAMINES/ICE' 90='(90) ANY OTHER DRUGS'
                  91='(91) INHALANTS' ;
  VALUE wl35_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl36ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ABSTAIN/NEVER USE AGAIN' 2='(2) REDUCE YOUR LEVEL OF USE'
                  3='(3) QUIT FOR A WHILE BUT USE LATER'
                  4='(4) CONTINUE TO USE/BEFORE ENTER PROG' 5='(5) IF VOL: OTHER' ;
  VALUE wl37ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl38ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SAME'
                  2='(2) DIFFERENT' ;
  VALUE wl39ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl39_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl39_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY MUCH' ;
  VALUE wl40ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) NEVER DRINK'
                  2='(2) DRINK OCCASIONALLY' 3='(3) DRINK REGULARLY' ;
  VALUE wl41ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl41_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) QUIT FOR A WHILE/START LATER'
                  2='(2) QUIT/EVEN THOUGHT YOU SLIP FEW TIME'
                  3='(3) QUIT/NEVER DRINK ALC AGAIN' ;
  VALUE wl42ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CONTINUE TO DRINK LIKE BEFORE'
                  2='(2) DRINK MORE ALC THAN BEFORE'
                  3='(3) CUT BACK ON DRINKING/>CONTROLLED'
                  4='(4) QUIT FOR A WHILE/START LATER' 5='(5) IF VOL: OTHER' ;
  VALUE wl43ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl44_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl44_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl45_l    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STRONGLY DISAGREE' 2='(2) SOMEWHAT DISAGREE'
                  3='(3) SOMEWHAT AGREE' 4='(4) STRONGLY AGREE' ;
  VALUE wl46ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl47_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl47_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl47_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl47_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl47_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl47_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl47_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl47_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl47_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl47_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl48_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_g    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl48_k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl48_k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl49_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl49_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl50ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl50_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl51ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl52ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) POOR'
                  2='(2) FAIR' 3='(3) GOOD' 4='(4) EXCELLENT' ;
  VALUE wl55ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl56ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl57ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl58ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl58_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl58_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl58_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl58_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl58_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl58_c_m  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE wl58_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) AT THIS PROGRAM' 2='(2) AT SOME OTHER PLACE' 3='(3) BOTH' ;
  VALUE wl59_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl59_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl60ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl63ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl64ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl65_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl65_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl65_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl65_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl65_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl65_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl65_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl65_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl65_28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE wl65_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl65_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl65_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl65_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl66ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) INDIVIDUAL'
                  2='(2) GROUP' 3='(3) BOTH' ;
  VALUE wl66_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl66_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl66_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl66_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl66_c1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl66_c2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl66_c3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl66_c4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl66_c5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl66_c6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl66_c7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wl66_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl66_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl66_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl66_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl66_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl66_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl66_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl66_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl66_h_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl66_h0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl66_h1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl66_h2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl66_h3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl66_h4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl66_h5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl66_h6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl66_h7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wl66_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl67ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) INDIVIDUAL'
                  2='(2) GROUP' 3='(3) BOTH' ;
  VALUE wl67_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl67_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl67_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl67_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl67_c1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl67_c2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl67_c3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl67_c4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl67_c5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl67_c6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl67_c7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wl67_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl67_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl67_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl67_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl67_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl67_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl67_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl67_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl67_h_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl67_h0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl67_h1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl67_h2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl67_h3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl67_h4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl67_h5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl67_h6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl67_h7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wl67_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl68ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl68a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl68a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl68a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl68a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl68a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl68a_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl68b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) A COMMUNITY MENTAL HEALTH SERVICE'
                  2='(2) A PRIVATE PSYCHIATRIC HOSPITAL'
                  3='(3) ANY OTHER HOSPITAL OR FACILITY'
                  4='(4) AN EMERGENCY ROOM OR CRISIS CENTER'
                  5='(5) PRIVATE THERAPIST' 6='(6) OTHER' ;
  VALUE wl68c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl68d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE wl68e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl68f1_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl68f10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl68f11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl68f12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl68f13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl68f14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl68f15f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl68f16f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl68f17f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE wl68f18f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl68f19f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl68g_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl68b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) A COMMUNITY MENTAL HEALTH SERVICE'
                  2='(2) A PRIVATE PSYCHIATRIC HOSPITAL'
                  3='(3) ANY OTHER HOSPITAL OR FACILITY'
                  4='(4) AN EMERGENCY ROOM OR CRISIS CENTER'
                  5='(5) PRIVATE THERAPIST' 6='(6) OTHER' ;
  VALUE wl68c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl68d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl68e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl68f2_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl68f20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl68f21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl68f22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl68f23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl68f24f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl68f25f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl68f26f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl68f27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE wl68f28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl68f29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl68g_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl69ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl69_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl69_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl69_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl69_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl69_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl69_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl69_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl69_b2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl69_a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl69_b3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl70ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl71ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl72_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl72_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl72_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl72_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl72_24f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE wl72_25f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE wl72_26f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE wl72_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl72_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl72_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  22='(22) PSYCHIATRIST' 23='(23) NURSE' 24='(24) PHYSICIAN'
                  25='(25) PHYSICIANS ASSISTANT' 26='(26) DENTIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl72_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  22='(22) PSYCHIATRIST' 23='(23) NURSE' 24='(24) PHYSICIAN'
                  25='(25) PHYSICIANS ASSISTANT' 26='(26) DENTIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl73ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl73_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl73_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl73_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl73_b2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl73_b3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl73_b4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl73_b5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl73_b6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl73_b7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl73_b8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wl73_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl74ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl74_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl74_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl74_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl74_b2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl74_b3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl74_b4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl74_b5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl74_b6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl74_b7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl74_b8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wl74_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl75ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl75_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl75_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl75_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl75_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl75_a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl75_a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl75b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN OR DENTIST'
                  2='(2) HOSPITAL OR PUBLIC HEALTH CLINIC'
                  3='(3) MILITARY OR VA HOSPITAL OR CLINIC'
                  4='(4) HEALTH COOPERATIVE' 5='(5) OTHER MEDICAL' 6='(6) OTHER' ;
  VALUE wl75c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl75d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl75e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl75f10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl75f11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl75f12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl75f13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl75f14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE wl75f15f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE wl75f16f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE wl75f17f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl75f19f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl75g_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  22='(22) PSYCHIATRIST' 23='(23) NURSE' 24='(24) PHYSICIAN'
                  25='(25) PHYSICIAN''S ASSISTANT' 26='(26) DENTIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl75b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIVATE PHYSICIAN OR DENTIST'
                  2='(2) HOSPITAL OR PUBLIC HEALTH CLINIC'
                  3='(3) MILITARY OR VA HOSPITAL OR CLINIC'
                  4='(4) HEALTH COOPERATIVE' 5='(5) OTHER MEDICAL' 6='(6) OTHER' ;
  VALUE wl75c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl75d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl75e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl75f20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl75f21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl75f22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl75f23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl75f24f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE wl75f25f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE wl75f26f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE wl75f27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl75f29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl75g_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  22='(22) PSYCHIATRIST' 23='(23) NURSE' 24='(24) PHYSICIAN'
                  25='(25) PHYSICIAN''S ASSISTANT' 26='(26) DENTIST'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl76ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl76_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl76_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl76_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl76_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl77ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl77_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl77b_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl77b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl77b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl77b_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl77b_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl77b_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl77b_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl77b_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl77b_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE wl77b_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE wl77b10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE wl77b11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE wl77b12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE wl77b13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl77b14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl77_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl77_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl77_c1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl77_c2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl77_c3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl77_c4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl77_c5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl77_c6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl78ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl79ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl80_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl80_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl80_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl80_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl80_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl80_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl80_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl80_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl80_28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE wl80_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl80_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl80_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl80_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl81_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl81_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl81_03f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl81_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl81_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl81_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl81_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl81_c1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl81_c2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl81_c3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl81_c4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl81_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl81_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl81_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl81_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl81_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl81_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl81_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl81_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl81_h_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl81_h0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl81_h1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl81_h2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl81_h3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl81_h4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl81_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY' ;
  VALUE wl81_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl81_k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl81_k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl81_k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl81_k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl81_k3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl81_k4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl81_k5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl81_k6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl81_l_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl81_l0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl81_l1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl81_l2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl81_l3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl81_l4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl81_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl82_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl82_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl82_03f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl82_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl82_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl82_c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl82_c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl82_c1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl82_c2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl82_c3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl82_c4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl82_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl82_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl82_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl82_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl82_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl82_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl82_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl82_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl82_h_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl82_h0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl82_h1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl82_h2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl82_h3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl82_h4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl82_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl82_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl82_k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl82_k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl82_k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl82_k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl82_k3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl82_k4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl82_k5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl82_k6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl82_l_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl82_l0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl82_l1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl82_l2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl82_l3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl82_l4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl82_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl83ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl83a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl83a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl83a_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl83a_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl83a_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl83b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOCIAL SERVICES OR FAMILY SERVICES'
                  2='(2) MENTAL HEALTH CENTER'
                  3='(3) CHURCH OF RELIGIOUS ORGANIZATION'
                  4='(4) PRIVATE MARITAL OR FAMILY COUNSELOR' 5='(5) OTHER' ;
  VALUE wl83c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl83d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl83e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl83f1_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl83f10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl83f11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl83f12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl83f13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl83f14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl83f15f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl83f16f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl83f17f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE wl83f18f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl83f19f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl83g_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl83b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOCIAL SERVICES OR FAMILY SERVICES'
                  2='(2) MENTAL HEALTH CENTER'
                  3='(3) CHURCH OF RELIGIOUS ORGANIZATION'
                  4='(4) PRIVATE MARITAL OR FAMILY COUNSELOR' 5='(5) OTHER' ;
  VALUE wl83c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl83d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl83e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl83f2_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl83f20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl83f21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl83f22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl83f23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl83f24f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl83f25f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl83f26f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl83f27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE wl83f28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl83f29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl83g_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 28='(28) CERTIFIED FAMILY COUNSELOR'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl84ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl85ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl86_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl86_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl86_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl86_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl86_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl86_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl86_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl86_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl86_27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE wl86_29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) TEACHER' ;
  VALUE wl86_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl86_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl86_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl86_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl87_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl87_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl87_03f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl87_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl87_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl87_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) DEGREE'
                  2='(2) DIPLOMA' 3='(3) CERTIFICATE' 4='(4) OTHER' ;
  VALUE wl87_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl87_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl87_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl87_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl87_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl87_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl87_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl87_g4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl87_g5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl87_g6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl87_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl87_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl87_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl87_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl87_l_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl87_l0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl87_l1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl87_l2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl87_l3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl87_l4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl87_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ALL INDIVIDUAL' 2='(2) ALL GROUP' 3='(3) BOTH INDIVIDUAL/GROUP' ;
  VALUE wl87_n    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl87_o    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl87_p    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl88_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl88_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl88_03f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl88_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl88_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl88_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl88_d    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) DEGREE'
                  2='(2) DIPLOMA' 3='(3) CERTIFICATE' 4='(4) OTHER' ;
  VALUE wl88_e    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl88_f    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl88_g_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl88_g0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl88_g1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl88_g2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl88_g3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl88_g4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl88_g5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl88_g6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl88_h    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl88_i    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl88_j    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl88_k    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl88_l_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl88_l0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl88_l1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl88_l2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl88_l3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl88_l4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl88_m    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) ALL INDIVIDUAL' 2='(2) ALL GROUP' 3='(3) BOTH INDIVIDUAL/GROUP' ;
  VALUE wl88_n    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl88_o    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl88_p    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl89ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl89_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl89_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl89_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl89_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl89_a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl89_a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl89_a5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl89_a6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl89_a7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 9='(9) CIRCLED' ;
  VALUE wl89b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STATE OFFICE OF EMPLOYMENT' 2='(2) DVR/OVR/VESID'
                  3='(3) JTPA/PIC' 4='(4) PUBLIC EMPLOYMENT/TRAINING AGENCIES'
                  5='(5) PRIVATE EMPLOYMENT/TRAINING AGENCIES'
                  6='(6) BUSINESS ORGANIZATIONS'
                  7='(7) VOCATIONAL/TECHNICAL/CMMNTY COLLEGE'
                  8='(8) CHARITABLE AGENCIES' 9='(9) OTHER' ;
  VALUE wl89c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl89d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl89e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl89f1_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl89f10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl89f11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl89f12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl89f13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl89f14f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl89f15f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl89f16f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl89f17f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE wl89f18f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE wl89f19f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl89f20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl89g_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl89b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) STATE OFFICE OF EMPLOYMENT' 2='(2) DVR/OVR/VESID'
                  3='(3) JTPA/PIC' 4='(4) PUBLIC EMPLOYMENT/TRAINING AGENCIES'
                  5='(5) PRIVATE EMPLOYMENT/TRAINING AGENCIES'
                  6='(6) BUSINESS ORGANIZATIONS'
                  7='(7) VOCATIONAL/TECHNICAL/CMMNTY COLLEGE'
                  8='(8) CHARITABLE AGENCIES' 9='(9) OTHER' ;
  VALUE wl89c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl89d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl89e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl89f2_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl89f21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl89f22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl89f23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl89f24f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl89f25f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl89f26f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl89f27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl89f28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE wl89f29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE wl89f30f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl89f31f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl89g_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl90ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl91ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl92_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl92_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl92_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl92_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl92_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl92_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl92_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl92_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl92_27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE wl92_29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE wl92_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl92_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl92a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl92a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl93ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  999='(999) 999 OR MORE' ;
  VALUE wl93_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl93_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl93_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl93_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl93_b2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl93_b3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl93_b4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl93_b5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl93_b6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl93_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl94ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl94_a    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl94_b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl94_b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl94_b1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl94_b2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl94_b3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl94_b4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl94_b5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 7='(7) CIRCLED' ;
  VALUE wl94_b6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 8='(8) CIRCLED' ;
  VALUE wl94_c    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl95ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl95_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl95_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl95_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl95_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl95_a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl95_a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl95b_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PUBLIC SCHOOL SYSTEM' 2='(2) JUNIOR COMMUNITY COLLEGE'
                  3='(3) FOUR YEAR COLLEGE/GRADUATE PROGRAM'
                  4='(4) PRIVATE EDUCATION PROGRAM' 5='(5) PUBLIC AGENCIES' 6='(6) OTHER' ;
  VALUE wl95c_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl95d_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl95e_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl95f1_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl95f10f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl95f12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE wl95f11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE wl95f17f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl95f19f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl95g_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  27='(27) PROG VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER PROGRAM STAFF' ;
  VALUE wl95b_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PUBLIC SCHOOL SYSTEM' 2='(2) JUNIOR COMMUNITY COLLEGE'
                  3='(3) FOUR YEAR COLLEGE/GRADUATE PROGRAM'
                  4='(4) PRIVATE EDUCATION PROGRAM' 5='(5) PUBLIC AGENCIES' 6='(6) OTHER' ;
  VALUE wl95c_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl95d_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl95e_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl95f2_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl95f20f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl95f22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE wl95f21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE wl95f27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl95f29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl95g_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  27='(27) PROG VOCATIONAL COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER PROGRAM STAFF' ;
  VALUE wl96ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl97ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl98_01f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl98_02f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl98_11f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl98_12f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl98_13f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl98_21f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl98_22f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl98_23f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl98_27f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE wl98_28f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE wl98_29f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE wl98_30f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 30='(30) CIRCLED' ;
  VALUE wl98_71f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl98_91f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl98a_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR'
                  28='(28) CERTIFIED FAMILY COUNSELOR' 29='(29) TEACHER'
                  30='(30) TASC STAFF' 71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl98a_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR'
                  28='(28) CERTIFIED FAMILY COUNSELOR' 29='(29) TEACHER'
                  30='(30) TASC STAFF' 71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl99ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl99_a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl99_a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl99_a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl99_a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl99_a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl99_a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl99_b    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl100fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl100a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl100a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl100a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl100a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl100a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl100a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl100_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl101fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl101a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl101a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl101a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl101a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl101a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl101a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl101b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TASC PROGRAM STAFF' 2='(2) PAROLE OR PROBATION OFFICER'
                  3='(3) PRIVATE LAWYER' 4='(4) LEGAL AID'
                  5='(5) PUBLIC DEFENDER/COURT APPOINTED COUNSEL' 6='(6) OTHER LEGAL' ;
  VALUE wl101c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl101d_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl101e_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl101b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TASC PROGRAM STAFF' 2='(2) PAROLE OR PROBATION OFFICER'
                  3='(3) PRIVATE LAWYER' 4='(4) LEGAL AID'
                  5='(5) PUBLIC DEFENDER/COURT APPOINTED COUNSEL' 6='(6) OTHER LEGAL' ;
  VALUE wl101c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl101d0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl101e0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl102fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl103fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl104_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl104_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl104_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl104_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl104_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl104_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl104_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl104_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl104_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE wl104_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE wl10410f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE wl10411f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl10412f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl104a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR'
                  28='(28) CERTIFIED FAMILY COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl104a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) PRIMARY/REGULAR COUNSELOR' 2='(2) CASE MANAGER'
                  11='(11) OTHER COUNSELOR' 12='(12) OTHER CASE MANAGER'
                  13='(13) SOCIAL WORKER' 21='(21) PSYCHOLOGIST' 22='(22) PSYCHIATRIST'
                  23='(23) NURSE' 27='(27) VOCATIONAL COUNSELOR'
                  28='(28) CERTIFIED FAMILY COUNSELOR' 29='(29) TEACHER'
                  71='(71) STAFF FROM ANOTHER AGENCY' 91='(91) OTHER' ;
  VALUE wl105fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl105a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl105a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl105a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl105a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl105a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl105a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl105_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl106fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl106a_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl106a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl106a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wl106a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wl106a3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wl106a4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wl106_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl107fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl107a5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 51='(51) CIRCLED' ;
  VALUE wl107a0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 52='(52) CIRCLED' ;
  VALUE wl107a1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 53='(53) CIRCLED' ;
  VALUE wl107a2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 54='(54) CIRCLED' ;
  VALUE wl107a9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl107b_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  51='(51) SOCIAL SERVICES' 52='(52) VOCATIONAL REHABILITATION'
                  53='(53) VETERANS AFFAIRS' 54='(54) SOCIAL SECURITY' 91='(91) OTHER' ;
  VALUE wl107c_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl107d_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl107e_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl107b0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  51='(51) SOCIAL SERVICES' 52='(52) VOCATIONAL REHABILITATION'
                  53='(53) VETERANS AFFAIRS' 54='(54) SOCIAL SECURITY' 91='(91) OTHER' ;
  VALUE wl107c0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) PROGRAM'
                  2='(2) SOMEONE ELSE' 3='(3) SELF' ;
  VALUE wl107d0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl107e0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY HELPFUL' ;
  VALUE wl108fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl108_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl108_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT AT ALL HELPFUL' 1='(1) SOMEWHAT HELPFUL'
                  2='(2) VERY HELPFUL' ;
  VALUE wl109fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl110fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl111_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl111_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY MUCH' ;
  VALUE wl113_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wl113_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wl113_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 11='(11) CIRCLED' ;
  VALUE wl113_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 12='(12) CIRCLED' ;
  VALUE wl113_4f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 13='(13) CIRCLED' ;
  VALUE wl113_5f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 21='(21) CIRCLED' ;
  VALUE wl113_6f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 22='(22) CIRCLED' ;
  VALUE wl113_7f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 23='(23) CIRCLED' ;
  VALUE wl113_8f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 24='(24) CIRCLED' ;
  VALUE wl113_9f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 25='(25) CIRCLED' ;
  VALUE wl11310f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 26='(26) CIRCLED' ;
  VALUE wl11311f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 27='(27) CIRCLED' ;
  VALUE wl11312f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 28='(28) CIRCLED' ;
  VALUE wl11313f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 29='(29) CIRCLED' ;
  VALUE wl11314f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 71='(71) CIRCLED' ;
  VALUE wl11315f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 91='(91) CIRCLED' ;
  VALUE wl114_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114_c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114_d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114_e   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114_f   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114_g   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114_h   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114_i   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114_j   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114_k   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl114k_f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114k0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114k1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl114k2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NEVER'
                  1='(1) SOME SESSIONS' 2='(2) MOST SESSIONS' 3='(3) EVERY SESSION' ;
  VALUE wl115fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO SERVICES'
                  1='(1) REGULAR ADDICTION GROUP' 2='(2) OTHER GROUP COUNSELING'
                  3='(3) INDIVIDUAL COUNSELING' 4='(4) 12-STEP/SELF-HELP GROUP'
                  5='(5) CRISIS COUNSELING' 6='(6) UNSCHEDULED HELP'
                  7='(7) TALKS/FILMS/DISCUSSIONS' 8='(8) DRUG COUNSELING'
                  9='(9) ALCOHOL COUNSELING' 10='(10) DRUG TESTING'
                  11='(11) PSYCHOLOGICAL/MENTAL HEALTH'
                  12='(12) FAMILY RELATIONSHIP COUNSELING' 13='(13) MEDICATION'
                  14='(14) MEDICAL' 15='(15) LEGAL' 16='(16) EDUCATION/JOB TRAINING'
                  17='(17) HELP FINDING A JOB' 18='(18) OTHER JOB ASSISTANCE'
                  19='(19) FINANCIAL ASSISTANCE' 91='(91) OTHER' ;
  VALUE wl116fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO SERVICES'
                  1='(1) REGULAR ADDICTION GROUP' 2='(2) OTHER GROUP COUNSELING'
                  3='(3) INDIVIDUAL COUNSELING' 4='(4) 12-STEP/SELF-HELP GROUP'
                  5='(5) CRISIS COUNSELING' 6='(6) UNSCHEDULED HELP'
                  7='(7) TALKS/FILMS/DISCUSSIONS' 8='(8) DRUG COUNSELING'
                  9='(9) ALCOHOL COUNSELING' 10='(10) DRUG TESTING'
                  11='(11) PSYCHOLOGICAL/MENTAL HEALTH'
                  12='(12) FAMILY RELATIONSHIP COUNSELING' 13='(13) MEDICATION'
                  14='(14) MEDICAL' 15='(15) LEGAL' 16='(16) EDUCATION/JOB TRAINING'
                  17='(17) HELP FINDING A JOB' 18='(18) OTHER JOB ASSISTANCE'
                  19='(19) FINANCIAL ASSISTANCE' 91='(91) OTHER' ;
  VALUE wl117fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl117_bf  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER' ;
  VALUE wl117_0f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER' ;
  VALUE wl117_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER' ;
  VALUE wl117_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER' ;
  VALUE wl117_3f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) SELF'
                  2='(2) COUNSELOR OR CASE MANAGER' 3='(3) ANOTHER STAFF MEMBER'
                  4='(4) ANOTHER CLIENT/RESIDENT/PATIENT' 5='(5) THE PROGRAM OVERALL'
                  6='(6) SOMETHING/SOMEONE OUTSIDE PROGRAM' 7='(7) OTHER' ;
  VALUE wl118fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wl118_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) A LITTLE'
                  2='(2) A LOT' ;
  VALUE wl119fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl120fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) VERY FEW'
                  2='(2) SOME' 3='(3) MOST' ;
  VALUE wl121_a   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl121_b   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl121_c   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl121_d   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl121_e   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl121_f   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) A LITTLE' 2='(2) A LOT' ;
  VALUE wl122fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) SOMEWHAT' 2='(2) VERY LIKELY' ;
  VALUE wl123_w   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wl124fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) VERY MUCH' ;
  VALUE wl125fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) VERY MUCH' ;
  VALUE wl126fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) VERY MUCH' ;
  VALUE wl127fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) VERY MUCH' ;
  VALUE wl128fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) VERY MUCH' ;
  VALUE wldm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE wlth      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wltm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wlampm    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) AM' 2='(2) PM' ;
  VALUE wm1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wm2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm3fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm7fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm8fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm9fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm10a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm10b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm11a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm11b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm11c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm12a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE wm12b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE wm12c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE wm12d     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE wm12e     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR' 7='(7) SAYS CAN''T DO' ;
  VALUE wm13ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO ERROR'
                  1='(1) 1 ERROR' 2='(2) 2 ERRORS' 3='(3) 3 ERRORS' 4='(4) 4 ERRORS'
                  5='(5) 5 ERRORS' ;
  VALUE wm14a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm14b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm14c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' ;
  VALUE wm15a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE wm15b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE wm16ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE wm17ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP'
                  7='(7) CAN''T READ ENGLISH' ;
  VALUE wm18a     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE wm18b     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE wm18c     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO/REFUSE' 6='(6) HANDICAP' ;
  VALUE wm19ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO' 6='(6) HANDICAP' 7='(7) CAN''T WRITE (ENGLISH)' ;
  VALUE wm20ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CORRECT'
                  5='(5) ERROR/CAN''T DO' 6='(6) HANDICAP' ;
  VALUE wm21ffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wmdm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE wmth      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wmtm      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wmampm    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) AM' 2='(2) PM' ;
  VALUE wn1fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wn2fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wn2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wn3_1_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wn3_1_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE wn3_2_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wn3_2_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE wn3_3_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wn3_3_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE wn3_4_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wn3_4_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MILD'
                  2='(2) MODERATE' 3='(3) EXTREME' ;
  VALUE wn4fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wn4a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) CIRCLED' ;
  VALUE wn4a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 2='(2) CIRCLED' ;
  VALUE wn4a3fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 3='(3) CIRCLED' ;
  VALUE wn4a4fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) CIRCLED' ;
  VALUE wn4a5fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 5='(5) CIRCLED' ;
  VALUE wn4a6fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 6='(6) CIRCLED' ;
  VALUE wn5fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) EAGER'
                  2='(2) RECEPTIVE' 3='(3) NO REACTION' 4='(4) RELUCTANT' 5='(5) REFUSED'
                  6='(6) NOT DISCUSSED' ;
  VALUE wn6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wn6a1fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wn6a2fff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE ldate_m   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) JAN. - MARCH' 2='(2) APR. - JUNE' 3='(3) JULY - SEPT.'
                  4='(4) OCT. - DEC.' ;
  VALUE ldate_y   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wia1_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wia1_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE wia2_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wia2_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE wia3_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wia3_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE wia4_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wia4_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE wia5_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wia5_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wia6_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wia6_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE wia7_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wia7_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE wia8_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wia8_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wia9_1ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wia9_2ff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 99='(99) 99 OR MORE' ;
  VALUE wia10_1f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) YES' 2='(2) NO' ;
  VALUE wia10_2f  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' ;
  VALUE wp1a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1k      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1l      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1m      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp1n      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NOT AT ALL'
                  1='(1) A LITTLE BIT' 2='(2) MODERATELY' 3='(3) QUITE A BIT'
                  4='(4) EXTREMELY' ;
  VALUE wp2a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS LIKES WAY LEADING LIFE'
                  2='(2) TEENS DON''T LIKE WAY LEADING LIFE' ;
  VALUE wp3a      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE wp2b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS ENJOYABLE TO BE WITH'
                  2='(2) TEENS NOT SURE ENJOYABLE TO BE WITH' ;
  VALUE wp3b      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE wp2c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS HAPPY TO BE WAY THEY ARE'
                  2='(2) OTHER TEENS WOULD BE DIFFERENT' ;
  VALUE wp3c      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE wp2d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) UNCOMFORTABLE MEETING NEW PEOPLE'
                  2='(2) LIKE TO MEET NEW PEOPLE' ;
  VALUE wp3d      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE wp2e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS QUESTION WHETHER WORTHWHILE'
                  2='(2) TEENS FEEL THEY ARE WORTHWHILE' ;
  VALUE wp3e      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE wp2f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS DISAPPOINTED WITH SELF'
                  2='(2) TEENS PLEASED WITH SELF' ;
  VALUE wp3f      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE wp2g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS FEEL AT EASE WITH OTHER'
                  2='(2) OTHER TEENS ARE QUITE SHY' ;
  VALUE wp3g      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE wp2h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) TEENS DISSATISFIED WITH SELF'
                  2='(2) TEENS SATISFIED WITH SELF' ;
  VALUE wp3h      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE wp2i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOME TEENS ARE NOT SOCIABLE'
                  2='(2) OTHER TEENS ARE SOCIABLE' ;
  VALUE wp3i      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE wp2j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SOME TEENS LIKE THEMSELVES'
                  2='(2) OTHER TEENS WOULD BE SOMEONE ELSE' ;
  VALUE wp3j      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) SORT OF TRUE' 2='(2) REALLY TRUE' ;
  VALUE qu6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO' 1='(1) YES' ;
  VALUE ia6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO' 1='(1) YES' ;
  VALUE su6fffff  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO' 1='(1) YES' ;
  VALUE modality  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) RESIDENTIAL'
                  2='(2) SHORT-TERM INPATIENT' 3='(3) METHADONE MAINTENANCE'
                  4='(4) OUTPATIENT DRUG FREE' ;
  VALUE sex       -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MALE'
                  2='(2) FEMALE' ;
  VALUE age       -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  12='(12) 12 OR YOUNGER' 18='(18) 18 OR OLDER' ;
  VALUE hlthins   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) None'
                  1='(1) Private /other' 2='(2) Public' 3='(3) Unknown type' ;
  VALUE ftwork    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NONE'
                  1='(1) 1-13 WKS' 2='(2) 14-39 WKS' 3='(3) 40-52 WKS' ;
  VALUE mstat     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) MARRIED'
                  2='(2) SEPARATED' 3='(3) DIVORCED OR WIDOWED' 5='(5) LIVING AS MARRIED'
                  6='(6) NEVER MARRIED' ;
  VALUE inschool  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO' 1='(1) YES' ;
  VALUE race      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CAUCASIAN/WHITE' 2='(2) AFRO-AMERICAN/BLACK' 3='(3) HISPANIC'
                  4='(4) OTHER' ;
  VALUE edlev     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) None'
                  1='(1) Grade School' 2='(2) Middle School' 3='(3) Grade 9' 4='(4) Grade 10'
                  5='(5) Grade 11' 6='(6) Grade 12' 7='(7) HS Graduate/GED' ;
  VALUE racesex   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  1='(1) CAUCASIAN/WHITE MALE' 2='(2) AFRO-AMERICAN/BLACK MALE'
                  3='(3) HISPANIC MALE' 4='(4) OTHER MALE' 5='(5) CAUCASIAN/WHITE FEMALE'
                  6='(6) AFRO-AMERICAN/BLACK FEMALE' 7='(7) HISPANIC FEMALE'
                  8='(8) OTHER FEMALE' ;
  VALUE hvy_alc   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NOT A HEAVY USER' 1='(1) HEAVY ALCOHOL USER' ;
  VALUE alcr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE mrjr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE cocr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE herr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE narr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE sedr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE ampr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE halr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE inhr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE alcwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE mrjwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE cocwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE herwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE narwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE sedwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE ampwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE halwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE inhwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
  VALUE mrj_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) No use'
                  1='(1) 1 - 5 times' 2='(2) More than 5 times' ;
  VALUE coc_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) No use'
                  1='(1) 1 - 5 times' 2='(2) More than 5 times' ;
  VALUE her_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) No use'
                  1='(1) 1 - 5 times' 2='(2) More than 5 times' ;
  VALUE nar_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) No use'
                  1='(1) 1 - 5 times' 2='(2) More than 5 times' ;
  VALUE sed_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) No use'
                  1='(1) 1 - 5 times' 2='(2) More than 5 times' ;
  VALUE amp_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) No use'
                  1='(1) 1 - 5 times' 2='(2) More than 5 times' ;
  VALUE hal_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) No use'
                  1='(1) 1 - 5 times' 2='(2) More than 5 times' ;
  VALUE inh_ev    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) No use'
                  1='(1) 1 - 5 times' 2='(2) More than 5 times' ;
  VALUE cj_stat   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) NO LEGAL STATUS' 1='(1) IN JAIL/DETENTION' 2='(2) PROBATION'
                  3='(3) PAROLE' 4='(4) CASE PENDING' ;
  VALUE iay_sia   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) None'
                  1='(1) 1-2 acts' 2='(2) 3-10 acts' 3='(3) 10 or more acts' ;
  VALUE majsrc    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO INCOME'
                  1='(1) LEGAL WORK' 2='(2) PUB ASSISTANCE' 3='(3) SOCIAL SECURITY'
                  4='(4) FAMILY, FRIENDS' 5='(5) ILLEGAL SOURCES' 6='(6) OTHER SOURCES' ;
  VALUE refer     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) Self (only if no other primary or secondary mentioned)'
                  1='(1) Medical Service' 2='(2) Community Agency' 3='(3) Legal system'
                  4='(4) Family or friends' 5='(5) School or Employer' 6='(6) Other' ;
  VALUE restrict  -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) No weeks restricted' 1='(1) 1 to 4 weeks restricted'
                  2='(2) 5 to 13 weeks restricted' 3='(3) 14 to 26 weeks restricted'
                  4='(4) 27 to 39 weeks restricted' 5='(5) 40 to 50 weeks restricted'
                  6='(6) 51 to 52 weeks restricted' ;
  VALUE drugtx    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 4='(4) 4 OR MORE' ;
  VALUE school    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) Not in school' 1='(1) Special education' 2='(2) Middle school'
                  3='(3) High school' 4='(4) Post-secondary' 5='(5) Other' ;
  VALUE dep_yr    -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) No signs of depression' 1='(1) Felt depressed'
                  2='(2) Suicidal thoughts' 3='(3) Suicidal attempt (s)' ;
  VALUE empstat   -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 1='(1) WORKING'
                  2='(2) LOOKING FOR WORK/GOING TO SCHOOL' 3='(3) KEEPING HOUSE'
                  4='(4) DISABLED/RETIRED'
                  5='(5) IN JAIL, RESIDENTIAL TX, OTHER INST'
                  6='(6) DRUG RELATED OR ILLEGAL ACTIVITIES' 7='(7) OTHER, MULTIPLE' ;
  VALUE iapy      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) None'
                  1='(1) Monthly' 2='(2) Weekly' 3='(3) Daily' ;
  VALUE pdt       -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) None'
                  1='(1) 1-2' 2='(2) 3 or more' ;
  VALUE crkr      -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE' 0='(0) NO USE'
                  1='(1) MONTHLY' 2='(2) WEEKLY' 3='(3) DAILY' ;
  VALUE crkwk     -9='LEGITIMATE NONRESPONSE' -8='MISSING' -7='REFUSAL'
                  -6='MULTIPLE RESPONSE' -5='BAD DATA' -4='DON''T KNOW'
                  -3='NOT APPLICABLE' -2='RESPONSE ILLEGIBLE'
                  0='(0) LESS THAN WEEKLY USE' 1='(1) WEEKLY OR MORE USE' ;
*/


* SAS DATA, INFILE, INPUT STATEMENTS;

DATA;
INFILE "data-filename" LRECL=3745;
INPUT
        CASEID 1-8              WDC_M 9-10              WDC_Y 11-12
        WT_L_I 13-16            WTIME1_H 17-19          WTIME1_M 20-22
        WAM_PM_1 23-24          WA3 25-26               WA3_A 27-29
        WA3_B 30-31             WA4 32-33               WA4_A 34-36
        WA5 37-39               WA6 40-41               WA7 42-43
        WA8 44-45               WA8_A 46-47             WA8_B 48-49
        WA8_C 50-51             WA8_D 52-53             WA8_E 54-55
        WA9 56-57               WA10 58-60              WA11 61-62
        WA12 63-64              WA13 65-66              WA13A_02 67-68
        WA13A_03 69-70          WA13A_04 71-72          WA13A_05 73-74
        WA13A_06 75-76          WA14 77-78              WA14A_02 79-80
        WA14A_03 81-82          WA14A_04 83-84          WA14A_05 85-86
        WA14A_06 87-88          WA15_00 89-90           WA15_01 91-92
        WA15_02 93-94           WA15_03 95-96           WA16 97-98
        WA17 99-100             WA18 101-102            WA19 103-104
        WA19_A 105-107          WA19_B 108-109          WA20 110-111
        WA21 112-113            WA22 114-115            WA23_A 116-117
        WA23_B 118-119          WA23_C 120-121          WA24_A 122-123
        WA24_B 124-125          WA24_C 126-127          WA24_D 128-129
        WA24_E 130-131          WA24_F 132-133          WA25 134-135
        WA26 136-137            WA27 138-139            WA27A 140-141
        WB1 142-143             WB1_A 144-145           WB1_B 146-147
        WB1_C 148-149           WB1_D 150-151           WB1_E 152-153
        WB1_F 154-155           WB1_G 156-158           WB2 159-160
        WB2_A 161-162           WB3_0 163-164           WB3_1 165-166
        WB3_2 167-168           WB3_3 169-170           WB3_4 171-172
        WB3_5 173-174           WB3_6 175-176           WB4 177-178
        WB4_A 179-180           WB5 181-182             WC1 183-184
        WC1_A_02 185-186        WC1_A_03 187-188        WC1_A_04 189-190
        WC1_A_05 191-192        WC1_A_06 193-194        WC1_A_07 195-196
        WC1_B 197-198           WC1_C 199-200           WC1_D 201-202
        WC1_E 203-204           WC2 205-206             WC3 207-208
        WC3_A 209-210           WC3_B 211-212           WC4_00 213-214
        WC4_01 215-216          WC4_02 217-218          WC4_03 219-220
        WC4_04 221-222          WC4_05 223-224          WC4_06 225-226
        WC4_07 227-228          WC4_08 229-230          WC4_09 231-232
        WC5 233-234             WC5_A 235-236           WC6 237-238
        WC6_A 239-240           WC7 241-242             WC7_A 243-244
        WC7_B_1 245-247         WC7_B_2 248-249         WD1 250-251
        WD1_A 252-253           WD1_B_1 254-255         WD1_B_2 256-258
        WD1_C 259-260           WD2 261-262             WD2_A 263-264
        WD2_B 265-266           WD2_C_1 267-268         WD2_C_2 269-271
        WD2_D 272-273           WD3 274-275             WD3_A 276-277
        WD4 278-279             WD4_A 280-281           WD5 282-283
        WD5_A_1 284-285         WD5_A_2 286-288         WD5_B 289-290
        WD6 291-292             WD6_A_1 293-294         WD6_A_2 295-297
        WD6_B 298-299           WD7 300-301             WD7_A_1 302-303
        WD7_A_2 304-306         WD7_B 307-308           WD8 309-310
        WD8_A 311-312           WD9 313-314             WD10 315-316
        WD10_A 317-318          WD11 319-320            WD11_A 321-322
        WD12 323-324            WD13 325-326            WD14 327-328
        WD15 329-330            WD16 331-332            WD17 333-334
        WD18 335-336            WD19 337-338            WE1 339-340
        WE2 341-343             WE3 344-345             WE4 346-348
        WE5 349-350             WE6 351-352             WE7 353-354
        WE8 355-356             WE9 357-358             WE10 359-360
        WE11 361-362            WE12 363-364            WE12_A 365-366
        WE13 367-368            WE13_A_1 369-370        WE13_A_2 371-372
        WE13_A_3 373-374        WE14 375-376            WE14_A_1 377-378
        WE14_A_2 379-381        WE14_B_1 382-383        WE14_B_2 384-386
        WE14_C 387-388          WE15 389-390            WE15_A_1 391-392
        WE15_A_2 393-395        WE15_B_1 396-397        WE15_B_2 398-400
        WE15_C 401-402          WE15_D 403-404          WE15_E 405-406
        WE16 407-408            WE16_A_1 409-410        WE16_A_2 411-412
        WE16_B_1 413-414        WE16_B_2 415-416        WE16_C 417-418
        WE16_D 419-420          WE16_E 421-422          WE16_F 423-424
        WE17 425-426            WE17_A 427-428          WE17_B_1 429-430
        WE17_B_2 431-432        WE17_B_3 433-434        WE17_C 435-436
        WE18 437-438            WE18_A_1 439-440        WE18_A_2 441-443
        WE18_B_1 444-445        WE18_B_2 446-448        WE18_C 449-450
        WE18_D 451-452          WE18_E 453-454          WE19 455-456
        WE19_A 457-458          WE19B1_1 459-461        WE19B1_2 462-463
        WE19B2_1 464-465        WE19B2_2 466-467        WE19_C 468-470
        WE20 471-472            WE20_A_1 473-474        WE20_A_2 475-477
        WE20_B_1 478-479        WE20_B_2 480-481        WE20_C 482-483
        WE20_D 484-485          WE20_E_1 486-487        WE20_E_2 488-489
        WE20_E_3 490-491        WE20_E_4 492-493        WE20_F 494-495
        WE21 496-497            WE21_A 498-499          WE21_B_1 500-502
        WE21_B_2 503-504        WE21_B_3 505-506        WE21_C 507-509
        WE22 510-511            WE22_A_1 512-513        WE22_A_2 514-516
        WE22_B_1 517-518        WE22_B_2 519-521        WE22_C 522-523
        WE22_D 524-525          WE22_E 526-527          WE23 528-529
        WE23_A 530-531          WE24 532-533            WE24_A_1 534-535
        WE24_A_2 536-538        WE24_B_1 539-540        WE24_B_2 541-543
        WE24_C 544-545          WE24_D 546-547          WE24_E 548-549
        WE25 550-551            WE25_A_1 552-553        WE25_A_2 554-556
        WE25_B_1 557-558        WE25_B_2 559-561        WE25_C 562-563
        WE26 564-565            WE26_A_1 566-567        WE26_A_2 568-569
        WE26_B_1 570-571        WE26_B_2 572-573        WE26_C 574-575
        WE26_D 576-577          WE27 578-579            WE27_A 580-582
        WE27_B_1 583-584        WE27_B_2 585-586        WE27_C_1 587-588
        WE27_C_2 589-590        WE27_D 591-592          WE27_E 593-594
        WE28 595-596            WE28_A 597-598          WE28_B_1 599-600
        WE28_B_2 601-602        WE28_C_1 603-604        WE28_C_2 605-606
        WE28_D 607-608          WE28_E 609-610          WE29 611-613
        WE30 614-615            WE30_A 616-617          WE31 618-619
        WE31A_1 620-621         WE31A_2 622-623         WE31A_3 624-625
        WE31A_4 626-627         WE31A_5 628-629         WE31A_6 630-631
        WE32 632-633            WE33_A 634-635          WE33_B 636-637
        WE33_C 638-639          WE33_D 640-641          WE33_E 642-643
        WE33_F 644-645          WE34 646-647            WE35 648-649
        WE36 650-651            WE37 652-653            WE38 654-655
        WE39_A 656-657          WE39_B 658-659          WE39_C 660-661
        WE39_D 662-663          WE39_E 664-665          WE39_F 666-667
        WE39_G 668-669          WE39_H 670-671          WE39_I 672-673
        WE39_J 674-675          WE39_K 676-677          WE39_L 678-679
        WE39_M 680-681          WE39_N 682-683          WE39_O 684-685
        WE39_P 686-687          WE39_Q 688-689          WE39_R 690-691
        WE39_S 692-693          WE39_T 694-695          WE40 696-697
        WE40_B_1 698-699        WE40_B_2 700-701        WE40_B_3 702-703
        WE41_A 704-705          WE41_B 706-707          WE42 708-709
        WE43 710-711            WE44 712-713            WE45 714-715
        WE46 716-717            WE47 718-719            WE48_A 720-721
        WE48_B 722-723          WE48_C 724-725          WE48_D 726-727
        WE48_E 728-729          WE48_F 730-731          WE48_G 732-733
        WE48_H 734-735          WE48_I 736-737          WE48_J 738-739
        WE48_K 740-741          WE48_L 742-743          WF1 744-745
        WF1_A 746-747           WF2 748-749             WF2_A 750-751
        WF3 752-753             WF4 754-755             WF5 756-757
        WF5_A 758-759           WF6 760-761             WF7 762-763
        WF8 764-765             WF9 766-767             WF9_A 768-769
        WF10 770-771            WF10_A 772-773          WF11 774-775
        WF11_A 776-777          WF12 778-779            WF13 780-781
        WF14 782-783            WF15 784-785            WF16 786-787
        WF16_A 788-789          WF17 790-791            WF17_A_1 792-793
        WF17_A_2 794-795        WF17_A_3 796-797        WF17_A_4 798-799
        WF17_B 800-801          WF17_C 802-804          WF17D_01 805-806
        WF17D_02 807-808        WF17D_14 809-811        WF17D_23 812-814
        WF17D_24 815-817        WF17D_25 818-820        WF17D_61 821-823
        WF17D_62 824-826        WF17D_91 827-829        WF17_E 830-831
        WF18 832-833            WG1 834-835             WG2 836-837
        WG3 838-839             WG4 840-841             WG4_A 842-843
        WG4_B_1 844-845         WG4_B_2 846-847         WG4_B_3 848-849
        WG4_B_4 850-851         WG4_C 852-853           WG4_D 854-855
        WG4_E 856-857           WG4F_1 858-859          WG4F_2 860-861
        WG4F_3 862-863          WG4F_4 864-865          WG4F_5 866-867
        WG4F_6 868-869          WG4G 870-872            WG5_A 873-874
        WG5_B 875-876           WG5_C 877-878           WG5_D 879-880
        WG5_E 881-882           WG5_F 883-884           WG7 885-886
        WG7_A 887-889           WG8 890-891             WG9 892-893
        WG10 894-895            WG11 896-898            WG12 899-900
        WG12A_1 901-902         WG12A_2 903-904         WG12A_3 905-906
        WG12A_4 907-908         WG12B_1 909-910         WG12B_2 911-912
        WG12B_3 913-914         WG13 915-916            WG14 917-918
        WG15 919-920            WG15_A 921-922          WH1 923-924
        WH1_A 925-927           WH2_A 928-929           WH3_A 930-931
        WH2_B 932-933           WH3_B 934-935           WH2_C 936-937
        WH3_C 938-939           WH2_D 940-941           WH3_D 942-943
        WH2_E 944-945           WH3_E 946-947           WH2_F 948-949
        WH3_F 950-951           WH2_G 952-953           WH3_G 954-955
        WH2_H 956-957           WH3_H 958-959           WH2_I 960-961
        WH3_I 962-963           WH2_J 964-965           WH3_J 966-967
        WH2_K 968-969           WH3_K 970-971           WH2_L 972-973
        WH3_L 974-975           WH4 976-978             WH5 979-980
        WH6 981-982             WH6_A 983-984           WH7 985-986
        WH8 987-988             WH8_A 989-990           WH9 991-992
        WJ1 993-995             WJ2 996-997             WJ2_A 998-999
        WJ2_B 1000-1001         WJ2_C 1002-1004         WJ2_D 1005-1007
        WJ2_E 1008-1010         WJ2_F 1011-1012         WJ2_G 1013-1015
        WJ3 1016-1017           WJ3_A_1 1018-1019       WJ3_A_2 1020-1021
        WJ3_A_3 1022-1023       WJ3_A_4 1024-1025       WJ3_A_5 1026-1027
        WJ3_A_6 1028-1029       WJ3_A_7 1030-1031       WJ3_B 1032-1033
        WJ3_C_1 1034-1035       WJ3_C_2 1036-1037       WJ3_C_3 1038-1039
        WJ3_C_4 1040-1041       WJ3_C_5 1042-1043       WJ3_C_6 1044-1045
        WJ3_C_7 1046-1047       WJ3_C_8 1048-1049       WJ3_C_9 1050-1051
        WJ3_C_10 1052-1054      WJ3_C_11 1055-1057      WJ4_0 1058-1059
        WJ4_1 1060-1061         WJ4_2 1062-1063         WJ4_3 1064-1065
        WJ4_4 1066-1067         WJ4_5 1068-1069         WJ4_6 1070-1071
        WJ4_7 1072-1073         WJ4_8 1074-1075         WJ4_9 1076-1077
        WJ4_10 1078-1080        WJ4_11 1081-1083        WJ4_12 1084-1085
        WJ4_13 1086-1088        WJ4_14 1089-1090        WJ4_15 1091-1092
        WJ4_16 1093-1095        WJ5 1096-1097           WJ6 1098-1100
        WJ7 1101-1102           WJ8 1103-1104           WJ9 1105-1107
        WJ9_A 1108-1111         WJ9_B 1112-1113         WJ9_C_OC 1114-1115
        WJ9_C 1116-1122 .2      WJ9_COD 1123-1124       WJ10 1125-1126
        WJ11 1127-1128          WJ12 1129-1130          WJ12_A 1131-1132
        WK1_A 1133-1134         WK2_A 1135-1139         WK1_B 1140-1141
        WK2_B 1142-1146         WK1_C 1147-1148         WK2_C 1149-1152
        WK1_D 1153-1154         WK2_D 1155-1159         WK1_E 1160-1161
        WK2_E 1162-1166         WK1_F 1167-1168         WK2_F 1169-1173
        WK2_G 1174-1178         WK3 1179-1181           WK4 1182-1183
        WK4_A 1184-1186         WK5 1187-1189           WK6_A 1190-1194
        WK6_B 1195-1198         WK6_C 1199-1203         WK6_D 1204-1208
        WK7 1209-1210           WK7_A 1211-1212         WK8 1213-1214
        WK9 1215-1216           WL1 1217-1219           WL1_A 1220-1222
        WL2 1223-1224           WL2_A 1225-1227         WL2_B 1228-1230
        WL2_C 1231-1232         WL2_D 1233-1235         WL2_E 1236-1237
        WL2_F_1 1238-1240       WL2_F_2 1241-1243       WL2_F_3 1244-1245
        WL3 1246-1247           WL3_A 1248-1250         WL4 1251-1252
        WL5 1253-1254           WL5_A_1 1255-1256       WL5_A_2 1257-1258
        WL5_A_3 1259-1260       WL5_A_4 1261-1262       WL5_B_1 1263-1264
        WL5_B_2 1265-1266       WL5_B_11 1267-1269      WL5_B_12 1270-1272
        WL5_B_13 1273-1275      WL5_B_21 1276-1277      WL5_B_22 1278-1279
        WL5_B_23 1280-1281      WL5_B_31 1282-1284      WL5_B_71 1285-1286
        WL5_B_91 1287-1289      WL5_C 1290-1292         WL5_D 1293-1294
        WL6 1295-1296           WL6_A_A 1297-1298       WL6_A_B 1299-1300
        WL6_A_C 1301-1302       WL6_A_D 1303-1304       WL6_A_E 1305-1306
        WL6_A_F 1307-1308       WL6_A_G 1309-1310       WL6_A_H 1311-1312
        WL6_A_I 1313-1314       WL6_A_J 1315-1317       WL6_B_1 1318-1320
        WL6_C_1 1321-1323       WL6_D_1 1324-1325       WL6_E_1 1326-1327
        WL6_B_2 1328-1329       WL6_C_2 1330-1332       WL6_D_2 1333-1334
        WL6_E_2 1335-1336       WL6_B_3 1337-1338       WL6_C_3 1339-1340
        WL6_D_3 1341-1342       WL6_E_3 1343-1344       WL6_B_4 1345-1346
        WL6_C_4 1347-1348       WL6_D_4 1349-1350       WL6_E_4 1351-1352
        WL7 1353-1354           WL7_A_A 1355-1356       WL7_A_B 1357-1358
        WL7_A_C 1359-1360       WL7_A_D 1361-1362       WL7_A_E 1363-1364
        WL7_A_F 1365-1366       WL7_A_G 1367-1368       WL7_A_H 1369-1370
        WL7_A_I 1371-1372       WL7_B_1 1373-1374       WL7_C_1 1375-1377
        WL7_D_1 1378-1379       WL7_E_1 1380-1381       WL7_B_2 1382-1383
        WL7_C_2 1384-1386       WL7_D_2 1387-1388       WL7_E_2 1389-1390
        WL7_B_3 1391-1392       WL7_C_3 1393-1394       WL7_D_3 1395-1396
        WL7_E_3 1397-1398       WL7_B_4 1399-1400       WL7_C_4 1401-1402
        WL7_D_4 1403-1404       WL7_E_4 1405-1406       WL8_0 1407-1408
        WL8_1 1409-1410         WL8_2 1411-1412         WL8_11 1413-1415
        WL8_12 1416-1417        WL8_13 1418-1420        WL8_21 1421-1422
        WL8_22 1423-1424        WL8_71 1425-1427        WL8_91 1428-1430
        WL8_A_1 1431-1433       WL8_A_2 1434-1436       WL9 1437-1439
        WL9_A 1440-1443         WL10 1444-1445          WL11 1446-1447
        WL12 1448-1449          WL13_A 1450-1451        WL13_B 1452-1453
        WL13_C 1454-1455        WL13_D 1456-1457        WL13_E 1458-1459
        WL13_F 1460-1461        WL13_G 1462-1463        WL13_H 1464-1465
        WL13_I 1466-1467        WL13_J 1468-1469        WL13_K 1470-1471
        WL13_K_1 1472-1473      WL13_K_2 1474-1475      WL13_K_3 1476-1477
        WL13_K_4 1478-1479      WL14_A 1480-1481        WL14_B 1482-1483
        WL15_M 1484-1486        WL15_Y 1487-1489        WL16 1490-1492
        WL16_A 1493-1495        WL17 1496-1497          WL18 1498-1499
        WL19 1500-1501          WL20_A 1502-1503        WL20_B 1504-1505
        WL20_C 1506-1507        WL20_D 1508-1509        WL20_E 1510-1511
        WL20_F 1512-1513        WL20_G 1514-1515        WL20_H 1516-1517
        WL20_I 1518-1519        WL20_J 1520-1521        WL20_K 1522-1523
        WL20_K_1 1524-1525      WL20_K_2 1526-1527      WL20_K_3 1528-1529
        WL20_K_4 1530-1531      WL21_A 1532-1533        WL21_B 1534-1535
        WL22_M 1536-1538        WL22_Y 1539-1541        WL23 1542-1543
        WL24 1544-1545          WL25 1546-1547          WL26_M 1548-1550
        WL26_Y 1551-1553        WL27 1554-1555          WL28 1556-1557
        WL28A_00 1558-1559      WL28A_01 1560-1561      WL28A_02 1562-1563
        WL28A_11 1564-1566      WL28A_12 1567-1569      WL28A_13 1570-1572
        WL28A_21 1573-1575      WL28A_22 1576-1578      WL28A_23 1579-1580
        WL28A_24 1581-1582      WL28A_25 1583-1584      WL28A_26 1585-1586
        WL28A_71 1587-1589      WL28A_91 1590-1592      WL28B 1593-1595
        WL29 1596-1597          WL29_A 1598-1599        WL29_B_A 1600-1601
        WL29_B_B 1602-1603      WL29_B_C 1604-1605      WL29_B_D 1606-1607
        WL29_B_E 1608-1609      WL29_B_F 1610-1611      WL29_B_G 1612-1613
        WL29_B_H 1614-1615      WL29_B_I 1616-1617      WL29_B_J 1618-1619
        WL29_B_K 1620-1621      WL29B_K1 1622-1623      WL29B_K2 1624-1625
        WL29B_K3 1626-1627      WL29B_K4 1628-1629      WL29_C 1630-1631
        WL29_D 1632-1633        WL29_E 1634-1635        WL30 1636-1637
        WL30_A 1638-1640        WL30_B_M 1641-1643      WL30C_00 1644-1645
        WL30C_01 1646-1647      WL30C_02 1648-1649      WL30C_11 1650-1652
        WL30C_12 1653-1654      WL30C_13 1655-1656      WL30C_21 1657-1658
        WL30C_22 1659-1660      WL30C_23 1661-1662      WL30C_24 1663-1664
        WL30C_25 1665-1666      WL30C_26 1667-1668      WL30C_27 1669-1670
        WL30C_71 1671-1672      WL30C_91 1673-1675      WL30_D 1676-1677
        WL31 1678-1679          WL32 1680-1681          WL33 1682-1683
        WL33_A 1684-1685        WL33_B 1686-1687        WL34 1688-1689
        WL35 1690-1691          WL35_A 1692-1693        WL36 1694-1695
        WL37 1696-1697          WL38 1698-1699          WL39 1700-1701
        WL39_A 1702-1703        WL39_B 1704-1705        WL40 1706-1707
        WL41 1708-1709          WL41_A 1710-1711        WL42 1712-1713
        WL43 1714-1715          WL44_A 1716-1717        WL44_B 1718-1719
        WL45_A 1720-1721        WL45_B 1722-1723        WL45_C 1724-1725
        WL45_D 1726-1727        WL45_E 1728-1729        WL45_F 1730-1731
        WL45_G 1732-1733        WL45_H 1734-1735        WL45_I 1736-1737
        WL45_J 1738-1739        WL45_K 1740-1741        WL45_L 1742-1743
        WL46 1744-1745          WL47_01 1746-1747       WL47_02 1748-1749
        WL47_11 1750-1752       WL47_12 1753-1755       WL47_13 1756-1758
        WL47_21 1759-1760       WL47_22 1761-1762       WL47_23 1763-1764
        WL47_71 1765-1766       WL47_91 1767-1769       WL48_A 1770-1771
        WL48_B 1772-1773        WL48_C 1774-1775        WL48_D 1776-1777
        WL48_E 1778-1779        WL48_F 1780-1781        WL48_G 1782-1783
        WL48_H 1784-1785        WL48_I 1786-1787        WL48_J 1788-1789
        WL48_K 1790-1791        WL48_K_1 1792-1793      WL48_K_2 1794-1795
        WL48_K_3 1796-1797      WL48_K_4 1798-1799      WL49_A 1800-1801
        WL49_B 1802-1803        WL50 1804-1806          WL50_A 1807-1810
        WL51 1811-1812          WL52 1813-1814          WL55 1815-1816
        WL56 1817-1819          WL57 1820-1821          WL58 1822-1823
        WL58_A_1 1824-1825      WL58_A_2 1826-1827      WL58_A_3 1828-1829
        WL58_A_4 1830-1831      WL58_B 1832-1834        WL58_C_M 1835-1837
        WL58_D 1838-1839        WL59_A 1840-1841        WL59_B 1842-1843
        WL60 1844-1845          WL63 1846-1847          WL64 1848-1849
        WL65_01 1850-1851       WL65_02 1852-1853       WL65_11 1854-1856
        WL65_12 1857-1858       WL65_13 1859-1860       WL65_21 1861-1863
        WL65_22 1864-1866       WL65_23 1867-1869       WL65_28 1870-1871
        WL65_71 1872-1873       WL65_91 1874-1876       WL65_A_1 1877-1879
        WL65_A_2 1880-1882      WL66 1883-1884          WL66_A 1885-1887
        WL66_B 1888-1890        WL66_C_1 1891-1892      WL66_C_2 1893-1894
        WL66_C_3 1895-1896      WL66_C_4 1897-1898      WL66_C_5 1899-1900
        WL66_C_6 1901-1902      WL66_C_7 1903-1904      WL66_C_8 1905-1906
        WL66_C_9 1907-1908      WL66_D 1909-1910        WL66_E 1911-1913
        WL66_F 1914-1916        WL66_G_1 1917-1918      WL66_G_2 1919-1920
        WL66_G_3 1921-1922      WL66_G_4 1923-1924      WL66_G_5 1925-1926
        WL66_H_1 1927-1928      WL66_H_2 1929-1930      WL66_H_3 1931-1932
        WL66_H_4 1933-1934      WL66_H_5 1935-1936      WL66_H_6 1937-1938
        WL66_H_7 1939-1940      WL66_H_8 1941-1942      WL66_H_9 1943-1944
        WL66_I 1945-1946        WL67 1947-1948          WL67_A 1949-1950
        WL67_B 1951-1952        WL67_C_1 1953-1954      WL67_C_2 1955-1956
        WL67_C_3 1957-1958      WL67_C_4 1959-1960      WL67_C_5 1961-1962
        WL67_C_6 1963-1964      WL67_C_7 1965-1966      WL67_C_8 1967-1968
        WL67_C_9 1969-1970      WL67_D 1971-1972        WL67_E 1973-1974
        WL67_F 1975-1976        WL67_G_1 1977-1978      WL67_G_2 1979-1980
        WL67_G_3 1981-1982      WL67_G_4 1983-1984      WL67_G_5 1985-1986
        WL67_H_1 1987-1988      WL67_H_2 1989-1990      WL67_H_3 1991-1992
        WL67_H_4 1993-1994      WL67_H_5 1995-1996      WL67_H_6 1997-1998
        WL67_H_7 1999-2000      WL67_H_8 2001-2002      WL67_H_9 2003-2004
        WL67_I 2005-2006        WL68 2007-2008          WL68A_1 2009-2010
        WL68A_2 2011-2012       WL68A_3 2013-2014       WL68A_4 2015-2016
        WL68A_5 2017-2018       WL68A_6 2019-2020       WL68B_1 2021-2022
        WL68C_1 2023-2024       WL68D_1 2025-2027       WL68E_1 2028-2029
        WL68F1_1 2030-2031      WL68F1_2 2032-2033      WL68F111 2034-2035
        WL68F112 2036-2037      WL68F113 2038-2039      WL68F121 2040-2042
        WL68F122 2043-2045      WL68F123 2046-2047      WL68F128 2048-2050
        WL68F171 2051-2052      WL68F191 2053-2054      WL68G_1 2055-2057
        WL68B_2 2058-2059       WL68C_2 2060-2061       WL68D_2 2062-2063
        WL68E_2 2064-2065       WL68F2_1 2066-2067      WL68F2_2 2068-2069
        WL68F211 2070-2071      WL68F212 2072-2073      WL68F213 2074-2075
        WL68F221 2076-2077      WL68F222 2078-2079      WL68F223 2080-2081
        WL68F228 2082-2083      WL68F271 2084-2085      WL68F291 2086-2087
        WL68G_2 2088-2089       WL69 2090-2091          WL69_A_1 2092-2093
        WL69_B_1 2094-2095      WL69_A_2 2096-2097      WL69_B_2 2098-2100
        WL69_A_3 2101-2102      WL69_B_3 2103-2105      WL69_A_4 2106-2107
        WL69_B_4 2108-2109      WL69_A_5 2110-2111      WL69_B_5 2112-2113
        WL70 2114-2115          WL71 2116-2117          WL72_01 2118-2119
        WL72_02 2120-2121       WL72_22 2122-2124       WL72_23 2125-2127
        WL72_24 2128-2130       WL72_25 2131-2132       WL72_26 2133-2135
        WL72_71 2136-2137       WL72_91 2138-2140       WL72_A1 2141-2143
        WL72_A2 2144-2146       WL73 2147-2149          WL73_A 2150-2152
        WL73_B01 2153-2154      WL73_B02 2155-2156      WL73_B03 2157-2158
        WL73_B04 2159-2160      WL73_B05 2161-2162      WL73_B06 2163-2164
        WL73_B07 2165-2166      WL73_B08 2167-2168      WL73_B09 2169-2170
        WL73_C 2171-2172        WL74 2173-2176          WL74_A 2177-2179
        WL74_B01 2180-2181      WL74_B02 2182-2183      WL74_B03 2184-2185
        WL74_B04 2186-2187      WL74_B05 2188-2189      WL74_B06 2190-2191
        WL74_B07 2192-2193      WL74_B08 2194-2195      WL74_B09 2196-2197
        WL74_C 2198-2199        WL75 2200-2201          WL75_A_1 2202-2203
        WL75_A_2 2204-2205      WL75_A_3 2206-2207      WL75_A_4 2208-2209
        WL75_A_5 2210-2211      WL75_A_6 2212-2213      WL75B_1 2214-2215
        WL75C_1 2216-2217       WL75D_1 2218-2220       WL75E_1 2221-2222
        WL75F101 2223-2224      WL75F102 2225-2226      WL75F122 2227-2228
        WL75F123 2229-2231      WL75F124 2232-2234      WL75F125 2235-2236
        WL75F126 2237-2239      WL75F171 2240-2241      WL75F191 2242-2244
        WL75G_1 2245-2247       WL75B_2 2248-2249       WL75C_2 2250-2251
        WL75D_2 2252-2253       WL75E_2 2254-2255       WL75F201 2256-2257
        WL75F202 2258-2259      WL75F222 2260-2261      WL75F223 2262-2264
        WL75F224 2265-2267      WL75F225 2268-2269      WL75F226 2270-2272
        WL75F271 2273-2274      WL75F291 2275-2277      WL75G_2 2278-2280
        WL76 2281-2282          WL76_A_1 2283-2284      WL76_A_2 2285-2286
        WL76_A_3 2287-2288      WL76_A_4 2289-2290      WL77 2291-2292
        WL77_A 2293-2294        WL77B_01 2295-2296      WL77B_02 2297-2298
        WL77B_11 2299-2300      WL77B_12 2301-2302      WL77B_13 2303-2304
        WL77B_21 2305-2306      WL77B_22 2307-2308      WL77B_23 2309-2310
        WL77B_24 2311-2313      WL77B_25 2314-2315      WL77B_26 2316-2317
        WL77B_27 2318-2319      WL77B_28 2320-2321      WL77B_71 2322-2323
        WL77B_91 2324-2325      WL77_C_1 2326-2327      WL77_C_2 2328-2329
        WL77_C_3 2330-2331      WL77_C_4 2332-2333      WL77_C_5 2334-2335
        WL77_C_6 2336-2337      WL77_C_7 2338-2339      WL77_C_8 2340-2341
        WL78 2342-2343          WL79 2344-2345          WL80_01 2346-2347
        WL80_02 2348-2349       WL80_11 2350-2352       WL80_12 2353-2354
        WL80_13 2355-2357       WL80_21 2358-2360       WL80_22 2361-2362
        WL80_23 2363-2364       WL80_28 2365-2367       WL80_71 2368-2369
        WL80_91 2370-2372       WL80_A1 2373-2375       WL80_A2 2376-2378
        WL81_01 2379-2380       WL81_02 2381-2382       WL81_03 2383-2384
        WL81_A 2385-2387        WL81_B 2388-2391        WL81_C_1 2392-2393
        WL81_C_2 2394-2395      WL81_C_3 2396-2397      WL81_C_4 2398-2399
        WL81_C_5 2400-2401      WL81_C_6 2402-2403      WL81_D 2404-2405
        WL81_E 2406-2408        WL81_F 2409-2412        WL81_G_1 2413-2414
        WL81_G_2 2415-2416      WL81_G_3 2417-2418      WL81_G_4 2419-2420
        WL81_G_5 2421-2422      WL81_H_1 2423-2424      WL81_H_2 2425-2426
        WL81_H_3 2427-2428      WL81_H_4 2429-2430      WL81_H_5 2431-2432
        WL81_H_6 2433-2434      WL81_I 2435-2436        WL81_J 2437-2439
        WL81_K_1 2440-2441      WL81_K_2 2442-2443      WL81_K_3 2444-2445
        WL81_K_4 2446-2447      WL81_K_5 2448-2449      WL81_K_6 2450-2451
        WL81_K_7 2452-2453      WL81_K_8 2454-2455      WL81_L_1 2456-2457
        WL81_L_2 2458-2459      WL81_L_3 2460-2461      WL81_L_4 2462-2463
        WL81_L_5 2464-2465      WL81_L_6 2466-2467      WL81_M 2468-2469
        WL82_01 2470-2471       WL82_02 2472-2473       WL82_03 2474-2475
        WL82_A 2476-2477        WL82_B 2478-2480        WL82_C_1 2481-2482
        WL82_C_2 2483-2484      WL82_C_3 2485-2486      WL82_C_4 2487-2488
        WL82_C_5 2489-2490      WL82_C_6 2491-2492      WL82_D 2493-2494
        WL82_E 2495-2496        WL82_F 2497-2499        WL82_G_1 2500-2501
        WL82_G_2 2502-2503      WL82_G_3 2504-2505      WL82_G_4 2506-2507
        WL82_G_5 2508-2509      WL82_H_1 2510-2511      WL82_H_2 2512-2513
        WL82_H_3 2514-2515      WL82_H_4 2516-2517      WL82_H_5 2518-2519
        WL82_H_6 2520-2521      WL82_I 2522-2523        WL82_J 2524-2526
        WL82_K_1 2527-2528      WL82_K_2 2529-2530      WL82_K_3 2531-2532
        WL82_K_4 2533-2534      WL82_K_5 2535-2536      WL82_K_6 2537-2538
        WL82_K_7 2539-2540      WL82_K_8 2541-2542      WL82_L_1 2543-2544
        WL82_L_2 2545-2546      WL82_L_3 2547-2548      WL82_L_4 2549-2550
        WL82_L_5 2551-2552      WL82_L_6 2553-2554      WL82_M 2555-2556
        WL83 2557-2558          WL83A_1 2559-2560       WL83A_2 2561-2562
        WL83A_3 2563-2564       WL83A_4 2565-2566       WL83A_5 2567-2568
        WL83B_1 2569-2570       WL83C_1 2571-2572       WL83D_1 2573-2575
        WL83E_1 2576-2577       WL83F1_1 2578-2579      WL83F1_2 2580-2581
        WL83F111 2582-2584      WL83F112 2585-2586      WL83F113 2587-2589
        WL83F121 2590-2592      WL83F122 2593-2595      WL83F123 2596-2597
        WL83F128 2598-2599      WL83F171 2600-2601      WL83F191 2602-2603
        WL83G_1 2604-2606       WL83B_2 2607-2608       WL83C_2 2609-2610
        WL83D_2 2611-2612       WL83E_2 2613-2614       WL83F2_1 2615-2616
        WL83F2_2 2617-2618      WL83F211 2619-2620      WL83F212 2621-2622
        WL83F213 2623-2624      WL83F221 2625-2626      WL83F222 2627-2628
        WL83F223 2629-2630      WL83F228 2631-2632      WL83F271 2633-2634
        WL83F291 2635-2636      WL83G_2 2637-2638       WL84 2639-2640
        WL85 2641-2642          WL86_01 2643-2644       WL86_02 2645-2646
        WL86_11 2647-2649       WL86_12 2650-2651       WL86_13 2652-2653
        WL86_21 2654-2655       WL86_22 2656-2657       WL86_23 2658-2659
        WL86_27 2660-2662       WL86_29 2663-2665       WL86_71 2666-2668
        WL86_91 2669-2671       WL86_A1 2672-2674       WL86_A2 2675-2676
        WL87_01 2677-2678       WL87_02 2679-2680       WL87_03 2681-2682
        WL87_B 2683-2684        WL87_C 2685-2686        WL87_D 2687-2688
        WL87_E 2689-2691        WL87_F 2692-2693        WL87_G_1 2694-2695
        WL87_G_2 2696-2697      WL87_G_3 2698-2699      WL87_G_4 2700-2701
        WL87_G_5 2702-2703      WL87_G_6 2704-2705      WL87_G_7 2706-2707
        WL87_G_8 2708-2709      WL87_H 2710-2712        WL87_I 2713-2716
        WL87_J 2717-2718        WL87_K 2719-2720        WL87_L_1 2721-2722
        WL87_L_2 2723-2724      WL87_L_3 2725-2726      WL87_L_4 2727-2728
        WL87_L_5 2729-2730      WL87_L_6 2731-2732      WL87_M 2733-2734
        WL87_N 2735-2737        WL87_O 2738-2741        WL87_P 2742-2743
        WL88_01 2744-2745       WL88_02 2746-2747       WL88_03 2748-2749
        WL88_A 2750-2751        WL88_B 2752-2753        WL88_C 2754-2755
        WL88_D 2756-2757        WL88_E 2758-2759        WL88_F 2760-2761
        WL88_G_1 2762-2763      WL88_G_2 2764-2765      WL88_G_3 2766-2767
        WL88_G_4 2768-2769      WL88_G_5 2770-2771      WL88_G_6 2772-2773
        WL88_G_7 2774-2775      WL88_G_8 2776-2777      WL88_H 2778-2779
        WL88_I 2780-2781        WL88_J 2782-2783        WL88_K 2784-2785
        WL88_L_1 2786-2787      WL88_L_2 2788-2789      WL88_L_3 2790-2791
        WL88_L_4 2792-2793      WL88_L_5 2794-2795      WL88_L_6 2796-2797
        WL88_M 2798-2799        WL88_N 2800-2801        WL88_O 2802-2803
        WL88_P 2804-2805        WL89 2806-2807          WL89_A_1 2808-2809
        WL89_A_2 2810-2811      WL89_A_3 2812-2813      WL89_A_4 2814-2815
        WL89_A_5 2816-2817      WL89_A_6 2818-2819      WL89_A_7 2820-2821
        WL89_A_8 2822-2823      WL89_A_9 2824-2825      WL89B_1 2826-2827
        WL89C_1 2828-2829       WL89D_1 2830-2832       WL89E_1 2833-2834
        WL89F1_1 2835-2836      WL89F1_2 2837-2838      WL89F111 2839-2840
        WL89F112 2841-2842      WL89F113 2843-2844      WL89F121 2845-2846
        WL89F122 2847-2848      WL89F123 2849-2850      WL89F127 2851-2852
        WL89F129 2853-2855      WL89F171 2856-2857      WL89F191 2858-2859
        WL89G_1 2860-2862       WL89B_2 2863-2864       WL89C_2 2865-2866
        WL89D_2 2867-2868       WL89E_2 2869-2870       WL89F2_1 2871-2872
        WL89F2_2 2873-2874      WL89F211 2875-2876      WL89F212 2877-2878
        WL89F213 2879-2880      WL89F221 2881-2882      WL89F222 2883-2884
        WL89F223 2885-2886      WL89F227 2887-2888      WL89F229 2889-2890
        WL89F271 2891-2892      WL89F291 2893-2894      WL89G_2 2895-2896
        WL90 2897-2898          WL91 2899-2900          WL92_01 2901-2902
        WL92_02 2903-2904       WL92_11 2905-2906       WL92_12 2907-2908
        WL92_13 2909-2911       WL92_21 2912-2913       WL92_22 2914-2915
        WL92_23 2916-2917       WL92_27 2918-2919       WL92_29 2920-2922
        WL92_71 2923-2924       WL92_91 2925-2926       WL92A_1 2927-2929
        WL92A_2 2930-2931       WL93 2932-2935          WL93_A 2936-2939
        WL93_B_1 2940-2941      WL93_B_2 2942-2943      WL93_B_3 2944-2945
        WL93_B_4 2946-2947      WL93_B_5 2948-2949      WL93_B_6 2950-2951
        WL93_B_7 2952-2953      WL93_B_8 2954-2955      WL93_C 2956-2957
        WL94 2958-2959          WL94_A 2960-2961        WL94_B_1 2962-2963
        WL94_B_2 2964-2965      WL94_B_3 2966-2967      WL94_B_4 2968-2969
        WL94_B_5 2970-2971      WL94_B_6 2972-2973      WL94_B_7 2974-2975
        WL94_B_8 2976-2977      WL94_C 2978-2979        WL95 2980-2981
        WL95_A_1 2982-2983      WL95_A_2 2984-2985      WL95_A_3 2986-2987
        WL95_A_4 2988-2989      WL95_A_5 2990-2991      WL95_A_6 2992-2993
        WL95B_1 2994-2995       WL95C_1 2996-2997       WL95D_1 2998-3000
        WL95E_1 3001-3002       WL95F1_1 3003-3004      WL95F1_2 3005-3006
        WL95F127 3007-3008      WL95F129 3009-3011      WL95F171 3012-3014
        WL95F191 3015-3016      WL95G_1 3017-3019       WL95B_2 3020-3021
        WL95C_2 3022-3023       WL95D_2 3024-3025       WL95E_2 3026-3027
        WL95F2_1 3028-3029      WL95F2_2 3030-3031      WL95F227 3032-3033
        WL95F229 3034-3035      WL95F271 3036-3037      WL95F291 3038-3039
        WL95G_2 3040-3041       WL96 3042-3043          WL97 3044-3045
        WL98_01 3046-3047       WL98_02 3048-3049       WL98_11 3050-3052
        WL98_12 3053-3054       WL98_13 3055-3056       WL98_21 3057-3058
        WL98_22 3059-3060       WL98_23 3061-3062       WL98_27 3063-3065
        WL98_28 3066-3067       WL98_29 3068-3070       WL98_30 3071-3072
        WL98_71 3073-3074       WL98_91 3075-3077       WL98A_1 3078-3080
        WL98A_2 3081-3082       WL99 3083-3085          WL99_A_1 3086-3087
        WL99_A_2 3088-3089      WL99_A_3 3090-3091      WL99_A_4 3092-3093
        WL99_A_5 3094-3095      WL99_A_6 3096-3097      WL99_B 3098-3099
        WL100 3100-3101         WL100A_1 3102-3103      WL100A_2 3104-3105
        WL100A_3 3106-3107      WL100A_4 3108-3109      WL100A_5 3110-3111
        WL100A_6 3112-3113      WL100_B 3114-3115       WL101 3116-3117
        WL101A_1 3118-3119      WL101A_2 3120-3121      WL101A_3 3122-3123
        WL101A_4 3124-3125      WL101A_5 3126-3127      WL101A_6 3128-3129
        WL101B_1 3130-3131      WL101C_1 3132-3133      WL101D_1 3134-3135
        WL101E_1 3136-3137      WL101B_2 3138-3139      WL101C_2 3140-3141
        WL101D_2 3142-3143      WL101E_2 3144-3145      WL102 3146-3147
        WL103 3148-3149         WL104_01 3150-3151      WL104_02 3152-3153
        WL104_11 3154-3155      WL104_12 3156-3157      WL104_13 3158-3160
        WL104_21 3161-3162      WL104_22 3163-3164      WL104_23 3165-3166
        WL104_27 3167-3169      WL104_28 3170-3171      WL104_29 3172-3173
        WL104_71 3174-3175      WL104_91 3176-3177      WL104A_1 3178-3180
        WL104A_2 3181-3182      WL105 3183-3185         WL105A_1 3186-3187
        WL105A_2 3188-3189      WL105A_3 3190-3191      WL105A_4 3192-3193
        WL105A_5 3194-3195      WL105A_6 3196-3197      WL105_B 3198-3199
        WL106 3200-3201         WL106A_1 3202-3203      WL106A_2 3204-3205
        WL106A_3 3206-3207      WL106A_4 3208-3209      WL106A_5 3210-3211
        WL106A_6 3212-3213      WL106_B 3214-3215       WL107 3216-3217
        WL107A51 3218-3220      WL107A52 3221-3222      WL107A53 3223-3224
        WL107A54 3225-3226      WL107A91 3227-3228      WL107B_1 3229-3231
        WL107C_1 3232-3233      WL107D_1 3234-3235      WL107E_1 3236-3237
        WL107B_2 3238-3239      WL107C_2 3240-3241      WL107D_2 3242-3243
        WL107E_2 3244-3245      WL108 3246-3247         WL108_A 3248-3250
        WL108_B 3251-3252       WL109 3253-3254         WL110 3255-3256
        WL111_A 3257-3258       WL111_B 3259-3260       WL113_01 3261-3262
        WL113_02 3263-3264      WL113_11 3265-3267      WL113_12 3268-3269
        WL113_13 3270-3271      WL113_21 3272-3274      WL113_22 3275-3276
        WL113_23 3277-3279      WL113_24 3280-3281      WL113_25 3282-3283
        WL113_26 3284-3285      WL113_27 3286-3287      WL113_28 3288-3289
        WL113_29 3290-3292      WL113_71 3293-3294      WL113_91 3295-3297
        WL114_A 3298-3299       WL114_B 3300-3301       WL114_C 3302-3303
        WL114_D 3304-3305       WL114_E 3306-3307       WL114_F 3308-3309
        WL114_G 3310-3311       WL114_H 3312-3313       WL114_I 3314-3315
        WL114_J 3316-3317       WL114_K 3318-3319       WL114K_1 3320-3321
        WL114K_2 3322-3323      WL114K_3 3324-3325      WL114K_4 3326-3327
        WL115 3328-3330         WL116 3331-3333         WL117 3334-3335
        WL117_B1 3336-3337      WL117_B2 3338-3339      WL117_B3 3340-3341
        WL117_B4 3342-3343      WL117_B5 3344-3345      WL118 3346-3347
        WL118_A 3348-3349       WL119 3350-3351         WL120 3352-3353
        WL121_A 3354-3355       WL121_B 3356-3357       WL121_C 3358-3359
        WL121_D 3360-3361       WL121_E 3362-3363       WL121_F 3364-3365
        WL122 3366-3367         WL123_W 3368-3370       WL124 3371-3372
        WL125 3373-3374         WL126 3375-3376         WL127 3377-3378
        WL128 3379-3380         WLDM 3381-3383          WLTH 3384-3386
        WLTM 3387-3389          WLAMPM 3390-3391        WM1 3392-3393
        WM2 3394-3395           WM3 3396-3397           WM4 3398-3399
        WM5 3400-3401           WM6 3402-3403           WM7 3404-3405
        WM8 3406-3407           WM9 3408-3409           WM10A 3410-3411
        WM10B 3412-3413         WM11A 3414-3415         WM11B 3416-3417
        WM11C 3418-3419         WM12A 3420-3421         WM12B 3422-3423
        WM12C 3424-3425         WM12D 3426-3427         WM12E 3428-3429
        WM13 3430-3431          WM14A 3432-3433         WM14B 3434-3435
        WM14C 3436-3437         WM15A 3438-3439         WM15B 3440-3441
        WM16 3442-3443          WM17 3444-3445          WM18A 3446-3447
        WM18B 3448-3449         WM18C 3450-3451         WM19 3452-3453
        WM20 3454-3455          WM21 3456-3457          WMDM 3458-3460
        WMTH 3461-3462          WMTM 3463-3465          WMAMPM 3466-3467
        WN1 3468-3469           WN2 3470-3471           WN2A 3472-3474
        WN3_1_1 3475-3476       WN3_1_2 3477-3478       WN3_2_1 3479-3480
        WN3_2_2 3481-3482       WN3_3_1 3483-3484       WN3_3_2 3485-3486
        WN3_4_1 3487-3488       WN3_4_2 3489-3490       WN4 3491-3492
        WN4A1 3493-3494         WN4A2 3495-3496         WN4A3 3497-3498
        WN4A4 3499-3500         WN4A5 3501-3502         WN4A6 3503-3504
        WN5 3505-3506           WN6 3507-3508           WN6A1 3509-3510
        WN6A2 3511-3513         LDATE_M 3514-3516       LDATE_Y 3517-3519
        WIA1_1 3520-3521        WIA1_2 3522-3524        WIA2_1 3525-3526
        WIA2_2 3527-3530        WIA3_1 3531-3532        WIA3_2 3533-3536
        WIA4_1 3537-3538        WIA4_2 3539-3541        WIA5_1 3542-3543
        WIA5_2 3544-3545        WIA6_1 3546-3547        WIA6_2 3548-3551
        WIA7_1 3552-3553        WIA7_2 3554-3557        WIA8_1 3558-3559
        WIA8_2 3560-3561        WIA9_1 3562-3563        WIA9_2 3564-3566
        WIA10_1 3567-3568       WIA10_2 3569-3570       WP1A 3571-3572
        WP1B 3573-3574          WP1C 3575-3576          WP1D 3577-3578
        WP1E 3579-3580          WP1F 3581-3582          WP1G 3583-3584
        WP1H 3585-3586          WP1I 3587-3588          WP1J 3589-3590
        WP1K 3591-3592          WP1L 3593-3594          WP1M 3595-3596
        WP1N 3597-3598          WP2A 3599-3600          WP3A 3601-3602
        WP2B 3603-3604          WP3B 3605-3606          WP2C 3607-3608
        WP3C 3609-3610          WP2D 3611-3612          WP3D 3613-3614
        WP2E 3615-3616          WP3E 3617-3618          WP2F 3619-3620
        WP3F 3621-3622          WP2G 3623-3624          WP3G 3625-3626
        WP2H 3627-3628          WP3H 3629-3630          WP2I 3631-3632
        WP3I 3633-3634          WP2J 3635-3636          WP3J 3637-3638
        QU6 3639-3640           IA6 3641-3642           SU6 3643-3644
        MODALITY 3645-3646      SEX 3647-3648           AGE 3649-3650
        HLTHINS 3651-3652       FTWORK 3653-3654        MSTAT 3655-3656
        INSCHOOL 3657-3658      RACE 3659-3660          EDLEV 3661-3662
        RACESEX 3663-3664       HVY_ALC 3665-3666       ALCR 3667-3668
        MRJR 3669-3670          COCR 3671-3672          HERR 3673-3674
        NARR 3675-3676          SEDR 3677-3678          AMPR 3679-3680
        HALR 3681-3682          INHR 3683-3684          ALCWK 3685-3686
        MRJWK 3687-3688         COCWK 3689-3690         HERWK 3691-3692
        NARWK 3693-3694         SEDWK 3695-3696         AMPWK 3697-3698
        HALWK 3699-3700         INHWK 3701-3702         MRJ_EV 3703-3704
        COC_EV 3705-3706        HER_EV 3707-3708        NAR_EV 3709-3710
        SED_EV 3711-3712        AMP_EV 3713-3714        HAL_EV 3715-3716
        INH_EV 3717-3718        CJ_STAT 3719-3720       IAY_SIA 3721-3722
        MAJSRC 3723-3724        REFER 3725-3726         RESTRICT 3727-3728
        DRUGTX 3729-3731        SCHOOL 3732-3733        DEP_YR 3734-3735
        EMPSTAT 3736-3737       IAPY 3738-3739          PDT 3740-3741
        CRKR 3742-3743          CRKWK 3744-3745         ;


* SAS LABEL STATEMENT;

LABEL
   CASEID  = 'CASE IDENTIFICATION NUMBER'
   WDC_M   = 'MONTH/DATE COMPLETED'
   WDC_Y   = 'YEAR/DATE COMPLETED'
   WT_L_I  = 'MINUTES/TOTAL LENGTH OF INTERVIEW'
   WTIME1_H= 'TIME STARTED/HOURS'
   WTIME1_M= 'TIME STARTED/MINUTES'
   WAM_PM_1= 'TIME STARTED/AM OR PM'
   WA3     = 'ARE YOU HISPANIC/SPANISH ORIGIN/DESCENT?'
   WA3_A   = 'GROUP/DESCRIBES YOUR ETHNIC BACKGROUND'
   WA3_B   = 'NAME OF GROUP/BEST DESCRIBES YOU'
   WA4     = 'NAME OF GROUP/BEST DESCRIBES YOU'
   WA4_A   = 'GROUP/DESCRIBES YOUR ETHNIC BACKGROUND'
   WA5     = 'RESIDENT/PLACE YOU USUALLY LIVED IN'
   WA6     = '#WEEK/YOU LIVED IN PLACE/JAIL/HOSPITAL'
   WA7     = 'YOUR MARITAL STATUS'
   WA8     = 'HOW HUSBAND/WIFE FELT/YOUR USE OF DRUG'
   WA8_A   = 'HOW IMPORTANT/WAY HE/SHE FELT/YOUR DRUG USE'
   WA8_B   = 'SERIOUS PROBLEM W/HUSBAND/WIFE/YOUR DRUG USE'
   WA8_C   = 'HUSBAND/WIFE PRESSURE YOU/STAY IN DRUG TREAT'
   WA8_D   = 'HE/SHE/BEEN ABUSING DRUG/NOT ALCO'
   WA8_E   = 'WAS THIS PERSON IN DRUG TREATMENT'
   WA9     = 'HUSBAND/WIFE/HOW CONCERNED OF YOU'
   WA10    = 'WITH WHOM YOU LIVED MOST OF TIME'
   WA11    = 'HOW SATISFIED HAVE YOU BEEN LIVING?'
   WA12    = '#CHILDREN <18 YR OLD/YOU WERE RAISING'
   WA13    = '# <18 CHILDREN LIVED W/YOU SINCE ADMISSION'
   WA13A_02= '<18 YR OLD/LIVED W/SPOUSE/SEXUAL PARTNER'
   WA13A_03= '<18 YR OLD/LIVED W/X-SPOUSE/X-SEXUAL PARTNER'
   WA13A_04= '<18 YR OLD/LIVED W/OTHER RELATIVE(S)'
   WA13A_05= '<18 YR OLD/LIVED WITH NON RELATIVE(S)'
   WA13A_06= '<18 YR OLD/LIVED IN AN INSTITUTION'
   WA14    = '# CHILDREN HAVE LEGAL CUSTODY OF'
   WA14A_02= 'LEGAL CUSTODY/CHILD/SPOUSE/SEX PARTNER'
   WA14A_03= 'LEGAL CUSTODY/CHILD/EX-SPOUSE/SEX PARTNER'
   WA14A_04= 'LEGAL CUSTODY OF CHILD/OTHER RELATIVES'
   WA14A_05= 'LEGAL CUSTODY OF CHILD/NON RELATIVES'
   WA14A_06= 'LEGAL CUSTODY/CHILD/INSTITUTE'
   WA15_00 = 'HOW OFTEN SEE YOUR CHILD/NOT AT ALL'
   WA15_01 = 'HOW OFTEN SEE YOUR CHILD/> ONCE A WEEK'
   WA15_02 = 'HOW OFTEN SEE CHILD/AT LEAST ONCE A WK'
   WA15_03 = 'HOW OFTEN SEE YOUR CHILD/ALMOST DAILY'
   WA16    = 'DRUG TREATMENT AFFECT CUSTODY OF CHILD'
   WA17    = 'HOW WELL YOU WERE AS A PARENT/GUARDIAN'
   WA18    = 'HOW DIFFICULT FOR YOU TO FIND CHILD CARE'
   WA19    = 'YOU HAD A CLOSE RELATIONSHIP W/SOMEONE'
   WA19_A  = '#PEOPLE/YOU HAD RELATIONSHIP WITH'
   WA19_B  = 'SERIOUS PROBLEM GET ALONG W/FAMILY/FRIEND'
   WA20    = 'HOW IMPORTANT/COUNSELING/GET ALONG PROBLEM W/FAMILY'
   WA21    = 'HOW MUCH CONTACT W/FAMILY/FRIENDS'
   WA22    = 'HOW YOU DOING AS A FAMILY MEMBER/FRIEND'
   WA23_A  = 'DO PHYSICAL EXERCISE/IN A TYPICAL WEEK'
   WA23_B  = 'READ/DO HOBBIES/IN A TYPICAL WEEK'
   WA23_C  = 'ATTEND MEETING OF CLUB/IN A TYPICAL WEEK'
   WA24_A  = 'ANY CLOSE PEOPLE USED DRUG/NOT IN TREAT'
   WA24_B  = 'CLOSE PEOPLE DRANK HEAVY/NOT IN TREAT'
   WA24_C  = 'CLOSE PEOPLE GOT ARRESTED/NOT IN TREAT'
   WA24_D  = 'CLOSE PEOPLE ENTERED JAIL/NOT IN TREAT'
   WA24_E  = 'ANY CLOSE PEOPLE ENTERED DRUG TREAT'
   WA24_F  = 'CLOSE PEOPLE QUIT USE DRUGS/NOT IN TREAT'
   WA25    = 'HOW WAS YOUR LIFE SINCE ADMISSION'
   WA26    = 'THINGS BETTER/WORSE THAN A YEAR BEFORE'
   WA27    = 'PROBLEMS W/FAMILY/FRIENDS DUE DRUG USE'
   WA27A   = 'HOW SERIOUS PROBLEMS DUE DRUGS/ALCOHOL'
   WB1     = 'HIGHEST GRADE/SCHOOL YEAR ATTENDED'
   WB1_A   = 'DID YOU COMPLETE GRADE/YEAR'
   WB1_B   = 'ARE YOU CURRENTLY IN SCHOOL?'
   WB1_C   = 'KIND SCHOOL/TRAINING PROGRAM ATTENDING'
   WB1_D   = 'SINCE ADMISSION HOW HAVE GRADES BEEN'
   WB1_E   = 'TEACHER THOUGHT YOU DID AS WELL AS COULD'
   WB1_F   = 'FREQUENTLY IN TROUBLE W/TEACHERS/PRINCIPAL'
   WB1_G   = '# OF DAYS SKIPPED SCHOOL'
   WB2     = 'RECEIVED A HIGH SCHOOL DIPLOMA/GED'
   WB2_A   = 'DID YOU GET A DIPLOMA/GED'
   WB3_0   = 'RECEIVED NO DEGREE'
   WB3_1   = 'RECEIVED/JR COLLEGE/ASSOCIATE DEGREE'
   WB3_2   = 'RECEIVED/BACHELOR''S DEGREE'
   WB3_3   = 'RECEIVED/MASTER''S/PH.D'
   WB3_4   = 'RECEIVED/CERTIFICATE FROM VOCATIONAL/TRADE SCHOOL'
   WB3_5   = 'RECEIVED/LICENSE TO PRACTICE A TRADE'
   WB3_6   = 'RECEIVED/OTHER DEGREE/LICENSE, ETC.'
   WB4     = 'YOU HAVE CURRENT VALID DRIVER''S LICENSE'
   WB4_A   = 'STATUS OF YOUR DRIVER''S LICENSE'
   WB5     = 'A DEPENDABLE VEHICLE FOR YOU TO USE?'
   WC1     = 'DO YOU HAVE ANY HEALTH INSURANCE/PLAN'
   WC1_A_02= 'TYPE OF INSURANCE/OTHER PRIVATE INS'
   WC1_A_03= 'TYPE OF INSURANCE/HEALTH PLAN/HMO/PPO'
   WC1_A_04= 'TYPE OF INSURANCE/MEDICAID'
   WC1_A_05= 'TYPE OF INSURANCE/MEDICARE'
   WC1_A_06= 'TYPE OF INSURANCE/CHAMPUS/CHAMPVA'
   WC1_A_07= 'TYPE OF INSURANCE/OTHER'
   WC1_B   = 'HEALTH PLAN IN YOUR NAME/FAMILY MEMBER'
   WC1_C   = 'COST/DRUG TREATMENT COVERED BY THIS PLAN'
   WC1_D   = 'COST COVER BY INSURANCE/FOR DRUG TREAT'
   WC1_E   = 'PRIMARY FUNDS FOR TREATMENT/EXCLUDE INS'
   WC2     = 'TRANSPORTATION/GET TO TREATMENT PROGRAM'
   WC3     = 'EASY/DIFFICULT/GET TO PROGRAM/TREATMENT'
   WC3_A   = 'HAS IT BEEN SOMEWHAT EASY/VERY EASY'
   WC3_B   = 'HAS IT BEEN SOMEWHAT/VERY DIFFICULT'
   WC4_00  = 'CRIMINAL CHARGE/NONE'
   WC4_01  = 'CRIMINAL CHARGE/PROBATION'
   WC4_02  = 'CRIMINAL CHARGE/PAROLE'
   WC4_03  = 'CRIMINAL CHARGE/AWAITING TRIAL IN JAIL'
   WC4_04  = 'CRIMINAL CHARGE/AWAITING SENTENCE/JAIL'
   WC4_05  = 'CRIMINAL CHARGE/SERVING A SENTENCE/JAIL'
   WC4_06  = 'CRIMINAL CHARGE/ON BAIL AWAITING TRIAL'
   WC4_07  = 'CRIMINAL CHARGE/ON BAIL AWAITING SENTENCE'
   WC4_08  = 'CRIMINAL CHARGE/RELEASE ON OWN RECOGNIZANCE'
   WC4_09  = 'CRIMINAL CHARGE/OTHER STATUS'
   WC5     = 'CRIMINAL JUSTICE AWARE OF DRUG TREAT'
   WC5_A   = 'FELT PRESSURE DRUG TREATMENT/AUTHORITY AWARE'
   WC6     = 'CRIMINAL JUSTICE SUGGEST/REQUIRED DRUG TREAT'
   WC6_A   = 'PROGRAM REQUIRED/SUGGESTED'
   WC7     = 'CRIMINAL JUSTICE TESTED YOU FOR DRUG USE'
   WC7_A   = 'YOU BEEN CHECKED FOR DRUG/WHAT BASIS'
   WC7_B_1 = '#TIMES TEST WERE DONE/SINCE ADMISSION'
   WC7_B_2 = 'HOW OFTEN TESTS DONE/SINCE ADMISSION'
   WD1     = 'ANXIOUS/TENSE SINCE ADMISSION'
   WD1_A   = 'PERIODS/4WEEKS OR MORE/TENSE/ANXIOUS'
   WD1_B_1 = 'WHEN LAST PERIOD ENDED/NERVE PROBLEM'
   WD1_B_2 = '#WEEKS AFTER ADMISSION'
   WD1_C   = 'THAT PERIOD A DIRECT RESULT OF ALCOHOL/DRUG'
   WD2     = 'YOU FELT SAD/BLUE/DEPRESSED FOR 2 WEEKS'
   WD2_A   = 'YOU HAD ANY OTHER PROBLEMS AT SAME TIME'
   WD2_B   = '#PERIODS OF 2 WEEK/MORE/FELT SAD/BLUE'
   WD2_C_1 = 'WHEN LAST PERIOD ENDED/FELT BLUE'
   WD2_C_2 = '#WEEKS AFTER ADMISSION'
   WD2_D   = 'THAT PERIOD A DIRECT RESULT OF ALCOHOL/DRUG'
   WD3     = 'YOU THOUGHT A LOT ABOUT ENDING YOUR LIFE'
   WD3_A   = 'THOUGHTS OF SUICIDE RESULT OF ALCOHOL/DRUG'
   WD4     = 'DID YOU ATTEMPT SUICIDE'
   WD4_A   = 'SUICIDE ATTEMPT RESULT OF ALCOHOL/DRUG USE'
   WD5     = 'HAD TROUBLE CONTROLLING TEMPER'
   WD5_A_1 = 'WHEN LAST PERIOD ENDED/TEMPER PROBLEM'
   WD5_A_2 = '#WEEKS AFTER ADMISSION'
   WD5_B   = 'TEMPER PROBLEM RESULT OF ALCOHOL/DRUG'
   WD6     = 'YOU FELT VERY SUSPICIOUS OF PEOPLE'
   WD6_A_1 = 'WHEN LAST PERIOD ENDED/SUSPICIOUS OF PEOPLE'
   WD6_A_2 = '#WEEKS AFTER ADMISSION'
   WD6_B   = 'SUSPICIOUS OF PEOPLE RESULT OF ALCOHOL/DRUG'
   WD7     = 'YOU HAD HALLUCINATIONS'
   WD7_A_1 = 'WHEN LAST PERIOD ENDED/HALLUCINATION'
   WD7_A_2 = '#WEEKS AFTER ADMISSION'
   WD7_B   = 'HALLUCINATION/RESULT OF ALCOHOL/DRUG USE'
   WD8     = 'HAD TROUBLE CONCENTRATING/REMEMBERING'
   WD8_A   = 'TROUBLE CONCENTRATE/RESULT OF DRUG/ALCOHOL'
   WD9     = 'RECEIVED PAYMENT FOR PSYCHIATRIC DISABILITY'
   WD10    = 'TOOK PRESCRIPTION MEDICINE FOR MENTAL PROBLEM'
   WD10_A  = 'CURRENTLY TAKING MEDICINE FOR MENTAL PROBLEM'
   WD11    = 'HAD MENTAL PROBLEM BECAUSE OF DRUG/ALCOHOL USE'
   WD11_A  = 'HOW SERIOUS PROBLEM/BECAUSE OF DRUG/ALCOHOL USE'
   WD12    = 'HOW TROUBLED ARE YOU NOW/EMOTIONAL PROBLEM'
   WD13    = 'I AM SATISFIED WITH MYSELF'
   WD14    = 'AT TIMES I THINK I AM NO GOOD AT ALL'
   WD15    = 'I FEEL I HAVE A LOT OF GOOD QUALITIES'
   WD16    = 'I FEEL USELESS AT TIMES'
   WD17    = 'I WISH I COULD HAVE > RESPECT FOR MYSELF'
   WD18    = 'I FEEL THAT I AM A FAILURE'
   WD19    = 'IMPORTANCE OF MENTAL HEALTH TREATMENT'
   WE1     = '#DAYS YOU DRANK ANY ALCOHOL'
   WE2     = '#ALCOHOLIC DRINKS YOU HAVE ON EACH DAY'
   WE3     = 'YOU DRANK SEVERAL DAYS IN A ROW/3 MON'
   WE4     = '#DAYS YOU BEEN DRUNK/SINCE ADMISSION'
   WE5     = 'YOU HAD ALCOHOL DELIRIUM TREMENS'
   WE6     = 'EVER HAD ANY PROBLEM BECAUSE OF DRINKING'
   WE7     = 'HOW TROUBLED YOU BEEN BY ALCOHOL PROBLEM'
   WE8     = 'HOW IMPORTANT TO YOU/TREATMENT FOR ALCOHOL PROBLEM'
   WE9     = 'YOUR CHANCES ARE OF NEVER DRINKING ALCO'
   WE10    = 'HOW DIFFICULT/STOP DRINK ALCOHOL COMPLETELY'
   WE11    = 'WHAT CHANCES/REDUCING THE AMT OF ALCO'
   WE12    = 'DO YOU CURRENTLY SMOKE CIGARETTES'
   WE12_A  = 'HOW MUCH CURRENTLY SMOKE CIGARETTES'
   WE13    = 'SMOKE CIGARS/PIPE/SMOKELESS TOBACCO?'
   WE13_A_1= 'DO YOU SMOKE CIGARS'
   WE13_A_2= 'DO YOU SMOKE PIPE'
   WE13_A_3= 'DO YOU USE SMOKELESS TOBACCO/SNUFF'
   WE14    = 'HAVE YOU USED MARIJUANA/HASHISH/THC'
   WE14_A_1= 'HOW LONG AFTER TREATMENT FIRST USE DRUG'
   WE14_A_2= '#WEEKS AFTER ADMISSION USED DRUGS'
   WE14_B_1= 'WHEN DID YOU LAST USE DRUGS'
   WE14_B_2= '#WEEKS AGO USE DRUGS'
   WE14_C  = 'HOW OFTEN USED DRUGS SINCE ADMISSION'
   WE15    = 'HAVE YOU USED COCAINE IN ANY FORM'
   WE15_A_1= 'HOW LONG AFTER TREATMENT FIRST USED COCAINE'
   WE15_A_2= '#WEEKS AFTER ADMISSION USED COCAINE'
   WE15_B_1= 'HOW LONG AGO DID YOU LAST USE COCAINE'
   WE15_B_2= 'HOW MANY WEEKS AGO USE COCAINE'
   WE15_C  = 'HOW DID YOU USUALLY TAKEN COCAINE'
   WE15_D  = 'HOW OFTEN USED COCAINE SINCE ADMISSION'
   WE15_E  = 'HOW OFTEN USED CRACK SINCE ADMISSION'
   WE16    = 'HAVE YOU USED HEROIN/ALONE/COMBINED'
   WE16_A_1= 'HOW LONG AFTER TREATMENT FIRST USED HEROIN'
   WE16_A_2= '#WEEKS AFTER ADMISSION USED HEROIN'
   WE16_B_1= 'HOW LONG AGO DID YOU LAST USE HEROIN'
   WE16_B_2= 'HOW MANY WEEKS AGO USE HEROIN'
   WE16_C  = 'HOW DID YOU USUALLY TAKEN HEROIN'
   WE16_D  = 'HOW OFTEN USED HEROIN SINCE ADMISSION'
   WE16_E  = 'HOW OFTEN USED HEROIN/COCAINE TOGETHER'
   WE16_F  = 'HOW DID YOU USUALLY TAKE COCAINE/HEROIN'
   WE17    = 'DR. PRESCRIBE NARCOTICS FOR MEDICAL PROBLEM'
   WE17_A  = '#PRESCRIPTIONS FOR NARCOTICS'
   WE17_B_1= 'CODE/PRESCRIBED NARCOTICS'
   WE17_B_2= 'CODE/PRESCRIBED NARCOTICS'
   WE17_B_3= 'CODE/PRESCRIBED NARCOTICS'
   WE17_C  = '#WEEKS USED PRESCRIBE NARCOTICS'
   WE18    = 'HAVE YOU USED NARCOTICS W/OUT PRESCRIBE'
   WE18_A_1= 'HOW LONG AFTER TREATMENT FIRST USE NARCOTICS'
   WE18_A_2= '#WEEKS AFTER ADMISSION USED NARCOTICS'
   WE18_B_1= 'HOW LONG AGO DID YOU LAST USE NARCOTICS'
   WE18_B_2= 'HOW MANY WEEKS AGO USED NARCOTICS'
   WE18_C  = 'HOW DID YOU USUALLY TAKE NARCOTICS'
   WE18_D  = 'HOW OFTEN USED NARCOTICS SINCE ADMISSION'
   WE18_E  = 'HOW OFTEN USED ILLEGAL METHADONE'
   WE19    = 'DR. PRESCRIPTION SEDATIVE/TRANQUILIZER FOR MEDICINE PROBLEM'
   WE19_A  = '#PRESCRIPTIONS GOT FOR SEDATIVES'
   WE19B1_1= 'CODE/PRESCRIBED SEDATIVES'
   WE19B1_2= 'CODE/PRESCRIBED SEDATIVES'
   WE19B2_1= 'CODE/PRESCRIBED TRANQUILIZERS'
   WE19B2_2= 'CODE/PRESCRIBED TRANQUILIZERS'
   WE19_C  = '#WEEKS USED PRESCRIPTION SEDATIVE/TRANQUILIZER'
   WE20    = 'USED SEDATIVE/TRANQUILIZER WITHOUT PRESCRIPTION'
   WE20_A_1= 'HOW LONG AFTER TREATMENT FIRST USED SEDATIVE'
   WE20_A_2= '#WEEKS AFTER ADMISSION USED SEDATIVES'
   WE20_B_1= 'HOW LONG AGO DID YOU LAST USE SEDATIVES'
   WE20_B_2= 'HOW MANY WEEKS AGO USED SEDATIVES'
   WE20_C  = 'HOW DID YOU USUALLY TAKE SEDATIVES'
   WE20_D  = 'HOW OFTEN USED SEDATIVES SINCE ADMISSION'
   WE20_E_1= 'TYPE SEDATIVE/TRANQUILIZER/SLEEPING PILL'
   WE20_E_2= 'TYPE SEDATIVE/TRANQUILIZER/BARBITURATES'
   WE20_E_3= 'TYPE SEDATIVE/TRANQUILIZER/BENZODIAZEPINES'
   WE20_E_4= 'TYPE SEDATIVE/TRANQUILIZER/OTHER TRANQUILIZER'
   WE20_F  = 'TYPE SEDATIVE USED MOST/CODE FROM E20E'
   WE21    = 'DR. PRESCRIBED STIMULANTS FOR MEDICINE PROBLEM'
   WE21_A  = '#PRESCRIPTIONS GOT FOR STIMULANTS'
   WE21_B_1= 'CODE/PRESCRIBED STIMULANTS'
   WE21_B_2= 'CODE/PRESCRIBED STIMULANTS'
   WE21_B_3= 'CODE/PRESCRIBED STIMULANTS'
   WE21_C  = '#WEEKS USED PRESCRIBED STIMULANTS'
   WE22    = 'USED AMPHETAMINES W/OUT PRESCRIPTION'
   WE22_A_1= 'HOW LONG AFTER TREATMENT USED AMPHETAMINE'
   WE22_A_2= '#WEEK AFTER ADMISSION USE AMPHETAMINE'
   WE22_B_1= 'HOW LONG AGO YOU LAST USED AMPHETAMINES'
   WE22_B_2= 'HOW MANY WEEKS AGO USE AMPHETAMINES'
   WE22_C  = 'HOW DID YOU USUALLY TAKE AMPHETAMINES'
   WE22_D  = 'HOW OFTEN USE AMPHETAMINES SINCE ADMISSION'
   WE22_E  = 'HOW OFTEN YOU USE METHAMPHETAMINES'
   WE23    = 'DR. EVER PRESCRIPTION MAJOR TRANQUILIZER/ANTIDEPRESSANT'
   WE23_A  = 'USED MAJOR TRANQUILIZER/ANTIDEPRESSANTS'
   WE24    = 'HAVE YOU USED LSD/PCP/HALLUCINOGEN'
   WE24_A_1= 'HOW LONG AFTER TREATMENT USED LSD/PCP/HALLUCINOGEN'
   WE24_A_2= '#WEEK AFTER ADMISSION USE LSD/PCP/HALLUCINOGEN'
   WE24_B_1= 'HOW LONG AGO YOU LAST USE LSD/PCP'
   WE24_B_2= 'HOW MANY WEEKS AGO USE LSD/PCP/HALLUCINOGEN'
   WE24_C  = 'HOW DID YOU TAKE LSD/PCP/HALLUCINOGEN'
   WE24_D  = 'HOW OFTEN YOU USED LSD/PCP/HALLUCINOGEN'
   WE24_E  = 'HOW OFTEN USED PCP SINCE ADMISSION'
   WE25    = 'HAVE YOU USED INHALANTS SINCE ADMISSION'
   WE25_A_1= 'HOW LONG AFTER TREATMENT USE INHALANTS'
   WE25_A_2= '#WEEKS AFTER ADMISSION USE INHALANTS'
   WE25_B_1= 'HOW LONG AGO YOU LAST USED INHALANTS'
   WE25_B_2= 'HOW MANY WEEKS AGO USE INHALANTS'
   WE25_C  = 'HOW OFTEN USE INHALANTS SINCE ADMISSION'
   WE26    = 'WHICH DRUG CAUSED YOU MOST SERIOUS PROBLEM'
   WE26_A_1= 'HOW LONG AFTER TREATMENT USED PRIMARY DRUG'
   WE26_A_2= '#WEEK AFTER ADMISSION USE PRIMARY DRUG'
   WE26_B_1= 'HOW LONG AGO YOU LAST USE PRIMARY DRUG'
   WE26_B_2= 'HOW MANY WEEKS AGO USE PRIMARY DRUG'
   WE26_C  = 'HOW DID YOU TAKE PRIMARY DRUG'
   WE26_D  = 'HOW OFTEN YOU USED PRIMARY DRUG'
   WE27    = 'DRUG OTHER THAN PRIMARY CAUSE PROBLEMS'
   WE27_A  = 'SECOND PROBLEM DRUG'
   WE27_B_1= 'HOW LONG AFTER TREATMENT USED SECOND DRUG'
   WE27_B_2= '#WEEK AFTER ADMISSION USE SECOND DRUG'
   WE27_C_1= 'HOW LONG AGO YOU LAST USE SECOND DRUG'
   WE27_C_2= 'HOW MANY WEEKS AGO USE SECOND DRUG'
   WE27_D  = 'HOW DID YOU TAKE SECOND DRUG'
   WE27_E  = 'HOW OFTEN YOU USED SECOND DRUG'
   WE28    = 'DRUG OTHER THAN PRIMARY/SECONDARY CAUSE PROBLEMS'
   WE28_A  = 'THIRD PROBLEM DRUG'
   WE28_B_1= 'HOW LONG AFTER TREATMENT USED THIRD DRUG'
   WE28_B_2= '#WEEK AFTER ADMISSION USE THIRD DRUG'
   WE28_C_1= 'HOW LONG AGO YOU LAST USE THIRD DRUG'
   WE28_C_2= 'HOW MANY WEEKS AGO USE THIRD DRUG'
   WE28_D  = 'HOW DID YOU TAKE THIRD DRUG'
   WE28_E  = 'HOW OFTEN YOU USED THIRD DRUG'
   WE29    = '#DOLLARS SPENT ON DRUGS FOR OWN USE'
   WE30    = 'HAVE YOU OVERDOSED ON DRUGS'
   WE30_A  = '#TIMES YOU OVERDOSED DRUGS'
   WE31    = 'DID YOU USE DRUG WITH A NEEDLE/SYRINGE'
   WE31A_1 = 'FREQUENCY USE W/NEEDLE AFTER/REGULAR SEX PARTNER'
   WE31A_2 = 'FREQUENCY USE W/NEEDLE AFTER/UNKNOWN PARTNER'
   WE31A_3 = 'FREQUENCY USE W/NEEDLE AFTER/A PROSTITUTE'
   WE31A_4 = 'FREQUENCY USE W/NEEDLE AFTER/AIDS/HIV +'
   WE31A_5 = 'FREQUENCY USE W/NEEDLE AFTER/HOMO/BI/SEXUAL'
   WE31A_6 = 'FREQUENCY USE W/NEEDLE AFTER/STRANGER'
   WE32    = 'CLEAN NEEDLE BEFORE USE/AFTER PEOPLE'
   WE33_A  = 'CLEAN NEEDLE AFTER/W/ALCOHOL/WATER'
   WE33_B  = 'CLEAN NEEDLE AFTER/W/BLEACH & WATER'
   WE33_C  = 'CLEAN NEEDLE AFTER/W/BOIL IN WATER'
   WE33_D  = 'CLEAN NEEDLE AFTER/W/WATER/ONE CLEANED'
   WE33_E  = 'CLEAN NEEDLE AFTER/W/RINSE CLEAN WATER'
   WE33_F  = 'CLEAN NEEDLE AFTER/W/SOME OTHER METHOD'
   WE34    = 'HOW TROUBLED W/YOUR DRUG PROBLEM'
   WE35    = 'HOW IMPORTANT/GET TREATMENT FOR DRUG PROBLEM'
   WE36    = 'YOUR DRUG USE CAUSED PROBLEMS IN LIFE'
   WE37    = 'YOUR DRUG PROBLEM CAUSED BY OTHER PROBLEMS'
   WE38    = 'HOW TEMPTED ARE YOU TO USE DRUGS NOW'
   WE39_A  = 'KEEP FROM USE DRUG/PEOPLE MADE YOU TENSE'
   WE39_B  = 'KEEP FROM USE DRUG/REMEMBERED FEELING'
   WE39_C  = 'KEEP FROM USE DRUG/YOU FELT RELAXED/SURE'
   WE39_D  = 'KEEP FROM USE DRUG/FELT DROWSY/WANT AWAKE'
   WE39_E  = 'KEEP FROM USE DRUG/FOUND SUPPLY OF DRUGS'
   WE39_F  = 'KEEP FROM USE DRUG/PEOPLE DIDN''T LIKE YOU'
   WE39_G  = 'KEEP FROM USE DRUG/NOT ABLE TO GET SLEEP'
   WE39_H  = 'KEEP FROM USE DRUG/FELT NAUSEOUS'
   WE39_I  = 'KEEP FROM USE DRUG/PLACE/PEOPLE USE DRUG'
   WE39_J  = 'KEEP FROM USE DRUG/FELT HAPPY W/SOMETHING'
   WE39_K  = 'KEEP FROM USE DRUG/FELT ANGRY ABOUT THING'
   WE39_L  = 'KEEP FROM USE DRUG/THINK USE JUST ONE TIME'
   WE39_M  = 'KEEP FROM USE DRUG/FELT CONFUSED'
   WE39_N  = 'KEEP FROM USE DRUG/FELT SAD/DEPRESSED'
   WE39_O  = 'KEEP FROM USE DRUG/ENCOURAGED TO USE IT'
   WE39_P  = 'KEEP FROM USE DRUG/USE IT A FEW TIMES'
   WE39_Q  = 'KEEP FROM USE DRUG/PROBLEM W/PEOPLE A/SCHOOL'
   WE39_R  = 'KEEP FROM USE DRUG/PROBLEM W/FAMILY/FRIENDS'
   WE39_S  = 'KEEP FROM USE DRUG/BORED/NOTHING TO DO'
   WE39_T  = 'KEEP FROM USE DRUG/IN PHYSICAL PAIN'
   WE40    = 'OTHER TIME/TEMPTED TO USE DRUGS'
   WE40_B_1= 'CONFIDENCE WHEN TEMPTED TO USE DRUGS/1ST'
   WE40_B_2= 'CONFIDENCE WHEN TEMPTED TO USE DRUGS/2ND'
   WE40_B_3= 'CONFIDENCE WHEN TEMPTED TO USE DRUGS/3RD'
   WE41_A  = 'HOW SURE/KEEP FROM USE DRUG/IN TREATMENT'
   WE41_B  = 'HOW SURE/KEEP FROM USE DRUG/FINISH TREATMENT'
   WE42    = 'HOW DIFFICULT/STOP DRUG/REST OF LIFE'
   WE43    = 'CHANCES/QUIT DRUGS/REST OF YOUR LIFE'
   WE44    = 'TREATMENT HELP/QUIT DRUGS/REST OF LIFE'
   WE45    = 'HOW DIFFICULT/CUT DOWN/REST OF LIFE'
   WE46    = 'CHANCES ARE OF CUTTING DOWN USE OF DRUG'
   WE47    = 'HOW MUCH/DRUG TREATMENT HELP/CUT DOWN'
   WE48_A  = 'I AM DOING SOMETHING ABOUT MY PROBLEM'
   WE48_B  = 'HAVE DIFFICULT PROBLEM/WORKING ON THEM'
   WE48_C  = 'BEING HERE/WASTE OF TIME/I AM NOT CAUSE'
   WE48_D  = 'I AM WORKING ON MY PROBLEMS'
   WE48_E  = 'STRUGGLE W/PROBLEM/THOUGHT TAKEN CARE'
   WE48_F  = 'WISH HAD IDEAS/HOW TO SOLVE MY PROBLEM'
   WE48_G  = 'MAY BE THIS PLACE WILL HELP ME'
   WE48_H  = 'DOING SOMETHING ABOUT CHANGING MYSELF'
   WE48_I  = 'BORING TO TALK ABOUT MY PROBLEMS'
   WE48_J  = 'DOES NOT DO GOOD TO THINK ABOUT PROBLEM'
   WE48_K  = 'LIVE W/MY FAULTS/THAN TRY TO CHANGE'
   WE48_L  = 'TRY TO CHANGE MY PROBLEM/THEY COME BACK'
   WF1     = '#DIFFERENT FEMALES W/HAD VAGINAL INTERCOURSE'
   WF1_A   = 'USED CONDOM/VAGINAL INTERCOURSE W/FEMALES'
   WF2     = '#OF DIFFERENT FEMALES W/HAD ANAL INTERCOURSE'
   WF2_A   = 'USED CONDOM/ANAL INTERCOURSE W/FEMALES'
   WF3     = 'INTERCOURSE W/FEMALES/TOOK $/DRUG FOR SEX'
   WF4     = 'INTERCOURSE W/FEMALE/SHOOT UP DRUG'
   WF5     = '# DIFFERENT MALES W/YOU HAD ANAL INTERCOURSE'
   WF5_A   = 'USED CONDOM/ANAL INTERCOURSE W/MALES'
   WF6     = 'INTERCOURSE W/MALE/TOOK $/DRUG FOR SEX'
   WF7     = 'HAD INTERCOURSE W/MALE/SHOOT UP DRUG'
   WF8     = 'ANYONE GAVE MONEY/DRUG/FOR INTERCOURSE'
   WF9     = 'ANYONE TESTED+/HAD AIDS'
   WF9_A   = 'INTERCOURSE W/#PEOPLE/WHO TEST+/AIDS'
   WF10    = '# DIFFERENT MALES/YOU HAD VAGINAL INTERCO W/'
   WF10_A  = 'USED CONDOM/VAGINAL INTERCOURSE W/MALES'
   WF11    = '# DIFFERENT MALES/YOU HAD ANAL INTERCOURSE W/'
   WF11_A  = 'USED CONDOM/ANAL INTERCOURSE W/MALES'
   WF12    = 'SEX PARTNER HAD INTERCOURSE W/BOTH SEX'
   WF13    = 'MALE SEX PARTNER TOOK MONEY/DRUG FOR SEX'
   WF14    = 'ANY MALE GAVE MONEY/DRUGS FOR INTERCOURSE'
   WF15    = 'MALE SEX PARTNER EVER SHOOT UP DRUGS'
   WF16    = 'MALE SEX PARTNER/TESTED +/HAD AIDS'
   WF16_A  = '#MALES TEST+/HAD AIDS/YOU HAD INTERCO W/'
   WF17    = 'SERVICES/ABOUT HIV INFECTION/AIDS'
   WF17_A_1= 'SERVICES/ABOUT REDUCE RISK/NEEDLE USE'
   WF17_A_2= 'SERVICES/REDUCE RISK/SEXUAL TRANSMISSION'
   WF17_A_3= 'SERVICES/ABOUT HEALTH CARE OPTION/AIDS'
   WF17_A_4= 'SERVICES/KNOWLEDGE/HIV INFECTION/AIDS'
   WF17_B  = 'SERVICES/PROGRAM/OTHER PLACE/BOTH'
   WF17_C  = '#MEETINGS/FOR SERVICES'
   WF17D_01= 'TALKED TO/PRIMARY/REGULAR COUNSELOR'
   WF17D_02= 'TALKED TO/CASE MANAGER'
   WF17D_14= 'TALKED TO/OTHER PROGRAM STAFF'
   WF17D_23= 'TALKED TO/NURSE'
   WF17D_24= 'TALKED TO/PHYSICIAN'
   WF17D_25= 'TALKED TO/SCHOOL STAFF'
   WF17D_61= 'TALKED TO/PUBLIC HEALTH AGENCY'
   WF17D_62= 'TALKED TO/AIDS OUTREACH WORKER'
   WF17D_91= 'TALKED TO/OTHER'
   WF17_E  = 'HOW HELPFUL WAS SERVICE'
   WF18    = 'BLOOD TEST FOR AIDS VIRUS'
   WG1     = 'YOUR HEALTH NOW'
   WG2     = 'HEALTH/COMPARE TO YOUR AGE PEOPLE'
   WG3     = 'YOUR HEALTH/COMPARE TO AT ADMISSION'
   WG4     = 'ARE YOU PREGNANT'
   WG4_A   = 'PREGNANCY HAS BEEN VERIFIED'
   WG4_B_1 = 'PREGNANCY VERIFIED BY/DOCTOR'
   WG4_B_2 = 'PREGNANCY VERIFIED BY/PREGNANCY TEST'
   WG4_B_3 = 'PREGNANCY VERIFIED/HOME PREGNANCY TEST'
   WG4_B_4 = 'PREGNANCY VERIFIED BY/OTHER'
   WG4_C   = '# OF MONTHS PREGNANT'
   WG4_D   = 'PHYSICAL DISCOMFORT DURING PREGNANCY'
   WG4_E   = 'PREGNANCY AFFECT/ENTER DRUG TREATMENT'
   WG4F_1  = 'PREGNANCY/AFFECT OF DRUGS ON BABY'
   WG4F_2  = 'PREGNANCY/CONCERN ABOUT OWN HEALTH'
   WG4F_3  = 'PREGNANCY/COST OF DRUGS'
   WG4F_4  = 'PREGNANCY/PRESSURE FROM OTHERS'
   WG4F_5  = 'PREGNANCY/AFFECT CHILD CUSTODY'
   WG4F_6  = 'PREGNANCY/OTHER'
   WG4G    = '#TIMES SAW DOCTOR ABOUT PREGNANCY'
   WG5_A   = 'LIMIT VIGOROUS ACTIVITY'
   WG5_B   = 'LIMIT MODERATE ACTIVITY'
   WG5_C   = 'LIMIT WALK UP HILL/CLIMB STAIRS'
   WG5_D   = 'PREVENT YOU FROM BENDING/LIFTING'
   WG5_E   = 'LIMIT YOU TO WALK 1 BLOCK'
   WG5_F   = 'LIMIT YOU TO EAT/DRESS'
   WG7     = 'HEALTH KEPT YOU FROM WORK/SCHOOL'
   WG7_A   = '#DAYS/HEALTH KEPT YOU FROM WORK/SCHOOL'
   WG8     = 'STAY OVERNIGHT IN HOSPITAL/HEALTH PROBLEM'
   WG9     = '#HOSPITALIZATION/PHYS HEALTH PROBLEM/NOT DRUG'
   WG10    = '#DAY HOSPITAL FOR PHYSICAL HEALTH PROBLEM/NOT DRUG'
   WG11    = '#DAY/INJURY/ILLNESS KEPT YOU IN BED FOR ALL DAY'
   WG12    = 'DISABILITY PAYMENT/PHYS HEALTH PROBLEM'
   WG12A_1 = 'TYPE OF PENSION/SSDI'
   WG12A_2 = 'TYPE OF PENSION/SSI'
   WG12A_3 = 'TYPE OF PENSION/WORKER''S COMP'
   WG12A_4 = 'TYPE OF PENSION/OTHER'
   WG12B_1 = '1ST TYPE OF DISABILITY - RECODED'
   WG12B_2 = '1ST TYPE OF DISABILITY - RECODED'
   WG12B_3 = '1ST TYPE OF DISABILITY - RECODED'
   WG13    = 'HOW TROUBLED BY MEDICAL PROBLEM'
   WG14    = 'HOW IMPORTANT TREATMENT NOW FOR MEDICINE PROBLEM'
   WG15    = 'HAD PHYSICAL PROBLEM BECAUSE OF DRUG/ALCOHOL USE'
   WG15_A  = 'HOW SERIOUS PROBLEMS DUE DRUG/ALCOHOL USE'
   WH1     = 'SPENT TIME IN DETENTION/JAIL/PRISON'
   WH1_A   = '#DAYS/SPENT IN DETENTION/JAIL/PRISON'
   WH2_A   = 'ARRESTED/USE OF MARIJUANA/NARCOTICS'
   WH3_A   = '#ARRESTS/USE OF MARIJUANA/NARCOTICS'
   WH2_B   = 'ARRESTED FOR/SALE/MANUFACTURE OF DRUGS'
   WH3_B   = '#ARRESTS/SALE/MANUFACTURE OF DRUGS'
   WH2_C   = 'ARRESTED FOR/FORGERY/FRAUD'
   WH3_C   = '#ARRESTS/FORGERY/FRAUD'
   WH2_D   = 'ARRESTED FOR/BURGLARY/BREAKING'
   WH3_D   = '#ARRESTS/BURGLARY/BREAKING'
   WH2_E   = 'ARRESTED FOR/LARCENY-THEFT'
   WH3_E   = '#ARRESTS/LARCENY-THEFT'
   WH2_F   = 'ARRESTED FOR/PIMPING/PROSTITUTION'
   WH3_F   = '#ARRESTS/PIMPING/PROSTITUTION'
   WH2_G   = 'ARRESTED FOR/ROBBERY-BANK/MUGGING'
   WH3_G   = '#ARRESTS/ROBBERY-BANK/MUGGING'
   WH2_H   = 'ARRESTED FOR/ATTACKS ON PERSONS/KIDNAP'
   WH3_H   = '#ARRESTS/ATTACKS ON PERSONS/KIDNAPPING'
   WH2_I   = 'ARRESTED FOR/OTHER OFFENCE/SIMPLE ASSAULT'
   WH3_I   = '#ARRESTS/OTHER OFFENCES/SIMPLE ASSAULT'
   WH2_J   = 'ARRESTED FOR/DRIVING UNDER INFLUENCE'
   WH3_J   = '#ARRESTS/DRIVING UNDER THE INFLUENCE'
   WH2_K   = 'ARRESTED FOR/STATUS OFFENSES'
   WH3_K   = '#ARRESTS/STATUS OFFENSES'
   WH2_L   = 'ARRESTED FOR/OTHER OFFENCES/GAMBLING'
   WH3_L   = '#ARRESTS/OTHER OFFENCES/GAMBLING'
   WH4     = '#TIMES YOU BEEN CONVICTED'
   WH5     = 'HOW OFTEN/INVOLVED IN ILLEGAL ACTIVITY'
   WH6     = 'HAD POLICE/LEGAL PROBLEMS DUE DRUGS/ALCOHOL'
   WH6_A   = 'HOW SERIOUS/LEGAL PROBLEM/USING DRUGS'
   WH7     = 'HOW TROUBLED/LEGAL PROBLEM/NOT CIVIL PROBLEM'
   WH8     = 'DO YOU HAVE LEGAL SERVICES'
   WH8_A   = 'DO YOU NEED LEGAL SERVICES'
   WH9     = 'IMPORTANCE/COUNSELING FOR LEGAL PROBLEM'
   WJ1     = 'WHAT YOU DID MOST TIME LAST WEEK'
   WJ2     = 'WORKED FOR PAY/NO ILLEGAL ACTIVITIES'
   WJ2_A   = 'DID YOU EARN ANY MONEY LEGALLY'
   WJ2_B   = 'LOST/TOOK OFF TIME FOR ANY REASON'
   WJ2_C   = '#HOURS MISSED AT WORK'
   WJ2_D   = '#HOURS WORKED FOR PAY/NO ILLEGAL ACTIVITY'
   WJ2_E   = 'REASON WORKED LESS THAN 35 HOURS A WEEK'
   WJ2_F   = 'REASON 35/>/PAID JOB/NO ILLEGAL ACTIVITY'
   WJ2_G   = 'REASON WORKED LESS THAN 35 HOURS A WEEK'
   WJ3     = 'DID YOU LOOK FOR WORK'
   WJ3_A_1 = 'TO FIND WORK/NO METHODS USED'
   WJ3_A_2 = 'TO FIND WORK/PUB EMPLOYMENT AGENCY'
   WJ3_A_3 = 'TO FIND WORK/PRIVATE EMPLOY AGENCY'
   WJ3_A_4 = 'TO FIND WORK/EMPLOYERS APPROACHED'
   WJ3_A_5 = 'TO FIND WORK/TALK W/FRIEND/RELATIVE'
   WJ3_A_6 = 'TO FIND WORK/PLACED ADS'
   WJ3_A_7 = 'TO FIND WORK/OTHER'
   WJ3_B   = 'PROBLEMS FINDING WORK'
   WJ3_C_1 = 'PROBLEM FIND JOB/NO JOBS AVAILABLE'
   WJ3_C_2 = 'PROBLEM FIND JOB/LACK OF EDUCATION/SKILL/EXPERIENCE'
   WJ3_C_3 = 'PROBLEM FIND JOB/LANGUAGE PROBLEM'
   WJ3_C_4 = 'PROBLEM FIND JOB/TOO YOUNG/TOO OLD'
   WJ3_C_5 = 'PROBLEM FIND JOB/ARREST RECORD'
   WJ3_C_6 = 'PROBLEM FIND JOB/DRUG HISTORY'
   WJ3_C_7 = 'PROBLEM FIND JOB/OTHER PERSONAL HANDICAP'
   WJ3_C_8 = 'PROBLEM FIND JOB/ILL HEALTH'
   WJ3_C_9 = 'PROBLEM FIND JOB/IMMIGRATION STATUS'
   WJ3_C_10= 'PROBLEM FIND JOB/PERCEIVED DISCRIMINATION'
   WJ3_C_11= 'PROBLEM FIND JOB/OTHER'
   WJ4_0   = 'NOT LOOK FOR WORK/NO REASONS'
   WJ4_1   = 'NOT LOOK FOR WORK/SATISFIED W/JOB'
   WJ4_2   = 'NOT LOOK FOR WORK/BELIEVE NO JOB AVAIL'
   WJ4_3   = 'NOT LOOK FOR WORK/COULD NOT FIND WORK'
   WJ4_4   = 'NOT LOOK FOR WORK/LACK SKILL/TRAINING'
   WJ4_5   = 'NOT LOOK FOR WORK/TOO OLD/YOUNG'
   WJ4_6   = 'NOT LOOK FOR WORK/PERSONAL HANDICAP'
   WJ4_7   = 'NOT LOOK FOR WORK/FAMILY RESPONSIBILITY'
   WJ4_8   = 'NOT LOOK FOR WORK/IN SCHOOL/TRAINING'
   WJ4_9   = 'NOT LOOK FOR WORK/ILL HEALTH'
   WJ4_10  = 'NOT LOOK FOR WORK/IN JAIL/INSTITUTION'
   WJ4_11  = 'NOT LOOK FOR WORK/DRUG ACTIVITY'
   WJ4_12  = 'NOT LOOK FOR WORK/ILLEGAL ACTIVITY'
   WJ4_13  = 'NOT LOOK FOR WORK/BEING SUPPORTED'
   WJ4_14  = 'NOT LOOK FOR WORK/LANGUAGE PROBLEM'
   WJ4_15  = 'NOT LOOK FOR WORK/IMMIGRATION STATUS'
   WJ4_16  = 'NOT LOOK FOR WORK/OTHER'
   WJ5     = '#OF DIFFERENT JOBS/EMPLOYERS WORKED'
   WJ6     = '#WEEKS WORK/FULL OR PART TIME'
   WJ7     = '#WEEKS WORK/35 OR MORE HOURS'
   WJ8     = '#WEEKS WORKED/35 OR MORE HOURS'
   WJ9     = 'CODE LIST-OCCUPATION/TYPE OF YOUR JOB'
   WJ9_A   = 'BUSINESS OR INDUSTRY CODE'
   WJ9_B   = 'WAS THIS YOUR USUAL OCCUPATION'
   WJ9_C_OC= 'USUAL OCCUPATION CODE'
   WJ9_C   = 'DOLLARS/SALARY/RATE OF PAY/BEFORE TAXES'
   WJ9_COD = 'CODE FOR THE RATE'
   WJ10    = 'HOW TROUBLED/PROBLEM GET/HOLD JOB'
   WJ11    = 'HOW IMPORTANT/COUNSELING FOR JOB PROBLEM'
   WJ12    = 'JOB PROBLEM/BECAUSE OF DRUG/ALCOHOL USE'
   WJ12_A  = 'HOW SERIOUS PROBLEMS FOR DRUG/ALCOHOL USE'
   WK1_A   = 'INCOME SOURCE/ODD JOBS/NOT ILLEGAL ACTIVITY'
   WK2_A   = 'DOLLARS/RECEIVED BEFORE TAXES'
   WK1_B   = 'INCOME SOURCE/SSI'
   WK2_B   = 'DOLLARS/RECEIVED BEFORE TAXES'
   WK1_C   = 'INCOME SOURCE/SOCIAL SECURITY BENEFITS'
   WK2_C   = 'DOLLARS/RECEIVED BEFORE TAXES'
   WK1_D   = 'INCOME SOURCE/SPOUSE/FAMILY/ALIMONY'
   WK2_D   = 'DOLLARS/RECEIVED BEFORE TAXES'
   WK1_E   = 'INCOME SOURCE/POSSIBLY ILLEGAL'
   WK2_E   = 'DOLLARS/RECEIVED BEFORE TAXES'
   WK1_F   = 'INCOME SOURCE/ANY OTHER SOURCE'
   WK2_F   = 'DOLLARS/RECEIVED BEFORE TAXES'
   WK2_G   = 'TOTAL DOLLARS/COL 2 IN CHART 3'
   WK3     = 'TOTAL DOLLAR INCOME BEFORE TAXES'
   WK4     = 'SHARE INCOME/EXPENSES WITH ONE LIVE WITH'
   WK4_A   = '#PEOPLE YOU SHARE INCOME/EXPENSES W/'
   WK5     = 'TOTAL DOLLAR INCOME BEFORE TAXES/EVERYONE'
   WK6_A   = 'DOLLARS SPENT/HOUSING'
   WK6_B   = 'DOLLARS SPENT/MEDICAL EXPENSES'
   WK6_C   = 'DOLLARS SPENT/FOOD/CLOTHING'
   WK6_D   = 'DOLLARS SPENT/OTHER EXPENSES'
   WK7     = 'MONEY PROBLEM/BECAUSE ALCOHOL/DRUG USE'
   WK7_A   = 'HOW SERIOUS PROBLEMS FOR DRUG/ALCOHOL USE'
   WK8     = 'HOW TROUBLED BY MONEY PROBLEM'
   WK9     = 'HOW IMPORTANT/COUNSELING FOR MONEY PROBLEM'
   WL1     = '#DAYS RECEIVED SERVICES AT THIS PROGRAM'
   WL1_A   = '#DAYS RECEIVED SERVICES/OUTSIDE PROGRAM'
   WL2     = 'MISS SCHEDULED APPOINTMENT FOR SERVICE'
   WL2_A   = '#DAYS MISSED SCHEDULED APPOINTMENT'
   WL2_B   = 'CODE/MOST IMPORTANT REASON/MISS APPOINTMENT'
   WL2_C   = 'ANY REASON/MISS SCHEDULED APPOINTMENT'
   WL2_D   = 'CODE FROM CHART/SECOND IMPORTANT REASON'
   WL2_E   = 'OTHER REASON/MISS SCHEDULED APPOINTMENT'
   WL2_F_1 = 'CODE FROM CHART/OTHER REASON'
   WL2_F_2 = 'CODE FROM CHART/OTHER REASON'
   WL2_F_3 = 'CODE FROM CHART/OTHER REASON'
   WL3     = 'DID YOU DROP OUT FROM THIS PROGRAM'
   WL3_A   = '#DAYS OUT OF THIS PROGRAM'
   WL4     = 'RECEIVED TREATMENT FOR ALCOHOL PROBLEM'
   WL5     = 'RECEIVED THESE SERVICES AT PROGRAM'
   WL5_A_1 = 'SERVICES RECEIVED/INDIVIDUAL COUNSEL'
   WL5_A_2 = 'SERVICES RECEIVED/GROUP COUNSELING'
   WL5_A_3 = 'SERVICES RECEIVED/AA/12 STEP/SELF HELP'
   WL5_A_4 = 'SERVICES RECEIVED/OTHER'
   WL5_B_1 = 'TALKED TO/PRIMARY/REGULAR COUNSELOR'
   WL5_B_2 = 'TALKED TO/CASE MANAGER'
   WL5_B_11= 'TALKED TO/OTHER COUNSELOR'
   WL5_B_12= 'TALKED TO/OTHER CASE MANAGER'
   WL5_B_13= 'TALKED TO/SOCIAL WORKER'
   WL5_B_21= 'TALKED TO/PSYCHOLOGIST'
   WL5_B_22= 'TALKED TO/PSYCHIATRIST'
   WL5_B_23= 'TALKED TO/NURSE'
   WL5_B_31= 'TALKED TO/GROUP - NO LEADER'
   WL5_B_71= 'TALKED TO/STAFF FROM ANOTHER AGENCY'
   WL5_B_91= 'TALKED TO/OTHER'
   WL5_C   = '#DAYS/RECEIVED SERVICES FOR ALCOHOL PROBLEM'
   WL5_D   = 'HOW HELPFUL THE SERVICES'
   WL6     = 'RECEIVED SERVICES AT OTHER PLACE'
   WL6_A_A = 'SERVICE: COMMUNITY MENTAL HEALTH PROGRAM'
   WL6_A_B = 'SERVICE: ALCOHOL REHABILITATION CENTER'
   WL6_A_C = 'SERVICE: 28-DAY/OTHER SHORT TERM TREATMENT'
   WL6_A_D = 'SERVICE: THERAPEUTIC COMMUNITY'
   WL6_A_E = 'SERVICE: HALFWAY HOUSE'
   WL6_A_F = 'SERVICE: DETOXIFICATION TREATMENT UNIT'
   WL6_A_G = 'SERVICE: EMERGENCY ROOM/CRISIS CENTER'
   WL6_A_H = 'SERVICE: PRIVATE THERAPIST'
   WL6_A_I = 'SERVICE: OTHER OUTPATIENT TREATMENT'
   WL6_A_J = 'SERVICE: OTHER INPATIENT TREATMENT'
   WL6_B_1 = 'FIRST TREATMENT LOCATION'
   WL6_C_1 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #1'
   WL6_D_1 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #1'
   WL6_E_1 = 'HOW HELPFUL THESE SERVICES A/LOCATION #1'
   WL6_B_2 = 'SECOND TREATMENT LOCATION'
   WL6_C_2 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #2'
   WL6_D_2 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #2'
   WL6_E_2 = 'HOW HELPFUL THESE SERVICES A/LOCATION #2'
   WL6_B_3 = 'THIRD TREATMENT LOCATION'
   WL6_C_3 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #3'
   WL6_D_3 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #3'
   WL6_E_3 = 'HOW HELPFUL THESE SERVICES A/LOCATION #3'
   WL6_B_4 = 'FOURTH TREATMENT LOCATION'
   WL6_C_4 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #4'
   WL6_D_4 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #4'
   WL6_E_4 = 'HOW HELPFUL THESE SERVICES A/LOCATION #4'
   WL7     = 'RECEIVED SERVICES FOR DRUG ABUSE'
   WL7_A_A = 'SERVICES: PRIVATE PHYSICIAN/PSYCHIATRIST/PSYCHOLOGIST'
   WL7_A_B = 'SERVICES:28-DAY/OTHER SHORT TERM TREATMENT'
   WL7_A_C = 'SERVICES: THERAPEUTIC COMMUNITY'
   WL7_A_D = 'SERVICES: HALFWAY HOUSE'
   WL7_A_E = 'SERVICES: METHADONE TREATMENT PROGRAM'
   WL7_A_F = 'SERVICES: NON-METHADONE'
   WL7_A_G = 'SERVICES: DETOXIFICATION TREATMENT UNIT'
   WL7_A_H = 'SERVICES: OTHER OUTPATIENT DRUG TREATMENT'
   WL7_A_I = 'SERVICES: OTHER INPATIENT DRUG TREATMENT'
   WL7_B_1 = 'FIRST TREATMENT LOCATION'
   WL7_C_1 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #1'
   WL7_D_1 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #1'
   WL7_E_1 = 'HOW HELPFUL THESE SERVICES A/LOCATION #1'
   WL7_B_2 = 'SECOND TREATMENT LOCATION'
   WL7_C_2 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #2'
   WL7_D_2 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #2'
   WL7_E_2 = 'HOW HELPFUL THESE SERVICES A/LOCATION #2'
   WL7_B_3 = 'THIRD TREATMENT LOCATION'
   WL7_C_3 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #3'
   WL7_D_3 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #3'
   WL7_E_3 = 'HOW HELPFUL THESE SERVICES A/LOCATION #3'
   WL7_B_4 = 'FOURTH TREATMENT LOCATION'
   WL7_C_4 = '#DAYS SERVICES RECEIVED/TREATMENT/LOCATION #4'
   WL7_D_4 = 'WHO REFERRED YOU TO TREATMENT/LOCATION #4'
   WL7_E_4 = 'HOW HELPFUL THESE SERVICES A/LOCATION #4'
   WL8_0   = 'INDIVIDUAL COUNSELING/NO ONE'
   WL8_1   = 'INDIVIDUAL SERVICES/PRIMARY/REGULAR COUNSELOR'
   WL8_2   = 'INDIVIDUAL SERVICES/CASE MANAGER'
   WL8_11  = 'INDIVIDUAL SERVICES/OTHER COUNSELOR'
   WL8_12  = 'INDIVIDUAL SERVICES/OTHER CASE MANAGER'
   WL8_13  = 'INDIVIDUAL SERVICES/SOCIAL WORKER'
   WL8_21  = 'INDIVIDUAL SERVICES/PSYCHOLOGIST'
   WL8_22  = 'INDIVIDUAL SERVICES/PSYCHIATRIST'
   WL8_71  = 'INDIVIDUAL SERVICES/STAFF FROM OTHER AGENCY'
   WL8_91  = 'INDIVIDUAL SERVICES/OTHER'
   WL8_A_1 = 'TALKED TO MOST OFTEN/PROVIDER #1'
   WL8_A_2 = 'TALKED TO MOST OFTEN/PROVIDER #2'
   WL9     = '#TIMES/GOT INDIVIDUAL SERVICES (PRO #1)'
   WL9_A   = '#MINUTES/INDIVIDUAL SESSION LAST (PRO #1)'
   WL10    = 'CASELOAD ASSIGN TO THE PERSON (PRO #1)'
   WL11    = 'HOW YOU FEEL/PRO #1 UNDERSTANDS YOU'
   WL12    = 'YOUR RELATIONSHIP W/ PROVIDER #1'
   WL13_A  = 'HOW OFTEN TALK/USE OF ALCOHOL/PRO #1'
   WL13_B  = 'HOW OFTEN TALK/DRUG/CAUSE PROBLEM/PRO #1'
   WL13_C  = 'HOW OFTEN TALK/EMOTIONAL HEALTH/PRO #1'
   WL13_D  = 'HOW OFTEN TALK/RELATION W/FAMILY/PRO #1'
   WL13_E  = 'HOW OFTEN TALK/YOUR PHYS HEALTH/PRO #1'
   WL13_F  = 'HOW OFTEN TALK/YOUR EDUCATION/TRAINING/PRO #1'
   WL13_G  = 'HOW OFTEN TALK/INVOLVE W/COURT/PRO #1'
   WL13_H  = 'HOW OFTEN TALK/YOUR JOB/PRO #1'
   WL13_I  = 'HOW OFTEN TALK/LIVING EXPENSES/PRO #1'
   WL13_J  = 'HOW OFTEN TALK/REDUCE RISK/AIDS/PRO #1'
   WL13_K  = 'TALK/OTHER IMPORTANT ISSUES/PRO #1'
   WL13_K_1= 'HOW OFTEN TALK/SPECIFY 1ST ISSUE/PRO #1'
   WL13_K_2= 'HOW OFTEN TALK/SPECIFY 2ND ISSUE/PRO #1'
   WL13_K_3= 'HOW OFTEN TALK/SPECIFY 3RD ISSUE/PRO #1'
   WL13_K_4= 'HOW OFTEN TALK/SPECIFY 4TH ISSUE/PRO #1'
   WL14_A  = 'SESSIONS HELPED/STOP USE OF DRUG/PRO #1'
   WL14_B  = 'SESSIONS HELPED/OTHER PROBLEM/PRO #1'
   WL15_M  = 'MONTH/LAST SAW/PRO #1/INDIVIDUAL SERVICE'
   WL15_Y  = 'YEAR/LAST SAW/PRO #1/INDIVIDUAL SERVICE'
   WL16    = '#TIMES/GOT INDIVIDUAL SERVICES (PRO #2)'
   WL16_A  = '#MINUTES/INDIVIDUAL SESSION LAST (PRO #2)'
   WL17    = 'CASELOAD ASSIGN TO THE PERSON (PRO #2)'
   WL18    = 'DO YOU FEEL/PRO #2 UNDERSTANDS YOU'
   WL19    = 'RELATIONSHIP W/ PROVIDER #2'
   WL20_A  = 'HOW OFTEN TALK/USE OF ALCOHOL/PRO #2'
   WL20_B  = 'HOW OFTEN TALK/DRUG/CAUSE PROBLEM/PRO #2'
   WL20_C  = 'HOW OFTEN TALK/EMOTIONAL HEALTH/PRO #2'
   WL20_D  = 'HOW OFTEN TALK/RELATION W/FAMILY/PRO #2'
   WL20_E  = 'HOW OFTEN TALK/YOUR PHYS HEALTH/PRO #2'
   WL20_F  = 'HOW OFTEN TALK/YOUR EDUCATION/TRAINING/PRO #2'
   WL20_G  = 'HOW OFTEN TALK/INVOLVE W/COURT/PRO #2'
   WL20_H  = 'HOW OFTEN TALK/YOUR JOB/PRO #2'
   WL20_I  = 'HOW OFTEN TALK/LIVING EXPENSES/PRO #2'
   WL20_J  = 'HOW OFTEN TALK/REDUCE RISK/AIDS/PRO #2'
   WL20_K  = 'TALK/OTHER IMPORTANT ISSUES/PRO #2'
   WL20_K_1= 'HOW OFTEN TALK/SPECIFY 1ST ISSUE/PRO #2'
   WL20_K_2= 'HOW OFTEN TALK/SPECIFY 2ND ISSUE/PRO #2'
   WL20_K_3= 'HOW OFTEN TALK/SPECIFY 3RD ISSUE/PRO #2'
   WL20_K_4= 'HOW OFTEN TALK/SPECIFY 4TH ISSUE/PRO #2'
   WL21_A  = 'SESSIONS HELPED/STOP USE OF DRUG/PRO #2'
   WL21_B  = 'SESSIONS HELPED/OTHER PROBLEM/PRO #2'
   WL22_M  = 'MONTH/LAST SAW PRO #2/INDIVIDUAL SERVICE'
   WL22_Y  = 'YEAR/LAST SAW PRO #2/INDIVIDUAL SERVICE'
   WL23    = 'PERSON YOU SAW MOST/PRO #1/INDIV SERVICE'
   WL24    = 'PERSON YOU SAW MOST/PRO #2/INDIV SERVICE'
   WL25    = 'SAW MOST OFTEN AT PROGRAM/FOR INDIVIDUAL COUNSEL'
   WL26_M  = 'MONTH/LAST SAW PRO L25/INDIV SERVICE'
   WL26_Y  = 'YEAR/LAST SAW PRO L25/INDIV SERVICE'
   WL27    = 'SAW/LIST OF TREATMENT PLAN/ONE WROTE'
   WL28    = 'DO YOU KNOW WHO PREPARED TREATMENT PLAN'
   WL28A_00= 'PREPARED PLAN/SELF'
   WL28A_01= 'PREPARED PLAN/REGULAR COUNSELOR'
   WL28A_02= 'PREPARED PLAN/CASE MANAGER'
   WL28A_11= 'PREPARED PLAN/OTHER COUNSELOR'
   WL28A_12= 'PREPARED PLAN/OTHER CASE MANAGER'
   WL28A_13= 'PREPARED PLAN/SOCIAL WORKER'
   WL28A_21= 'PREPARED PLAN/PSYCHOLOGIST'
   WL28A_22= 'PREPARED PLAN/PSYCHIATRIST'
   WL28A_23= 'PREPARED PLAN/NURSE'
   WL28A_24= 'PREPARED PLAN/VOCATIONAL COUNSELOR'
   WL28A_25= 'PREPARED PLAN/PHYSICIAN'
   WL28A_26= 'PREPARED PLAN/PHYSICIAN''S ASSISTANT'
   WL28A_71= 'PREPARED PLAN/STAFF FROM OTHER AGENCY'
   WL28A_91= 'PREPARED PLAN/OTHER'
   WL28B   = 'PERSON MOST RESPONSIBLE WHO PREPARED PLAN'
   WL29    = 'MET W/ANYONE TO TALK/YOUR TREATMENT PLAN'
   WL29_A  = 'DO YOU KNOW GOALS IN TREATMENT PLAN'
   WL29_B_A= 'GOAL PLAN/YOUR USE OF ALCOHOL'
   WL29_B_B= 'GOAL PLAN/DRUG/CAUSED PROBLEM'
   WL29_B_C= 'GOAL PLAN/EMOTIONAL HEALTH'
   WL29_B_D= 'GOAL PLAN/RELATIONSHIP W/FAMILY'
   WL29_B_E= 'GOAL PLAN/YOUR PHYSICAL HEALTH'
   WL29_B_F= 'GOAL PLAN/YOUR EDUCATION/TRAINING'
   WL29_B_G= 'GOAL PLAN/INVOLVEMENT W/COURT'
   WL29_B_H= 'GOAL PLAN/YOUR JOB'
   WL29_B_I= 'GOAL PLAN/LIVING EXPENSES'
   WL29_B_J= 'GOAL PLAN/REDUCE RISK FOR GETTING AIDS'
   WL29_B_K= 'GOAL PLAN/OTHER IMPORTANT ISSUES'
   WL29B_K1= 'SPECIFY 1ST OTHER IMPORTANT ISSUE'
   WL29B_K2= 'SPECIFY 2ND OTHER IMPORTANT ISSUE'
   WL29B_K3= 'SPECIFY 3RD OTHER IMPORTANT ISSUE'
   WL29B_K4= 'SPECIFY 4TH OTHER IMPORTANT ISSUE'
   WL29_C  = 'AGREE WITH GOALS IN TREATMENT PLAN'
   WL29_D  = 'HOW MUCH/FELT IN DEVELOP YOUR TREATMENT PLAN'
   WL29_E  = 'HOW HELPFUL HAS THE PLAN BEEN'
   WL30    = 'ANY CHANGES IN TREATMENT PLAN'
   WL30_A  = '#TIMES PLAN HAS BEEN CHANGED'
   WL30_B_M= 'MONTH/PLAN MOST RECENTLY CHANGED'
   WL30C_00= 'WHO CHANGED PLAN/SELF'
   WL30C_01= 'WHO CHANGED PLAN/REGULAR COUNSELOR'
   WL30C_02= 'WHO CHANGED PLAN/CASE MANAGER'
   WL30C_11= 'WHO CHANGED PLAN/OTHER COUNSELOR'
   WL30C_12= 'WHO CHANGED PLAN/OTHER CASE MANAGER'
   WL30C_13= 'WHO CHANGED PLAN/SOCIAL WORKER'
   WL30C_21= 'WHO CHANGED PLAN/PSYCHOLOGIST'
   WL30C_22= 'WHO CHANGED PLAN/PSYCHIATRIST'
   WL30C_23= 'WHO CHANGED PLAN/NURSE'
   WL30C_24= 'WHO CHANGED PLAN/PHYSICIAN'
   WL30C_25= 'WHO CHANGED PLAN/PHYSICIAN''S ASSISTANT'
   WL30C_26= 'WHO CHANGED PLAN/DENTIST'
   WL30C_27= 'WHO CHANGED PLAN/VOCATIONAL COUNSELOR'
   WL30C_71= 'WHO CHANGED PLAN/STAFF FROM OTHER AGENCY'
   WL30C_91= 'WHO CHANGED PLAN/OTHER'
   WL30_D  = 'HOW MUCH/YOU HAD IN CHANGING PLAN'
   WL31    = 'PLAN INCLUDE GOALS AFTER TREATMENT'
   WL32    = 'STAFF PERSON AGREE ON DRUG TREATMENT GOALS'
   WL33    = 'EASY/DIFFICULT TO DO/STAFF EXPECTATION'
   WL33_A  = 'HAS BEEN VERY/SOMEWHAT DIFFICULT'
   WL33_B  = 'HAS BEEN VERY/SOMEWHAT EASY'
   WL34    = 'HAVE YOU FOLLOWED INSTRUCTION OF STAFF'
   WL35    = 'WHAT DRUG CAUSED MOST SERIOUS PROBLEMS'
   WL35_A  = 'ANY PERSONAL TREATMENT GOALS/TYPE L35'
   WL36    = 'PERSONAL TREATMENT GOALS'
   WL37    = 'HOW MUCH PROGRAM TREATMENT WILL HELP YOU'
   WL38    = 'GOALS REGARDING DRUG USE/SAME/DIFFERENT'
   WL39    = 'TREATMENT GOALS/REGARDING ALCOHOL USE'
   WL39_A  = 'GOALS WRITTEN IN TREATMENT PLAN'
   WL39_B  = 'YOU/STAFF AGREE ON TREATMENT GOALS/ALCOHOL USE'
   WL40    = 'YOUR FUTURE PLAN ABOUT DRINKING'
   WL41    = 'PLAN TO CONTINUE TO DRINK ALCOHOL IN FUTURE'
   WL41_A  = 'YOUR FUTURE PLAN ABOUT DRINKING'
   WL42    = 'YOUR FUTURE PLAN FOR ALCOHOL USE'
   WL43    = 'HOW MUCH PROGRAM TREATMENT WILL HELP'
   WL44_A  = 'REASON/ABUSE DRUGS/DEPRESS/UNHAPPY'
   WL44_B  = 'REASON/ABUSE DRUGS/FAMILY PROBLEM/GROWING UP'
   WL45_A  = 'AGREE/DISAGREE/CAUSED PROBLEM THEMSELVES'
   WL45_B  = 'AGREE/DISAGREE/USE IN CONTROLLED WAY'
   WL45_C  = 'AGREE/DISAGREE/MUST REMAIN DRUG-FREE'
   WL45_D  = 'AGREE/DISAGREE/FACE/CONFRONT DENIAL'
   WL45_E  = 'AGREE/DISAGREE/TURN OVER TO GOD'
   WL45_F  = 'AGREE/DISAGREE/GET HELP FROM AA/NA/CA'
   WL45_G  = 'AGREE/DISAGREE/NEVER USE DRUGS AGAIN'
   WL45_H  = 'AGREE/DISAGREE/HELP FROM PROFESSIONAL'
   WL45_I  = 'AGREE/DISAGREE/PAST CAUSED DRUG PROBLEM'
   WL45_J  = 'AGREE/DISAGREE/NO CONTROL OVER DRUGS'
   WL45_K  = 'AGREE/DISAGREE/AVOID PEOPLE/ABUSE DRUG'
   WL45_L  = 'AGREE/DISAGREE/DRUG ABUSE IS A DISEASE'
   WL46    = 'ATTENDED A REGULAR TREATMENT GROUP'
   WL47_01 = 'WHO LED MEETINGS/PRIMARY/REGULAR COUNSELOR'
   WL47_02 = 'WHO LED MEETINGS/CASE MANAGER'
   WL47_11 = 'WHO LED MEETINGS/OTHER COUNSELOR'
   WL47_12 = 'WHO LED MEETINGS/OTHER CASE MANAGER'
   WL47_13 = 'WHO LED MEETINGS/SOCIAL WORKER'
   WL47_21 = 'WHO LED MEETINGS/PSYCHOLOGIST'
   WL47_22 = 'WHO LED MEETINGS/PSYCHIATRIST'
   WL47_23 = 'WHO LED MEETINGS/NURSE'
   WL47_71 = 'WHO LED MEETINGS/STAFF FROM OTHER AGENCY'
   WL47_91 = 'WHO LED MEETINGS/OTHER'
   WL48_A  = 'HOW OFTEN DEALT W/USE OF ALCOHOL'
   WL48_B  = 'HOW OFTEN DEALT W/DRUG/CAUSED PROBLEM'
   WL48_C  = 'HOW OFTEN DEALT W/EMOTIONAL HEALTH'
   WL48_D  = 'HOW OFTEN DEALT W/RELATION W/FAMILY'
   WL48_E  = 'HOW OFTEN DEALT W/YOUR PHYS HEALTH'
   WL48_F  = 'HOW OFTEN DEALT W/YOUR EDUCATION/TRAINING'
   WL48_G  = 'HOW OFTEN DEALT W/INVOLVE W/COURT'
   WL48_H  = 'HOW OFTEN DEALT W/YOUR JOB'
   WL48_I  = 'HOW OFTEN DEALT W/LIVING EXPENSES'
   WL48_J  = 'HOW OFTEN DEALT W/REDUCE RISK/AIDS'
   WL48_K  = 'HOW OFTEN DEALT W/OTHER IMPORTANT ISSUES'
   WL48_K_1= 'HOW OFTEN DEALT W/SPECIFY 1ST ISSUE'
   WL48_K_2= 'HOW OFTEN DEALT W/SPECIFY 2ND ISSUE'
   WL48_K_3= 'HOW OFTEN DEALT W/SPECIFY 3RD ISSUE'
   WL48_K_4= 'HOW OFTEN DEALT W/SPECIFY 4TH ISSUE'
   WL49_A  = 'GROUP SESSIONS HELP/STOP USE OF DRUG'
   WL49_B  = 'GROUP SESSIONS HELP/OTHER PROBLEM'
   WL50    = '#TIMES ATTENDED GROUPS AT PROGRAM'
   WL50_A  = '#MINUTES/MEETINGS W/GROUP LAST'
   WL51    = 'HOW YOU FEEL/GROUP UNDERSTANDS YOU'
   WL52    = 'YOUR RELATIONSHIP W/ GROUP'
   WL55    = 'ATTENDED TALKS/FILMS/PART OF TREATMENT'
   WL56    = '#DAYS/ATTEND TALKS/FILM/PART OF TREATMENT'
   WL57    = 'HOW HELPFUL THE SERVICES'
   WL58    = 'ATTEND 12-STEP/SELF-HELP GROUP'
   WL58_A_1= 'GROUP ATTEND/ALCOHOL ANONYMOUS'
   WL58_A_2= 'GROUP ATTEND/NARCOTICS ANONYMOUS'
   WL58_A_3= 'GROUP ATTEND/COCAINE ANONYMOUS'
   WL58_A_4= 'GROUP ATTEND/OTHER'
   WL58_B  = '#TIMES/ATTEND THIS GROUP'
   WL58_C_M= 'MONTH/LAST ATTENDED THIS GROUP'
   WL58_D  = 'HAVE YOU ATTENDED THIS GROUP'
   WL59_A  = 'GROUP MEETING HELP/STOP USE OF DRUG'
   WL59_B  = 'MEETINGS W/GROUP HELPED/OTHER PROBLEM'
   WL60    = 'FEEL YOU NEEDED THIS KIND OF GROUP'
   WL63    = 'RECEIVED SERVICES/MENTAL HEALTH PROBLEM'
   WL64    = 'RECEIVED SERVICES AT THIS PROGRAM'
   WL65_01 = 'TALKED TO/REGULAR COUNSELOR'
   WL65_02 = 'TALKED TO/CASE MANAGER'
   WL65_11 = 'TALKED TO/OTHER COUNSELOR'
   WL65_12 = 'TALKED TO/OTHER CASE MANAGER'
   WL65_13 = 'TALKED TO/SOCIAL WORKER'
   WL65_21 = 'TALKED TO/PSYCHOLOGIST'
   WL65_22 = 'TALKED TO/PSYCHIATRIST'
   WL65_23 = 'TALKED TO/NURSE'
   WL65_28 = 'TALKED TO/CERTIFIED FAMILY COUNSELOR'
   WL65_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   WL65_91 = 'TALKED TO/OTHER'
   WL65_A_1= 'TALKED TO MOST OFTEN/PROVIDER #1'
   WL65_A_2= 'TALKED TO MOST OFTEN/PROVIDER #2'
   WL66    = 'KIND OF SESSIONS W/PSYCH PRO #1'
   WL66_A  = '#TIMES/MET INDIVIDUALLY W/PRO #1'
   WL66_B  = '#MINUTES/THIS SESSION LAST'
   WL66_C_1= 'DEALT W/DRUG USE/CAUSED PROBLEM/PRO #1'
   WL66_C_2= 'DEALT W/ALCOHOL USE/PRO #1'
   WL66_C_3= 'DEALT W/EMOTIONAL HEALTH/PRO #1'
   WL66_C_4= 'DEALT W/RELATIONSHIP W/ SPOUSE/PRO #1'
   WL66_C_5= 'DEALT W/OTHER RELATIONSHIP PROBLEM/PRO #1'
   WL66_C_6= 'DEALT W/PSYCHOLOGICAL TEST/PRO #1'
   WL66_C_7= 'DEALT W/MEDICATION/PRO #1'
   WL66_C_8= 'DEALT W/REFERRAL/PRO #1'
   WL66_C_9= 'DEALT W/OTHER/PRO #1'
   WL66_D  = 'HOW HELPFUL THE SERVICES/PRO #1'
   WL66_E  = '#TIMES YOU MET IN GROUP W/ PRO #1'
   WL66_F  = '#MINUTES/SESSIONS LAST'
   WL66_G_1= 'WHO ATTEND MEETING/SPOUSE/PARTNER/PRO #1'
   WL66_G_2= 'WHO ATTEND MEETING/FAMILY MEMBER/PRO #1'
   WL66_G_3= 'WHO ATTEND MEETING/OTHER IN TREATMENT/PRO #1'
   WL66_G_4= 'MEETING/OTHER FAME MEMBER IN TREATMENT/PRO #1'
   WL66_G_5= 'WHO ATTEND MEETING/OTHERS/PRO #1'
   WL66_H_1= 'TALKED/DRUG USE/CAUSED PROBLEM/PRO #1'
   WL66_H_2= 'TALKED/ALCOHOL USE/PRO #1'
   WL66_H_3= 'TALKED/EMOTIONAL HEALTH/PRO #1'
   WL66_H_4= 'TALKED/RELATIONSHIP W/ SPOUSE/PRO #1'
   WL66_H_5= 'TALKED/OTHER RELATIONSHIP PROBLEM/PRO #1'
   WL66_H_6= 'TALKED/PSYCHOLOGICAL TEST/PRO #1'
   WL66_H_7= 'TALKED/MEDICATION/PRO #1'
   WL66_H_8= 'TALKED/REFERRAL/PRO #1'
   WL66_H_9= 'TALKED/OTHER/PRO #1'
   WL66_I  = 'HOW HELPFUL SERVICES/PRO #1'
   WL67    = 'KIND OF SESSIONS W/PSYCH PRO #2'
   WL67_A  = '#TIMES/MET INDIVIDUALLY W/PRO #2'
   WL67_B  = '#MINUTES/THIS SESSION LAST'
   WL67_C_1= 'DEALT W/DRUG USE/CAUSED PROBLEM/PRO #2'
   WL67_C_2= 'DEALT W/ALCOHOL USE/PRO #2'
   WL67_C_3= 'DEALT W/EMOTIONAL HEALTH/PRO #2'
   WL67_C_4= 'DEALT W/RELATIONSHIP W/ SPOUSE/PRO #2'
   WL67_C_5= 'DEALT W/OTHER RELATIONSHIP PROBLEM/PRO #2'
   WL67_C_6= 'DEALT W/PSYCHOLOGICAL TEST/PRO #2'
   WL67_C_7= 'DEALT W/MEDICATION/PRO #2'
   WL67_C_8= 'DEALT W/REFERRAL/PRO #2'
   WL67_C_9= 'DEALT W/OTHER/PRO #2'
   WL67_D  = 'HOW HELPFUL THE SERVICES/PRO #2'
   WL67_E  = '#TIMES YOU MET IN GROUP W/ PRO #2'
   WL67_F  = '#MINUTES/SESSIONS LAST'
   WL67_G_1= 'WHO ATTEND MEETING/SPOUSE/PARTNER/PRO #2'
   WL67_G_2= 'WHO ATTEND MEETING/FAMILY MEMBER/PRO #2'
   WL67_G_3= 'WHO ATTEND MEETING/OTHER IN TREATMENT/PRO #2'
   WL67_G_4= 'MEETING/OTHER FAME MEMBER IN TREATMENT/PRO #2'
   WL67_G_5= 'WHO ATTEND MEETING/OTHERS/PRO #2'
   WL67_H_1= 'TALKED/DRUG USE/CAUSED PROBLEM/PRO #2'
   WL67_H_2= 'TALKED/ALCOHOL USE/PRO #2'
   WL67_H_3= 'TALKED/EMOTIONAL HEALTH/PRO #2'
   WL67_H_4= 'TALKED/RELATIONSHIP W/ SPOUSE/PRO #2'
   WL67_H_5= 'TALKED/OTHER RELATIONSHIP PROBLEM/PRO #2'
   WL67_H_6= 'TALKED/PSYCHOLOGICAL TEST/PRO #2'
   WL67_H_7= 'TALKED/MEDICATION/PRO #2'
   WL67_H_8= 'TALKED/REFERRAL/PRO #2'
   WL67_H_9= 'TALKED/OTHER/PRO #2'
   WL67_I  = 'HOW HELPFUL SERVICES/PRO #2'
   WL68    = 'RECEIVED SERVICES FOR EMOTIONAL PROBLEM'
   WL68A_1 = 'RECEIVE SERVICE/COMMUNITY MENTAL HEALTH CENTER'
   WL68A_2 = 'RECEIVE SERVICE/PRIVATE PSYCHIATRIC HOSP'
   WL68A_3 = 'RECEIVE SERVICE/OTHER HOSPITAL'
   WL68A_4 = 'RECEIVE SERVICE/EMERGENCY ROOM'
   WL68A_5 = 'RECEIVE SERVICE/PRIVATE THERAPIST'
   WL68A_6 = 'RECEIVE SERVICE/OTHER'
   WL68B_1 = 'PSYCHOLOGICAL OTHER PLACE/LOCATION #1'
   WL68C_1 = 'WHO REFERRED YOU TO LOCATION #1'
   WL68D_1 = '#DAYS YOU RECEIVED SERVICES/LOC #1'
   WL68E_1 = 'HOW HELPFUL SERVICES/LOCATION #1'
   WL68F1_1= 'TALKED TO/REGULAR COUNSELOR/LOC #1'
   WL68F1_2= 'TALKED TO/CASE MANAGER/LOC #1'
   WL68F111= 'TALKED TO/OTHER COUNSELOR/LOC #1'
   WL68F112= 'TALKED TO/OTHER CASE MANAGER/LOC #1'
   WL68F113= 'TALKED TO/SOCIAL WORKER/LOC #1'
   WL68F121= 'TALKED TO/PSYCHOLOGIST/LOC #1'
   WL68F122= 'TALKED TO/PSYCHIATRIST/LOC #1'
   WL68F123= 'TALKED TO/NURSE/LOC #1'
   WL68F128= 'TALKED TO/CERTIFIED FAME COUNSELOR/LOC #1'
   WL68F171= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #1'
   WL68F191= 'TALKED TO/OTHER/LOC #1'
   WL68G_1 = 'TALKED TO FOR SERVICES/LOCATION #1'
   WL68B_2 = 'PSYCHOLOGICAL OTHER PLACE/LOCATION #2'
   WL68C_2 = 'WHO REFERRED YOU TO LOCATION #2'
   WL68D_2 = '#DAYS YOU RECEIVED SERVICES/LOC #2'
   WL68E_2 = 'HOW HELPFUL THE SERVICES/LOCATION #2'
   WL68F2_1= 'TALKED TO/REGULAR COUNSELOR/LOC #2'
   WL68F2_2= 'TALKED TO/CASE MANAGER/LOC #2'
   WL68F211= 'TALKED TO/OTHER COUNSELOR/LOC #2'
   WL68F212= 'TALKED TO/OTHER CASE MANAGER/LOC #2'
   WL68F213= 'TALKED TO/SOCIAL WORKER/LOC #2'
   WL68F221= 'TALKED TO/PSYCHOLOGIST/LOC #2'
   WL68F222= 'TALKED TO/PSYCHIATRIST/LOC #2'
   WL68F223= 'TALKED TO/NURSE/LOC #2'
   WL68F228= 'TALKED TO/CERTIFIED FAME COUNSELOR/LOC #2'
   WL68F271= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #2'
   WL68F291= 'TALKED TO/OTHER/LOC #2'
   WL68G_2 = 'TALKED TO FOR SERVICES/LOCATION #2'
   WL69    = 'STAYED OVERNIGHT/EMOTIONAL PROBLEM'
   WL69_A_1= 'FACILITY STAYED/COMMUNITY MENTAL HEALTH CENTER'
   WL69_B_1= '#NIGHTS STAYED/COMMUNITY MENTAL HEALTH CENTER'
   WL69_A_2= 'FACILITY STAYED/PRIVATE PSYCHIATRIC HOSP'
   WL69_B_2= '#NIGHTS STAYED/PRIVATE PSYCHIATRIC HOSP'
   WL69_A_3= 'FACILITY STAYED/ANY OTHER HOSPITAL'
   WL69_B_3= '#NIGHTS STAYED/ANY OTHER HOSPITAL'
   WL69_A_4= 'FACILITY STAYED/EMERGENCY ROOM'
   WL69_B_4= '#NIGHTS STAYED/EMERGENCY ROOM'
   WL69_A_5= 'FACILITY STAYED/ANY OTHER PLACE'
   WL69_B_5= '#NIGHTS STAYED/ANY OTHER PLACE'
   WL70    = 'HAD CHECK-UP FOR MEDICAL PROBLEM'
   WL71    = 'RECEIVED SERVICES AT THIS PROGRAM'
   WL72_01 = 'TALKED TO/REGULAR COUNSELOR'
   WL72_02 = 'TALKED TO/CASE MANAGER'
   WL72_22 = 'TALKED TO/PSYCHIATRIST'
   WL72_23 = 'TALKED TO/NURSE'
   WL72_24 = 'TALKED TO/PHYSICIAN'
   WL72_25 = 'TALKED TO/PHYSICIAN''S ASSISTANT'
   WL72_26 = 'TALKED TO/DENTIST'
   WL72_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   WL72_91 = 'TALKED TO/OTHER'
   WL72_A1 = 'TALKED TO MOST OFTEN - PROVIDER #1'
   WL72_A2 = 'TALKED TO MOST OFTEN - PROVIDER #2'
   WL73    = '#TIMES/MET W/ PRO #1'
   WL73_A  = '#MINUTES/SESSIONS LAST'
   WL73_B01= 'DEALT W/PHYSICAL/DENTAL EXAM/PRO #1'
   WL73_B02= 'DEALT W/MEDICAL/DENTAL CARE TREATMENT/PRO #1'
   WL73_B03= 'DEALT W/GLASSES/HEARING AIDS/PRO #1'
   WL73_B04= 'DEALT W/ADMISSION TO HOSP/PRO #1'
   WL73_B05= 'DEALT W/MEDICATION/PRO #1'
   WL73_B06= 'DEALT W/DIET/PRO #1'
   WL73_B07= 'DEALT W/EXERCISE/PRO #1'
   WL73_B08= 'DEALT W/PRENATAL CARE/PRO #1'
   WL73_B09= 'DEALT W/OTHER/PRO #1'
   WL73_C  = 'HOW HELPFUL SERVICES/PRO #1'
   WL74    = '#TIMES/MET WITH PRO #2'
   WL74_A  = '#MINUTES/SESSIONS LAST'
   WL74_B01= 'DEALT W/PHYSICAL/DENTAL EXAM/PRO #2'
   WL74_B02= 'DEALT W/MEDICAL/DENTAL CARE TREATMENT/PRO #2'
   WL74_B03= 'DEALT W/GLASSES/HEARING AIDS/PRO #2'
   WL74_B04= 'DEALT W/ADMISSION TO HOSP/PRO #2'
   WL74_B05= 'DEALT W/MEDICATION/PRO #2'
   WL74_B06= 'DEALT W/DIET/PRO #2'
   WL74_B07= 'DEALT W/EXERCISE/PRO #2'
   WL74_B08= 'DEALT W/PRENATAL CARE/PRO #2'
   WL74_B09= 'DEALT W/OTHER/PRO #2'
   WL74_C  = 'HOW HELPFUL THE SERVICES/PRO #2'
   WL75    = 'RECEIVED SERVICES/MEDICAL PROBLEMS'
   WL75_A_1= 'RECEIVE SERVICE/PRIVATE PHYSICIAN/DENTIST'
   WL75_A_2= 'RECEIVE SERVICE/HOSP/PUB HEALTH CLINIC'
   WL75_A_3= 'RECEIVE SERVICE/MILITARY/VA HOSPITAL'
   WL75_A_4= 'RECEIVE SERVICE/HEALTH COOPERATIVE'
   WL75_A_5= 'RECEIVE SERVICE/OTHER MEDICAL'
   WL75_A_6= 'RECEIVE SERVICE/OTHER'
   WL75B_1 = 'MEDICAL OTHER PLACE/LOCATION #1'
   WL75C_1 = 'WHO REFERRED YOU TO LOCATION #1'
   WL75D_1 = '#DAYS YOU RECEIVED SERVICES/LOC #1'
   WL75E_1 = 'HOW HELPFUL SERVICES/LOCATION #1'
   WL75F101= 'TALKED TO/REGULAR COUNSELOR/LOC #1'
   WL75F102= 'TALKED TO/CASE MANAGER/LOC #1'
   WL75F122= 'TALKED TO/PSYCHIATRIST/LOC #1'
   WL75F123= 'TALKED TO/NURSE/LOC #1'
   WL75F124= 'TALKED TO/PHYSICIAN/LOC #1'
   WL75F125= 'TALKED TO/PHYSICIAN''S ASSISTANT/LOC #1'
   WL75F126= 'TALKED TO/DENTIST/LOC #1'
   WL75F171= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #1'
   WL75F191= 'TALKED TO/OTHER/LOC #1'
   WL75G_1 = 'TALKED TO FOR SERVICES/LOCATION #1'
   WL75B_2 = 'MEDICAL OTHER PLACE/LOCATION #2'
   WL75C_2 = 'WHO REFERRED YOU TO LOCATION #2'
   WL75D_2 = '#DAYS YOU RECEIVED SERVICES/LOC #2'
   WL75E_2 = 'HOW HELPFUL SERVICES/LOCATION #2'
   WL75F201= 'TALKED TO/REGULAR COUNSELOR/LOC #2'
   WL75F202= 'TALKED TO/CASE MANAGER/LOC #2'
   WL75F222= 'TALKED TO/PSYCHIATRIST/LOC #2'
   WL75F223= 'TALKED TO/NURSE/LOC #2'
   WL75F224= 'TALKED TO/PHYSICIAN/LOC #2'
   WL75F225= 'TALKED TO/PHYSICIAN''S ASSISTANT/LOC #2'
   WL75F226= 'TALKED TO/DENTIST/LOC #2'
   WL75F271= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #2'
   WL75F291= 'TALKED TO/OTHER/LOC #2'
   WL75G_2 = 'TALKED TO FOR SERVICES/LOCATION #2'
   WL76    = 'DR. PRESCRIPTION METHADONE/TRANQUILIZER/FOR DRUG PROBLEM'
   WL76_A_1= 'MEDICINE DR. PRESCRIBED/METHADONE'
   WL76_A_2= 'MEDICINE DR. PRESCRIBED/NALTREXONE'
   WL76_A_3= 'MEDICINE DR. PRESCRIBED/TRANQUILIZERS'
   WL76_A_4= 'MEDICINE DR. PRESCRIBED/ANTABUSE'
   WL77    = 'HAD ANY CONCERN ABOUT PRESCRIBE MEDICINE'
   WL77_A  = 'HAD ANY SERVICES W/ONE ABOUT CONCERNS'
   WL77B_01= 'TALKED WITH REGULAR COUNSELOR'
   WL77B_02= 'TALKED WITH CASE MANAGER'
   WL77B_11= 'TALKED WITH OTHER COUNSELOR'
   WL77B_12= 'TALKED WITH OTHER CASE MANAGER'
   WL77B_13= 'TALKED WITH SOCIAL WORKER'
   WL77B_21= 'TALKED WITH PSYCHOLOGIST'
   WL77B_22= 'TALKED WITH PSYCHIATRIST'
   WL77B_23= 'TALKED WITH NURSE'
   WL77B_24= 'TALKED WITH PHYSICIAN'
   WL77B_25= 'TALKED WITH PHYSICIAN''S ASSISTANCE'
   WL77B_26= 'TALKED WITH DENTIST'
   WL77B_27= 'TALKED WITH VOCATIONAL COUNSELOR'
   WL77B_28= 'TALKED WITH CERTIFIED FAME COUNSELOR'
   WL77B_71= 'TALKED WITH STAFF FROM OTHER AGENCY'
   WL77B_91= 'TALKED WITH OTHER'
   WL77_C_1= 'CONCERNS/MEDICINE/DOSAGE TOO SMALL'
   WL77_C_2= 'CONCERNS/MEDICINE/DOSAGE TOO LARGE'
   WL77_C_3= 'CONCERNS/MEDICINE/PHYSICAL SYMPTOMS'
   WL77_C_4= 'CONCERNS/MEDICINE/SLEEP DISTURBANCES'
   WL77_C_5= 'CONCERNS/MEDICINE/UNABLE TO GET DRUG'
   WL77_C_6= 'CONCERNS/MEDICINE/DRUG COST TOO MUCH'
   WL77_C_7= 'CONCERNS/MEDICINE/DEPRESSION'
   WL77_C_8= 'CONCERNS/MEDICINE/OTHER'
   WL78    = 'RECEIVE SERVICE/RELATIONSHIP PROBLEM'
   WL79    = 'RECEIVED SERVICES AT THIS PROGRAM'
   WL80_01 = 'TALKED TO/REGULAR COUNSELOR'
   WL80_02 = 'TALKED TO/CASE MANAGER'
   WL80_11 = 'TALKED TO/OTHER COUNSELOR'
   WL80_12 = 'TALKED TO/OTHER CASE MANAGER'
   WL80_13 = 'TALKED TO/SOCIAL WORKER'
   WL80_21 = 'TALKED TO/PSYCHOLOGIST'
   WL80_22 = 'TALKED TO/PSYCHIATRIST'
   WL80_23 = 'TALKED TO/NURSE'
   WL80_28 = 'TALKED TO/CERTIFIED FAME COUNSELOR'
   WL80_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   WL80_91 = 'TALKED TO/OTHER'
   WL80_A1 = 'TALKED TO MOST OFTEN - PROVIDER #1'
   WL80_A2 = 'TALKED TO MOST OFTEN - PROVIDER #2'
   WL81_01 = 'SESSIONS W/INDIVIDUAL/PRO #1'
   WL81_02 = 'SESSIONS W/FAMILY/PRO #1'
   WL81_03 = 'SESSIONS W/GROUP/PRO #1'
   WL81_A  = '#TIMES/MET INDIVIDUALLY WITH PRO #1'
   WL81_B  = '#MINUTES/SESSIONS LAST'
   WL81_C_1= 'INDIVIDUAL DEAL W/COUNSEL/PROBLEM W/SPOUSE/PRO #1'
   WL81_C_2= 'INDIVIDUAL DEAL W/PARENTING/CHILD CARE/PRO #1'
   WL81_C_3= 'INDIVIDUAL DEAL W/COUNSEL/PROBLEM W/PARENT/PRO #1'
   WL81_C_4= 'INDIVIDUALLY DEAL W/SEX EDUCATION/PRO #1'
   WL81_C_5= 'INDIVIDUAL DEAL W/DEATH/BEREAVEMENT/PRO #1'
   WL81_C_6= 'INDIVIDUALLY DEAL W/OTHER/PRO #1'
   WL81_D  = 'HOW HELPFUL THE SERVICES/PRO #1'
   WL81_E  = '#TIMES/MET AS A FAMILY WITH PRO #1'
   WL81_F  = '#MINUTES/SESSIONS LAST'
   WL81_G_1= 'ATTEND MEETING/SPOUSE/PRO #1'
   WL81_G_2= 'ATTEND MEETING/OTHER FAMILY MEMBER/PRO #1'
   WL81_G_3= 'ATTEND MEETING/OTHERS IN TREATMENT/PRO #1'
   WL81_G_4= 'ATTEND MEETING/FAME MEMBER OF OTHERS/PRO #1'
   WL81_G_5= 'ATTEND MEETING/OTHER/PRO #1'
   WL81_H_1= 'INDIVIDUAL MET/COUNSEL/PROBLEM W/SPOUSE/PRO #1'
   WL81_H_2= 'INDIVIDUAL MET/PARENTING/CHILD CARE/PRO #1'
   WL81_H_3= 'INDIVIDUAL MET/COUNSEL/PROBLEM W/PARENT/PRO #1'
   WL81_H_4= 'INDIVIDUALLY MET/SEX EDUCATION/PRO #1'
   WL81_H_5= 'INDIVIDUAL MET/DEATH/BEREAVEMENT/PRO #1'
   WL81_H_6= 'INDIVIDUALLY MET/OTHER/PRO #1'
   WL81_I  = 'HOW HELPFUL THE SERVICES/PRO #1'
   WL81_J  = '#TIMES/MET IN GROUP WITH PRO #1'
   WL81_K_1= 'ATTEND MEETING/SPOUSE/PRO #1'
   WL81_K_2= 'ATTEND MEETING/CHILDREN/PRO #1'
   WL81_K_3= 'ATTEND MEETING/OTHER FAMILY MEMBER/PRO #1'
   WL81_K_4= 'ATTEND MEETING/OTHER CLIENTS/PRO #1'
   WL81_K_5= 'MEETING/OTHER CLIENT''S SPOUSE/PRO #1'
   WL81_K_6= 'MEETING/OTHER CLIENT''S CHILDREN/PRO #1'
   WL81_K_7= 'MEETING/OTHER CLIENT''S FAME MEMBER/PRO #1'
   WL81_K_8= 'ATTEND MEETING/OTHERS/PRO #1'
   WL81_L_1= 'GROUP MET/COUNSEL/PROBLEM W/SPOUSE/PRO #1'
   WL81_L_2= 'GROUP MET/PARENTING/CHILD CARE/PRO #1'
   WL81_L_3= 'GROUP MET/COUNSEL/PROBLEM W/PARENT/PRO #1'
   WL81_L_4= 'GROUP MET/SEX EDUCATION/PRO #1'
   WL81_L_5= 'GROUP MET/DEATH/BEREAVEMENT/PRO #1'
   WL81_L_6= 'GROUP MET/OTHER/PRO #1'
   WL81_M  = 'HOW HELPFUL THE SERVICES/PRO #1'
   WL82_01 = 'SESSIONS W/PRO #2/INDIVIDUAL'
   WL82_02 = 'SESSIONS W/PRO #2/FAMILY'
   WL82_03 = 'SESSIONS W/PRO #2/GROUP'
   WL82_A  = '#TIMES/MET INDIVIDUALLY W/PRO #2'
   WL82_B  = '#MINUTES/SESSIONS LAST'
   WL82_C_1= 'DEALT W/COUNSELING SPOUSE PROBLEM/PRO #2'
   WL82_C_2= 'DEALT W/PARENTING/PRO #2'
   WL82_C_3= 'DEALT W/COUNSELING PARENTS PROBLEM/PRO #2'
   WL82_C_4= 'DEALT W/SEX EDUCATION/PRO #2'
   WL82_C_5= 'DEALT W/DEATH/PRO #2'
   WL82_C_6= 'DEALT W/OTHER/PRO #2'
   WL82_D  = 'HOW HELPFUL THE SERVICES/PRO #2'
   WL82_E  = '#TIMES/MET AS FAMILY WITH PRO #2'
   WL82_F  = '#MINUTES/SESSIONS LAST'
   WL82_G_1= 'ATTEND MEETING/SPOUSE/PRO #2'
   WL82_G_2= 'MEETING/OTHER FAME MEMBER OF CLIENT/PRO #2'
   WL82_G_3= 'ATTEND MEETING/OTHERS IN TREATMENT/PRO #2'
   WL82_G_4= 'ATTEND MEETING/FAMILY MEMBER OF OTHER/PR #2'
   WL82_G_5= 'ATTEND MEETING/OTHERS/PRO #2'
   WL82_H_1= 'FAME MET/COUNSEL/PROBLEM W/SPOUSE/PRO #2'
   WL82_H_2= 'FAME MET/PARENTING/CHILD CARE/PRO #2'
   WL82_H_3= 'FAME MET/COUNSEL/PROBLEM W/PARENT/PRO #2'
   WL82_H_4= 'FAME MET/SEX EDUCATION/PRO #2'
   WL82_H_5= 'FAME MET/DEATH/BEREAVEMENT/PRO #2'
   WL82_H_6= 'FAME MET/OTHER/PRO #2'
   WL82_I  = 'HOW HELPFUL THE SERVICES/PRO #2'
   WL82_J  = '#TIMES/MET IN GROUP WITH PRO #2'
   WL82_K_1= 'ATTEND MEETING/SPOUSE/PRO #2'
   WL82_K_2= 'ATTEND MEETING/CHILDREN/PRO #2'
   WL82_K_3= 'ATTEND MEETING/OTHER FAMILY MEMBER/PRO #2'
   WL82_K_4= 'ATTEND MEETING/OTHER CLIENTS/PRO #2'
   WL82_K_5= 'MEETING/OTHER CLIENT''S SPOUSE/PRO #2'
   WL82_K_6= 'MEETING/OTHER CLIENT''S CHILDREN/PRO #2'
   WL82_K_7= 'MEETING/OTHER CLIENT''S FAME MEMBER/PRO #2'
   WL82_K_8= 'ATTEND MEETING/OTHERS/PRO #2'
   WL82_L_1= 'GROUP MET/COUNSEL/PROBLEM W/SPOUSE/PRO #2'
   WL82_L_2= 'GROUP MET/PARENTING/CHILD CARE/PRO #2'
   WL82_L_3= 'GROUP MET/COUNSEL/PROBLEM W/PARENT/PRO #2'
   WL82_L_4= 'GROUP MET/SEX EDUCATION/PRO #2'
   WL82_L_5= 'GROUP MET/DEATH/BEREAVEMENT/PRO #2'
   WL82_L_6= 'GROUP MET/OTHER/PRO #2'
   WL82_M  = 'HOW HELPFUL THE SERVICES/PRO #2'
   WL83    = 'RECEIVED SERVICES/RELATIONSHIP PROBLEM'
   WL83A_1 = 'RECEIVE SERVICE/SOCIAL SERVICES'
   WL83A_2 = 'RECEIVE SERVICE/MENTAL HEALTH CENTER'
   WL83A_3 = 'RECEIVE SERVICE/CHURCH ORGANIZATION'
   WL83A_4 = 'RECEIVE SERVICE/PRIVATE FAME COUNSELOR'
   WL83A_5 = 'RECEIVE SERVICE/OTHER'
   WL83B_1 = 'FAMILY/RELATIONSHIP OTHER PLACE/LOC #1'
   WL83C_1 = 'WHO REFERRED YOU TO THIS LOCATION'
   WL83D_1 = '#DAYS RECEIVED SERVICES'
   WL83E_1 = 'HOW HELPFUL SERVICES/LOCATION #1'
   WL83F1_1= 'TALKED TO/REGULAR COUNSELOR/LOC #1'
   WL83F1_2= 'TALKED TO/CASE MANAGER/LOC #1'
   WL83F111= 'TALKED TO/OTHER COUNSELOR/LOC #1'
   WL83F112= 'TALKED TO/OTHER CASE MANAGER/LOC #1'
   WL83F113= 'TALKED TO/SOCIAL WORKER/LOC #1'
   WL83F121= 'TALKED TO/PSYCHOLOGIST/LOC #1'
   WL83F122= 'TALKED TO/PSYCHIATRIST/LOC #1'
   WL83F123= 'TALKED TO/NURSE/LOC #1'
   WL83F128= 'TALKED TO/CERTIFIED FAMILY COUNSELOR'
   WL83F171= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #1'
   WL83F191= 'TALKED TO/OTHER/LOC #1'
   WL83G_1 = 'TALKED TO FOR SERVICES/LOCATION #1'
   WL83B_2 = 'FAMILY/RELATIONSHIP OTHER PLACE/LOC #2'
   WL83C_2 = 'WHO REFERRED YOU TO THIS LOCATION'
   WL83D_2 = '#DAYS RECEIVED SERVICES'
   WL83E_2 = 'HOW HELPFUL SERVICES/LOCATION #2'
   WL83F2_1= 'TALKED TO/REGULAR COUNSELOR/LOC #2'
   WL83F2_2= 'TALKED TO/CASE MANAGER/LOC #2'
   WL83F211= 'TALKED TO/OTHER COUNSELOR/LOC #2'
   WL83F212= 'TALKED TO/OTHER CASE MANAGER/LOC #2'
   WL83F213= 'TALKED TO/SOCIAL WORKER/LOC #2'
   WL83F221= 'TALKED TO/PSYCHOLOGIST/LOC #2'
   WL83F222= 'TALKED TO/PSYCHIATRIST/LOC #2'
   WL83F223= 'TALKED TO/NURSE/LOC #2'
   WL83F228= 'TALKED TO/CERTIFIED FAMILY COUNSELOR'
   WL83F271= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #2'
   WL83F291= 'TALKED TO/OTHER/LOC #2'
   WL83G_2 = 'TALKED TO FOR SERVICES/LOCATION #2'
   WL84    = 'RECEIVED SERVICES/JOB TRAINING/FIND JOB'
   WL85    = 'RECEIVED SERVICES AT THIS PROGRAM'
   WL86_01 = 'TALKED TO/REGULAR COUNSELOR'
   WL86_02 = 'TALKED TO/CASE MANAGER'
   WL86_11 = 'TALKED TO/OTHER COUNSELOR'
   WL86_12 = 'TALKED TO/OTHER CASE MANAGER'
   WL86_13 = 'TALKED TO/SOCIAL WORKER'
   WL86_21 = 'TALKED TO/PSYCHOLOGIST'
   WL86_22 = 'TALKED TO/PSYCHIATRIST'
   WL86_23 = 'TALKED TO/NURSE'
   WL86_27 = 'TALKED TO/VOCATIONAL COUNSELOR'
   WL86_29 = 'TALKED TO/TEACHER'
   WL86_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   WL86_91 = 'TALKED TO/OTHER'
   WL86_A1 = 'TALKED TO MOST/PROVIDER #1'
   WL86_A2 = 'TALKED TO MOST/PROVIDER #2'
   WL87_01 = 'DEALT W/TRAINING/SPECIFIC JOB/PRO #1'
   WL87_02 = 'DEALT W/HELP FIND A JOB/PRO #1'
   WL87_03 = 'DEALT W/SOMETHING ELSE/COUNSELING/PRO #1'
   WL87_B  = 'CURRENTLY ENROLLED IN THIS TRAINING'
   WL87_C  = 'RECEIVE A DEGREE/DIPLOMA/CERTIFIED'
   WL87_D  = 'WHICH WILL YOU RECEIVE'
   WL87_E  = '#TIMES/ATTEND TRAINING W/PRO #1'
   WL87_F  = 'HOW HELPFUL TRAINING/PRO #1'
   WL87_G_1= 'HELP FIND JOB/JOB SEARCH WORKSHOP/PRO #1'
   WL87_G_2= 'HELP FIND JOB/RESUME WRITING/PRO #1'
   WL87_G_3= 'HELP FIND JOB/INTERVIEW SKILLS/PRO #1'
   WL87_G_4= 'HELP FIND JOB/JOB REFERRAL/PRO #1'
   WL87_G_5= 'HELP FIND JOB/REFERRAL PUB AGENCY/PRO #1'
   WL87_G_6= 'HELP FIND JOB/REFERRAL PRIVATE AGENCY/PRO #1'
   WL87_G_7= 'HELP FIND JOB/PLACEMENT IN A JOB/PRO #1'
   WL87_G_8= 'HELP FIND JOB/OTHER/PRO #1'
   WL87_H  = '#TIMES/MET W/PRO #1/TO FIND A JOB'
   WL87_I  = '#MINUTES/MEETINGS LAST'
   WL87_J  = 'HOW HELPFUL SERVICES/PRO #1'
   WL87_K  = 'DID YOU FIND A JOB'
   WL87_L_1= 'TYPE HELP/VOCATIONAL TEST ASSES/PRO #1'
   WL87_L_2= 'TYPE HELP/VOCATIONAL COUNSELING/PRO #1'
   WL87_L_3= 'TYPE HELP/PUB AGENCY VOCATIONAL ASSES/PRO #1'
   WL87_L_4= 'TYPE HELP/PRIVATE AGENCY VOCATIONAL ASSES/PRO #1'
   WL87_L_5= 'TYPE HELP/PUB/PRIVATE AGENCY VOCATIONAL ASSES/PRO #1'
   WL87_L_6= 'TYPE HELP/OTHER/PRO #1'
   WL87_M  = 'SESSIONS W/PRO #1'
   WL87_N  = '#TIMES/MET FOR HELP/PRO #1'
   WL87_O  = '#MINUTES/MEETINGS LAST'
   WL87_P  = 'HOW HELPFUL SERVICES/PRO #1'
   WL88_01 = 'DEALT W/TRAIN FOR SPECIFIC JOB/PRO #2'
   WL88_02 = 'DEALT W/HELP FIND A JOB/PRO #2'
   WL88_03 = 'DEALT W/SOMETHING ELSE/COUNSELING/PRO #2'
   WL88_A  = 'TYPE OF JOB TRAINING - EDITOR CODE'
   WL88_B  = 'CURRENTLY ENROLLED IN THIS TRAINING'
   WL88_C  = 'RECEIVE A DEGREE/DIPLOMA/CERTIFIED'
   WL88_D  = 'WHICH WILL YOU RECEIVE'
   WL88_E  = '#TIMES/ATTEND TRAINING W/PRO #2'
   WL88_F  = 'HOW HELPFUL TRAINING/PRO #2'
   WL88_G_1= 'HELP FIND JOB/JOB SEARCH WORKSHOP/PRO #2'
   WL88_G_2= 'HELP FIND JOB/RESUME WRITING/PRO #2'
   WL88_G_3= 'HELP FIND JOB/INTERVIEW SKILLS/PRO #2'
   WL88_G_4= 'HELP FIND JOB/JOB REFERRAL/PRO #2'
   WL88_G_5= 'HELP FIND JOB/REFERRAL PUB AGENCY/PRO #2'
   WL88_G_6= 'HELP FIND JOB/REFERRAL PRIVATE AGENCY/PRO #2'
   WL88_G_7= 'HELP FIND JOB/PLACEMENT IN A JOB/PRO #2'
   WL88_G_8= 'HELP FIND JOB/OTHER/PRO #2'
   WL88_H  = '#TIMES/MET W/PRO #2/TO FIND A JOB'
   WL88_I  = '#MINUTES/MEETINGS LAST'
   WL88_J  = 'HOW HELPFUL SERVICES/PRO #2'
   WL88_K  = 'DID YOU FIND A JOB'
   WL88_L_1= 'TYPE HELP/VOCATIONAL TEST ASSES/PRO #2'
   WL88_L_2= 'TYPE HELP/VOCATIONAL COUNSELING/PRO #2'
   WL88_L_3= 'TYPE HELP/PUB AGENCY VOCATIONAL ASSES/PRO #2'
   WL88_L_4= 'TYPE HELP/PRIVATE AGENCY VOCATIONAL ASSES/PRO #2'
   WL88_L_5= 'TYPE HELP/PUB/PRIVATE AGENCY VOC ASSES/PRO #2'
   WL88_L_6= 'TYPE HELP/OTHER/PRO #2'
   WL88_M  = 'SESSIONS W/PRO #2'
   WL88_N  = '#TIMES/MET FOR HELP/PRO #2'
   WL88_O  = '#MINUTES/MEETINGS LAST'
   WL88_P  = 'HOW HELPFUL SERVICES/PRO #2'
   WL89    = 'RECEIVE SERVICES/GET TRAINING FOR JOB'
   WL89_A_1= 'RECEIVE SERVICE/EMPLOYMENT STATE OFFICE'
   WL89_A_2= 'RECEIVE SERVICE/DVR/OVR/VESID'
   WL89_A_3= 'RECEIVE SERVICE/JTPA/PIC'
   WL89_A_4= 'RECEIVE SERVICE/PUBLIC EMPLOYMENT'
   WL89_A_5= 'RECEIVE SERVICE/PRIVATE EMPLOYMENT'
   WL89_A_6= 'RECEIVE SERVICE/BUSINESS ORGANIZATION'
   WL89_A_7= 'RECEIVE SERVICE/TECH SCHOOL/COMMUNITY COLLEGE'
   WL89_A_8= 'RECEIVE SERVICE/CHARITABLE AGENCIES'
   WL89_A_9= 'RECEIVE SERVICE/OTHER'
   WL89B_1 = 'VOCATIONAL OTHER PLACE/LOCATION #1'
   WL89C_1 = 'WHO REFERRED YOU TO LOCATION #1'
   WL89D_1 = '#DAYS YOU RECEIVED SERVICES/LOC #1'
   WL89E_1 = 'HOW HELPFUL SERVICES/LOCATION #1'
   WL89F1_1= 'TALKED TO/REGULAR COUNSELOR/LOC #1'
   WL89F1_2= 'TALKED TO/CASE MANAGER/LOC #1'
   WL89F111= 'TALKED TO/OTHER COUNSELOR/LOC #1'
   WL89F112= 'TALKED TO/OTHER CASE MANAGER/LOC #1'
   WL89F113= 'TALKED TO/SOCIAL WORKER/LOC #1'
   WL89F121= 'TALKED TO/PSYCHOLOGIST/LOC #1'
   WL89F122= 'TALKED TO/PSYCHIATRIST/LOC #1'
   WL89F123= 'TALKED TO/NURSE/LOC #1'
   WL89F127= 'TALKED TO/VOCATIONAL COUNSELOR/LOC #1'
   WL89F129= 'TALKED TO/TEACHER/LOC #1'
   WL89F171= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #1'
   WL89F191= 'TALKED TO/OTHER/LOC #1'
   WL89G_1 = 'TALKED TO FOR SERVICES/LOCATION #1'
   WL89B_2 = 'VOCATIONAL OTHER PLACE/LOCATION #2'
   WL89C_2 = 'WHO REFERRED YOU TO LOCATION #2'
   WL89D_2 = '#DAYS YOU RECEIVED SERVICES/LOC #2'
   WL89E_2 = 'HOW HELPFUL THE SERVICES/LOCATION #2'
   WL89F2_1= 'TALKED TO/REGULAR COUNSELOR/LOC #2'
   WL89F2_2= 'TALKED TO/CASE MANAGER/LOC #2'
   WL89F211= 'TALKED TO/OTHER COUNSELOR/LOC #2'
   WL89F212= 'TALKED TO/OTHER CASE MANAGER/LOC #2'
   WL89F213= 'TALKED TO/SOCIAL WORKER/LOC #2'
   WL89F221= 'TALKED TO/PSYCHOLOGIST/LOC #2'
   WL89F222= 'TALKED TO/PSYCHIATRIST/LOC #2'
   WL89F223= 'TALKED TO/NURSE/LOC #2'
   WL89F227= 'TALKED TO/VOCATIONAL COUNSELOR/LOC #2'
   WL89F229= 'TALKED TO/TEACHER/LOC #2'
   WL89F271= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #2'
   WL89F291= 'TALKED TO/OTHER/LOC #2'
   WL89G_2 = 'TALKED TO FOR SERVICES/LOCATION #2'
   WL90    = 'RECEIVED COUNSELING/IMPROVE EDUCATION'
   WL91    = 'RECEIVED SERVICES AT THIS PROGRAM'
   WL92_01 = 'TALKED TO/PRIMARY/REGULAR COUNSELOR'
   WL92_02 = 'TALKED TO/CASE MANAGER'
   WL92_11 = 'TALKED TO/OTHER COUNSELOR'
   WL92_12 = 'TALKED TO/OTHER CASE MANAGER'
   WL92_13 = 'TALKED TO/SOCIAL WORKER'
   WL92_21 = 'TALKED TO/PSYCHOLOGIST'
   WL92_22 = 'TALKED TO/PSYCHIATRIST'
   WL92_23 = 'TALKED TO/NURSE'
   WL92_27 = 'TALKED TO/VOCATIONAL COUNSELOR'
   WL92_29 = 'TALKED TO/TEACHER'
   WL92_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   WL92_91 = 'TALKED TO/OTHER'
   WL92A_1 = 'TALKED TO FOR SERVICES/PROVIDER #1'
   WL92A_2 = 'TALKED TO FOR SERVICES/PROVIDER #2'
   WL93    = '#TIMES YOU MET W/ YOUR PRO #1'
   WL93_A  = '#MINUTES SESSIONS LAST/PRO #1'
   WL93_B_1= 'DEALT W/EDUCATION NEEDS ASSESSMENT/PRO #1'
   WL93_B_2= 'DEALT W/ADULT BASIC EDUCATION/PRO #1'
   WL93_B_3= 'DEALT W/PREPARATION FOR GED/PRO #1'
   WL93_B_4= 'DEALT W/GED CLASSES/PRO #1'
   WL93_B_5= 'DEALT W/TUTORING IN BASIC SKILLS/PRO #1'
   WL93_B_6= 'DEALT W/REFERRAL TO SCHOOLS/PRO #1'
   WL93_B_7= 'DEALT W/GEN COUNSELING ABOUT EDUCATION/PRO #1'
   WL93_B_8= 'DEALT W/OTHER/PRO #1'
   WL93_C  = 'HOW HELPFUL SERVICES/PRO #1'
   WL94    = '#TIMES YOU MET W/ YOUR PRO #1'
   WL94_A  = '#MINUTES SESSIONS LAST/PRO #1'
   WL94_B_1= 'DEALT W/EDUCATION NEEDS ASSESSMENT/PRO #2'
   WL94_B_2= 'DEALT W/ADULT BASIC EDUCATION/PRO #2'
   WL94_B_3= 'DEALT W/PREPARATION FOR GED/PRO #2'
   WL94_B_4= 'DEALT W/GED CLASSES/PRO #2'
   WL94_B_5= 'DEALT W/TUTORING IN BASIC SKILLS/PRO #2'
   WL94_B_6= 'DEALT W/REFERRAL TO SCHOOLS/PRO #2'
   WL94_B_7= 'DEALT W/GEN COUNSELING ABOUT EDUCATION/PRO #2'
   WL94_B_8= 'DEALT W/OTHER/PRO #2'
   WL94_C  = 'HOW HELPFUL SERVICES/PRO #2'
   WL95    = 'RECEIVED HELP IMPROVE EDUCATION/OTHER PLACE'
   WL95_A_1= 'RECEIVED SERVICE/PUBLIC SCHOOL SYSTEM'
   WL95_A_2= 'RECEIVED SERVICE/JR. COMMUNITY COLLEGE'
   WL95_A_3= 'RECEIVED SERVICE/FOUR-YEAR COLLEGE PROGRAM'
   WL95_A_4= 'RECEIVED SERVICE/PRIVATE EDUCATION PROGRAM'
   WL95_A_5= 'RECEIVED SERVICE/PUBLIC AGENCIES'
   WL95_A_6= 'RECEIVED SERVICE/OTHER'
   WL95B_1 = 'EDUCATION OTHER PLACE/LOCATION #1'
   WL95C_1 = 'WHO REFERRED YOU TO LOCATION #1'
   WL95D_1 = '#DAYS YOU RECEIVED SERVICES/LOC #1'
   WL95E_1 = 'HOW HELPFUL THE SERVICES/LOCATION #1'
   WL95F1_1= 'TALKED TO/REGULAR COUNSELOR/LOC #1'
   WL95F1_2= 'TALKED TO/CASE MANAGER/LOC #1'
   WL95F127= 'TALKED TO/VOCATIONAL COUNSELOR/LOC #1'
   WL95F129= 'TALKED TO/TEACHERS IN PROGRAM/LOC #1'
   WL95F171= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #1'
   WL95F191= 'TALKED TO/OTHER/LOC #1'
   WL95G_1 = 'MOST FREQUENT PROVIDER/LOCATION #1'
   WL95B_2 = 'EDUCATION OTHER PLACE/LOCATION #2'
   WL95C_2 = 'WHO REFERRED YOU TO LOCATION #2'
   WL95D_2 = '#DAYS YOU RECEIVED SERVICES/LOC #2'
   WL95E_2 = 'HOW HELPFUL THE SERVICES/LOCATION #2'
   WL95F2_1= 'TALKED TO/REGULAR COUNSELOR/LOC #2'
   WL95F2_2= 'TALKED TO/CASE MANAGER/LOC #2'
   WL95F227= 'TALKED TO/VOCATIONAL COUNSELOR/LOC #2'
   WL95F229= 'TALKED TO/TEACHERS IN PROGRAM/LOC #2'
   WL95F271= 'TALKED TO/STAFF FROM OTHER AGENCY/LOC #2'
   WL95F291= 'TALKED TO/OTHER/LOC #2'
   WL95G_2 = 'MOST FREQUENT PROVIDER/LOCATION #2'
   WL96    = 'RECEIVED SERVICE/HELP W/LEGAL PROBLEM'
   WL97    = 'DID YOU GET SERVICES AT THIS PROGRAM'
   WL98_01 = 'TALKED TO/PRIMARY/REGULAR COUNSELOR'
   WL98_02 = 'TALKED TO/CASE MANAGER'
   WL98_11 = 'TALKED TO/OTHER COUNSELOR'
   WL98_12 = 'TALKED TO/OTHER CASE MANAGER'
   WL98_13 = 'TALKED TO/SOCIAL WORKER'
   WL98_21 = 'TALKED TO/PSYCHOLOGIST'
   WL98_22 = 'TALKED TO/PSYCHIATRIST'
   WL98_23 = 'TALKED TO/NURSE'
   WL98_27 = 'TALKED TO/VOCATIONAL COUNSELOR'
   WL98_28 = 'TALKED TO/CERTIFIED FAMILY COUNSELOR'
   WL98_29 = 'TALKED TO/TEACHER'
   WL98_30 = 'TALKED TO/TASC STAFF'
   WL98_71 = 'TALKED TO/STAFF FROM OTHER AGENCY'
   WL98_91 = 'TALKED TO/OTHER'
   WL98A_1 = 'TALKED TO FOR SERVICES/PROVIDER #1'
   WL98A_2 = 'TALKED TO FOR SERVICES/PROVIDER #2'
   WL99    = '#TIMES YOU MET W/PRO #1'
   WL99_A_1= 'SERVICE RECEIVE/REPRESENT IN CIVIL CASE'
   WL99_A_2= 'SERVICE RECEIVE/REPRESENT/CRIMINAL CASE'
   WL99_A_3= 'SERVICE RECEIVE/ASSISTANCE W/PROBATION'
   WL99_A_4= 'SERVICE RECEIVE/ASSIST W/NON COURT LEGAL'
   WL99_A_5= 'SERVICE RECEIVE/REFERRAL TO LAWYER AID'
   WL99_A_6= 'SERVICE RECEIVE/OTHER'
   WL99_B  = 'HOW HELPFUL THE SERVICES'
   WL100   = '#TIMES YOU MET W/PRO #2'
   WL100A_1= 'SERVICE RECEIVE/REPRESENT IN CIVIL CASE'
   WL100A_2= 'SERVICE RECEIVE/REPRESENT/CRIMINAL CASE'
   WL100A_3= 'SERVICE RECEIVE/ASSISTANCE W/PROBATION'
   WL100A_4= 'SERVICE RECEIVE/ASSIST W/NON COURT LEGAL'
   WL100A_5= 'SERVICE RECEIVE/REFERRAL TO LAWYER AID'
   WL100A_6= 'SERVICE RECEIVE/OTHER'
   WL100_B = 'HOW HELPFUL THE SERVICES'
   WL101   = 'RECEIVED SERVICE/OTHER PLACE/LEGAL PROBLEM'
   WL101A_1= 'TALKED TO/TASC PROGRAM STAFF'
   WL101A_2= 'TALKED TO/PAROLE/PROBATION OFFICER'
   WL101A_3= 'TALKED TO/PRIVATE LAWYER'
   WL101A_4= 'TALKED TO/LEGAL AID'
   WL101A_5= 'TALKED TO/PUBLIC DEFENDER'
   WL101A_6= 'TALKED TO/OTHER LEGAL'
   WL101B_1= 'LEGAL OTHER PLACE - PROVIDER #1'
   WL101C_1= 'WHO REFERRED YOU TO PROVIDER #1'
   WL101D_1= '#DAYS YOU RECEIVED SERVICES/PRO #1'
   WL101E_1= 'HOW HELPFUL THE SERVICES/PRO #1'
   WL101B_2= 'LEGAL OTHER PLACE - PROVIDER #2'
   WL101C_2= 'WHO REFERRED YOU TO PROVIDER #2'
   WL101D_2= '#DAYS YOU RECEIVED SERVICES/PRO #2'
   WL101E_2= 'HOW HELPFUL THE SERVICES/PRO #2'
   WL102   = 'RECEIVED SERVICE/HELP FINANCIAL PROBLEM'
   WL103   = 'DID YOU GET SERVICES AT PROGRAM'
   WL104_01= 'TALKED TO/PRIMARY/REGULAR COUNSELOR'
   WL104_02= 'TALKED TO/CASE MANAGER'
   WL104_11= 'TALKED TO/OTHER COUNSELOR'
   WL104_12= 'TALKED TO/OTHER CASE MANAGER'
   WL104_13= 'TALKED TO/SOCIAL WORKER'
   WL104_21= 'TALKED TO/PSYCHOLOGIST'
   WL104_22= 'TALKED TO/PSYCHIATRIST'
   WL104_23= 'TALKED TO/NURSE'
   WL104_27= 'TALKED TO/VOCATIONAL COUNSELOR'
   WL104_28= 'TALKED TO/CERTIFIED FAMILY COUNSELOR'
   WL104_29= 'TALKED TO/TEACHER'
   WL104_71= 'TALKED TO/STAFF FROM OTHER AGENCY'
   WL104_91= 'TALKED TO/OTHER'
   WL104A_1= 'TALKED TO MOST OFTEN/PROVIDER #1'
   WL104A_2= 'TALKED TO MOST OFTEN/PROVIDER #2'
   WL105   = '#TIMES MET W/YOUR PRO #1'
   WL105A_1= 'SERVICE RECEIVED/COUNSELING'
   WL105A_2= 'SERVICE RECEIVED/ASSIST W/BUDGET'
   WL105A_3= 'SERVICE RECEIVED/REFERRAL TO AGENCY'
   WL105A_4= 'SERVICE RECEIVED/EMERGENCY FUNDS'
   WL105A_5= 'SERVICE RECEIVED/CONCRETE SERVICES'
   WL105A_6= 'SERVICE RECEIVED/OTHER'
   WL105_B = 'HOW HELPFUL THE SERVICES'
   WL106   = '#TIMES YOU MET W/PRO #2'
   WL106A_1= 'SERVICE RECEIVED/COUNSELING'
   WL106A_2= 'SERVICE RECEIVED/ASSIST W/BUDGET'
   WL106A_3= 'SERVICE RECEIVED/REFERRAL TO AGENCY'
   WL106A_4= 'SERVICE RECEIVED/EMERGENCY FUNDS'
   WL106A_5= 'SERVICE RECEIVED/CONCRETE SERVICES'
   WL106A_6= 'SERVICE RECEIVED/OTHER'
   WL106_B = 'HOW HELPFUL THE SERVICES'
   WL107   = 'RECEIVED SERVICES AT OTHER PLACE'
   WL107A51= 'RECEIVE SERVICE/SOCIAL SERVICES'
   WL107A52= 'RECEIVE SERVICE/VOCATIONAL REHABILITATION'
   WL107A53= 'RECEIVE SERVICE/VETERANS AFFAIRS'
   WL107A54= 'RECEIVE SERVICE/SOCIAL SECURITY'
   WL107A91= 'RECEIVE SERVICE/OTHER'
   WL107B_1= 'FINANCIAL OTHER PLACE/LOCATION #1'
   WL107C_1= 'WHO REFERRED YOU TO LOCATION #1'
   WL107D_1= '#DAYS YOU RECEIVED SERVICES/LOC #1'
   WL107E_1= 'HOW HELPFUL THE SERVICES/LOCATION #1'
   WL107B_2= 'FINANCIAL OTHER PLACE/LOCATION #2'
   WL107C_2= 'WHO REFERRED YOU TO LOCATION #2'
   WL107D_2= '#DAYS YOU RECEIVED SERVICES/LOC #2'
   WL107E_2= 'HOW HELPFUL SERVICES/LOCATION #2'
   WL108   = 'HAD ANY COUNSELING BECAUSE OF CRISIS'
   WL108_A = '#SESSIONS YOU HAD BECAUSE OF CRISES'
   WL108_B = 'HOW HELPFUL THE SERVICES'
   WL109   = 'RECEIVED UNSCHEDULED HELP AT THIS PROGRAM'
   WL110   = 'RECEIVED UNSCHEDULED HELP/REFERRED TO'
   WL111_A = 'UNSCHEDULED HELP/STOP ON USE OF DRUGS'
   WL111_B = 'UNSCHEDULED HELP W/OTHER PROBLEMS'
   WL113_01= 'RECEIVED HELP FROM/REGULAR COUNSELOR'
   WL113_02= 'RECEIVED HELP FROM/CASE MANAGER'
   WL113_11= 'RECEIVED HELP FROM/OTHER COUNSELOR'
   WL113_12= 'RECEIVED HELP FROM/OTHER CASE MANAGER'
   WL113_13= 'RECEIVED HELP FROM/SOCIAL WORKER'
   WL113_21= 'RECEIVED HELP FROM/PSYCHOLOGIST'
   WL113_22= 'RECEIVED HELP FROM/PSYCHIATRIST'
   WL113_23= 'RECEIVED HELP FROM/NURSE'
   WL113_24= 'RECEIVED HELP FROM/PHYSICIAN'
   WL113_25= 'RECEIVED HELP FROM/PHYSICIAN''S ASSIST'
   WL113_26= 'RECEIVED HELP FROM/DENTIST'
   WL113_27= 'RECEIVED HELP FROM/VOCATIONAL COUNSELOR'
   WL113_28= 'RECEIVED HELP FROM/CERTIFIED COUNSELOR'
   WL113_29= 'RECEIVED HELP FROM/TEACHER'
   WL113_71= 'RECEIVED HELP FROM/STAFF FROM OTHER AGENCY'
   WL113_91= 'RECEIVED HELP FROM/OTHER'
   WL114_A = 'HOW OFTEN RECEIVE HELP/USE OF ALCOHOL'
   WL114_B = 'HOW OFTEN RECEIVE HELP/DRUG/CAUSE PROBLEM'
   WL114_C = 'HOW OFTEN RECEIVE HELP/EMOTIONAL HEALTH'
   WL114_D = 'HOW OFTEN RECEIVE HELP/RELATION W/FAMILY'
   WL114_E = 'HOW OFTEN RECEIVE HELP/YOUR PHYS HEALTH'
   WL114_F = 'HOW OFTEN RECEIVE HELP/EDUCATION/TRAINING'
   WL114_G = 'HOW OFTEN RECEIVE HELP/INVOLVE W/COURT'
   WL114_H = 'HOW OFTEN RECEIVE HELP/YOUR JOB'
   WL114_I = 'HOW OFTEN RECEIVE HELP/LIVING EXPENSES'
   WL114_J = 'HOW OFTEN RECEIVE HELP/REDUCE RISK/AIDS'
   WL114_K = 'HOW OFTEN RECEIVE HELP/OTHER IMPORTANT ISSUES'
   WL114K_1= 'HOW OFTEN RECEIVE HELP/FIRST SPECIFY'
   WL114K_2= 'HOW OFTEN RECEIVE HELP/SECOND SPECIFY'
   WL114K_3= 'HOW OFTEN RECEIVE HELP/THIRD SPECIFY'
   WL114K_4= 'HOW OFTEN RECEIVE HELP/FOURTH SPECIFY'
   WL115   = 'THE SERVICE MOST HELPFUL TO YOU'
   WL116   = 'THE SERVICE LEAST HELPFUL TO YOU'
   WL117   = 'NOTICED CHANGES IN YOUR THOUGHTS/FEELING'
   WL117_B1= 'FIRST CAUSE FOR CHANGE'
   WL117_B2= 'SECOND CAUSE FOR CHANGE'
   WL117_B3= 'THIRD CAUSE FOR CHANGE'
   WL117_B4= 'FOURTH CAUSE FOR CHANGE'
   WL117_B5= 'FIFTH CAUSE FOR CHANGE'
   WL118   = 'PROGRAM TREATMENT HELP STOP YOUR DRUG USE'
   WL118_A = 'HOW MUCH TREATMENT HAS HELPED YOU'
   WL119   = 'HOW MUCH PROGRAM HELPED YOU W/OTHER PROBLEM'
   WL120   = 'HOW MANY PEOPLE IN TREATMENT/TO BE HELPED'
   WL121_A = 'PRESSURE TO STAY IN PROGRAM/YOURSELF'
   WL121_B = 'PRESSURE TO STAY IN PROGRAM/HUSBAND/WIFE'
   WL121_C = 'PRESSURE TO STAY IN PROGRAM/FAMILY MEMBER'
   WL121_D = 'PRESSURE TO STAY IN PROGRAM/PEOPLE IN PROGRAM'
   WL121_E = 'PRESSURE TO STAY IN PROGRAM/FRIENDS'
   WL121_F = 'PRESSURE TO STAY IN PROGRAM/ANYONE ELSE'
   WL122   = 'HOW LIKELY/YOU TO STAY IN PROGRAM TREATMENT'
   WL123_W = '#WEEKS/FEEL YOU NEED TO STAY IN PROGRAM'
   WL124   = 'HOW MUCH/COUNSELOR AGREES W/YOU/GOALS'
   WL125   = 'HOW MUCH/COUNSELOR UNDERSTANDS/YOU/PROBLEM'
   WL126   = 'HOW MUCH/COUNSELOR & YOU WORK TOGETHER'
   WL127   = 'HOW MUCH/YOU FEEL SATISFIED W/TREATMENT'
   WL128   = 'HOW MUCH/PROGRAM TREATMENT MATCH W/YOUR IDEAS'
   WLDM    = 'DATE: MONTH'
   WLTH    = 'TIME: HOUR'
   WLTM    = 'TIME: MINUTE'
   WLAMPM  = 'TIME RECORDED AS AM OR PM'
   WM1     = 'EVER TALKED TO DOCTOR/MEMORY PROBLEM?'
   WM2     = 'WHAT IS THE YEAR?'
   WM3     = 'WHAT SEASON OF THE YEAR?'
   WM4     = 'WHAT IS THE DATE?'
   WM5     = 'WHAT IS THE DAY OF THE WEEK?'
   WM6     = 'WHAT IS THE MONTH?'
   WM7     = 'CAN YOU TELL WHERE WE ARE NOW?'
   WM8     = 'WHAT COUNTY ARE WE IN?'
   WM9     = 'WHAT CITY/TOWN ARE WE IN?'
   WM10A   = 'WHAT FLOOR OF BUILDING ARE WE ON?'
   WM10B   = 'WHAT IS THE NAME OF THIS PLACE?'
   WM11A   = 'APPLE/3 OBJECTS/REMEMBER OBJECTS'
   WM11B   = 'TABLE/3 OBJECTS/REMEMBER OBJECTS'
   WM11C   = 'PENNY/3 OBJECTS/ REMEMBER OBJECTS'
   WM12A   = 'WOULD YOU SUBTRACT 7 FROM 100'
   WM12B   = 'WOULD YOU SUBTRACT 7 FROM 93'
   WM12C   = 'WOULD YOU SUBTRACT 7 FROM 86'
   WM12D   = 'WOULD YOU SUBTRACT 7 FROM 79'
   WM12E   = 'WOULD YOU SUBTRACT 7 FROM 72'
   WM13    = 'CIRCLE NUMBER OF ERRORS/REFUSED'
   WM14A   = 'APPLE/3 OBJECTS/REMEMBER OBJECTS'
   WM14B   = 'TABLE/3 OBJECTS/REMEMBER OBJECTS'
   WM14C   = 'PENNY/3 OBJECTS/ REMEMBER OBJECTS'
   WM15A   = 'SHOW WRIST WATCH/ASK/WHAT IS THIS?'
   WM15B   = 'SHOW PENCIL/ASK/WHAT IS THIS?'
   WM16    = 'REPEAT A PHRASE AFTER ME'
   WM17    = 'HAND ''CLOSE YOUR EYES'' CARD TO RESPONDENT'
   WM18A   = 'TAKE PAPER IN YOUR RIGHT HAND'
   WM18B   = 'FOLD PAPER IN HALF'
   WM18C   = 'PUT PAPER DOWN ON YOUR LAP'
   WM19    = 'WRITE COMPLETE SENTENCE ON PAPER'
   WM20    = 'COPY THE DRAWING ON SAME PAPER'
   WM21    = '12/>12 05S CODED IN M2-M11/M14-M20?'
   WMDM    = 'DATE: MONTH'
   WMTH    = 'TIME: HOUR'
   WMTM    = 'TIME: MINUTE'
   WMAMPM  = 'TIME RECORDED AS AM OR PM'
   WN1     = 'WERE ALL APPLICABLE QUESTIONS ANSWERED?'
   WN2     = 'RESPONDENT UNDERSTOOD ALL QUESTION ASKED'
   WN2A    = '# OF QUESTIONS RESPONDENT DIDN''T UNDERSTAND'
   WN3_1_1 = 'NOT UNDERSTOOD: INTELLECTUALLY UNABLE'
   WN3_1_2 = 'SEVERITY OF INTELLECTUAL DIFFICULTY'
   WN3_2_1 = 'NOT UNDERSTOOD: LANGUAGE BARRIER'
   WN3_2_2 = 'SEVERITY OF LANGUAGE BARRIER'
   WN3_3_1 = 'NOT UNDERSTOOD: PHYSICALLY UNABLE'
   WN3_3_2 = 'SEVERITY OF PHYSICAL DIFFICULTY'
   WN3_4_1 = 'NOT UNDERSTOOD: OTHER'
   WN3_4_2 = 'SEVERITY OF OTHER PROBLEM'
   WN4     = 'WAS THE INTERVIEW A BREAK-OFF?'
   WN4A1   = 'BREAK-OFF: INTERVIEWER EMERGENCY'
   WN4A2   = 'BREAK-OFF: RESPONDENT EMERGENCY'
   WN4A3   = 'BREAK-OFF: RESPONDENT TIRED, BORED'
   WN4A4   = 'BREAK-OFF: RESPONDENT ANGRY ABOUT QUESTIONS'
   WN4A5   = 'BREAK-OFF: RESPONDENT UPSET ABOUT QUESTIONS'
   WN4A6   = 'BREAK-OFF: OTHER REASON'
   WN5     = 'RESPONSE TO POSSIBLE FUTURE INTERVIEW'
   WN6     = 'WAS INTERVIEW GIVEN IN MORE THAN 1 SESSION'
   WN6A1   = 'HOURS OF INTERVIEW BEFORE INTERRUPTED 1ST TIME'
   WN6A2   = 'MINUTES OF INTERVIEW BEFORE INTERRUPTED 1ST TIME'
   LDATE_M = 'MONTH/INTERVIEW DATE'
   LDATE_Y = 'YEAR/INTERVIEW DATE'
   WIA1_1  = 'INVOLVED IN AGGRAVATED ASSAULT'
   WIA1_2  = '# OF DAYS HAVE DONE AGGRAVATED ASSAULT'
   WIA2_1  = 'INVOLVED IN BURGLARY'
   WIA2_2  = '# OF DAYS HAVE DONE BURGLARY'
   WIA3_1  = 'INVOLVED IN THEFT'
   WIA3_2  = '#OF DAYS HAVE DONE THEFT'
   WIA4_1  = 'INVOLVED IN ROBBERY'
   WIA4_2  = '# OF DAYS HAVE DONE ROBBERY'
   WIA5_1  = 'INVOLVED IN FORGERY'
   WIA5_2  = '# OF DAYS HAVE DONE FORGERY'
   WIA6_1  = 'INVOLVED DEALING IN STOLEN PROPERTY'
   WIA6_2  = '# OF DAYS HAVE DEALT WITH STOLEN PROPERTY'
   WIA7_1  = 'EVER INVOLVED IN GAMBLING'
   WIA7_2  = '# OF DAYS HAVE GAMBLED'
   WIA8_1  = 'INVOLVED IN PIMPING/PROSTITUTION'
   WIA8_2  = '# OF DAYS HAVE DONE PIMPING/PROSTITUTION'
   WIA9_1  = 'INVOLVED IN SELLING ILLEGAL DRUGS'
   WIA9_2  = '# OF DAYS HAVE SOLD ILLEGAL DRUGS'
   WIA10_1 = 'INVOLVED IN DRIVING WHILE INTOXICATED'
   WIA10_2 = '#DAYS DRIVEN WHILE INTOXICATED'
   WP1A    = 'FEELINGS FOR PEOPLE LESS FORTUNATE'
   WP1B    = 'FEELINGS FOR OTHERS POINT OF VIEW'
   WP1C    = 'DO NOT FEEL SORRY FOR OTHER PEOPLE'
   WP1D    = 'FEELING FOR OTHERS SIDE OF ARGUMENTS'
   WP1E    = 'PROTECTIVE FEELINGS FOR OTHERS'
   WP1F    = 'FEELING FOR OTHERS PERSPECTIVE'
   WP1G    = 'FEELINGS FOR OTHERS MISFORTUNES'
   WP1H    = 'FEELINGS FOR OTHERS ARGUMENTS'
   WP1I    = 'FEELINGS OF PITY FOR OTHERS'
   WP1J    = 'TOUCHED BY THINGS THAT HAPPEN'
   WP1K    = 'BELIEF THERE ARE 2 SIDES TO QUESTIONS'
   WP1L    = 'DESCRIBE MYSELF AS SOFT-HEARTED'
   WP1M    = 'WHEN UPSET TRY TO SEE OTHERS SIDE'
   WP1N    = 'FEELINGS FOR THOSE CRITICIZED'
   WP2A    = 'STATEMENT A FOR P2'
   WP3A    = 'STATEMENT A FOR P3'
   WP2B    = 'STATEMENT B FOR P2'
   WP3B    = 'STATEMENT B FOR P3'
   WP2C    = 'STATEMENT C FOR P2'
   WP3C    = 'STATEMENT C FOR P3'
   WP2D    = 'STATEMENT D FOR P2'
   WP3D    = 'STATEMENT D FOR P3'
   WP2E    = 'STATEMENT E FOR P2'
   WP3E    = 'STATEMENT E FOR P3'
   WP2F    = 'STATEMENT F FOR P2'
   WP3F    = 'STATEMENT F FOR P3'
   WP2G    = 'STATEMENT G FOR P2'
   WP3G    = 'STATEMENT G FOR P3'
   WP2H    = 'STATEMENT H FOR P2'
   WP3H    = 'STATEMENT H FOR P3'
   WP2I    = 'STATEMENT I FOR P2'
   WP3I    = 'STATEMENT I FOR P3'
   WP2J    = 'STATEMENT J FOR P2'
   WP3J    = 'STATEMENT J FOR P3'
   QU6     = '6MO IN TREATMENT QUESTIONNAIRE'
   IA6     = '6MO IN TREATMENT ILLEGAL ACTS'
   SU6     = '6MO IN TREATMENT SUPPLEMENTAL'
   MODALITY= 'DATOS TREATMENT MODALITY'
   SEX     = 'GENDER'
   AGE     = 'AGE AT INTAKE'
   HLTHINS = 'HEALTH INSURANCE'
   FTWORK  = 'WEEKS FULL-TIME WORK YEAR BEFORE TREATMENT'
   MSTAT   = 'MARITAL STATUS'
   INSCHOOL= 'CURRENTLY IN SCHOOL'
   RACE    = 'RACE & ETHNICITY'
   EDLEV   = 'HIGHEST GRADE ATTENDED'
   RACESEX = 'ETHNICITY & GENDER'
   HVY_ALC = 'HEAVY ALCOHOL USE'
   ALCR    = 'ALCOHOL USE YEAR BEFORE TREATMENT'
   MRJR    = 'MARIJUANA USE YEAR BEFORE TREATMENT'
   COCR    = 'COCAINE USE YEAR BEFORE TREATMENT'
   HERR    = 'HEROIN USE YEAR BEFORE TREATMENT'
   NARR    = 'OTHER OPIOID USE YEAR BEFORE TREATMENT'
   SEDR    = 'SEDATIVES YEAR BEFORE TREATMENT'
   AMPR    = 'AMPHETAMINE USE YEAR BEFORE TREATMENT'
   HALR    = 'HALLUCINOGENS YEAR BEFORE TREATMENT'
   INHR    = 'INHALANTS YEAR BEFORE TREATMENT'
   ALCWK   = 'ALCOHOL WEEKLY+ YEAR BEFORE TREATMENT'
   MRJWK   = 'MARIJUANA WEEKLY+ YEAR BEFORE TREATMENT'
   COCWK   = 'COCAINE WEEKLY+ YEAR BEFORE TREATMENT'
   HERWK   = 'HEROIN WEEKLY+ YEAR BEFORE TREATMENT'
   NARWK   = 'OTHER OPIOIDS WEEKLY+ YEAR BEFORE TREATMENT'
   SEDWK   = 'SEDATIVES WEEKLY+ YEAR BEFORE TREATMENT'
   AMPWK   = 'AMPHETAMINE WEEKLY+ YEAR BEFORE TREATMENT'
   HALWK   = 'HALLUCINOGEN WEEKLY+ YEAR BEFORE TREATMENT'
   INHWK   = 'INHALANTS WEEKLY+ YEAR BEFORE TREATMENT'
   MRJ_EV  = 'MARIJUANA - EVER USED'
   COC_EV  = 'COCAINE EVER USED'
   HER_EV  = 'HEROIN - EVER USED'
   NAR_EV  = 'OTHER OPIOIDS EVER USED'
   SED_EV  = 'SEDATIVES EVER USED'
   AMP_EV  = 'AMPHETAMINES EVER USED'
   HAL_EV  = 'HALLUCINOGENS - EVER USED'
   INH_EV  = 'INHALANTS - EVER USED'
   CJ_STAT = 'CRIMINAL JUSTICE STATUS'
   IAY_SIA = 'SERIOUS ILLEGAL ACTS YEAR BEFORE TREATMENT'
   MAJSRC  = 'MAJOR SOURCE OF INCOME'
   REFER   = 'REFERRAL SOURCE'
   RESTRICT= 'WEEKS RESTRICTED IN YEAR BEFORE TREATMENT'
   DRUGTX  = '# OF PRIOR DRUG TX'
   SCHOOL  = 'SCHOOL STATUS AT INTAKE'
   DEP_YR  = 'DEPRESSIVE SYMPTOMS YEAR BEFORE TREATMENT'
   EMPSTAT = 'EMPLOYMENT WEEK BF/ADMISSION'
   IAPY    = 'FREQUENCY OF ILLEGAL ACTIVITY YEAR BEFORE TREATMENT'
   PDT     = 'PRIOR DRUG TREATMENTS'
   CRKR    = 'CRACK USE YEAR BEFORE TREATMENT'
   CRKWK   = 'CRACK WEEKLY+ YEAR BEFORE TREATMENT'
        ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (CASEID <= -1) THEN CASEID = .;
   IF (WDC_M <= -1) THEN WDC_M = .;
   IF (WDC_Y <= -1) THEN WDC_Y = .;
   IF (WT_L_I <= -1) THEN WT_L_I = .;
   IF (WTIME1_H <= -1) THEN WTIME1_H = .;
   IF (WTIME1_M <= -1) THEN WTIME1_M = .;
   IF (WAM_PM_1 <= -1) THEN WAM_PM_1 = .;
   IF (WA3 <= -1) THEN WA3 = .;
   IF (WA3_A <= -1) THEN WA3_A = .;
   IF (WA3_B <= -1) THEN WA3_B = .;
   IF (WA4 <= -1) THEN WA4 = .;
   IF (WA4_A <= -1) THEN WA4_A = .;
   IF (WA5 <= -1) THEN WA5 = .;
   IF (WA6 <= -1) THEN WA6 = .;
   IF (WA7 <= -1) THEN WA7 = .;
   IF (WA8 <= -1) THEN WA8 = .;
   IF (WA8_A <= -1) THEN WA8_A = .;
   IF (WA8_B <= -1) THEN WA8_B = .;
   IF (WA8_C <= -1) THEN WA8_C = .;
   IF (WA8_D <= -1) THEN WA8_D = .;
   IF (WA8_E <= -1) THEN WA8_E = .;
   IF (WA9 <= -1) THEN WA9 = .;
   IF (WA10 <= -1) THEN WA10 = .;
   IF (WA11 <= -1) THEN WA11 = .;
   IF (WA12 <= -1) THEN WA12 = .;
   IF (WA13 <= -1) THEN WA13 = .;
   IF (WA13A_02 <= -1) THEN WA13A_02 = .;
   IF (WA13A_03 <= -1) THEN WA13A_03 = .;
   IF (WA13A_04 <= -1) THEN WA13A_04 = .;
   IF (WA13A_05 <= -1) THEN WA13A_05 = .;
   IF (WA13A_06 <= -1) THEN WA13A_06 = .;
   IF (WA14 <= -1) THEN WA14 = .;
   IF (WA14A_02 <= -1) THEN WA14A_02 = .;
   IF (WA14A_03 <= -1) THEN WA14A_03 = .;
   IF (WA14A_04 <= -1) THEN WA14A_04 = .;
   IF (WA14A_05 <= -1) THEN WA14A_05 = .;
   IF (WA14A_06 <= -1) THEN WA14A_06 = .;
   IF (WA15_00 <= -1) THEN WA15_00 = .;
   IF (WA15_01 <= -1) THEN WA15_01 = .;
   IF (WA15_02 <= -1) THEN WA15_02 = .;
   IF (WA15_03 <= -1) THEN WA15_03 = .;
   IF (WA16 <= -1) THEN WA16 = .;
   IF (WA17 <= -1) THEN WA17 = .;
   IF (WA18 <= -1) THEN WA18 = .;
   IF (WA19 <= -1) THEN WA19 = .;
   IF (WA19_A <= -1) THEN WA19_A = .;
   IF (WA19_B <= -1) THEN WA19_B = .;
   IF (WA20 <= -1) THEN WA20 = .;
   IF (WA21 <= -1) THEN WA21 = .;
   IF (WA22 <= -1) THEN WA22 = .;
   IF (WA23_A <= -1) THEN WA23_A = .;
   IF (WA23_B <= -1) THEN WA23_B = .;
   IF (WA23_C <= -1) THEN WA23_C = .;
   IF (WA24_A <= -1) THEN WA24_A = .;
   IF (WA24_B <= -1) THEN WA24_B = .;
   IF (WA24_C <= -1) THEN WA24_C = .;
   IF (WA24_D <= -1) THEN WA24_D = .;
   IF (WA24_E <= -1) THEN WA24_E = .;
   IF (WA24_F <= -1) THEN WA24_F = .;
   IF (WA25 <= -1) THEN WA25 = .;
   IF (WA26 <= -1) THEN WA26 = .;
   IF (WA27 <= -1) THEN WA27 = .;
   IF (WA27A <= -1) THEN WA27A = .;
   IF (WB1 <= -1) THEN WB1 = .;
   IF (WB1_A <= -1) THEN WB1_A = .;
   IF (WB1_B <= -1) THEN WB1_B = .;
   IF (WB1_C <= -1) THEN WB1_C = .;
   IF (WB1_D <= -1) THEN WB1_D = .;
   IF (WB1_E <= -1) THEN WB1_E = .;
   IF (WB1_F <= -1) THEN WB1_F = .;
   IF (WB1_G <= -1) THEN WB1_G = .;
   IF (WB2 <= -1) THEN WB2 = .;
   IF (WB2_A <= -1) THEN WB2_A = .;
   IF (WB3_0 <= -1) THEN WB3_0 = .;
   IF (WB3_1 <= -1) THEN WB3_1 = .;
   IF (WB3_2 <= -1) THEN WB3_2 = .;
   IF (WB3_3 <= -1) THEN WB3_3 = .;
   IF (WB3_4 <= -1) THEN WB3_4 = .;
   IF (WB3_5 <= -1) THEN WB3_5 = .;
   IF (WB3_6 <= -1) THEN WB3_6 = .;
   IF (WB4 <= -1) THEN WB4 = .;
   IF (WB4_A <= -1) THEN WB4_A = .;
   IF (WB5 <= -1) THEN WB5 = .;
   IF (WC1 <= -1) THEN WC1 = .;
   IF (WC1_A_02 <= -1) THEN WC1_A_02 = .;
   IF (WC1_A_03 <= -1) THEN WC1_A_03 = .;
   IF (WC1_A_04 <= -1) THEN WC1_A_04 = .;
   IF (WC1_A_05 <= -1) THEN WC1_A_05 = .;
   IF (WC1_A_06 <= -1) THEN WC1_A_06 = .;
   IF (WC1_A_07 <= -1) THEN WC1_A_07 = .;
   IF (WC1_B <= -1) THEN WC1_B = .;
   IF (WC1_C <= -1) THEN WC1_C = .;
   IF (WC1_D <= -1) THEN WC1_D = .;
   IF (WC1_E <= -1) THEN WC1_E = .;
   IF (WC2 <= -1) THEN WC2 = .;
   IF (WC3 <= -1) THEN WC3 = .;
   IF (WC3_A <= -1) THEN WC3_A = .;
   IF (WC3_B <= -1) THEN WC3_B = .;
   IF (WC4_00 <= -1) THEN WC4_00 = .;
   IF (WC4_01 <= -1) THEN WC4_01 = .;
   IF (WC4_02 <= -1) THEN WC4_02 = .;
   IF (WC4_03 <= -1) THEN WC4_03 = .;
   IF (WC4_04 <= -1) THEN WC4_04 = .;
   IF (WC4_05 <= -1) THEN WC4_05 = .;
   IF (WC4_06 <= -1) THEN WC4_06 = .;
   IF (WC4_07 <= -1) THEN WC4_07 = .;
   IF (WC4_08 <= -1) THEN WC4_08 = .;
   IF (WC4_09 <= -1) THEN WC4_09 = .;
   IF (WC5 <= -1) THEN WC5 = .;
   IF (WC5_A <= -1) THEN WC5_A = .;
   IF (WC6 <= -1) THEN WC6 = .;
   IF (WC6_A <= -1) THEN WC6_A = .;
   IF (WC7 <= -1) THEN WC7 = .;
   IF (WC7_A <= -1) THEN WC7_A = .;
   IF (WC7_B_1 <= -1) THEN WC7_B_1 = .;
   IF (WC7_B_2 <= -1) THEN WC7_B_2 = .;
   IF (WD1 <= -1) THEN WD1 = .;
   IF (WD1_A <= -1) THEN WD1_A = .;
   IF (WD1_B_1 <= -1) THEN WD1_B_1 = .;
   IF (WD1_B_2 <= -1) THEN WD1_B_2 = .;
   IF (WD1_C <= -1) THEN WD1_C = .;
   IF (WD2 <= -1) THEN WD2 = .;
   IF (WD2_A <= -1) THEN WD2_A = .;
   IF (WD2_B <= -1) THEN WD2_B = .;
   IF (WD2_C_1 <= -1) THEN WD2_C_1 = .;
   IF (WD2_C_2 <= -1) THEN WD2_C_2 = .;
   IF (WD2_D <= -1) THEN WD2_D = .;
   IF (WD3 <= -1) THEN WD3 = .;
   IF (WD3_A <= -1) THEN WD3_A = .;
   IF (WD4 <= -1) THEN WD4 = .;
   IF (WD4_A <= -1) THEN WD4_A = .;
   IF (WD5 <= -1) THEN WD5 = .;
   IF (WD5_A_1 <= -1) THEN WD5_A_1 = .;
   IF (WD5_A_2 <= -1) THEN WD5_A_2 = .;
   IF (WD5_B <= -1) THEN WD5_B = .;
   IF (WD6 <= -1) THEN WD6 = .;
   IF (WD6_A_1 <= -1) THEN WD6_A_1 = .;
   IF (WD6_A_2 <= -1) THEN WD6_A_2 = .;
   IF (WD6_B <= -1) THEN WD6_B = .;
   IF (WD7 <= -1) THEN WD7 = .;
   IF (WD7_A_1 <= -1) THEN WD7_A_1 = .;
   IF (WD7_A_2 <= -1) THEN WD7_A_2 = .;
   IF (WD7_B <= -1) THEN WD7_B = .;
   IF (WD8 <= -1) THEN WD8 = .;
   IF (WD8_A <= -1) THEN WD8_A = .;
   IF (WD9 <= -1) THEN WD9 = .;
   IF (WD10 <= -1) THEN WD10 = .;
   IF (WD10_A <= -1) THEN WD10_A = .;
   IF (WD11 <= -1) THEN WD11 = .;
   IF (WD11_A <= -1) THEN WD11_A = .;
   IF (WD12 <= -1) THEN WD12 = .;
   IF (WD13 <= -1) THEN WD13 = .;
   IF (WD14 <= -1) THEN WD14 = .;
   IF (WD15 <= -1) THEN WD15 = .;
   IF (WD16 <= -1) THEN WD16 = .;
   IF (WD17 <= -1) THEN WD17 = .;
   IF (WD18 <= -1) THEN WD18 = .;
   IF (WD19 <= -1) THEN WD19 = .;
   IF (WE1 <= -1) THEN WE1 = .;
   IF (WE2 <= -1) THEN WE2 = .;
   IF (WE3 <= -1) THEN WE3 = .;
   IF (WE4 <= -1) THEN WE4 = .;
   IF (WE5 <= -1) THEN WE5 = .;
   IF (WE6 <= -1) THEN WE6 = .;
   IF (WE7 <= -1) THEN WE7 = .;
   IF (WE8 <= -1) THEN WE8 = .;
   IF (WE9 <= -1) THEN WE9 = .;
   IF (WE10 <= -1) THEN WE10 = .;
   IF (WE11 <= -1) THEN WE11 = .;
   IF (WE12 <= -1) THEN WE12 = .;
   IF (WE12_A <= -1) THEN WE12_A = .;
   IF (WE13 <= -1) THEN WE13 = .;
   IF (WE13_A_1 <= -1) THEN WE13_A_1 = .;
   IF (WE13_A_2 <= -1) THEN WE13_A_2 = .;
   IF (WE13_A_3 <= -1) THEN WE13_A_3 = .;
   IF (WE14 <= -1) THEN WE14 = .;
   IF (WE14_A_1 <= -1) THEN WE14_A_1 = .;
   IF (WE14_A_2 <= -1) THEN WE14_A_2 = .;
   IF (WE14_B_1 <= -1) THEN WE14_B_1 = .;
   IF (WE14_B_2 <= -1) THEN WE14_B_2 = .;
   IF (WE14_C <= -1) THEN WE14_C = .;
   IF (WE15 <= -1) THEN WE15 = .;
   IF (WE15_A_1 <= -1) THEN WE15_A_1 = .;
   IF (WE15_A_2 <= -1) THEN WE15_A_2 = .;
   IF (WE15_B_1 <= -1) THEN WE15_B_1 = .;
   IF (WE15_B_2 <= -1) THEN WE15_B_2 = .;
   IF (WE15_C <= -1) THEN WE15_C = .;
   IF (WE15_D <= -1) THEN WE15_D = .;
   IF (WE15_E <= -1) THEN WE15_E = .;
   IF (WE16 <= -1) THEN WE16 = .;
   IF (WE16_A_1 <= -1) THEN WE16_A_1 = .;
   IF (WE16_A_2 <= -1) THEN WE16_A_2 = .;
   IF (WE16_B_1 <= -1) THEN WE16_B_1 = .;
   IF (WE16_B_2 <= -1) THEN WE16_B_2 = .;
   IF (WE16_C <= -1) THEN WE16_C = .;
   IF (WE16_D <= -1) THEN WE16_D = .;
   IF (WE16_E <= -1) THEN WE16_E = .;
   IF (WE16_F <= -1) THEN WE16_F = .;
   IF (WE17 <= -1) THEN WE17 = .;
   IF (WE17_A <= -1) THEN WE17_A = .;
   IF (WE17_B_1 <= -1) THEN WE17_B_1 = .;
   IF (WE17_B_2 <= -1) THEN WE17_B_2 = .;
   IF (WE17_B_3 <= -1) THEN WE17_B_3 = .;
   IF (WE17_C <= -1) THEN WE17_C = .;
   IF (WE18 <= -1) THEN WE18 = .;
   IF (WE18_A_1 <= -1) THEN WE18_A_1 = .;
   IF (WE18_A_2 <= -1) THEN WE18_A_2 = .;
   IF (WE18_B_1 <= -1) THEN WE18_B_1 = .;
   IF (WE18_B_2 <= -1) THEN WE18_B_2 = .;
   IF (WE18_C <= -1) THEN WE18_C = .;
   IF (WE18_D <= -1) THEN WE18_D = .;
   IF (WE18_E <= -1) THEN WE18_E = .;
   IF (WE19 <= -1) THEN WE19 = .;
   IF (WE19_A <= -1) THEN WE19_A = .;
   IF (WE19B1_1 <= -1) THEN WE19B1_1 = .;
   IF (WE19B1_2 <= -1) THEN WE19B1_2 = .;
   IF (WE19B2_1 <= -1) THEN WE19B2_1 = .;
   IF (WE19B2_2 <= -1) THEN WE19B2_2 = .;
   IF (WE19_C <= -1) THEN WE19_C = .;
   IF (WE20 <= -1) THEN WE20 = .;
   IF (WE20_A_1 <= -1) THEN WE20_A_1 = .;
   IF (WE20_A_2 <= -1) THEN WE20_A_2 = .;
   IF (WE20_B_1 <= -1) THEN WE20_B_1 = .;
   IF (WE20_B_2 <= -1) THEN WE20_B_2 = .;
   IF (WE20_C <= -1) THEN WE20_C = .;
   IF (WE20_D <= -1) THEN WE20_D = .;
   IF (WE20_E_1 <= -1) THEN WE20_E_1 = .;
   IF (WE20_E_2 <= -1) THEN WE20_E_2 = .;
   IF (WE20_E_3 <= -1) THEN WE20_E_3 = .;
   IF (WE20_E_4 <= -1) THEN WE20_E_4 = .;
   IF (WE20_F <= -1) THEN WE20_F = .;
   IF (WE21 <= -1) THEN WE21 = .;
   IF (WE21_A <= -1) THEN WE21_A = .;
   IF (WE21_B_1 <= -1) THEN WE21_B_1 = .;
   IF (WE21_B_2 <= -1) THEN WE21_B_2 = .;
   IF (WE21_B_3 <= -1) THEN WE21_B_3 = .;
   IF (WE21_C <= -1) THEN WE21_C = .;
   IF (WE22 <= -1) THEN WE22 = .;
   IF (WE22_A_1 <= -1) THEN WE22_A_1 = .;
   IF (WE22_A_2 <= -1) THEN WE22_A_2 = .;
   IF (WE22_B_1 <= -1) THEN WE22_B_1 = .;
   IF (WE22_B_2 <= -1) THEN WE22_B_2 = .;
   IF (WE22_C <= -1) THEN WE22_C = .;
   IF (WE22_D <= -1) THEN WE22_D = .;
   IF (WE22_E <= -1) THEN WE22_E = .;
   IF (WE23 <= -1) THEN WE23 = .;
   IF (WE23_A <= -1) THEN WE23_A = .;
   IF (WE24 <= -1) THEN WE24 = .;
   IF (WE24_A_1 <= -1) THEN WE24_A_1 = .;
   IF (WE24_A_2 <= -1) THEN WE24_A_2 = .;
   IF (WE24_B_1 <= -1) THEN WE24_B_1 = .;
   IF (WE24_B_2 <= -1) THEN WE24_B_2 = .;
   IF (WE24_C <= -1) THEN WE24_C = .;
   IF (WE24_D <= -1) THEN WE24_D = .;
   IF (WE24_E <= -1) THEN WE24_E = .;
   IF (WE25 <= -1) THEN WE25 = .;
   IF (WE25_A_1 <= -1) THEN WE25_A_1 = .;
   IF (WE25_A_2 <= -1) THEN WE25_A_2 = .;
   IF (WE25_B_1 <= -1) THEN WE25_B_1 = .;
   IF (WE25_B_2 <= -1) THEN WE25_B_2 = .;
   IF (WE25_C <= -1) THEN WE25_C = .;
   IF (WE26 <= -1) THEN WE26 = .;
   IF (WE26_A_1 <= -1) THEN WE26_A_1 = .;
   IF (WE26_A_2 <= -1) THEN WE26_A_2 = .;
   IF (WE26_B_1 <= -1) THEN WE26_B_1 = .;
   IF (WE26_B_2 <= -1) THEN WE26_B_2 = .;
   IF (WE26_C <= -1) THEN WE26_C = .;
   IF (WE26_D <= -1) THEN WE26_D = .;
   IF (WE27 <= -1) THEN WE27 = .;
   IF (WE27_A <= -1) THEN WE27_A = .;
   IF (WE27_B_1 <= -1) THEN WE27_B_1 = .;
   IF (WE27_B_2 <= -1) THEN WE27_B_2 = .;
   IF (WE27_C_1 <= -1) THEN WE27_C_1 = .;
   IF (WE27_C_2 <= -1) THEN WE27_C_2 = .;
   IF (WE27_D <= -1) THEN WE27_D = .;
   IF (WE27_E <= -1) THEN WE27_E = .;
   IF (WE28 <= -1) THEN WE28 = .;
   IF (WE28_A <= -1) THEN WE28_A = .;
   IF (WE28_B_1 <= -1) THEN WE28_B_1 = .;
   IF (WE28_B_2 <= -1) THEN WE28_B_2 = .;
   IF (WE28_C_1 <= -1) THEN WE28_C_1 = .;
   IF (WE28_C_2 <= -1) THEN WE28_C_2 = .;
   IF (WE28_D <= -1) THEN WE28_D = .;
   IF (WE28_E <= -1) THEN WE28_E = .;
   IF (WE29 <= -1) THEN WE29 = .;
   IF (WE30 <= -1) THEN WE30 = .;
   IF (WE30_A <= -1) THEN WE30_A = .;
   IF (WE31 <= -1) THEN WE31 = .;
   IF (WE31A_1 <= -1) THEN WE31A_1 = .;
   IF (WE31A_2 <= -1) THEN WE31A_2 = .;
   IF (WE31A_3 <= -1) THEN WE31A_3 = .;
   IF (WE31A_4 <= -1) THEN WE31A_4 = .;
   IF (WE31A_5 <= -1) THEN WE31A_5 = .;
   IF (WE31A_6 <= -1) THEN WE31A_6 = .;
   IF (WE32 <= -1) THEN WE32 = .;
   IF (WE33_A <= -1) THEN WE33_A = .;
   IF (WE33_B <= -1) THEN WE33_B = .;
   IF (WE33_C <= -1) THEN WE33_C = .;
   IF (WE33_D <= -1) THEN WE33_D = .;
   IF (WE33_E <= -1) THEN WE33_E = .;
   IF (WE33_F <= -1) THEN WE33_F = .;
   IF (WE34 <= -1) THEN WE34 = .;
   IF (WE35 <= -1) THEN WE35 = .;
   IF (WE36 <= -1) THEN WE36 = .;
   IF (WE37 <= -1) THEN WE37 = .;
   IF (WE38 <= -1) THEN WE38 = .;
   IF (WE39_A <= -1) THEN WE39_A = .;
   IF (WE39_B <= -1) THEN WE39_B = .;
   IF (WE39_C <= -1) THEN WE39_C = .;
   IF (WE39_D <= -1) THEN WE39_D = .;
   IF (WE39_E <= -1) THEN WE39_E = .;
   IF (WE39_F <= -1) THEN WE39_F = .;
   IF (WE39_G <= -1) THEN WE39_G = .;
   IF (WE39_H <= -1) THEN WE39_H = .;
   IF (WE39_I <= -1) THEN WE39_I = .;
   IF (WE39_J <= -1) THEN WE39_J = .;
   IF (WE39_K <= -1) THEN WE39_K = .;
   IF (WE39_L <= -1) THEN WE39_L = .;
   IF (WE39_M <= -1) THEN WE39_M = .;
   IF (WE39_N <= -1) THEN WE39_N = .;
   IF (WE39_O <= -1) THEN WE39_O = .;
   IF (WE39_P <= -1) THEN WE39_P = .;
   IF (WE39_Q <= -1) THEN WE39_Q = .;
   IF (WE39_R <= -1) THEN WE39_R = .;
   IF (WE39_S <= -1) THEN WE39_S = .;
   IF (WE39_T <= -1) THEN WE39_T = .;
   IF (WE40 <= -1) THEN WE40 = .;
   IF (WE40_B_1 <= -1) THEN WE40_B_1 = .;
   IF (WE40_B_2 <= -1) THEN WE40_B_2 = .;
   IF (WE40_B_3 <= -1) THEN WE40_B_3 = .;
   IF (WE41_A <= -1) THEN WE41_A = .;
   IF (WE41_B <= -1) THEN WE41_B = .;
   IF (WE42 <= -1) THEN WE42 = .;
   IF (WE43 <= -1) THEN WE43 = .;
   IF (WE44 <= -1) THEN WE44 = .;
   IF (WE45 <= -1) THEN WE45 = .;
   IF (WE46 <= -1) THEN WE46 = .;
   IF (WE47 <= -1) THEN WE47 = .;
   IF (WE48_A <= -1) THEN WE48_A = .;
   IF (WE48_B <= -1) THEN WE48_B = .;
   IF (WE48_C <= -1) THEN WE48_C = .;
   IF (WE48_D <= -1) THEN WE48_D = .;
   IF (WE48_E <= -1) THEN WE48_E = .;
   IF (WE48_F <= -1) THEN WE48_F = .;
   IF (WE48_G <= -1) THEN WE48_G = .;
   IF (WE48_H <= -1) THEN WE48_H = .;
   IF (WE48_I <= -1) THEN WE48_I = .;
   IF (WE48_J <= -1) THEN WE48_J = .;
   IF (WE48_K <= -1) THEN WE48_K = .;
   IF (WE48_L <= -1) THEN WE48_L = .;
   IF (WF1 <= -1) THEN WF1 = .;
   IF (WF1_A <= -1) THEN WF1_A = .;
   IF (WF2 <= -1) THEN WF2 = .;
   IF (WF2_A <= -1) THEN WF2_A = .;
   IF (WF3 <= -1) THEN WF3 = .;
   IF (WF4 <= -1) THEN WF4 = .;
   IF (WF5 <= -1) THEN WF5 = .;
   IF (WF5_A <= -1) THEN WF5_A = .;
   IF (WF6 <= -1) THEN WF6 = .;
   IF (WF7 <= -1) THEN WF7 = .;
   IF (WF8 <= -1) THEN WF8 = .;
   IF (WF9 <= -1) THEN WF9 = .;
   IF (WF9_A <= -1) THEN WF9_A = .;
   IF (WF10 <= -1) THEN WF10 = .;
   IF (WF10_A <= -1) THEN WF10_A = .;
   IF (WF11 <= -1) THEN WF11 = .;
   IF (WF11_A <= -1) THEN WF11_A = .;
   IF (WF12 <= -1) THEN WF12 = .;
   IF (WF13 <= -1) THEN WF13 = .;
   IF (WF14 <= -1) THEN WF14 = .;
   IF (WF15 <= -1) THEN WF15 = .;
   IF (WF16 <= -1) THEN WF16 = .;
   IF (WF16_A <= -1) THEN WF16_A = .;
   IF (WF17 <= -1) THEN WF17 = .;
   IF (WF17_A_1 <= -1) THEN WF17_A_1 = .;
   IF (WF17_A_2 <= -1) THEN WF17_A_2 = .;
   IF (WF17_A_3 <= -1) THEN WF17_A_3 = .;
   IF (WF17_A_4 <= -1) THEN WF17_A_4 = .;
   IF (WF17_B <= -1) THEN WF17_B = .;
   IF (WF17_C <= -1) THEN WF17_C = .;
   IF (WF17D_01 <= -1) THEN WF17D_01 = .;
   IF (WF17D_02 <= -1) THEN WF17D_02 = .;
   IF (WF17D_14 <= -1) THEN WF17D_14 = .;
   IF (WF17D_23 <= -1) THEN WF17D_23 = .;
   IF (WF17D_24 <= -1) THEN WF17D_24 = .;
   IF (WF17D_25 <= -1) THEN WF17D_25 = .;
   IF (WF17D_61 <= -1) THEN WF17D_61 = .;
   IF (WF17D_62 <= -1) THEN WF17D_62 = .;
   IF (WF17D_91 <= -1) THEN WF17D_91 = .;
   IF (WF17_E <= -1) THEN WF17_E = .;
   IF (WF18 <= -1) THEN WF18 = .;
   IF (WG1 <= -1) THEN WG1 = .;
   IF (WG2 <= -1) THEN WG2 = .;
   IF (WG3 <= -1) THEN WG3 = .;
   IF (WG4 <= -1) THEN WG4 = .;
   IF (WG4_A <= -1) THEN WG4_A = .;
   IF (WG4_B_1 <= -1) THEN WG4_B_1 = .;
   IF (WG4_B_2 <= -1) THEN WG4_B_2 = .;
   IF (WG4_B_3 <= -1) THEN WG4_B_3 = .;
   IF (WG4_B_4 <= -1) THEN WG4_B_4 = .;
   IF (WG4_C <= -1) THEN WG4_C = .;
   IF (WG4_D <= -1) THEN WG4_D = .;
   IF (WG4_E <= -1) THEN WG4_E = .;
   IF (WG4F_1 <= -1) THEN WG4F_1 = .;
   IF (WG4F_2 <= -1) THEN WG4F_2 = .;
   IF (WG4F_3 <= -1) THEN WG4F_3 = .;
   IF (WG4F_4 <= -1) THEN WG4F_4 = .;
   IF (WG4F_5 <= -1) THEN WG4F_5 = .;
   IF (WG4F_6 <= -1) THEN WG4F_6 = .;
   IF (WG4G <= -1) THEN WG4G = .;
   IF (WG5_A <= -1) THEN WG5_A = .;
   IF (WG5_B <= -1) THEN WG5_B = .;
   IF (WG5_C <= -1) THEN WG5_C = .;
   IF (WG5_D <= -1) THEN WG5_D = .;
   IF (WG5_E <= -1) THEN WG5_E = .;
   IF (WG5_F <= -1) THEN WG5_F = .;
   IF (WG7 <= -1) THEN WG7 = .;
   IF (WG7_A <= -1) THEN WG7_A = .;
   IF (WG8 <= -1) THEN WG8 = .;
   IF (WG9 <= -1) THEN WG9 = .;
   IF (WG10 <= -1) THEN WG10 = .;
   IF (WG11 <= -1) THEN WG11 = .;
   IF (WG12 <= -1) THEN WG12 = .;
   IF (WG12A_1 <= -1) THEN WG12A_1 = .;
   IF (WG12A_2 <= -1) THEN WG12A_2 = .;
   IF (WG12A_3 <= -1) THEN WG12A_3 = .;
   IF (WG12A_4 <= -1) THEN WG12A_4 = .;
   IF (WG12B_1 <= -1) THEN WG12B_1 = .;
   IF (WG12B_2 <= -1) THEN WG12B_2 = .;
   IF (WG12B_3 <= -1) THEN WG12B_3 = .;
   IF (WG13 <= -1) THEN WG13 = .;
   IF (WG14 <= -1) THEN WG14 = .;
   IF (WG15 <= -1) THEN WG15 = .;
   IF (WG15_A <= -1) THEN WG15_A = .;
   IF (WH1 <= -1) THEN WH1 = .;
   IF (WH1_A <= -1) THEN WH1_A = .;
   IF (WH2_A <= -1) THEN WH2_A = .;
   IF (WH3_A <= -1) THEN WH3_A = .;
   IF (WH2_B <= -1) THEN WH2_B = .;
   IF (WH3_B <= -1) THEN WH3_B = .;
   IF (WH2_C <= -1) THEN WH2_C = .;
   IF (WH3_C <= -1) THEN WH3_C = .;
   IF (WH2_D <= -1) THEN WH2_D = .;
   IF (WH3_D <= -1) THEN WH3_D = .;
   IF (WH2_E <= -1) THEN WH2_E = .;
   IF (WH3_E <= -1) THEN WH3_E = .;
   IF (WH2_F <= -1) THEN WH2_F = .;
   IF (WH3_F <= -1) THEN WH3_F = .;
   IF (WH2_G <= -1) THEN WH2_G = .;
   IF (WH3_G <= -1) THEN WH3_G = .;
   IF (WH2_H <= -1) THEN WH2_H = .;
   IF (WH3_H <= -1) THEN WH3_H = .;
   IF (WH2_I <= -1) THEN WH2_I = .;
   IF (WH3_I <= -1) THEN WH3_I = .;
   IF (WH2_J <= -1) THEN WH2_J = .;
   IF (WH3_J <= -1) THEN WH3_J = .;
   IF (WH2_K <= -1) THEN WH2_K = .;
   IF (WH3_K <= -1) THEN WH3_K = .;
   IF (WH2_L <= -1) THEN WH2_L = .;
   IF (WH3_L <= -1) THEN WH3_L = .;
   IF (WH4 <= -1) THEN WH4 = .;
   IF (WH5 <= -1) THEN WH5 = .;
   IF (WH6 <= -1) THEN WH6 = .;
   IF (WH6_A <= -1) THEN WH6_A = .;
   IF (WH7 <= -1) THEN WH7 = .;
   IF (WH8 <= -1) THEN WH8 = .;
   IF (WH8_A <= -1) THEN WH8_A = .;
   IF (WH9 <= -1) THEN WH9 = .;
   IF (WJ1 <= -1) THEN WJ1 = .;
   IF (WJ2 <= -1) THEN WJ2 = .;
   IF (WJ2_A <= -1) THEN WJ2_A = .;
   IF (WJ2_B <= -1) THEN WJ2_B = .;
   IF (WJ2_C <= -1) THEN WJ2_C = .;
   IF (WJ2_D <= -1) THEN WJ2_D = .;
   IF (WJ2_E <= -1) THEN WJ2_E = .;
   IF (WJ2_F <= -1) THEN WJ2_F = .;
   IF (WJ2_G <= -1) THEN WJ2_G = .;
   IF (WJ3 <= -1) THEN WJ3 = .;
   IF (WJ3_A_1 <= -1) THEN WJ3_A_1 = .;
   IF (WJ3_A_2 <= -1) THEN WJ3_A_2 = .;
   IF (WJ3_A_3 <= -1) THEN WJ3_A_3 = .;
   IF (WJ3_A_4 <= -1) THEN WJ3_A_4 = .;
   IF (WJ3_A_5 <= -1) THEN WJ3_A_5 = .;
   IF (WJ3_A_6 <= -1) THEN WJ3_A_6 = .;
   IF (WJ3_A_7 <= -1) THEN WJ3_A_7 = .;
   IF (WJ3_B <= -1) THEN WJ3_B = .;
   IF (WJ3_C_1 <= -1) THEN WJ3_C_1 = .;
   IF (WJ3_C_2 <= -1) THEN WJ3_C_2 = .;
   IF (WJ3_C_3 <= -1) THEN WJ3_C_3 = .;
   IF (WJ3_C_4 <= -1) THEN WJ3_C_4 = .;
   IF (WJ3_C_5 <= -1) THEN WJ3_C_5 = .;
   IF (WJ3_C_6 <= -1) THEN WJ3_C_6 = .;
   IF (WJ3_C_7 <= -1) THEN WJ3_C_7 = .;
   IF (WJ3_C_8 <= -1) THEN WJ3_C_8 = .;
   IF (WJ3_C_9 <= -1) THEN WJ3_C_9 = .;
   IF (WJ3_C_10 <= -1) THEN WJ3_C_10 = .;
   IF (WJ3_C_11 <= -1) THEN WJ3_C_11 = .;
   IF (WJ4_0 <= -1) THEN WJ4_0 = .;
   IF (WJ4_1 <= -1) THEN WJ4_1 = .;
   IF (WJ4_2 <= -1) THEN WJ4_2 = .;
   IF (WJ4_3 <= -1) THEN WJ4_3 = .;
   IF (WJ4_4 <= -1) THEN WJ4_4 = .;
   IF (WJ4_5 <= -1) THEN WJ4_5 = .;
   IF (WJ4_6 <= -1) THEN WJ4_6 = .;
   IF (WJ4_7 <= -1) THEN WJ4_7 = .;
   IF (WJ4_8 <= -1) THEN WJ4_8 = .;
   IF (WJ4_9 <= -1) THEN WJ4_9 = .;
   IF (WJ4_10 <= -1) THEN WJ4_10 = .;
   IF (WJ4_11 <= -1) THEN WJ4_11 = .;
   IF (WJ4_12 <= -1) THEN WJ4_12 = .;
   IF (WJ4_13 <= -1) THEN WJ4_13 = .;
   IF (WJ4_14 <= -1) THEN WJ4_14 = .;
   IF (WJ4_15 <= -1) THEN WJ4_15 = .;
   IF (WJ4_16 <= -1) THEN WJ4_16 = .;
   IF (WJ5 <= -1) THEN WJ5 = .;
   IF (WJ6 <= -1) THEN WJ6 = .;
   IF (WJ7 <= -1) THEN WJ7 = .;
   IF (WJ8 <= -1) THEN WJ8 = .;
   IF (WJ9 <= -1) THEN WJ9 = .;
   IF (WJ9_A <= -1) THEN WJ9_A = .;
   IF (WJ9_B <= -1) THEN WJ9_B = .;
   IF (WJ9_C_OC <= -1) THEN WJ9_C_OC = .;
   IF (WJ9_C <= -1.00) THEN WJ9_C = .;
   IF (WJ9_COD <= -1) THEN WJ9_COD = .;
   IF (WJ10 <= -1) THEN WJ10 = .;
   IF (WJ11 <= -1) THEN WJ11 = .;
   IF (WJ12 <= -1) THEN WJ12 = .;
   IF (WJ12_A <= -1) THEN WJ12_A = .;
   IF (WK1_A <= -1) THEN WK1_A = .;
   IF (WK2_A <= -1) THEN WK2_A = .;
   IF (WK1_B <= -1) THEN WK1_B = .;
   IF (WK2_B <= -1) THEN WK2_B = .;
   IF (WK1_C <= -1) THEN WK1_C = .;
   IF (WK2_C <= -1) THEN WK2_C = .;
   IF (WK1_D <= -1) THEN WK1_D = .;
   IF (WK2_D <= -1) THEN WK2_D = .;
   IF (WK1_E <= -1) THEN WK1_E = .;
   IF (WK2_E <= -1) THEN WK2_E = .;
   IF (WK1_F <= -1) THEN WK1_F = .;
   IF (WK2_F <= -1) THEN WK2_F = .;
   IF (WK2_G <= -1) THEN WK2_G = .;
   IF (WK3 <= -1) THEN WK3 = .;
   IF (WK4 <= -1) THEN WK4 = .;
   IF (WK4_A <= -1) THEN WK4_A = .;
   IF (WK5 <= -1) THEN WK5 = .;
   IF (WK6_A <= -1) THEN WK6_A = .;
   IF (WK6_B <= -1) THEN WK6_B = .;
   IF (WK6_C <= -1) THEN WK6_C = .;
   IF (WK6_D <= -1) THEN WK6_D = .;
   IF (WK7 <= -1) THEN WK7 = .;
   IF (WK7_A <= -1) THEN WK7_A = .;
   IF (WK8 <= -1) THEN WK8 = .;
   IF (WK9 <= -1) THEN WK9 = .;
   IF (WL1 <= -1) THEN WL1 = .;
   IF (WL1_A <= -1) THEN WL1_A = .;
   IF (WL2 <= -1) THEN WL2 = .;
   IF (WL2_A <= -1) THEN WL2_A = .;
   IF (WL2_B <= -1) THEN WL2_B = .;
   IF (WL2_C <= -1) THEN WL2_C = .;
   IF (WL2_D <= -1) THEN WL2_D = .;
   IF (WL2_E <= -1) THEN WL2_E = .;
   IF (WL2_F_1 <= -1) THEN WL2_F_1 = .;
   IF (WL2_F_2 <= -1) THEN WL2_F_2 = .;
   IF (WL2_F_3 <= -1) THEN WL2_F_3 = .;
   IF (WL3 <= -1) THEN WL3 = .;
   IF (WL3_A <= -1) THEN WL3_A = .;
   IF (WL4 <= -1) THEN WL4 = .;
   IF (WL5 <= -1) THEN WL5 = .;
   IF (WL5_A_1 <= -1) THEN WL5_A_1 = .;
   IF (WL5_A_2 <= -1) THEN WL5_A_2 = .;
   IF (WL5_A_3 <= -1) THEN WL5_A_3 = .;
   IF (WL5_A_4 <= -1) THEN WL5_A_4 = .;
   IF (WL5_B_1 <= -1) THEN WL5_B_1 = .;
   IF (WL5_B_2 <= -1) THEN WL5_B_2 = .;
   IF (WL5_B_11 <= -1) THEN WL5_B_11 = .;
   IF (WL5_B_12 <= -1) THEN WL5_B_12 = .;
   IF (WL5_B_13 <= -1) THEN WL5_B_13 = .;
   IF (WL5_B_21 <= -1) THEN WL5_B_21 = .;
   IF (WL5_B_22 <= -1) THEN WL5_B_22 = .;
   IF (WL5_B_23 <= -1) THEN WL5_B_23 = .;
   IF (WL5_B_31 <= -1) THEN WL5_B_31 = .;
   IF (WL5_B_71 <= -1) THEN WL5_B_71 = .;
   IF (WL5_B_91 <= -1) THEN WL5_B_91 = .;
   IF (WL5_C <= -1) THEN WL5_C = .;
   IF (WL5_D <= -1) THEN WL5_D = .;
   IF (WL6 <= -1) THEN WL6 = .;
   IF (WL6_A_A <= -1) THEN WL6_A_A = .;
   IF (WL6_A_B <= -1) THEN WL6_A_B = .;
   IF (WL6_A_C <= -1) THEN WL6_A_C = .;
   IF (WL6_A_D <= -1) THEN WL6_A_D = .;
   IF (WL6_A_E <= -1) THEN WL6_A_E = .;
   IF (WL6_A_F <= -1) THEN WL6_A_F = .;
   IF (WL6_A_G <= -1) THEN WL6_A_G = .;
   IF (WL6_A_H <= -1) THEN WL6_A_H = .;
   IF (WL6_A_I <= -1) THEN WL6_A_I = .;
   IF (WL6_A_J <= -1) THEN WL6_A_J = .;
   IF (WL6_B_1 <= -1) THEN WL6_B_1 = .;
   IF (WL6_C_1 <= -1) THEN WL6_C_1 = .;
   IF (WL6_D_1 <= -1) THEN WL6_D_1 = .;
   IF (WL6_E_1 <= -1) THEN WL6_E_1 = .;
   IF (WL6_B_2 <= -1) THEN WL6_B_2 = .;
   IF (WL6_C_2 <= -1) THEN WL6_C_2 = .;
   IF (WL6_D_2 <= -1) THEN WL6_D_2 = .;
   IF (WL6_E_2 <= -1) THEN WL6_E_2 = .;
   IF (WL6_B_3 <= -1) THEN WL6_B_3 = .;
   IF (WL6_C_3 <= -1) THEN WL6_C_3 = .;
   IF (WL6_D_3 <= -1) THEN WL6_D_3 = .;
   IF (WL6_E_3 <= -1) THEN WL6_E_3 = .;
   IF (WL6_B_4 <= -1) THEN WL6_B_4 = .;
   IF (WL6_C_4 <= -1) THEN WL6_C_4 = .;
   IF (WL6_D_4 <= -1) THEN WL6_D_4 = .;
   IF (WL6_E_4 <= -1) THEN WL6_E_4 = .;
   IF (WL7 <= -1) THEN WL7 = .;
   IF (WL7_A_A <= -1) THEN WL7_A_A = .;
   IF (WL7_A_B <= -1) THEN WL7_A_B = .;
   IF (WL7_A_C <= -1) THEN WL7_A_C = .;
   IF (WL7_A_D <= -1) THEN WL7_A_D = .;
   IF (WL7_A_E <= -1) THEN WL7_A_E = .;
   IF (WL7_A_F <= -1) THEN WL7_A_F = .;
   IF (WL7_A_G <= -1) THEN WL7_A_G = .;
   IF (WL7_A_H <= -1) THEN WL7_A_H = .;
   IF (WL7_A_I <= -1) THEN WL7_A_I = .;
   IF (WL7_B_1 <= -1) THEN WL7_B_1 = .;
   IF (WL7_C_1 <= -1) THEN WL7_C_1 = .;
   IF (WL7_D_1 <= -1) THEN WL7_D_1 = .;
   IF (WL7_E_1 <= -1) THEN WL7_E_1 = .;
   IF (WL7_B_2 <= -1) THEN WL7_B_2 = .;
   IF (WL7_C_2 <= -1) THEN WL7_C_2 = .;
   IF (WL7_D_2 <= -1) THEN WL7_D_2 = .;
   IF (WL7_E_2 <= -1) THEN WL7_E_2 = .;
   IF (WL7_B_3 <= -1) THEN WL7_B_3 = .;
   IF (WL7_C_3 <= -1) THEN WL7_C_3 = .;
   IF (WL7_D_3 <= -1) THEN WL7_D_3 = .;
   IF (WL7_E_3 <= -1) THEN WL7_E_3 = .;
   IF (WL7_B_4 <= -1) THEN WL7_B_4 = .;
   IF (WL7_C_4 <= -1) THEN WL7_C_4 = .;
   IF (WL7_D_4 <= -1) THEN WL7_D_4 = .;
   IF (WL7_E_4 <= -1) THEN WL7_E_4 = .;
   IF (WL8_0 <= -1) THEN WL8_0 = .;
   IF (WL8_1 <= -1) THEN WL8_1 = .;
   IF (WL8_2 <= -1) THEN WL8_2 = .;
   IF (WL8_11 <= -1) THEN WL8_11 = .;
   IF (WL8_12 <= -1) THEN WL8_12 = .;
   IF (WL8_13 <= -1) THEN WL8_13 = .;
   IF (WL8_21 <= -1) THEN WL8_21 = .;
   IF (WL8_22 <= -1) THEN WL8_22 = .;
   IF (WL8_71 <= -1) THEN WL8_71 = .;
   IF (WL8_91 <= -1) THEN WL8_91 = .;
   IF (WL8_A_1 <= -1) THEN WL8_A_1 = .;
   IF (WL8_A_2 <= -1) THEN WL8_A_2 = .;
   IF (WL9 <= -1) THEN WL9 = .;
   IF (WL9_A <= -1) THEN WL9_A = .;
   IF (WL10 <= -1) THEN WL10 = .;
   IF (WL11 <= -1) THEN WL11 = .;
   IF (WL12 <= -1) THEN WL12 = .;
   IF (WL13_A <= -1) THEN WL13_A = .;
   IF (WL13_B <= -1) THEN WL13_B = .;
   IF (WL13_C <= -1) THEN WL13_C = .;
   IF (WL13_D <= -1) THEN WL13_D = .;
   IF (WL13_E <= -1) THEN WL13_E = .;
   IF (WL13_F <= -1) THEN WL13_F = .;
   IF (WL13_G <= -1) THEN WL13_G = .;
   IF (WL13_H <= -1) THEN WL13_H = .;
   IF (WL13_I <= -1) THEN WL13_I = .;
   IF (WL13_J <= -1) THEN WL13_J = .;
   IF (WL13_K <= -1) THEN WL13_K = .;
   IF (WL13_K_1 <= -1) THEN WL13_K_1 = .;
   IF (WL13_K_2 <= -1) THEN WL13_K_2 = .;
   IF (WL13_K_3 <= -1) THEN WL13_K_3 = .;
   IF (WL13_K_4 <= -1) THEN WL13_K_4 = .;
   IF (WL14_A <= -1) THEN WL14_A = .;
   IF (WL14_B <= -1) THEN WL14_B = .;
   IF (WL15_M <= -1) THEN WL15_M = .;
   IF (WL15_Y <= -1) THEN WL15_Y = .;
   IF (WL16 <= -1) THEN WL16 = .;
   IF (WL16_A <= -1) THEN WL16_A = .;
   IF (WL17 <= -1) THEN WL17 = .;
   IF (WL18 <= -1) THEN WL18 = .;
   IF (WL19 <= -1) THEN WL19 = .;
   IF (WL20_A <= -1) THEN WL20_A = .;
   IF (WL20_B <= -1) THEN WL20_B = .;
   IF (WL20_C <= -1) THEN WL20_C = .;
   IF (WL20_D <= -1) THEN WL20_D = .;
   IF (WL20_E <= -1) THEN WL20_E = .;
   IF (WL20_F <= -1) THEN WL20_F = .;
   IF (WL20_G <= -1) THEN WL20_G = .;
   IF (WL20_H <= -1) THEN WL20_H = .;
   IF (WL20_I <= -1) THEN WL20_I = .;
   IF (WL20_J <= -1) THEN WL20_J = .;
   IF (WL20_K <= -1) THEN WL20_K = .;
   IF (WL20_K_1 <= -1) THEN WL20_K_1 = .;
   IF (WL20_K_2 <= -1) THEN WL20_K_2 = .;
   IF (WL20_K_3 <= -1) THEN WL20_K_3 = .;
   IF (WL20_K_4 <= -1) THEN WL20_K_4 = .;
   IF (WL21_A <= -1) THEN WL21_A = .;
   IF (WL21_B <= -1) THEN WL21_B = .;
   IF (WL22_M <= -1) THEN WL22_M = .;
   IF (WL22_Y <= -1) THEN WL22_Y = .;
   IF (WL23 <= -1) THEN WL23 = .;
   IF (WL24 <= -1) THEN WL24 = .;
   IF (WL25 <= -1) THEN WL25 = .;
   IF (WL26_M <= -1) THEN WL26_M = .;
   IF (WL26_Y <= -1) THEN WL26_Y = .;
   IF (WL27 <= -1) THEN WL27 = .;
   IF (WL28 <= -1) THEN WL28 = .;
   IF (WL28A_00 <= -1) THEN WL28A_00 = .;
   IF (WL28A_01 <= -1) THEN WL28A_01 = .;
   IF (WL28A_02 <= -1) THEN WL28A_02 = .;
   IF (WL28A_11 <= -1) THEN WL28A_11 = .;
   IF (WL28A_12 <= -1) THEN WL28A_12 = .;
   IF (WL28A_13 <= -1) THEN WL28A_13 = .;
   IF (WL28A_21 <= -1) THEN WL28A_21 = .;
   IF (WL28A_22 <= -1) THEN WL28A_22 = .;
   IF (WL28A_23 <= -1) THEN WL28A_23 = .;
   IF (WL28A_24 <= -1) THEN WL28A_24 = .;
   IF (WL28A_25 <= -1) THEN WL28A_25 = .;
   IF (WL28A_26 <= -1) THEN WL28A_26 = .;
   IF (WL28A_71 <= -1) THEN WL28A_71 = .;
   IF (WL28A_91 <= -1) THEN WL28A_91 = .;
   IF (WL28B <= -1) THEN WL28B = .;
   IF (WL29 <= -1) THEN WL29 = .;
   IF (WL29_A <= -1) THEN WL29_A = .;
   IF (WL29_B_A <= -1) THEN WL29_B_A = .;
   IF (WL29_B_B <= -1) THEN WL29_B_B = .;
   IF (WL29_B_C <= -1) THEN WL29_B_C = .;
   IF (WL29_B_D <= -1) THEN WL29_B_D = .;
   IF (WL29_B_E <= -1) THEN WL29_B_E = .;
   IF (WL29_B_F <= -1) THEN WL29_B_F = .;
   IF (WL29_B_G <= -1) THEN WL29_B_G = .;
   IF (WL29_B_H <= -1) THEN WL29_B_H = .;
   IF (WL29_B_I <= -1) THEN WL29_B_I = .;
   IF (WL29_B_J <= -1) THEN WL29_B_J = .;
   IF (WL29_B_K <= -1) THEN WL29_B_K = .;
   IF (WL29B_K1 <= -1) THEN WL29B_K1 = .;
   IF (WL29B_K2 <= -1) THEN WL29B_K2 = .;
   IF (WL29B_K3 <= -1) THEN WL29B_K3 = .;
   IF (WL29B_K4 <= -1) THEN WL29B_K4 = .;
   IF (WL29_C <= -1) THEN WL29_C = .;
   IF (WL29_D <= -1) THEN WL29_D = .;
   IF (WL29_E <= -1) THEN WL29_E = .;
   IF (WL30 <= -1) THEN WL30 = .;
   IF (WL30_A <= -1) THEN WL30_A = .;
   IF (WL30_B_M <= -1) THEN WL30_B_M = .;
   IF (WL30C_00 <= -1) THEN WL30C_00 = .;
   IF (WL30C_01 <= -1) THEN WL30C_01 = .;
   IF (WL30C_02 <= -1) THEN WL30C_02 = .;
   IF (WL30C_11 <= -1) THEN WL30C_11 = .;
   IF (WL30C_12 <= -1) THEN WL30C_12 = .;
   IF (WL30C_13 <= -1) THEN WL30C_13 = .;
   IF (WL30C_21 <= -1) THEN WL30C_21 = .;
   IF (WL30C_22 <= -1) THEN WL30C_22 = .;
   IF (WL30C_23 <= -1) THEN WL30C_23 = .;
   IF (WL30C_24 <= -1) THEN WL30C_24 = .;
   IF (WL30C_25 <= -1) THEN WL30C_25 = .;
   IF (WL30C_26 <= -1) THEN WL30C_26 = .;
   IF (WL30C_27 <= -1) THEN WL30C_27 = .;
   IF (WL30C_71 <= -1) THEN WL30C_71 = .;
   IF (WL30C_91 <= -1) THEN WL30C_91 = .;
   IF (WL30_D <= -1) THEN WL30_D = .;
   IF (WL31 <= -1) THEN WL31 = .;
   IF (WL32 <= -1) THEN WL32 = .;
   IF (WL33 <= -1) THEN WL33 = .;
   IF (WL33_A <= -1) THEN WL33_A = .;
   IF (WL33_B <= -1) THEN WL33_B = .;
   IF (WL34 <= -1) THEN WL34 = .;
   IF (WL35 <= -1) THEN WL35 = .;
   IF (WL35_A <= -1) THEN WL35_A = .;
   IF (WL36 <= -1) THEN WL36 = .;
   IF (WL37 <= -1) THEN WL37 = .;
   IF (WL38 <= -1) THEN WL38 = .;
   IF (WL39 <= -1) THEN WL39 = .;
   IF (WL39_A <= -1) THEN WL39_A = .;
   IF (WL39_B <= -1) THEN WL39_B = .;
   IF (WL40 <= -1) THEN WL40 = .;
   IF (WL41 <= -1) THEN WL41 = .;
   IF (WL41_A <= -1) THEN WL41_A = .;
   IF (WL42 <= -1) THEN WL42 = .;
   IF (WL43 <= -1) THEN WL43 = .;
   IF (WL44_A <= -1) THEN WL44_A = .;
   IF (WL44_B <= -1) THEN WL44_B = .;
   IF (WL45_A <= -1) THEN WL45_A = .;
   IF (WL45_B <= -1) THEN WL45_B = .;
   IF (WL45_C <= -1) THEN WL45_C = .;
   IF (WL45_D <= -1) THEN WL45_D = .;
   IF (WL45_E <= -1) THEN WL45_E = .;
   IF (WL45_F <= -1) THEN WL45_F = .;
   IF (WL45_G <= -1) THEN WL45_G = .;
   IF (WL45_H <= -1) THEN WL45_H = .;
   IF (WL45_I <= -1) THEN WL45_I = .;
   IF (WL45_J <= -1) THEN WL45_J = .;
   IF (WL45_K <= -1) THEN WL45_K = .;
   IF (WL45_L <= -1) THEN WL45_L = .;
   IF (WL46 <= -1) THEN WL46 = .;
   IF (WL47_01 <= -1) THEN WL47_01 = .;
   IF (WL47_02 <= -1) THEN WL47_02 = .;
   IF (WL47_11 <= -1) THEN WL47_11 = .;
   IF (WL47_12 <= -1) THEN WL47_12 = .;
   IF (WL47_13 <= -1) THEN WL47_13 = .;
   IF (WL47_21 <= -1) THEN WL47_21 = .;
   IF (WL47_22 <= -1) THEN WL47_22 = .;
   IF (WL47_23 <= -1) THEN WL47_23 = .;
   IF (WL47_71 <= -1) THEN WL47_71 = .;
   IF (WL47_91 <= -1) THEN WL47_91 = .;
   IF (WL48_A <= -1) THEN WL48_A = .;
   IF (WL48_B <= -1) THEN WL48_B = .;
   IF (WL48_C <= -1) THEN WL48_C = .;
   IF (WL48_D <= -1) THEN WL48_D = .;
   IF (WL48_E <= -1) THEN WL48_E = .;
   IF (WL48_F <= -1) THEN WL48_F = .;
   IF (WL48_G <= -1) THEN WL48_G = .;
   IF (WL48_H <= -1) THEN WL48_H = .;
   IF (WL48_I <= -1) THEN WL48_I = .;
   IF (WL48_J <= -1) THEN WL48_J = .;
   IF (WL48_K <= -1) THEN WL48_K = .;
   IF (WL48_K_1 <= -1) THEN WL48_K_1 = .;
   IF (WL48_K_2 <= -1) THEN WL48_K_2 = .;
   IF (WL48_K_3 <= -1) THEN WL48_K_3 = .;
   IF (WL48_K_4 <= -1) THEN WL48_K_4 = .;
   IF (WL49_A <= -1) THEN WL49_A = .;
   IF (WL49_B <= -1) THEN WL49_B = .;
   IF (WL50 <= -1) THEN WL50 = .;
   IF (WL50_A <= -1) THEN WL50_A = .;
   IF (WL51 <= -1) THEN WL51 = .;
   IF (WL52 <= -1) THEN WL52 = .;
   IF (WL55 <= -1) THEN WL55 = .;
   IF (WL56 <= -1) THEN WL56 = .;
   IF (WL57 <= -1) THEN WL57 = .;
   IF (WL58 <= -1) THEN WL58 = .;
   IF (WL58_A_1 <= -1) THEN WL58_A_1 = .;
   IF (WL58_A_2 <= -1) THEN WL58_A_2 = .;
   IF (WL58_A_3 <= -1) THEN WL58_A_3 = .;
   IF (WL58_A_4 <= -1) THEN WL58_A_4 = .;
   IF (WL58_B <= -1) THEN WL58_B = .;
   IF (WL58_C_M <= -1) THEN WL58_C_M = .;
   IF (WL58_D <= -1) THEN WL58_D = .;
   IF (WL59_A <= -1) THEN WL59_A = .;
   IF (WL59_B <= -1) THEN WL59_B = .;
   IF (WL60 <= -1) THEN WL60 = .;
   IF (WL63 <= -1) THEN WL63 = .;
   IF (WL64 <= -1) THEN WL64 = .;
   IF (WL65_01 <= -1) THEN WL65_01 = .;
   IF (WL65_02 <= -1) THEN WL65_02 = .;
   IF (WL65_11 <= -1) THEN WL65_11 = .;
   IF (WL65_12 <= -1) THEN WL65_12 = .;
   IF (WL65_13 <= -1) THEN WL65_13 = .;
   IF (WL65_21 <= -1) THEN WL65_21 = .;
   IF (WL65_22 <= -1) THEN WL65_22 = .;
   IF (WL65_23 <= -1) THEN WL65_23 = .;
   IF (WL65_28 <= -1) THEN WL65_28 = .;
   IF (WL65_71 <= -1) THEN WL65_71 = .;
   IF (WL65_91 <= -1) THEN WL65_91 = .;
   IF (WL65_A_1 <= -1) THEN WL65_A_1 = .;
   IF (WL65_A_2 <= -1) THEN WL65_A_2 = .;
   IF (WL66 <= -1) THEN WL66 = .;
   IF (WL66_A <= -1) THEN WL66_A = .;
   IF (WL66_B <= -1) THEN WL66_B = .;
   IF (WL66_C_1 <= -1) THEN WL66_C_1 = .;
   IF (WL66_C_2 <= -1) THEN WL66_C_2 = .;
   IF (WL66_C_3 <= -1) THEN WL66_C_3 = .;
   IF (WL66_C_4 <= -1) THEN WL66_C_4 = .;
   IF (WL66_C_5 <= -1) THEN WL66_C_5 = .;
   IF (WL66_C_6 <= -1) THEN WL66_C_6 = .;
   IF (WL66_C_7 <= -1) THEN WL66_C_7 = .;
   IF (WL66_C_8 <= -1) THEN WL66_C_8 = .;
   IF (WL66_C_9 <= -1) THEN WL66_C_9 = .;
   IF (WL66_D <= -1) THEN WL66_D = .;
   IF (WL66_E <= -1) THEN WL66_E = .;
   IF (WL66_F <= -1) THEN WL66_F = .;
   IF (WL66_G_1 <= -1) THEN WL66_G_1 = .;
   IF (WL66_G_2 <= -1) THEN WL66_G_2 = .;
   IF (WL66_G_3 <= -1) THEN WL66_G_3 = .;
   IF (WL66_G_4 <= -1) THEN WL66_G_4 = .;
   IF (WL66_G_5 <= -1) THEN WL66_G_5 = .;
   IF (WL66_H_1 <= -1) THEN WL66_H_1 = .;
   IF (WL66_H_2 <= -1) THEN WL66_H_2 = .;
   IF (WL66_H_3 <= -1) THEN WL66_H_3 = .;
   IF (WL66_H_4 <= -1) THEN WL66_H_4 = .;
   IF (WL66_H_5 <= -1) THEN WL66_H_5 = .;
   IF (WL66_H_6 <= -1) THEN WL66_H_6 = .;
   IF (WL66_H_7 <= -1) THEN WL66_H_7 = .;
   IF (WL66_H_8 <= -1) THEN WL66_H_8 = .;
   IF (WL66_H_9 <= -1) THEN WL66_H_9 = .;
   IF (WL66_I <= -1) THEN WL66_I = .;
   IF (WL67 <= -1) THEN WL67 = .;
   IF (WL67_A <= -1) THEN WL67_A = .;
   IF (WL67_B <= -1) THEN WL67_B = .;
   IF (WL67_C_1 <= -1) THEN WL67_C_1 = .;
   IF (WL67_C_2 <= -1) THEN WL67_C_2 = .;
   IF (WL67_C_3 <= -1) THEN WL67_C_3 = .;
   IF (WL67_C_4 <= -1) THEN WL67_C_4 = .;
   IF (WL67_C_5 <= -1) THEN WL67_C_5 = .;
   IF (WL67_C_6 <= -1) THEN WL67_C_6 = .;
   IF (WL67_C_7 <= -1) THEN WL67_C_7 = .;
   IF (WL67_C_8 <= -1) THEN WL67_C_8 = .;
   IF (WL67_C_9 <= -1) THEN WL67_C_9 = .;
   IF (WL67_D <= -1) THEN WL67_D = .;
   IF (WL67_E <= -1) THEN WL67_E = .;
   IF (WL67_F <= -1) THEN WL67_F = .;
   IF (WL67_G_1 <= -1) THEN WL67_G_1 = .;
   IF (WL67_G_2 <= -1) THEN WL67_G_2 = .;
   IF (WL67_G_3 <= -1) THEN WL67_G_3 = .;
   IF (WL67_G_4 <= -1) THEN WL67_G_4 = .;
   IF (WL67_G_5 <= -1) THEN WL67_G_5 = .;
   IF (WL67_H_1 <= -1) THEN WL67_H_1 = .;
   IF (WL67_H_2 <= -1) THEN WL67_H_2 = .;
   IF (WL67_H_3 <= -1) THEN WL67_H_3 = .;
   IF (WL67_H_4 <= -1) THEN WL67_H_4 = .;
   IF (WL67_H_5 <= -1) THEN WL67_H_5 = .;
   IF (WL67_H_6 <= -1) THEN WL67_H_6 = .;
   IF (WL67_H_7 <= -1) THEN WL67_H_7 = .;
   IF (WL67_H_8 <= -1) THEN WL67_H_8 = .;
   IF (WL67_H_9 <= -1) THEN WL67_H_9 = .;
   IF (WL67_I <= -1) THEN WL67_I = .;
   IF (WL68 <= -1) THEN WL68 = .;
   IF (WL68A_1 <= -1) THEN WL68A_1 = .;
   IF (WL68A_2 <= -1) THEN WL68A_2 = .;
   IF (WL68A_3 <= -1) THEN WL68A_3 = .;
   IF (WL68A_4 <= -1) THEN WL68A_4 = .;
   IF (WL68A_5 <= -1) THEN WL68A_5 = .;
   IF (WL68A_6 <= -1) THEN WL68A_6 = .;
   IF (WL68B_1 <= -1) THEN WL68B_1 = .;
   IF (WL68C_1 <= -1) THEN WL68C_1 = .;
   IF (WL68D_1 <= -1) THEN WL68D_1 = .;
   IF (WL68E_1 <= -1) THEN WL68E_1 = .;
   IF (WL68F1_1 <= -1) THEN WL68F1_1 = .;
   IF (WL68F1_2 <= -1) THEN WL68F1_2 = .;
   IF (WL68F111 <= -1) THEN WL68F111 = .;
   IF (WL68F112 <= -1) THEN WL68F112 = .;
   IF (WL68F113 <= -1) THEN WL68F113 = .;
   IF (WL68F121 <= -1) THEN WL68F121 = .;
   IF (WL68F122 <= -1) THEN WL68F122 = .;
   IF (WL68F123 <= -1) THEN WL68F123 = .;
   IF (WL68F128 <= -1) THEN WL68F128 = .;
   IF (WL68F171 <= -1) THEN WL68F171 = .;
   IF (WL68F191 <= -1) THEN WL68F191 = .;
   IF (WL68G_1 <= -1) THEN WL68G_1 = .;
   IF (WL68B_2 <= -1) THEN WL68B_2 = .;
   IF (WL68C_2 <= -1) THEN WL68C_2 = .;
   IF (WL68D_2 <= -1) THEN WL68D_2 = .;
   IF (WL68E_2 <= -1) THEN WL68E_2 = .;
   IF (WL68F2_1 <= -1) THEN WL68F2_1 = .;
   IF (WL68F2_2 <= -1) THEN WL68F2_2 = .;
   IF (WL68F211 <= -1) THEN WL68F211 = .;
   IF (WL68F212 <= -1) THEN WL68F212 = .;
   IF (WL68F213 <= -1) THEN WL68F213 = .;
   IF (WL68F221 <= -1) THEN WL68F221 = .;
   IF (WL68F222 <= -1) THEN WL68F222 = .;
   IF (WL68F223 <= -1) THEN WL68F223 = .;
   IF (WL68F228 <= -1) THEN WL68F228 = .;
   IF (WL68F271 <= -1) THEN WL68F271 = .;
   IF (WL68F291 <= -1) THEN WL68F291 = .;
   IF (WL68G_2 <= -1) THEN WL68G_2 = .;
   IF (WL69 <= -1) THEN WL69 = .;
   IF (WL69_A_1 <= -1) THEN WL69_A_1 = .;
   IF (WL69_B_1 <= -1) THEN WL69_B_1 = .;
   IF (WL69_A_2 <= -1) THEN WL69_A_2 = .;
   IF (WL69_B_2 <= -1) THEN WL69_B_2 = .;
   IF (WL69_A_3 <= -1) THEN WL69_A_3 = .;
   IF (WL69_B_3 <= -1) THEN WL69_B_3 = .;
   IF (WL69_A_4 <= -1) THEN WL69_A_4 = .;
   IF (WL69_B_4 <= -1) THEN WL69_B_4 = .;
   IF (WL69_A_5 <= -1) THEN WL69_A_5 = .;
   IF (WL69_B_5 <= -1) THEN WL69_B_5 = .;
   IF (WL70 <= -1) THEN WL70 = .;
   IF (WL71 <= -1) THEN WL71 = .;
   IF (WL72_01 <= -1) THEN WL72_01 = .;
   IF (WL72_02 <= -1) THEN WL72_02 = .;
   IF (WL72_22 <= -1) THEN WL72_22 = .;
   IF (WL72_23 <= -1) THEN WL72_23 = .;
   IF (WL72_24 <= -1) THEN WL72_24 = .;
   IF (WL72_25 <= -1) THEN WL72_25 = .;
   IF (WL72_26 <= -1) THEN WL72_26 = .;
   IF (WL72_71 <= -1) THEN WL72_71 = .;
   IF (WL72_91 <= -1) THEN WL72_91 = .;
   IF (WL72_A1 <= -1) THEN WL72_A1 = .;
   IF (WL72_A2 <= -1) THEN WL72_A2 = .;
   IF (WL73 <= -1) THEN WL73 = .;
   IF (WL73_A <= -1) THEN WL73_A = .;
   IF (WL73_B01 <= -1) THEN WL73_B01 = .;
   IF (WL73_B02 <= -1) THEN WL73_B02 = .;
   IF (WL73_B03 <= -1) THEN WL73_B03 = .;
   IF (WL73_B04 <= -1) THEN WL73_B04 = .;
   IF (WL73_B05 <= -1) THEN WL73_B05 = .;
   IF (WL73_B06 <= -1) THEN WL73_B06 = .;
   IF (WL73_B07 <= -1) THEN WL73_B07 = .;
   IF (WL73_B08 <= -1) THEN WL73_B08 = .;
   IF (WL73_B09 <= -1) THEN WL73_B09 = .;
   IF (WL73_C <= -1) THEN WL73_C = .;
   IF (WL74 <= -1) THEN WL74 = .;
   IF (WL74_A <= -1) THEN WL74_A = .;
   IF (WL74_B01 <= -1) THEN WL74_B01 = .;
   IF (WL74_B02 <= -1) THEN WL74_B02 = .;
   IF (WL74_B03 <= -1) THEN WL74_B03 = .;
   IF (WL74_B04 <= -1) THEN WL74_B04 = .;
   IF (WL74_B05 <= -1) THEN WL74_B05 = .;
   IF (WL74_B06 <= -1) THEN WL74_B06 = .;
   IF (WL74_B07 <= -1) THEN WL74_B07 = .;
   IF (WL74_B08 <= -1) THEN WL74_B08 = .;
   IF (WL74_B09 <= -1) THEN WL74_B09 = .;
   IF (WL74_C <= -1) THEN WL74_C = .;
   IF (WL75 <= -1) THEN WL75 = .;
   IF (WL75_A_1 <= -1) THEN WL75_A_1 = .;
   IF (WL75_A_2 <= -1) THEN WL75_A_2 = .;
   IF (WL75_A_3 <= -1) THEN WL75_A_3 = .;
   IF (WL75_A_4 <= -1) THEN WL75_A_4 = .;
   IF (WL75_A_5 <= -1) THEN WL75_A_5 = .;
   IF (WL75_A_6 <= -1) THEN WL75_A_6 = .;
   IF (WL75B_1 <= -1) THEN WL75B_1 = .;
   IF (WL75C_1 <= -1) THEN WL75C_1 = .;
   IF (WL75D_1 <= -1) THEN WL75D_1 = .;
   IF (WL75E_1 <= -1) THEN WL75E_1 = .;
   IF (WL75F101 <= -1) THEN WL75F101 = .;
   IF (WL75F102 <= -1) THEN WL75F102 = .;
   IF (WL75F122 <= -1) THEN WL75F122 = .;
   IF (WL75F123 <= -1) THEN WL75F123 = .;
   IF (WL75F124 <= -1) THEN WL75F124 = .;
   IF (WL75F125 <= -1) THEN WL75F125 = .;
   IF (WL75F126 <= -1) THEN WL75F126 = .;
   IF (WL75F171 <= -1) THEN WL75F171 = .;
   IF (WL75F191 <= -1) THEN WL75F191 = .;
   IF (WL75G_1 <= -1) THEN WL75G_1 = .;
   IF (WL75B_2 <= -1) THEN WL75B_2 = .;
   IF (WL75C_2 <= -1) THEN WL75C_2 = .;
   IF (WL75D_2 <= -1) THEN WL75D_2 = .;
   IF (WL75E_2 <= -1) THEN WL75E_2 = .;
   IF (WL75F201 <= -1) THEN WL75F201 = .;
   IF (WL75F202 <= -1) THEN WL75F202 = .;
   IF (WL75F222 <= -1) THEN WL75F222 = .;
   IF (WL75F223 <= -1) THEN WL75F223 = .;
   IF (WL75F224 <= -1) THEN WL75F224 = .;
   IF (WL75F225 <= -1) THEN WL75F225 = .;
   IF (WL75F226 <= -1) THEN WL75F226 = .;
   IF (WL75F271 <= -1) THEN WL75F271 = .;
   IF (WL75F291 <= -1) THEN WL75F291 = .;
   IF (WL75G_2 <= -1) THEN WL75G_2 = .;
   IF (WL76 <= -1) THEN WL76 = .;
   IF (WL76_A_1 <= -1) THEN WL76_A_1 = .;
   IF (WL76_A_2 <= -1) THEN WL76_A_2 = .;
   IF (WL76_A_3 <= -1) THEN WL76_A_3 = .;
   IF (WL76_A_4 <= -1) THEN WL76_A_4 = .;
   IF (WL77 <= -1) THEN WL77 = .;
   IF (WL77_A <= -1) THEN WL77_A = .;
   IF (WL77B_01 <= -1) THEN WL77B_01 = .;
   IF (WL77B_02 <= -1) THEN WL77B_02 = .;
   IF (WL77B_11 <= -1) THEN WL77B_11 = .;
   IF (WL77B_12 <= -1) THEN WL77B_12 = .;
   IF (WL77B_13 <= -1) THEN WL77B_13 = .;
   IF (WL77B_21 <= -1) THEN WL77B_21 = .;
   IF (WL77B_22 <= -1) THEN WL77B_22 = .;
   IF (WL77B_23 <= -1) THEN WL77B_23 = .;
   IF (WL77B_24 <= -1) THEN WL77B_24 = .;
   IF (WL77B_25 <= -1) THEN WL77B_25 = .;
   IF (WL77B_26 <= -1) THEN WL77B_26 = .;
   IF (WL77B_27 <= -1) THEN WL77B_27 = .;
   IF (WL77B_28 <= -1) THEN WL77B_28 = .;
   IF (WL77B_71 <= -1) THEN WL77B_71 = .;
   IF (WL77B_91 <= -1) THEN WL77B_91 = .;
   IF (WL77_C_1 <= -1) THEN WL77_C_1 = .;
   IF (WL77_C_2 <= -1) THEN WL77_C_2 = .;
   IF (WL77_C_3 <= -1) THEN WL77_C_3 = .;
   IF (WL77_C_4 <= -1) THEN WL77_C_4 = .;
   IF (WL77_C_5 <= -1) THEN WL77_C_5 = .;
   IF (WL77_C_6 <= -1) THEN WL77_C_6 = .;
   IF (WL77_C_7 <= -1) THEN WL77_C_7 = .;
   IF (WL77_C_8 <= -1) THEN WL77_C_8 = .;
   IF (WL78 <= -1) THEN WL78 = .;
   IF (WL79 <= -1) THEN WL79 = .;
   IF (WL80_01 <= -1) THEN WL80_01 = .;
   IF (WL80_02 <= -1) THEN WL80_02 = .;
   IF (WL80_11 <= -1) THEN WL80_11 = .;
   IF (WL80_12 <= -1) THEN WL80_12 = .;
   IF (WL80_13 <= -1) THEN WL80_13 = .;
   IF (WL80_21 <= -1) THEN WL80_21 = .;
   IF (WL80_22 <= -1) THEN WL80_22 = .;
   IF (WL80_23 <= -1) THEN WL80_23 = .;
   IF (WL80_28 <= -1) THEN WL80_28 = .;
   IF (WL80_71 <= -1) THEN WL80_71 = .;
   IF (WL80_91 <= -1) THEN WL80_91 = .;
   IF (WL80_A1 <= -1) THEN WL80_A1 = .;
   IF (WL80_A2 <= -1) THEN WL80_A2 = .;
   IF (WL81_01 <= -1) THEN WL81_01 = .;
   IF (WL81_02 <= -1) THEN WL81_02 = .;
   IF (WL81_03 <= -1) THEN WL81_03 = .;
   IF (WL81_A <= -1) THEN WL81_A = .;
   IF (WL81_B <= -1) THEN WL81_B = .;
   IF (WL81_C_1 <= -1) THEN WL81_C_1 = .;
   IF (WL81_C_2 <= -1) THEN WL81_C_2 = .;
   IF (WL81_C_3 <= -1) THEN WL81_C_3 = .;
   IF (WL81_C_4 <= -1) THEN WL81_C_4 = .;
   IF (WL81_C_5 <= -1) THEN WL81_C_5 = .;
   IF (WL81_C_6 <= -1) THEN WL81_C_6 = .;
   IF (WL81_D <= -1) THEN WL81_D = .;
   IF (WL81_E <= -1) THEN WL81_E = .;
   IF (WL81_F <= -1) THEN WL81_F = .;
   IF (WL81_G_1 <= -1) THEN WL81_G_1 = .;
   IF (WL81_G_2 <= -1) THEN WL81_G_2 = .;
   IF (WL81_G_3 <= -1) THEN WL81_G_3 = .;
   IF (WL81_G_4 <= -1) THEN WL81_G_4 = .;
   IF (WL81_G_5 <= -1) THEN WL81_G_5 = .;
   IF (WL81_H_1 <= -1) THEN WL81_H_1 = .;
   IF (WL81_H_2 <= -1) THEN WL81_H_2 = .;
   IF (WL81_H_3 <= -1) THEN WL81_H_3 = .;
   IF (WL81_H_4 <= -1) THEN WL81_H_4 = .;
   IF (WL81_H_5 <= -1) THEN WL81_H_5 = .;
   IF (WL81_H_6 <= -1) THEN WL81_H_6 = .;
   IF (WL81_I <= -1) THEN WL81_I = .;
   IF (WL81_J <= -1) THEN WL81_J = .;
   IF (WL81_K_1 <= -1) THEN WL81_K_1 = .;
   IF (WL81_K_2 <= -1) THEN WL81_K_2 = .;
   IF (WL81_K_3 <= -1) THEN WL81_K_3 = .;
   IF (WL81_K_4 <= -1) THEN WL81_K_4 = .;
   IF (WL81_K_5 <= -1) THEN WL81_K_5 = .;
   IF (WL81_K_6 <= -1) THEN WL81_K_6 = .;
   IF (WL81_K_7 <= -1) THEN WL81_K_7 = .;
   IF (WL81_K_8 <= -1) THEN WL81_K_8 = .;
   IF (WL81_L_1 <= -1) THEN WL81_L_1 = .;
   IF (WL81_L_2 <= -1) THEN WL81_L_2 = .;
   IF (WL81_L_3 <= -1) THEN WL81_L_3 = .;
   IF (WL81_L_4 <= -1) THEN WL81_L_4 = .;
   IF (WL81_L_5 <= -1) THEN WL81_L_5 = .;
   IF (WL81_L_6 <= -1) THEN WL81_L_6 = .;
   IF (WL81_M <= -1) THEN WL81_M = .;
   IF (WL82_01 <= -1) THEN WL82_01 = .;
   IF (WL82_02 <= -1) THEN WL82_02 = .;
   IF (WL82_03 <= -1) THEN WL82_03 = .;
   IF (WL82_A <= -1) THEN WL82_A = .;
   IF (WL82_B <= -1) THEN WL82_B = .;
   IF (WL82_C_1 <= -1) THEN WL82_C_1 = .;
   IF (WL82_C_2 <= -1) THEN WL82_C_2 = .;
   IF (WL82_C_3 <= -1) THEN WL82_C_3 = .;
   IF (WL82_C_4 <= -1) THEN WL82_C_4 = .;
   IF (WL82_C_5 <= -1) THEN WL82_C_5 = .;
   IF (WL82_C_6 <= -1) THEN WL82_C_6 = .;
   IF (WL82_D <= -1) THEN WL82_D = .;
   IF (WL82_E <= -1) THEN WL82_E = .;
   IF (WL82_F <= -1) THEN WL82_F = .;
   IF (WL82_G_1 <= -1) THEN WL82_G_1 = .;
   IF (WL82_G_2 <= -1) THEN WL82_G_2 = .;
   IF (WL82_G_3 <= -1) THEN WL82_G_3 = .;
   IF (WL82_G_4 <= -1) THEN WL82_G_4 = .;
   IF (WL82_G_5 <= -1) THEN WL82_G_5 = .;
   IF (WL82_H_1 <= -1) THEN WL82_H_1 = .;
   IF (WL82_H_2 <= -1) THEN WL82_H_2 = .;
   IF (WL82_H_3 <= -1) THEN WL82_H_3 = .;
   IF (WL82_H_4 <= -1) THEN WL82_H_4 = .;
   IF (WL82_H_5 <= -1) THEN WL82_H_5 = .;
   IF (WL82_H_6 <= -1) THEN WL82_H_6 = .;
   IF (WL82_I <= -1) THEN WL82_I = .;
   IF (WL82_J <= -1) THEN WL82_J = .;
   IF (WL82_K_1 <= -1) THEN WL82_K_1 = .;
   IF (WL82_K_2 <= -1) THEN WL82_K_2 = .;
   IF (WL82_K_3 <= -1) THEN WL82_K_3 = .;
   IF (WL82_K_4 <= -1) THEN WL82_K_4 = .;
   IF (WL82_K_5 <= -1) THEN WL82_K_5 = .;
   IF (WL82_K_6 <= -1) THEN WL82_K_6 = .;
   IF (WL82_K_7 <= -1) THEN WL82_K_7 = .;
   IF (WL82_K_8 <= -1) THEN WL82_K_8 = .;
   IF (WL82_L_1 <= -1) THEN WL82_L_1 = .;
   IF (WL82_L_2 <= -1) THEN WL82_L_2 = .;
   IF (WL82_L_3 <= -1) THEN WL82_L_3 = .;
   IF (WL82_L_4 <= -1) THEN WL82_L_4 = .;
   IF (WL82_L_5 <= -1) THEN WL82_L_5 = .;
   IF (WL82_L_6 <= -1) THEN WL82_L_6 = .;
   IF (WL82_M <= -1) THEN WL82_M = .;
   IF (WL83 <= -1) THEN WL83 = .;
   IF (WL83A_1 <= -1) THEN WL83A_1 = .;
   IF (WL83A_2 <= -1) THEN WL83A_2 = .;
   IF (WL83A_3 <= -1) THEN WL83A_3 = .;
   IF (WL83A_4 <= -1) THEN WL83A_4 = .;
   IF (WL83A_5 <= -1) THEN WL83A_5 = .;
   IF (WL83B_1 <= -1) THEN WL83B_1 = .;
   IF (WL83C_1 <= -1) THEN WL83C_1 = .;
   IF (WL83D_1 <= -1) THEN WL83D_1 = .;
   IF (WL83E_1 <= -1) THEN WL83E_1 = .;
   IF (WL83F1_1 <= -1) THEN WL83F1_1 = .;
   IF (WL83F1_2 <= -1) THEN WL83F1_2 = .;
   IF (WL83F111 <= -1) THEN WL83F111 = .;
   IF (WL83F112 <= -1) THEN WL83F112 = .;
   IF (WL83F113 <= -1) THEN WL83F113 = .;
   IF (WL83F121 <= -1) THEN WL83F121 = .;
   IF (WL83F122 <= -1) THEN WL83F122 = .;
   IF (WL83F123 <= -1) THEN WL83F123 = .;
   IF (WL83F128 <= -1) THEN WL83F128 = .;
   IF (WL83F171 <= -1) THEN WL83F171 = .;
   IF (WL83F191 <= -1) THEN WL83F191 = .;
   IF (WL83G_1 <= -1) THEN WL83G_1 = .;
   IF (WL83B_2 <= -1) THEN WL83B_2 = .;
   IF (WL83C_2 <= -1) THEN WL83C_2 = .;
   IF (WL83D_2 <= -1) THEN WL83D_2 = .;
   IF (WL83E_2 <= -1) THEN WL83E_2 = .;
   IF (WL83F2_1 <= -1) THEN WL83F2_1 = .;
   IF (WL83F2_2 <= -1) THEN WL83F2_2 = .;
   IF (WL83F211 <= -1) THEN WL83F211 = .;
   IF (WL83F212 <= -1) THEN WL83F212 = .;
   IF (WL83F213 <= -1) THEN WL83F213 = .;
   IF (WL83F221 <= -1) THEN WL83F221 = .;
   IF (WL83F222 <= -1) THEN WL83F222 = .;
   IF (WL83F223 <= -1) THEN WL83F223 = .;
   IF (WL83F228 <= -1) THEN WL83F228 = .;
   IF (WL83F271 <= -1) THEN WL83F271 = .;
   IF (WL83F291 <= -1) THEN WL83F291 = .;
   IF (WL83G_2 <= -1) THEN WL83G_2 = .;
   IF (WL84 <= -1) THEN WL84 = .;
   IF (WL85 <= -1) THEN WL85 = .;
   IF (WL86_01 <= -1) THEN WL86_01 = .;
   IF (WL86_02 <= -1) THEN WL86_02 = .;
   IF (WL86_11 <= -1) THEN WL86_11 = .;
   IF (WL86_12 <= -1) THEN WL86_12 = .;
   IF (WL86_13 <= -1) THEN WL86_13 = .;
   IF (WL86_21 <= -1) THEN WL86_21 = .;
   IF (WL86_22 <= -1) THEN WL86_22 = .;
   IF (WL86_23 <= -1) THEN WL86_23 = .;
   IF (WL86_27 <= -1) THEN WL86_27 = .;
   IF (WL86_29 <= -1) THEN WL86_29 = .;
   IF (WL86_71 <= -1) THEN WL86_71 = .;
   IF (WL86_91 <= -1) THEN WL86_91 = .;
   IF (WL86_A1 <= -1) THEN WL86_A1 = .;
   IF (WL86_A2 <= -1) THEN WL86_A2 = .;
   IF (WL87_01 <= -1) THEN WL87_01 = .;
   IF (WL87_02 <= -1) THEN WL87_02 = .;
   IF (WL87_03 <= -1) THEN WL87_03 = .;
   IF (WL87_B <= -1) THEN WL87_B = .;
   IF (WL87_C <= -1) THEN WL87_C = .;
   IF (WL87_D <= -1) THEN WL87_D = .;
   IF (WL87_E <= -1) THEN WL87_E = .;
   IF (WL87_F <= -1) THEN WL87_F = .;
   IF (WL87_G_1 <= -1) THEN WL87_G_1 = .;
   IF (WL87_G_2 <= -1) THEN WL87_G_2 = .;
   IF (WL87_G_3 <= -1) THEN WL87_G_3 = .;
   IF (WL87_G_4 <= -1) THEN WL87_G_4 = .;
   IF (WL87_G_5 <= -1) THEN WL87_G_5 = .;
   IF (WL87_G_6 <= -1) THEN WL87_G_6 = .;
   IF (WL87_G_7 <= -1) THEN WL87_G_7 = .;
   IF (WL87_G_8 <= -1) THEN WL87_G_8 = .;
   IF (WL87_H <= -1) THEN WL87_H = .;
   IF (WL87_I <= -1) THEN WL87_I = .;
   IF (WL87_J <= -1) THEN WL87_J = .;
   IF (WL87_K <= -1) THEN WL87_K = .;
   IF (WL87_L_1 <= -1) THEN WL87_L_1 = .;
   IF (WL87_L_2 <= -1) THEN WL87_L_2 = .;
   IF (WL87_L_3 <= -1) THEN WL87_L_3 = .;
   IF (WL87_L_4 <= -1) THEN WL87_L_4 = .;
   IF (WL87_L_5 <= -1) THEN WL87_L_5 = .;
   IF (WL87_L_6 <= -1) THEN WL87_L_6 = .;
   IF (WL87_M <= -1) THEN WL87_M = .;
   IF (WL87_N <= -1) THEN WL87_N = .;
   IF (WL87_O <= -1) THEN WL87_O = .;
   IF (WL87_P <= -1) THEN WL87_P = .;
   IF (WL88_01 <= -1) THEN WL88_01 = .;
   IF (WL88_02 <= -1) THEN WL88_02 = .;
   IF (WL88_03 <= -1) THEN WL88_03 = .;
   IF (WL88_A <= -1) THEN WL88_A = .;
   IF (WL88_B <= -1) THEN WL88_B = .;
   IF (WL88_C <= -1) THEN WL88_C = .;
   IF (WL88_D <= -1) THEN WL88_D = .;
   IF (WL88_E <= -1) THEN WL88_E = .;
   IF (WL88_F <= -1) THEN WL88_F = .;
   IF (WL88_G_1 <= -1) THEN WL88_G_1 = .;
   IF (WL88_G_2 <= -1) THEN WL88_G_2 = .;
   IF (WL88_G_3 <= -1) THEN WL88_G_3 = .;
   IF (WL88_G_4 <= -1) THEN WL88_G_4 = .;
   IF (WL88_G_5 <= -1) THEN WL88_G_5 = .;
   IF (WL88_G_6 <= -1) THEN WL88_G_6 = .;
   IF (WL88_G_7 <= -1) THEN WL88_G_7 = .;
   IF (WL88_G_8 <= -1) THEN WL88_G_8 = .;
   IF (WL88_H <= -1) THEN WL88_H = .;
   IF (WL88_I <= -1) THEN WL88_I = .;
   IF (WL88_J <= -1) THEN WL88_J = .;
   IF (WL88_K <= -1) THEN WL88_K = .;
   IF (WL88_L_1 <= -1) THEN WL88_L_1 = .;
   IF (WL88_L_2 <= -1) THEN WL88_L_2 = .;
   IF (WL88_L_3 <= -1) THEN WL88_L_3 = .;
   IF (WL88_L_4 <= -1) THEN WL88_L_4 = .;
   IF (WL88_L_5 <= -1) THEN WL88_L_5 = .;
   IF (WL88_L_6 <= -1) THEN WL88_L_6 = .;
   IF (WL88_M <= -1) THEN WL88_M = .;
   IF (WL88_N <= -1) THEN WL88_N = .;
   IF (WL88_O <= -1) THEN WL88_O = .;
   IF (WL88_P <= -1) THEN WL88_P = .;
   IF (WL89 <= -1) THEN WL89 = .;
   IF (WL89_A_1 <= -1) THEN WL89_A_1 = .;
   IF (WL89_A_2 <= -1) THEN WL89_A_2 = .;
   IF (WL89_A_3 <= -1) THEN WL89_A_3 = .;
   IF (WL89_A_4 <= -1) THEN WL89_A_4 = .;
   IF (WL89_A_5 <= -1) THEN WL89_A_5 = .;
   IF (WL89_A_6 <= -1) THEN WL89_A_6 = .;
   IF (WL89_A_7 <= -1) THEN WL89_A_7 = .;
   IF (WL89_A_8 <= -1) THEN WL89_A_8 = .;
   IF (WL89_A_9 <= -1) THEN WL89_A_9 = .;
   IF (WL89B_1 <= -1) THEN WL89B_1 = .;
   IF (WL89C_1 <= -1) THEN WL89C_1 = .;
   IF (WL89D_1 <= -1) THEN WL89D_1 = .;
   IF (WL89E_1 <= -1) THEN WL89E_1 = .;
   IF (WL89F1_1 <= -1) THEN WL89F1_1 = .;
   IF (WL89F1_2 <= -1) THEN WL89F1_2 = .;
   IF (WL89F111 <= -1) THEN WL89F111 = .;
   IF (WL89F112 <= -1) THEN WL89F112 = .;
   IF (WL89F113 <= -1) THEN WL89F113 = .;
   IF (WL89F121 <= -1) THEN WL89F121 = .;
   IF (WL89F122 <= -1) THEN WL89F122 = .;
   IF (WL89F123 <= -1) THEN WL89F123 = .;
   IF (WL89F127 <= -1) THEN WL89F127 = .;
   IF (WL89F129 <= -1) THEN WL89F129 = .;
   IF (WL89F171 <= -1) THEN WL89F171 = .;
   IF (WL89F191 <= -1) THEN WL89F191 = .;
   IF (WL89G_1 <= -1) THEN WL89G_1 = .;
   IF (WL89B_2 <= -1) THEN WL89B_2 = .;
   IF (WL89C_2 <= -1) THEN WL89C_2 = .;
   IF (WL89D_2 <= -1) THEN WL89D_2 = .;
   IF (WL89E_2 <= -1) THEN WL89E_2 = .;
   IF (WL89F2_1 <= -1) THEN WL89F2_1 = .;
   IF (WL89F2_2 <= -1) THEN WL89F2_2 = .;
   IF (WL89F211 <= -1) THEN WL89F211 = .;
   IF (WL89F212 <= -1) THEN WL89F212 = .;
   IF (WL89F213 <= -1) THEN WL89F213 = .;
   IF (WL89F221 <= -1) THEN WL89F221 = .;
   IF (WL89F222 <= -1) THEN WL89F222 = .;
   IF (WL89F223 <= -1) THEN WL89F223 = .;
   IF (WL89F227 <= -1) THEN WL89F227 = .;
   IF (WL89F229 <= -1) THEN WL89F229 = .;
   IF (WL89F271 <= -1) THEN WL89F271 = .;
   IF (WL89F291 <= -1) THEN WL89F291 = .;
   IF (WL89G_2 <= -1) THEN WL89G_2 = .;
   IF (WL90 <= -1) THEN WL90 = .;
   IF (WL91 <= -1) THEN WL91 = .;
   IF (WL92_01 <= -1) THEN WL92_01 = .;
   IF (WL92_02 <= -1) THEN WL92_02 = .;
   IF (WL92_11 <= -1) THEN WL92_11 = .;
   IF (WL92_12 <= -1) THEN WL92_12 = .;
   IF (WL92_13 <= -1) THEN WL92_13 = .;
   IF (WL92_21 <= -1) THEN WL92_21 = .;
   IF (WL92_22 <= -1) THEN WL92_22 = .;
   IF (WL92_23 <= -1) THEN WL92_23 = .;
   IF (WL92_27 <= -1) THEN WL92_27 = .;
   IF (WL92_29 <= -1) THEN WL92_29 = .;
   IF (WL92_71 <= -1) THEN WL92_71 = .;
   IF (WL92_91 <= -1) THEN WL92_91 = .;
   IF (WL92A_1 <= -1) THEN WL92A_1 = .;
   IF (WL92A_2 <= -1) THEN WL92A_2 = .;
   IF (WL93 <= -1) THEN WL93 = .;
   IF (WL93_A <= -1) THEN WL93_A = .;
   IF (WL93_B_1 <= -1) THEN WL93_B_1 = .;
   IF (WL93_B_2 <= -1) THEN WL93_B_2 = .;
   IF (WL93_B_3 <= -1) THEN WL93_B_3 = .;
   IF (WL93_B_4 <= -1) THEN WL93_B_4 = .;
   IF (WL93_B_5 <= -1) THEN WL93_B_5 = .;
   IF (WL93_B_6 <= -1) THEN WL93_B_6 = .;
   IF (WL93_B_7 <= -1) THEN WL93_B_7 = .;
   IF (WL93_B_8 <= -1) THEN WL93_B_8 = .;
   IF (WL93_C <= -1) THEN WL93_C = .;
   IF (WL94 <= -1) THEN WL94 = .;
   IF (WL94_A <= -1) THEN WL94_A = .;
   IF (WL94_B_1 <= -1) THEN WL94_B_1 = .;
   IF (WL94_B_2 <= -1) THEN WL94_B_2 = .;
   IF (WL94_B_3 <= -1) THEN WL94_B_3 = .;
   IF (WL94_B_4 <= -1) THEN WL94_B_4 = .;
   IF (WL94_B_5 <= -1) THEN WL94_B_5 = .;
   IF (WL94_B_6 <= -1) THEN WL94_B_6 = .;
   IF (WL94_B_7 <= -1) THEN WL94_B_7 = .;
   IF (WL94_B_8 <= -1) THEN WL94_B_8 = .;
   IF (WL94_C <= -1) THEN WL94_C = .;
   IF (WL95 <= -1) THEN WL95 = .;
   IF (WL95_A_1 <= -1) THEN WL95_A_1 = .;
   IF (WL95_A_2 <= -1) THEN WL95_A_2 = .;
   IF (WL95_A_3 <= -1) THEN WL95_A_3 = .;
   IF (WL95_A_4 <= -1) THEN WL95_A_4 = .;
   IF (WL95_A_5 <= -1) THEN WL95_A_5 = .;
   IF (WL95_A_6 <= -1) THEN WL95_A_6 = .;
   IF (WL95B_1 <= -1) THEN WL95B_1 = .;
   IF (WL95C_1 <= -1) THEN WL95C_1 = .;
   IF (WL95D_1 <= -1) THEN WL95D_1 = .;
   IF (WL95E_1 <= -1) THEN WL95E_1 = .;
   IF (WL95F1_1 <= -1) THEN WL95F1_1 = .;
   IF (WL95F1_2 <= -1) THEN WL95F1_2 = .;
   IF (WL95F127 <= -1) THEN WL95F127 = .;
   IF (WL95F129 <= -1) THEN WL95F129 = .;
   IF (WL95F171 <= -1) THEN WL95F171 = .;
   IF (WL95F191 <= -1) THEN WL95F191 = .;
   IF (WL95G_1 <= -1) THEN WL95G_1 = .;
   IF (WL95B_2 <= -1) THEN WL95B_2 = .;
   IF (WL95C_2 <= -1) THEN WL95C_2 = .;
   IF (WL95D_2 <= -1) THEN WL95D_2 = .;
   IF (WL95E_2 <= -1) THEN WL95E_2 = .;
   IF (WL95F2_1 <= -1) THEN WL95F2_1 = .;
   IF (WL95F2_2 <= -1) THEN WL95F2_2 = .;
   IF (WL95F227 <= -1) THEN WL95F227 = .;
   IF (WL95F229 <= -1) THEN WL95F229 = .;
   IF (WL95F271 <= -1) THEN WL95F271 = .;
   IF (WL95F291 <= -1) THEN WL95F291 = .;
   IF (WL95G_2 <= -1) THEN WL95G_2 = .;
   IF (WL96 <= -1) THEN WL96 = .;
   IF (WL97 <= -1) THEN WL97 = .;
   IF (WL98_01 <= -1) THEN WL98_01 = .;
   IF (WL98_02 <= -1) THEN WL98_02 = .;
   IF (WL98_11 <= -1) THEN WL98_11 = .;
   IF (WL98_12 <= -1) THEN WL98_12 = .;
   IF (WL98_13 <= -1) THEN WL98_13 = .;
   IF (WL98_21 <= -1) THEN WL98_21 = .;
   IF (WL98_22 <= -1) THEN WL98_22 = .;
   IF (WL98_23 <= -1) THEN WL98_23 = .;
   IF (WL98_27 <= -1) THEN WL98_27 = .;
   IF (WL98_28 <= -1) THEN WL98_28 = .;
   IF (WL98_29 <= -1) THEN WL98_29 = .;
   IF (WL98_30 <= -1) THEN WL98_30 = .;
   IF (WL98_71 <= -1) THEN WL98_71 = .;
   IF (WL98_91 <= -1) THEN WL98_91 = .;
   IF (WL98A_1 <= -1) THEN WL98A_1 = .;
   IF (WL98A_2 <= -1) THEN WL98A_2 = .;
   IF (WL99 <= -1) THEN WL99 = .;
   IF (WL99_A_1 <= -1) THEN WL99_A_1 = .;
   IF (WL99_A_2 <= -1) THEN WL99_A_2 = .;
   IF (WL99_A_3 <= -1) THEN WL99_A_3 = .;
   IF (WL99_A_4 <= -1) THEN WL99_A_4 = .;
   IF (WL99_A_5 <= -1) THEN WL99_A_5 = .;
   IF (WL99_A_6 <= -1) THEN WL99_A_6 = .;
   IF (WL99_B <= -1) THEN WL99_B = .;
   IF (WL100 <= -1) THEN WL100 = .;
   IF (WL100A_1 <= -1) THEN WL100A_1 = .;
   IF (WL100A_2 <= -1) THEN WL100A_2 = .;
   IF (WL100A_3 <= -1) THEN WL100A_3 = .;
   IF (WL100A_4 <= -1) THEN WL100A_4 = .;
   IF (WL100A_5 <= -1) THEN WL100A_5 = .;
   IF (WL100A_6 <= -1) THEN WL100A_6 = .;
   IF (WL100_B <= -1) THEN WL100_B = .;
   IF (WL101 <= -1) THEN WL101 = .;
   IF (WL101A_1 <= -1) THEN WL101A_1 = .;
   IF (WL101A_2 <= -1) THEN WL101A_2 = .;
   IF (WL101A_3 <= -1) THEN WL101A_3 = .;
   IF (WL101A_4 <= -1) THEN WL101A_4 = .;
   IF (WL101A_5 <= -1) THEN WL101A_5 = .;
   IF (WL101A_6 <= -1) THEN WL101A_6 = .;
   IF (WL101B_1 <= -1) THEN WL101B_1 = .;
   IF (WL101C_1 <= -1) THEN WL101C_1 = .;
   IF (WL101D_1 <= -1) THEN WL101D_1 = .;
   IF (WL101E_1 <= -1) THEN WL101E_1 = .;
   IF (WL101B_2 <= -1) THEN WL101B_2 = .;
   IF (WL101C_2 <= -1) THEN WL101C_2 = .;
   IF (WL101D_2 <= -1) THEN WL101D_2 = .;
   IF (WL101E_2 <= -1) THEN WL101E_2 = .;
   IF (WL102 <= -1) THEN WL102 = .;
   IF (WL103 <= -1) THEN WL103 = .;
   IF (WL104_01 <= -1) THEN WL104_01 = .;
   IF (WL104_02 <= -1) THEN WL104_02 = .;
   IF (WL104_11 <= -1) THEN WL104_11 = .;
   IF (WL104_12 <= -1) THEN WL104_12 = .;
   IF (WL104_13 <= -1) THEN WL104_13 = .;
   IF (WL104_21 <= -1) THEN WL104_21 = .;
   IF (WL104_22 <= -1) THEN WL104_22 = .;
   IF (WL104_23 <= -1) THEN WL104_23 = .;
   IF (WL104_27 <= -1) THEN WL104_27 = .;
   IF (WL104_28 <= -1) THEN WL104_28 = .;
   IF (WL104_29 <= -1) THEN WL104_29 = .;
   IF (WL104_71 <= -1) THEN WL104_71 = .;
   IF (WL104_91 <= -1) THEN WL104_91 = .;
   IF (WL104A_1 <= -1) THEN WL104A_1 = .;
   IF (WL104A_2 <= -1) THEN WL104A_2 = .;
   IF (WL105 <= -1) THEN WL105 = .;
   IF (WL105A_1 <= -1) THEN WL105A_1 = .;
   IF (WL105A_2 <= -1) THEN WL105A_2 = .;
   IF (WL105A_3 <= -1) THEN WL105A_3 = .;
   IF (WL105A_4 <= -1) THEN WL105A_4 = .;
   IF (WL105A_5 <= -1) THEN WL105A_5 = .;
   IF (WL105A_6 <= -1) THEN WL105A_6 = .;
   IF (WL105_B <= -1) THEN WL105_B = .;
   IF (WL106 <= -1) THEN WL106 = .;
   IF (WL106A_1 <= -1) THEN WL106A_1 = .;
   IF (WL106A_2 <= -1) THEN WL106A_2 = .;
   IF (WL106A_3 <= -1) THEN WL106A_3 = .;
   IF (WL106A_4 <= -1) THEN WL106A_4 = .;
   IF (WL106A_5 <= -1) THEN WL106A_5 = .;
   IF (WL106A_6 <= -1) THEN WL106A_6 = .;
   IF (WL106_B <= -1) THEN WL106_B = .;
   IF (WL107 <= -1) THEN WL107 = .;
   IF (WL107A51 <= -1) THEN WL107A51 = .;
   IF (WL107A52 <= -1) THEN WL107A52 = .;
   IF (WL107A53 <= -1) THEN WL107A53 = .;
   IF (WL107A54 <= -1) THEN WL107A54 = .;
   IF (WL107A91 <= -1) THEN WL107A91 = .;
   IF (WL107B_1 <= -1) THEN WL107B_1 = .;
   IF (WL107C_1 <= -1) THEN WL107C_1 = .;
   IF (WL107D_1 <= -1) THEN WL107D_1 = .;
   IF (WL107E_1 <= -1) THEN WL107E_1 = .;
   IF (WL107B_2 <= -1) THEN WL107B_2 = .;
   IF (WL107C_2 <= -1) THEN WL107C_2 = .;
   IF (WL107D_2 <= -1) THEN WL107D_2 = .;
   IF (WL107E_2 <= -1) THEN WL107E_2 = .;
   IF (WL108 <= -1) THEN WL108 = .;
   IF (WL108_A <= -1) THEN WL108_A = .;
   IF (WL108_B <= -1) THEN WL108_B = .;
   IF (WL109 <= -1) THEN WL109 = .;
   IF (WL110 <= -1) THEN WL110 = .;
   IF (WL111_A <= -1) THEN WL111_A = .;
   IF (WL111_B <= -1) THEN WL111_B = .;
   IF (WL113_01 <= -1) THEN WL113_01 = .;
   IF (WL113_02 <= -1) THEN WL113_02 = .;
   IF (WL113_11 <= -1) THEN WL113_11 = .;
   IF (WL113_12 <= -1) THEN WL113_12 = .;
   IF (WL113_13 <= -1) THEN WL113_13 = .;
   IF (WL113_21 <= -1) THEN WL113_21 = .;
   IF (WL113_22 <= -1) THEN WL113_22 = .;
   IF (WL113_23 <= -1) THEN WL113_23 = .;
   IF (WL113_24 <= -1) THEN WL113_24 = .;
   IF (WL113_25 <= -1) THEN WL113_25 = .;
   IF (WL113_26 <= -1) THEN WL113_26 = .;
   IF (WL113_27 <= -1) THEN WL113_27 = .;
   IF (WL113_28 <= -1) THEN WL113_28 = .;
   IF (WL113_29 <= -1) THEN WL113_29 = .;
   IF (WL113_71 <= -1) THEN WL113_71 = .;
   IF (WL113_91 <= -1) THEN WL113_91 = .;
   IF (WL114_A <= -1) THEN WL114_A = .;
   IF (WL114_B <= -1) THEN WL114_B = .;
   IF (WL114_C <= -1) THEN WL114_C = .;
   IF (WL114_D <= -1) THEN WL114_D = .;
   IF (WL114_E <= -1) THEN WL114_E = .;
   IF (WL114_F <= -1) THEN WL114_F = .;
   IF (WL114_G <= -1) THEN WL114_G = .;
   IF (WL114_H <= -1) THEN WL114_H = .;
   IF (WL114_I <= -1) THEN WL114_I = .;
   IF (WL114_J <= -1) THEN WL114_J = .;
   IF (WL114_K <= -1) THEN WL114_K = .;
   IF (WL114K_1 <= -1) THEN WL114K_1 = .;
   IF (WL114K_2 <= -1) THEN WL114K_2 = .;
   IF (WL114K_3 <= -1) THEN WL114K_3 = .;
   IF (WL114K_4 <= -1) THEN WL114K_4 = .;
   IF (WL115 <= -1) THEN WL115 = .;
   IF (WL116 <= -1) THEN WL116 = .;
   IF (WL117 <= -1) THEN WL117 = .;
   IF (WL117_B1 <= -1) THEN WL117_B1 = .;
   IF (WL117_B2 <= -1) THEN WL117_B2 = .;
   IF (WL117_B3 <= -1) THEN WL117_B3 = .;
   IF (WL117_B4 <= -1) THEN WL117_B4 = .;
   IF (WL117_B5 <= -1) THEN WL117_B5 = .;
   IF (WL118 <= -1) THEN WL118 = .;
   IF (WL118_A <= -1) THEN WL118_A = .;
   IF (WL119 <= -1) THEN WL119 = .;
   IF (WL120 <= -1) THEN WL120 = .;
   IF (WL121_A <= -1) THEN WL121_A = .;
   IF (WL121_B <= -1) THEN WL121_B = .;
   IF (WL121_C <= -1) THEN WL121_C = .;
   IF (WL121_D <= -1) THEN WL121_D = .;
   IF (WL121_E <= -1) THEN WL121_E = .;
   IF (WL121_F <= -1) THEN WL121_F = .;
   IF (WL122 <= -1) THEN WL122 = .;
   IF (WL123_W <= -1) THEN WL123_W = .;
   IF (WL124 <= -1) THEN WL124 = .;
   IF (WL125 <= -1) THEN WL125 = .;
   IF (WL126 <= -1) THEN WL126 = .;
   IF (WL127 <= -1) THEN WL127 = .;
   IF (WL128 <= -1) THEN WL128 = .;
   IF (WLDM <= -1) THEN WLDM = .;
   IF (WLTH <= -1) THEN WLTH = .;
   IF (WLTM <= -1) THEN WLTM = .;
   IF (WLAMPM <= -1) THEN WLAMPM = .;
   IF (WM1 <= -1) THEN WM1 = .;
   IF (WM2 <= -1) THEN WM2 = .;
   IF (WM3 <= -1) THEN WM3 = .;
   IF (WM4 <= -1) THEN WM4 = .;
   IF (WM5 <= -1) THEN WM5 = .;
   IF (WM6 <= -1) THEN WM6 = .;
   IF (WM7 <= -1) THEN WM7 = .;
   IF (WM8 <= -1) THEN WM8 = .;
   IF (WM9 <= -1) THEN WM9 = .;
   IF (WM10A <= -1) THEN WM10A = .;
   IF (WM10B <= -1) THEN WM10B = .;
   IF (WM11A <= -1) THEN WM11A = .;
   IF (WM11B <= -1) THEN WM11B = .;
   IF (WM11C <= -1) THEN WM11C = .;
   IF (WM12A <= -1) THEN WM12A = .;
   IF (WM12B <= -1) THEN WM12B = .;
   IF (WM12C <= -1) THEN WM12C = .;
   IF (WM12D <= -1) THEN WM12D = .;
   IF (WM12E <= -1) THEN WM12E = .;
   IF (WM13 <= -1) THEN WM13 = .;
   IF (WM14A <= -1) THEN WM14A = .;
   IF (WM14B <= -1) THEN WM14B = .;
   IF (WM14C <= -1) THEN WM14C = .;
   IF (WM15A <= -1) THEN WM15A = .;
   IF (WM15B <= -1) THEN WM15B = .;
   IF (WM16 <= -1) THEN WM16 = .;
   IF (WM17 <= -1) THEN WM17 = .;
   IF (WM18A <= -1) THEN WM18A = .;
   IF (WM18B <= -1) THEN WM18B = .;
   IF (WM18C <= -1) THEN WM18C = .;
   IF (WM19 <= -1) THEN WM19 = .;
   IF (WM20 <= -1) THEN WM20 = .;
   IF (WM21 <= -1) THEN WM21 = .;
   IF (WMDM <= -1) THEN WMDM = .;
   IF (WMTH <= -1) THEN WMTH = .;
   IF (WMTM <= -1) THEN WMTM = .;
   IF (WMAMPM <= -1) THEN WMAMPM = .;
   IF (WN1 <= -1) THEN WN1 = .;
   IF (WN2 <= -1) THEN WN2 = .;
   IF (WN2A <= -1) THEN WN2A = .;
   IF (WN3_1_1 <= -1) THEN WN3_1_1 = .;
   IF (WN3_1_2 <= -1) THEN WN3_1_2 = .;
   IF (WN3_2_1 <= -1) THEN WN3_2_1 = .;
   IF (WN3_2_2 <= -1) THEN WN3_2_2 = .;
   IF (WN3_3_1 <= -1) THEN WN3_3_1 = .;
   IF (WN3_3_2 <= -1) THEN WN3_3_2 = .;
   IF (WN3_4_1 <= -1) THEN WN3_4_1 = .;
   IF (WN3_4_2 <= -1) THEN WN3_4_2 = .;
   IF (WN4 <= -1) THEN WN4 = .;
   IF (WN4A1 <= -1) THEN WN4A1 = .;
   IF (WN4A2 <= -1) THEN WN4A2 = .;
   IF (WN4A3 <= -1) THEN WN4A3 = .;
   IF (WN4A4 <= -1) THEN WN4A4 = .;
   IF (WN4A5 <= -1) THEN WN4A5 = .;
   IF (WN4A6 <= -1) THEN WN4A6 = .;
   IF (WN5 <= -1) THEN WN5 = .;
   IF (WN6 <= -1) THEN WN6 = .;
   IF (WN6A1 <= -1) THEN WN6A1 = .;
   IF (WN6A2 <= -1) THEN WN6A2 = .;
   IF (LDATE_M <= -1) THEN LDATE_M = .;
   IF (LDATE_Y <= -1) THEN LDATE_Y = .;
   IF (WIA1_1 <= -1) THEN WIA1_1 = .;
   IF (WIA1_2 <= -1) THEN WIA1_2 = .;
   IF (WIA2_1 <= -1) THEN WIA2_1 = .;
   IF (WIA2_2 <= -1) THEN WIA2_2 = .;
   IF (WIA3_1 <= -1) THEN WIA3_1 = .;
   IF (WIA3_2 <= -1) THEN WIA3_2 = .;
   IF (WIA4_1 <= -1) THEN WIA4_1 = .;
   IF (WIA4_2 <= -1) THEN WIA4_2 = .;
   IF (WIA5_1 <= -1) THEN WIA5_1 = .;
   IF (WIA5_2 <= -1) THEN WIA5_2 = .;
   IF (WIA6_1 <= -1) THEN WIA6_1 = .;
   IF (WIA6_2 <= -1) THEN WIA6_2 = .;
   IF (WIA7_1 <= -1) THEN WIA7_1 = .;
   IF (WIA7_2 <= -1) THEN WIA7_2 = .;
   IF (WIA8_1 <= -1) THEN WIA8_1 = .;
   IF (WIA8_2 <= -1) THEN WIA8_2 = .;
   IF (WIA9_1 <= -1) THEN WIA9_1 = .;
   IF (WIA9_2 <= -1) THEN WIA9_2 = .;
   IF (WIA10_1 <= -1) THEN WIA10_1 = .;
   IF (WIA10_2 <= -1) THEN WIA10_2 = .;
   IF (WP1A <= -1) THEN WP1A = .;
   IF (WP1B <= -1) THEN WP1B = .;
   IF (WP1C <= -1) THEN WP1C = .;
   IF (WP1D <= -1) THEN WP1D = .;
   IF (WP1E <= -1) THEN WP1E = .;
   IF (WP1F <= -1) THEN WP1F = .;
   IF (WP1G <= -1) THEN WP1G = .;
   IF (WP1H <= -1) THEN WP1H = .;
   IF (WP1I <= -1) THEN WP1I = .;
   IF (WP1J <= -1) THEN WP1J = .;
   IF (WP1K <= -1) THEN WP1K = .;
   IF (WP1L <= -1) THEN WP1L = .;
   IF (WP1M <= -1) THEN WP1M = .;
   IF (WP1N <= -1) THEN WP1N = .;
   IF (WP2A <= -1) THEN WP2A = .;
   IF (WP3A <= -1) THEN WP3A = .;
   IF (WP2B <= -1) THEN WP2B = .;
   IF (WP3B <= -1) THEN WP3B = .;
   IF (WP2C <= -1) THEN WP2C = .;
   IF (WP3C <= -1) THEN WP3C = .;
   IF (WP2D <= -1) THEN WP2D = .;
   IF (WP3D <= -1) THEN WP3D = .;
   IF (WP2E <= -1) THEN WP2E = .;
   IF (WP3E <= -1) THEN WP3E = .;
   IF (WP2F <= -1) THEN WP2F = .;
   IF (WP3F <= -1) THEN WP3F = .;
   IF (WP2G <= -1) THEN WP2G = .;
   IF (WP3G <= -1) THEN WP3G = .;
   IF (WP2H <= -1) THEN WP2H = .;
   IF (WP3H <= -1) THEN WP3H = .;
   IF (WP2I <= -1) THEN WP2I = .;
   IF (WP3I <= -1) THEN WP3I = .;
   IF (WP2J <= -1) THEN WP2J = .;
   IF (WP3J <= -1) THEN WP3J = .;
   IF (QU6 <= -1) THEN QU6 = .;
   IF (IA6 <= -1) THEN IA6 = .;
   IF (SU6 <= -1) THEN SU6 = .;
   IF (MODALITY <= -1) THEN MODALITY = .;
   IF (SEX <= -1) THEN SEX = .;
   IF (AGE <= -1) THEN AGE = .;
   IF (HLTHINS <= -1) THEN HLTHINS = .;
   IF (FTWORK <= -1) THEN FTWORK = .;
   IF (MSTAT <= -1) THEN MSTAT = .;
   IF (INSCHOOL <= -1) THEN INSCHOOL = .;
   IF (RACE <= -1) THEN RACE = .;
   IF (EDLEV <= -1) THEN EDLEV = .;
   IF (RACESEX <= -1) THEN RACESEX = .;
   IF (HVY_ALC <= -1) THEN HVY_ALC = .;
   IF (ALCR <= -1) THEN ALCR = .;
   IF (MRJR <= -1) THEN MRJR = .;
   IF (COCR <= -1) THEN COCR = .;
   IF (HERR <= -1) THEN HERR = .;
   IF (NARR <= -1) THEN NARR = .;
   IF (SEDR <= -1) THEN SEDR = .;
   IF (AMPR <= -1) THEN AMPR = .;
   IF (HALR <= -1) THEN HALR = .;
   IF (INHR <= -1) THEN INHR = .;
   IF (ALCWK <= -1) THEN ALCWK = .;
   IF (MRJWK <= -1) THEN MRJWK = .;
   IF (COCWK <= -1) THEN COCWK = .;
   IF (HERWK <= -1) THEN HERWK = .;
   IF (NARWK <= -1) THEN NARWK = .;
   IF (SEDWK <= -1) THEN SEDWK = .;
   IF (AMPWK <= -1) THEN AMPWK = .;
   IF (HALWK <= -1) THEN HALWK = .;
   IF (INHWK <= -1) THEN INHWK = .;
   IF (MRJ_EV <= -1) THEN MRJ_EV = .;
   IF (COC_EV <= -1) THEN COC_EV = .;
   IF (HER_EV <= -1) THEN HER_EV = .;
   IF (NAR_EV <= -1) THEN NAR_EV = .;
   IF (SED_EV <= -1) THEN SED_EV = .;
   IF (AMP_EV <= -1) THEN AMP_EV = .;
   IF (HAL_EV <= -1) THEN HAL_EV = .;
   IF (INH_EV <= -1) THEN INH_EV = .;
   IF (CJ_STAT <= -1) THEN CJ_STAT = .;
   IF (IAY_SIA <= -1) THEN IAY_SIA = .;
   IF (MAJSRC <= -1) THEN MAJSRC = .;
   IF (REFER <= -1) THEN REFER = .;
   IF (RESTRICT <= -1) THEN RESTRICT = .;
   IF (DRUGTX <= -1) THEN DRUGTX = .;
   IF (SCHOOL <= -1) THEN SCHOOL = .;
   IF (DEP_YR <= -1) THEN DEP_YR = .;
   IF (EMPSTAT <= -1) THEN EMPSTAT = .;
   IF (IAPY <= -1) THEN IAPY = .;
   IF (PDT <= -1) THEN PDT = .;
   IF (CRKR <= -1) THEN CRKR = .;
   IF (CRKWK <= -1) THEN CRKWK = .;
*/


* SAS FORMAT STATEMENT;

/*
  FORMAT CASEID caseid. WDC_M wdc_m. WDC_Y wdc_y.
         WT_L_I wt_l_i. WTIME1_H wtime1_h. WTIME1_M wtime1_m.
         WAM_PM_1 wam_pm_f. WA3 wa3fffff. WA3_A wa3_a.
         WA3_B wa3_b. WA4 wa4fffff. WA4_A wa4_a.
         WA5 wa5fffff. WA6 wa6fffff. WA7 wa7fffff.
         WA8 wa8fffff. WA8_A wa8_a. WA8_B wa8_b.
         WA8_C wa8_c. WA8_D wa8_d. WA8_E wa8_e.
         WA9 wa9fffff. WA10 wa10ffff. WA11 wa11ffff.
         WA12 wa12ffff. WA13 wa13ffff. WA13A_02 wa13a_0f.
         WA13A_03 wa13a_1f. WA13A_04 wa13a_2f. WA13A_05 wa13a_3f.
         WA13A_06 wa13a_4f. WA14 wa14ffff. WA14A_02 wa14a_0f.
         WA14A_03 wa14a_1f. WA14A_04 wa14a_2f. WA14A_05 wa14a_3f.
         WA14A_06 wa14a_4f. WA15_00 wa15_00f. WA15_01 wa15_01f.
         WA15_02 wa15_02f. WA15_03 wa15_03f. WA16 wa16ffff.
         WA17 wa17ffff. WA18 wa18ffff. WA19 wa19ffff.
         WA19_A wa19_a. WA19_B wa19_b. WA20 wa20ffff.
         WA21 wa21ffff. WA22 wa22ffff. WA23_A wa23_a.
         WA23_B wa23_b. WA23_C wa23_c. WA24_A wa24_a.
         WA24_B wa24_b. WA24_C wa24_c. WA24_D wa24_d.
         WA24_E wa24_e. WA24_F wa24_f. WA25 wa25ffff.
         WA26 wa26ffff. WA27 wa27ffff. WA27A wa27a.
         WB1 wb1fffff. WB1_A wb1_a. WB1_B wb1_b.
         WB1_C wb1_c. WB1_D wb1_d. WB1_E wb1_e.
         WB1_F wb1_f. WB1_G wb1_g. WB2 wb2fffff.
         WB2_A wb2_a. WB3_0 wb3_0fff. WB3_1 wb3_1fff.
         WB3_2 wb3_2fff. WB3_3 wb3_3fff. WB3_4 wb3_4fff.
         WB3_5 wb3_5fff. WB3_6 wb3_6fff. WB4 wb4fffff.
         WB4_A wb4_a. WB5 wb5fffff. WC1 wc1fffff.
         WC1_A_02 wc1_a_0f. WC1_A_03 wc1_a_1f. WC1_A_04 wc1_a_2f.
         WC1_A_05 wc1_a_3f. WC1_A_06 wc1_a_4f. WC1_A_07 wc1_a_5f.
         WC1_B wc1_b. WC1_C wc1_c. WC1_D wc1_d.
         WC1_E wc1_e. WC2 wc2fffff. WC3 wc3fffff.
         WC3_A wc3_a. WC3_B wc3_b. WC4_00 wc4_00ff.
         WC4_01 wc4_01ff. WC4_02 wc4_02ff. WC4_03 wc4_03ff.
         WC4_04 wc4_04ff. WC4_05 wc4_05ff. WC4_06 wc4_06ff.
         WC4_07 wc4_07ff. WC4_08 wc4_08ff. WC4_09 wc4_09ff.
         WC5 wc5fffff. WC5_A wc5_a. WC6 wc6fffff.
         WC6_A wc6_a. WC7 wc7fffff. WC7_A wc7_a.
         WC7_B_1 wc7_b_1f. WC7_B_2 wc7_b_2f. WD1 wd1fffff.
         WD1_A wd1_a. WD1_B_1 wd1_b_1f. WD1_B_2 wd1_b_2f.
         WD1_C wd1_c. WD2 wd2fffff. WD2_A wd2_a.
         WD2_B wd2_b. WD2_C_1 wd2_c_1f. WD2_C_2 wd2_c_2f.
         WD2_D wd2_d. WD3 wd3fffff. WD3_A wd3_a.
         WD4 wd4fffff. WD4_A wd4_a. WD5 wd5fffff.
         WD5_A_1 wd5_a_1f. WD5_A_2 wd5_a_2f. WD5_B wd5_b.
         WD6 wd6fffff. WD6_A_1 wd6_a_1f. WD6_A_2 wd6_a_2f.
         WD6_B wd6_b. WD7 wd7fffff. WD7_A_1 wd7_a_1f.
         WD7_A_2 wd7_a_2f. WD7_B wd7_b. WD8 wd8fffff.
         WD8_A wd8_a. WD9 wd9fffff. WD10 wd10ffff.
         WD10_A wd10_a. WD11 wd11ffff. WD11_A wd11_a.
         WD12 wd12ffff. WD13 wd13ffff. WD14 wd14ffff.
         WD15 wd15ffff. WD16 wd16ffff. WD17 wd17ffff.
         WD18 wd18ffff. WD19 wd19ffff. WE1 we1fffff.
         WE2 we2fffff. WE3 we3fffff. WE4 we4fffff.
         WE5 we5fffff. WE6 we6fffff. WE7 we7fffff.
         WE8 we8fffff. WE9 we9fffff. WE10 we10ffff.
         WE11 we11ffff. WE12 we12ffff. WE12_A we12_a.
         WE13 we13ffff. WE13_A_1 we13_a_f. WE13_A_2 we13_a0f.
         WE13_A_3 we13_a1f. WE14 we14ffff. WE14_A_1 we14_a_f.
         WE14_A_2 we14_a0f. WE14_B_1 we14_b_f. WE14_B_2 we14_b0f.
         WE14_C we14_c. WE15 we15ffff. WE15_A_1 we15_a_f.
         WE15_A_2 we15_a0f. WE15_B_1 we15_b_f. WE15_B_2 we15_b0f.
         WE15_C we15_c. WE15_D we15_d. WE15_E we15_e.
         WE16 we16ffff. WE16_A_1 we16_a_f. WE16_A_2 we16_a0f.
         WE16_B_1 we16_b_f. WE16_B_2 we16_b0f. WE16_C we16_c.
         WE16_D we16_d. WE16_E we16_e. WE16_F we16_f.
         WE17 we17ffff. WE17_A we17_a. WE17_B_1 we17_b_f.
         WE17_B_2 we17_b0f. WE17_B_3 we17_b1f. WE17_C we17_c.
         WE18 we18ffff. WE18_A_1 we18_a_f. WE18_A_2 we18_a0f.
         WE18_B_1 we18_b_f. WE18_B_2 we18_b0f. WE18_C we18_c.
         WE18_D we18_d. WE18_E we18_e. WE19 we19ffff.
         WE19_A we19_a. WE19B1_1 we19b1_f. WE19B1_2 we19b10f.
         WE19B2_1 we19b2_f. WE19B2_2 we19b20f. WE19_C we19_c.
         WE20 we20ffff. WE20_A_1 we20_a_f. WE20_A_2 we20_a0f.
         WE20_B_1 we20_b_f. WE20_B_2 we20_b0f. WE20_C we20_c.
         WE20_D we20_d. WE20_E_1 we20_e_f. WE20_E_2 we20_e0f.
         WE20_E_3 we20_e1f. WE20_E_4 we20_e2f. WE20_F we20_f.
         WE21 we21ffff. WE21_A we21_a. WE21_B_1 we21_b_f.
         WE21_B_2 we21_b0f. WE21_B_3 we21_b1f. WE21_C we21_c.
         WE22 we22ffff. WE22_A_1 we22_a_f. WE22_A_2 we22_a0f.
         WE22_B_1 we22_b_f. WE22_B_2 we22_b0f. WE22_C we22_c.
         WE22_D we22_d. WE22_E we22_e. WE23 we23ffff.
         WE23_A we23_a. WE24 we24ffff. WE24_A_1 we24_a_f.
         WE24_A_2 we24_a0f. WE24_B_1 we24_b_f. WE24_B_2 we24_b0f.
         WE24_C we24_c. WE24_D we24_d. WE24_E we24_e.
         WE25 we25ffff. WE25_A_1 we25_a_f. WE25_A_2 we25_a0f.
         WE25_B_1 we25_b_f. WE25_B_2 we25_b0f. WE25_C we25_c.
         WE26 we26ffff. WE26_A_1 we26_a_f. WE26_A_2 we26_a0f.
         WE26_B_1 we26_b_f. WE26_B_2 we26_b0f. WE26_C we26_c.
         WE26_D we26_d. WE27 we27ffff. WE27_A we27_a.
         WE27_B_1 we27_b_f. WE27_B_2 we27_b0f. WE27_C_1 we27_c_f.
         WE27_C_2 we27_c0f. WE27_D we27_d. WE27_E we27_e.
         WE28 we28ffff. WE28_A we28_a. WE28_B_1 we28_b_f.
         WE28_B_2 we28_b0f. WE28_C_1 we28_c_f. WE28_C_2 we28_c0f.
         WE28_D we28_d. WE28_E we28_e. WE29 we29ffff.
         WE30 we30ffff. WE30_A we30_a. WE31 we31ffff.
         WE31A_1 we31a_1f. WE31A_2 we31a_2f. WE31A_3 we31a_3f.
         WE31A_4 we31a_4f. WE31A_5 we31a_5f. WE31A_6 we31a_6f.
         WE32 we32ffff. WE33_A we33_a. WE33_B we33_b.
         WE33_C we33_c. WE33_D we33_d. WE33_E we33_e.
         WE33_F we33_f. WE34 we34ffff. WE35 we35ffff.
         WE36 we36ffff. WE37 we37ffff. WE38 we38ffff.
         WE39_A we39_a. WE39_B we39_b. WE39_C we39_c.
         WE39_D we39_d. WE39_E we39_e. WE39_F we39_f.
         WE39_G we39_g. WE39_H we39_h. WE39_I we39_i.
         WE39_J we39_j. WE39_K we39_k. WE39_L we39_l.
         WE39_M we39_m. WE39_N we39_n. WE39_O we39_o.
         WE39_P we39_p. WE39_Q we39_q. WE39_R we39_r.
         WE39_S we39_s. WE39_T we39_t. WE40 we40ffff.
         WE40_B_1 we40_b_f. WE40_B_2 we40_b0f. WE40_B_3 we40_b1f.
         WE41_A we41_a. WE41_B we41_b. WE42 we42ffff.
         WE43 we43ffff. WE44 we44ffff. WE45 we45ffff.
         WE46 we46ffff. WE47 we47ffff. WE48_A we48_a.
         WE48_B we48_b. WE48_C we48_c. WE48_D we48_d.
         WE48_E we48_e. WE48_F we48_f. WE48_G we48_g.
         WE48_H we48_h. WE48_I we48_i. WE48_J we48_j.
         WE48_K we48_k. WE48_L we48_l. WF1 wf1fffff.
         WF1_A wf1_a. WF2 wf2fffff. WF2_A wf2_a.
         WF3 wf3fffff. WF4 wf4fffff. WF5 wf5fffff.
         WF5_A wf5_a. WF6 wf6fffff. WF7 wf7fffff.
         WF8 wf8fffff. WF9 wf9fffff. WF9_A wf9_a.
         WF10 wf10ffff. WF10_A wf10_a. WF11 wf11ffff.
         WF11_A wf11_a. WF12 wf12ffff. WF13 wf13ffff.
         WF14 wf14ffff. WF15 wf15ffff. WF16 wf16ffff.
         WF16_A wf16_a. WF17 wf17ffff. WF17_A_1 wf17_a_f.
         WF17_A_2 wf17_a0f. WF17_A_3 wf17_a1f. WF17_A_4 wf17_a2f.
         WF17_B wf17_b. WF17_C wf17_c. WF17D_01 wf17d_0f.
         WF17D_02 wf17d_1f. WF17D_14 wf17d_2f. WF17D_23 wf17d_3f.
         WF17D_24 wf17d_4f. WF17D_25 wf17d_5f. WF17D_61 wf17d_6f.
         WF17D_62 wf17d_7f. WF17D_91 wf17d_9f. WF17_E wf17_e.
         WF18 wf18ffff. WG1 wg1fffff. WG2 wg2fffff.
         WG3 wg3fffff. WG4 wg4fffff. WG4_A wg4_a.
         WG4_B_1 wg4_b_1f. WG4_B_2 wg4_b_2f. WG4_B_3 wg4_b_3f.
         WG4_B_4 wg4_b_4f. WG4_C wg4_c. WG4_D wg4_d.
         WG4_E wg4_e. WG4F_1 wg4f_1ff. WG4F_2 wg4f_2ff.
         WG4F_3 wg4f_3ff. WG4F_4 wg4f_4ff. WG4F_5 wg4f_5ff.
         WG4F_6 wg4f_6ff. WG4G wg4g. WG5_A wg5_a.
         WG5_B wg5_b. WG5_C wg5_c. WG5_D wg5_d.
         WG5_E wg5_e. WG5_F wg5_f. WG7 wg7fffff.
         WG7_A wg7_a. WG8 wg8fffff. WG9 wg9fffff.
         WG10 wg10ffff. WG11 wg11ffff. WG12 wg12ffff.
         WG12A_1 wg12a_1f. WG12A_2 wg12a_2f. WG12A_3 wg12a_3f.
         WG12A_4 wg12a_4f. WG12B_1 wg12b_1f. WG12B_2 wg12b_2f.
         WG12B_3 wg12b_3f. WG13 wg13ffff. WG14 wg14ffff.
         WG15 wg15ffff. WG15_A wg15_a. WH1 wh1fffff.
         WH1_A wh1_a. WH2_A wh2_a. WH3_A wh3_a.
         WH2_B wh2_b. WH3_B wh3_b. WH2_C wh2_c.
         WH3_C wh3_c. WH2_D wh2_d. WH3_D wh3_d.
         WH2_E wh2_e. WH3_E wh3_e. WH2_F wh2_f.
         WH3_F wh3_f. WH2_G wh2_g. WH3_G wh3_g.
         WH2_H wh2_h. WH3_H wh3_h. WH2_I wh2_i.
         WH3_I wh3_i. WH2_J wh2_j. WH3_J wh3_j.
         WH2_K wh2_k. WH3_K wh3_k. WH2_L wh2_l.
         WH3_L wh3_l. WH4 wh4fffff. WH5 wh5fffff.
         WH6 wh6fffff. WH6_A wh6_a. WH7 wh7fffff.
         WH8 wh8fffff. WH8_A wh8_a. WH9 wh9fffff.
         WJ1 wj1fffff. WJ2 wj2fffff. WJ2_A wj2_a.
         WJ2_B wj2_b. WJ2_C wj2_c. WJ2_D wj2_d.
         WJ2_E wj2_e. WJ2_F wj2_f. WJ2_G wj2_g.
         WJ3 wj3fffff. WJ3_A_1 wj3_a_1f. WJ3_A_2 wj3_a_2f.
         WJ3_A_3 wj3_a_3f. WJ3_A_4 wj3_a_4f. WJ3_A_5 wj3_a_5f.
         WJ3_A_6 wj3_a_6f. WJ3_A_7 wj3_a_7f. WJ3_B wj3_b.
         WJ3_C_1 wj3_c_1f. WJ3_C_2 wj3_c_2f. WJ3_C_3 wj3_c_3f.
         WJ3_C_4 wj3_c_4f. WJ3_C_5 wj3_c_5f. WJ3_C_6 wj3_c_6f.
         WJ3_C_7 wj3_c_7f. WJ3_C_8 wj3_c_8f. WJ3_C_9 wj3_c_9f.
         WJ3_C_10 wj3_c_0f. WJ3_C_11 wj3_c10f. WJ4_0 wj4_0fff.
         WJ4_1 wj4_1fff. WJ4_2 wj4_2fff. WJ4_3 wj4_3fff.
         WJ4_4 wj4_4fff. WJ4_5 wj4_5fff. WJ4_6 wj4_6fff.
         WJ4_7 wj4_7fff. WJ4_8 wj4_8fff. WJ4_9 wj4_9fff.
         WJ4_10 wj4_10ff. WJ4_11 wj4_11ff. WJ4_12 wj4_12ff.
         WJ4_13 wj4_13ff. WJ4_14 wj4_14ff. WJ4_15 wj4_15ff.
         WJ4_16 wj4_16ff. WJ5 wj5fffff. WJ6 wj6fffff.
         WJ7 wj7fffff. WJ8 wj8fffff. WJ9 wj9fffff.
         WJ9_A wj9_a. WJ9_B wj9_b. WJ9_C_OC wj9_c_oc.
         WJ9_C wj9_c. WJ9_COD wj9_cod. WJ10 wj10ffff.
         WJ11 wj11ffff. WJ12 wj12ffff. WJ12_A wj12_a.
         WK1_A wk1_a. WK2_A wk2_a. WK1_B wk1_b.
         WK2_B wk2_b. WK1_C wk1_c. WK2_C wk2_c.
         WK1_D wk1_d. WK2_D wk2_d. WK1_E wk1_e.
         WK2_E wk2_e. WK1_F wk1_f. WK2_F wk2_f.
         WK2_G wk2_g. WK3 wk3fffff. WK4 wk4fffff.
         WK4_A wk4_a. WK5 wk5fffff. WK6_A wk6_a.
         WK6_B wk6_b. WK6_C wk6_c. WK6_D wk6_d.
         WK7 wk7fffff. WK7_A wk7_a. WK8 wk8fffff.
         WK9 wk9fffff. WL1 wl1fffff. WL1_A wl1_a.
         WL2 wl2fffff. WL2_A wl2_a. WL2_B wl2_b.
         WL2_C wl2_c. WL2_D wl2_d. WL2_E wl2_e.
         WL2_F_1 wl2_f_1f. WL2_F_2 wl2_f_2f. WL2_F_3 wl2_f_3f.
         WL3 wl3fffff. WL3_A wl3_a. WL4 wl4fffff.
         WL5 wl5fffff. WL5_A_1 wl5_a_1f. WL5_A_2 wl5_a_2f.
         WL5_A_3 wl5_a_3f. WL5_A_4 wl5_a_4f. WL5_B_1 wl5_b_1f.
         WL5_B_2 wl5_b_2f. WL5_B_11 wl5_b_0f. WL5_B_12 wl5_b_3f.
         WL5_B_13 wl5_b_4f. WL5_B_21 wl5_b_5f. WL5_B_22 wl5_b_6f.
         WL5_B_23 wl5_b_7f. WL5_B_31 wl5_b_8f. WL5_B_71 wl5_b_9f.
         WL5_B_91 wl5_b10f. WL5_C wl5_c. WL5_D wl5_d.
         WL6 wl6fffff. WL6_A_A wl6_a_a. WL6_A_B wl6_a_b.
         WL6_A_C wl6_a_c. WL6_A_D wl6_a_d. WL6_A_E wl6_a_e.
         WL6_A_F wl6_a_f. WL6_A_G wl6_a_g. WL6_A_H wl6_a_h.
         WL6_A_I wl6_a_i. WL6_A_J wl6_a_j. WL6_B_1 wl6_b_1f.
         WL6_C_1 wl6_c_1f. WL6_D_1 wl6_d_1f. WL6_E_1 wl6_e_1f.
         WL6_B_2 wl6_b_2f. WL6_C_2 wl6_c_2f. WL6_D_2 wl6_d_2f.
         WL6_E_2 wl6_e_2f. WL6_B_3 wl6_b_3f. WL6_C_3 wl6_c_3f.
         WL6_D_3 wl6_d_3f. WL6_E_3 wl6_e_3f. WL6_B_4 wl6_b_4f.
         WL6_C_4 wl6_c_4f. WL6_D_4 wl6_d_4f. WL6_E_4 wl6_e_4f.
         WL7 wl7fffff. WL7_A_A wl7_a_a. WL7_A_B wl7_a_b.
         WL7_A_C wl7_a_c. WL7_A_D wl7_a_d. WL7_A_E wl7_a_e.
         WL7_A_F wl7_a_f. WL7_A_G wl7_a_g. WL7_A_H wl7_a_h.
         WL7_A_I wl7_a_i. WL7_B_1 wl7_b_1f. WL7_C_1 wl7_c_1f.
         WL7_D_1 wl7_d_1f. WL7_E_1 wl7_e_1f. WL7_B_2 wl7_b_2f.
         WL7_C_2 wl7_c_2f. WL7_D_2 wl7_d_2f. WL7_E_2 wl7_e_2f.
         WL7_B_3 wl7_b_3f. WL7_C_3 wl7_c_3f. WL7_D_3 wl7_d_3f.
         WL7_E_3 wl7_e_3f. WL7_B_4 wl7_b_4f. WL7_C_4 wl7_c_4f.
         WL7_D_4 wl7_d_4f. WL7_E_4 wl7_e_4f. WL8_0 wl8_0fff.
         WL8_1 wl8_1fff. WL8_2 wl8_2fff. WL8_11 wl8_11ff.
         WL8_12 wl8_12ff. WL8_13 wl8_13ff. WL8_21 wl8_21ff.
         WL8_22 wl8_22ff. WL8_71 wl8_71ff. WL8_91 wl8_91ff.
         WL8_A_1 wl8_a_1f. WL8_A_2 wl8_a_2f. WL9 wl9fffff.
         WL9_A wl9_a. WL10 wl10ffff. WL11 wl11ffff.
         WL12 wl12ffff. WL13_A wl13_a. WL13_B wl13_b.
         WL13_C wl13_c. WL13_D wl13_d. WL13_E wl13_e.
         WL13_F wl13_f. WL13_G wl13_g. WL13_H wl13_h.
         WL13_I wl13_i. WL13_J wl13_j. WL13_K wl13_k.
         WL13_K_1 wl13_k_f. WL13_K_2 wl13_k0f. WL13_K_3 wl13_k1f.
         WL13_K_4 wl13_k2f. WL14_A wl14_a. WL14_B wl14_b.
         WL15_M wl15_m. WL15_Y wl15_y. WL16 wl16ffff.
         WL16_A wl16_a. WL17 wl17ffff. WL18 wl18ffff.
         WL19 wl19ffff. WL20_A wl20_a. WL20_B wl20_b.
         WL20_C wl20_c. WL20_D wl20_d. WL20_E wl20_e.
         WL20_F wl20_f. WL20_G wl20_g. WL20_H wl20_h.
         WL20_I wl20_i. WL20_J wl20_j. WL20_K wl20_k.
         WL20_K_1 wl20_k_f. WL20_K_2 wl20_k0f. WL20_K_3 wl20_k1f.
         WL20_K_4 wl20_k2f. WL21_A wl21_a. WL21_B wl21_b.
         WL22_M wl22_m. WL22_Y wl22_y. WL23 wl23ffff.
         WL24 wl24ffff. WL25 wl25ffff. WL26_M wl26_m.
         WL26_Y wl26_y. WL27 wl27ffff. WL28 wl28ffff.
         WL28A_00 wl28a_0f. WL28A_01 wl28a_1f. WL28A_02 wl28a_2f.
         WL28A_11 wl28a_3f. WL28A_12 wl28a_4f. WL28A_13 wl28a_5f.
         WL28A_21 wl28a_6f. WL28A_22 wl28a_7f. WL28A_23 wl28a_8f.
         WL28A_24 wl28a_9f. WL28A_25 wl28a10f. WL28A_26 wl28a11f.
         WL28A_71 wl28a12f. WL28A_91 wl28a13f. WL28B wl28b.
         WL29 wl29ffff. WL29_A wl29_a. WL29_B_A wl29_b_a.
         WL29_B_B wl29_b_b. WL29_B_C wl29_b_c. WL29_B_D wl29_b_d.
         WL29_B_E wl29_b_e. WL29_B_F wl29_b_f. WL29_B_G wl29_b_g.
         WL29_B_H wl29_b_h. WL29_B_I wl29_b_i. WL29_B_J wl29_b_j.
         WL29_B_K wl29_b_k. WL29B_K1 wl29b_kf. WL29B_K2 wl29b_0f.
         WL29B_K3 wl29b_1f. WL29B_K4 wl29b_2f. WL29_C wl29_c.
         WL29_D wl29_d. WL29_E wl29_e. WL30 wl30ffff.
         WL30_A wl30_a. WL30_B_M wl30_b_m. WL30C_00 wl30c_0f.
         WL30C_01 wl30c_1f. WL30C_02 wl30c_2f. WL30C_11 wl30c_3f.
         WL30C_12 wl30c_4f. WL30C_13 wl30c_5f. WL30C_21 wl30c_6f.
         WL30C_22 wl30c_7f. WL30C_23 wl30c_8f. WL30C_24 wl30c_9f.
         WL30C_25 wl30c10f. WL30C_26 wl30c11f. WL30C_27 wl30c12f.
         WL30C_71 wl30c13f. WL30C_91 wl30c14f. WL30_D wl30_d.
         WL31 wl31ffff. WL32 wl32ffff. WL33 wl33ffff.
         WL33_A wl33_a. WL33_B wl33_b. WL34 wl34ffff.
         WL35 wl35ffff. WL35_A wl35_a. WL36 wl36ffff.
         WL37 wl37ffff. WL38 wl38ffff. WL39 wl39ffff.
         WL39_A wl39_a. WL39_B wl39_b. WL40 wl40ffff.
         WL41 wl41ffff. WL41_A wl41_a. WL42 wl42ffff.
         WL43 wl43ffff. WL44_A wl44_a. WL44_B wl44_b.
         WL45_A wl45_a. WL45_B wl45_b. WL45_C wl45_c.
         WL45_D wl45_d. WL45_E wl45_e. WL45_F wl45_f.
         WL45_G wl45_g. WL45_H wl45_h. WL45_I wl45_i.
         WL45_J wl45_j. WL45_K wl45_k. WL45_L wl45_l.
         WL46 wl46ffff. WL47_01 wl47_01f. WL47_02 wl47_02f.
         WL47_11 wl47_11f. WL47_12 wl47_12f. WL47_13 wl47_13f.
         WL47_21 wl47_21f. WL47_22 wl47_22f. WL47_23 wl47_23f.
         WL47_71 wl47_71f. WL47_91 wl47_91f. WL48_A wl48_a.
         WL48_B wl48_b. WL48_C wl48_c. WL48_D wl48_d.
         WL48_E wl48_e. WL48_F wl48_f. WL48_G wl48_g.
         WL48_H wl48_h. WL48_I wl48_i. WL48_J wl48_j.
         WL48_K wl48_k. WL48_K_1 wl48_k_f. WL48_K_2 wl48_k0f.
         WL48_K_3 wl48_k1f. WL48_K_4 wl48_k2f. WL49_A wl49_a.
         WL49_B wl49_b. WL50 wl50ffff. WL50_A wl50_a.
         WL51 wl51ffff. WL52 wl52ffff. WL55 wl55ffff.
         WL56 wl56ffff. WL57 wl57ffff. WL58 wl58ffff.
         WL58_A_1 wl58_a_f. WL58_A_2 wl58_a0f. WL58_A_3 wl58_a1f.
         WL58_A_4 wl58_a2f. WL58_B wl58_b. WL58_C_M wl58_c_m.
         WL58_D wl58_d. WL59_A wl59_a. WL59_B wl59_b.
         WL60 wl60ffff. WL63 wl63ffff. WL64 wl64ffff.
         WL65_01 wl65_01f. WL65_02 wl65_02f. WL65_11 wl65_11f.
         WL65_12 wl65_12f. WL65_13 wl65_13f. WL65_21 wl65_21f.
         WL65_22 wl65_22f. WL65_23 wl65_23f. WL65_28 wl65_28f.
         WL65_71 wl65_71f. WL65_91 wl65_91f. WL65_A_1 wl65_a_f.
         WL65_A_2 wl65_a0f. WL66 wl66ffff. WL66_A wl66_a.
         WL66_B wl66_b. WL66_C_1 wl66_c_f. WL66_C_2 wl66_c0f.
         WL66_C_3 wl66_c1f. WL66_C_4 wl66_c2f. WL66_C_5 wl66_c3f.
         WL66_C_6 wl66_c4f. WL66_C_7 wl66_c5f. WL66_C_8 wl66_c6f.
         WL66_C_9 wl66_c7f. WL66_D wl66_d. WL66_E wl66_e.
         WL66_F wl66_f. WL66_G_1 wl66_g_f. WL66_G_2 wl66_g0f.
         WL66_G_3 wl66_g1f. WL66_G_4 wl66_g2f. WL66_G_5 wl66_g3f.
         WL66_H_1 wl66_h_f. WL66_H_2 wl66_h0f. WL66_H_3 wl66_h1f.
         WL66_H_4 wl66_h2f. WL66_H_5 wl66_h3f. WL66_H_6 wl66_h4f.
         WL66_H_7 wl66_h5f. WL66_H_8 wl66_h6f. WL66_H_9 wl66_h7f.
         WL66_I wl66_i. WL67 wl67ffff. WL67_A wl67_a.
         WL67_B wl67_b. WL67_C_1 wl67_c_f. WL67_C_2 wl67_c0f.
         WL67_C_3 wl67_c1f. WL67_C_4 wl67_c2f. WL67_C_5 wl67_c3f.
         WL67_C_6 wl67_c4f. WL67_C_7 wl67_c5f. WL67_C_8 wl67_c6f.
         WL67_C_9 wl67_c7f. WL67_D wl67_d. WL67_E wl67_e.
         WL67_F wl67_f. WL67_G_1 wl67_g_f. WL67_G_2 wl67_g0f.
         WL67_G_3 wl67_g1f. WL67_G_4 wl67_g2f. WL67_G_5 wl67_g3f.
         WL67_H_1 wl67_h_f. WL67_H_2 wl67_h0f. WL67_H_3 wl67_h1f.
         WL67_H_4 wl67_h2f. WL67_H_5 wl67_h3f. WL67_H_6 wl67_h4f.
         WL67_H_7 wl67_h5f. WL67_H_8 wl67_h6f. WL67_H_9 wl67_h7f.
         WL67_I wl67_i. WL68 wl68ffff. WL68A_1 wl68a_1f.
         WL68A_2 wl68a_2f. WL68A_3 wl68a_3f. WL68A_4 wl68a_4f.
         WL68A_5 wl68a_5f. WL68A_6 wl68a_6f. WL68B_1 wl68b_1f.
         WL68C_1 wl68c_1f. WL68D_1 wl68d_1f. WL68E_1 wl68e_1f.
         WL68F1_1 wl68f1_f. WL68F1_2 wl68f10f. WL68F111 wl68f11f.
         WL68F112 wl68f12f. WL68F113 wl68f13f. WL68F121 wl68f14f.
         WL68F122 wl68f15f. WL68F123 wl68f16f. WL68F128 wl68f17f.
         WL68F171 wl68f18f. WL68F191 wl68f19f. WL68G_1 wl68g_1f.
         WL68B_2 wl68b_2f. WL68C_2 wl68c_2f. WL68D_2 wl68d_2f.
         WL68E_2 wl68e_2f. WL68F2_1 wl68f2_f. WL68F2_2 wl68f20f.
         WL68F211 wl68f21f. WL68F212 wl68f22f. WL68F213 wl68f23f.
         WL68F221 wl68f24f. WL68F222 wl68f25f. WL68F223 wl68f26f.
         WL68F228 wl68f27f. WL68F271 wl68f28f. WL68F291 wl68f29f.
         WL68G_2 wl68g_2f. WL69 wl69ffff. WL69_A_1 wl69_a_f.
         WL69_B_1 wl69_b_f. WL69_A_2 wl69_a0f. WL69_B_2 wl69_b0f.
         WL69_A_3 wl69_a1f. WL69_B_3 wl69_b1f. WL69_A_4 wl69_a2f.
         WL69_B_4 wl69_b2f. WL69_A_5 wl69_a3f. WL69_B_5 wl69_b3f.
         WL70 wl70ffff. WL71 wl71ffff. WL72_01 wl72_01f.
         WL72_02 wl72_02f. WL72_22 wl72_22f. WL72_23 wl72_23f.
         WL72_24 wl72_24f. WL72_25 wl72_25f. WL72_26 wl72_26f.
         WL72_71 wl72_71f. WL72_91 wl72_91f. WL72_A1 wl72_a1f.
         WL72_A2 wl72_a2f. WL73 wl73ffff. WL73_A wl73_a.
         WL73_B01 wl73_b0f. WL73_B02 wl73_b1f. WL73_B03 wl73_b2f.
         WL73_B04 wl73_b3f. WL73_B05 wl73_b4f. WL73_B06 wl73_b5f.
         WL73_B07 wl73_b6f. WL73_B08 wl73_b7f. WL73_B09 wl73_b8f.
         WL73_C wl73_c. WL74 wl74ffff. WL74_A wl74_a.
         WL74_B01 wl74_b0f. WL74_B02 wl74_b1f. WL74_B03 wl74_b2f.
         WL74_B04 wl74_b3f. WL74_B05 wl74_b4f. WL74_B06 wl74_b5f.
         WL74_B07 wl74_b6f. WL74_B08 wl74_b7f. WL74_B09 wl74_b8f.
         WL74_C wl74_c. WL75 wl75ffff. WL75_A_1 wl75_a_f.
         WL75_A_2 wl75_a0f. WL75_A_3 wl75_a1f. WL75_A_4 wl75_a2f.
         WL75_A_5 wl75_a3f. WL75_A_6 wl75_a4f. WL75B_1 wl75b_1f.
         WL75C_1 wl75c_1f. WL75D_1 wl75d_1f. WL75E_1 wl75e_1f.
         WL75F101 wl75f10f. WL75F102 wl75f11f. WL75F122 wl75f12f.
         WL75F123 wl75f13f. WL75F124 wl75f14f. WL75F125 wl75f15f.
         WL75F126 wl75f16f. WL75F171 wl75f17f. WL75F191 wl75f19f.
         WL75G_1 wl75g_1f. WL75B_2 wl75b_2f. WL75C_2 wl75c_2f.
         WL75D_2 wl75d_2f. WL75E_2 wl75e_2f. WL75F201 wl75f20f.
         WL75F202 wl75f21f. WL75F222 wl75f22f. WL75F223 wl75f23f.
         WL75F224 wl75f24f. WL75F225 wl75f25f. WL75F226 wl75f26f.
         WL75F271 wl75f27f. WL75F291 wl75f29f. WL75G_2 wl75g_2f.
         WL76 wl76ffff. WL76_A_1 wl76_a_f. WL76_A_2 wl76_a0f.
         WL76_A_3 wl76_a1f. WL76_A_4 wl76_a2f. WL77 wl77ffff.
         WL77_A wl77_a. WL77B_01 wl77b_0f. WL77B_02 wl77b_1f.
         WL77B_11 wl77b_2f. WL77B_12 wl77b_3f. WL77B_13 wl77b_4f.
         WL77B_21 wl77b_5f. WL77B_22 wl77b_6f. WL77B_23 wl77b_7f.
         WL77B_24 wl77b_8f. WL77B_25 wl77b_9f. WL77B_26 wl77b10f.
         WL77B_27 wl77b11f. WL77B_28 wl77b12f. WL77B_71 wl77b13f.
         WL77B_91 wl77b14f. WL77_C_1 wl77_c_f. WL77_C_2 wl77_c0f.
         WL77_C_3 wl77_c1f. WL77_C_4 wl77_c2f. WL77_C_5 wl77_c3f.
         WL77_C_6 wl77_c4f. WL77_C_7 wl77_c5f. WL77_C_8 wl77_c6f.
         WL78 wl78ffff. WL79 wl79ffff. WL80_01 wl80_01f.
         WL80_02 wl80_02f. WL80_11 wl80_11f. WL80_12 wl80_12f.
         WL80_13 wl80_13f. WL80_21 wl80_21f. WL80_22 wl80_22f.
         WL80_23 wl80_23f. WL80_28 wl80_28f. WL80_71 wl80_71f.
         WL80_91 wl80_91f. WL80_A1 wl80_a1f. WL80_A2 wl80_a2f.
         WL81_01 wl81_01f. WL81_02 wl81_02f. WL81_03 wl81_03f.
         WL81_A wl81_a. WL81_B wl81_b. WL81_C_1 wl81_c_f.
         WL81_C_2 wl81_c0f. WL81_C_3 wl81_c1f. WL81_C_4 wl81_c2f.
         WL81_C_5 wl81_c3f. WL81_C_6 wl81_c4f. WL81_D wl81_d.
         WL81_E wl81_e. WL81_F wl81_f. WL81_G_1 wl81_g_f.
         WL81_G_2 wl81_g0f. WL81_G_3 wl81_g1f. WL81_G_4 wl81_g2f.
         WL81_G_5 wl81_g3f. WL81_H_1 wl81_h_f. WL81_H_2 wl81_h0f.
         WL81_H_3 wl81_h1f. WL81_H_4 wl81_h2f. WL81_H_5 wl81_h3f.
         WL81_H_6 wl81_h4f. WL81_I wl81_i. WL81_J wl81_j.
         WL81_K_1 wl81_k_f. WL81_K_2 wl81_k0f. WL81_K_3 wl81_k1f.
         WL81_K_4 wl81_k2f. WL81_K_5 wl81_k3f. WL81_K_6 wl81_k4f.
         WL81_K_7 wl81_k5f. WL81_K_8 wl81_k6f. WL81_L_1 wl81_l_f.
         WL81_L_2 wl81_l0f. WL81_L_3 wl81_l1f. WL81_L_4 wl81_l2f.
         WL81_L_5 wl81_l3f. WL81_L_6 wl81_l4f. WL81_M wl81_m.
         WL82_01 wl82_01f. WL82_02 wl82_02f. WL82_03 wl82_03f.
         WL82_A wl82_a. WL82_B wl82_b. WL82_C_1 wl82_c_f.
         WL82_C_2 wl82_c0f. WL82_C_3 wl82_c1f. WL82_C_4 wl82_c2f.
         WL82_C_5 wl82_c3f. WL82_C_6 wl82_c4f. WL82_D wl82_d.
         WL82_E wl82_e. WL82_F wl82_f. WL82_G_1 wl82_g_f.
         WL82_G_2 wl82_g0f. WL82_G_3 wl82_g1f. WL82_G_4 wl82_g2f.
         WL82_G_5 wl82_g3f. WL82_H_1 wl82_h_f. WL82_H_2 wl82_h0f.
         WL82_H_3 wl82_h1f. WL82_H_4 wl82_h2f. WL82_H_5 wl82_h3f.
         WL82_H_6 wl82_h4f. WL82_I wl82_i. WL82_J wl82_j.
         WL82_K_1 wl82_k_f. WL82_K_2 wl82_k0f. WL82_K_3 wl82_k1f.
         WL82_K_4 wl82_k2f. WL82_K_5 wl82_k3f. WL82_K_6 wl82_k4f.
         WL82_K_7 wl82_k5f. WL82_K_8 wl82_k6f. WL82_L_1 wl82_l_f.
         WL82_L_2 wl82_l0f. WL82_L_3 wl82_l1f. WL82_L_4 wl82_l2f.
         WL82_L_5 wl82_l3f. WL82_L_6 wl82_l4f. WL82_M wl82_m.
         WL83 wl83ffff. WL83A_1 wl83a_1f. WL83A_2 wl83a_2f.
         WL83A_3 wl83a_3f. WL83A_4 wl83a_4f. WL83A_5 wl83a_5f.
         WL83B_1 wl83b_1f. WL83C_1 wl83c_1f. WL83D_1 wl83d_1f.
         WL83E_1 wl83e_1f. WL83F1_1 wl83f1_f. WL83F1_2 wl83f10f.
         WL83F111 wl83f11f. WL83F112 wl83f12f. WL83F113 wl83f13f.
         WL83F121 wl83f14f. WL83F122 wl83f15f. WL83F123 wl83f16f.
         WL83F128 wl83f17f. WL83F171 wl83f18f. WL83F191 wl83f19f.
         WL83G_1 wl83g_1f. WL83B_2 wl83b_2f. WL83C_2 wl83c_2f.
         WL83D_2 wl83d_2f. WL83E_2 wl83e_2f. WL83F2_1 wl83f2_f.
         WL83F2_2 wl83f20f. WL83F211 wl83f21f. WL83F212 wl83f22f.
         WL83F213 wl83f23f. WL83F221 wl83f24f. WL83F222 wl83f25f.
         WL83F223 wl83f26f. WL83F228 wl83f27f. WL83F271 wl83f28f.
         WL83F291 wl83f29f. WL83G_2 wl83g_2f. WL84 wl84ffff.
         WL85 wl85ffff. WL86_01 wl86_01f. WL86_02 wl86_02f.
         WL86_11 wl86_11f. WL86_12 wl86_12f. WL86_13 wl86_13f.
         WL86_21 wl86_21f. WL86_22 wl86_22f. WL86_23 wl86_23f.
         WL86_27 wl86_27f. WL86_29 wl86_29f. WL86_71 wl86_71f.
         WL86_91 wl86_91f. WL86_A1 wl86_a1f. WL86_A2 wl86_a2f.
         WL87_01 wl87_01f. WL87_02 wl87_02f. WL87_03 wl87_03f.
         WL87_B wl87_b. WL87_C wl87_c. WL87_D wl87_d.
         WL87_E wl87_e. WL87_F wl87_f. WL87_G_1 wl87_g_f.
         WL87_G_2 wl87_g0f. WL87_G_3 wl87_g1f. WL87_G_4 wl87_g2f.
         WL87_G_5 wl87_g3f. WL87_G_6 wl87_g4f. WL87_G_7 wl87_g5f.
         WL87_G_8 wl87_g6f. WL87_H wl87_h. WL87_I wl87_i.
         WL87_J wl87_j. WL87_K wl87_k. WL87_L_1 wl87_l_f.
         WL87_L_2 wl87_l0f. WL87_L_3 wl87_l1f. WL87_L_4 wl87_l2f.
         WL87_L_5 wl87_l3f. WL87_L_6 wl87_l4f. WL87_M wl87_m.
         WL87_N wl87_n. WL87_O wl87_o. WL87_P wl87_p.
         WL88_01 wl88_01f. WL88_02 wl88_02f. WL88_03 wl88_03f.
         WL88_A wl88_a. WL88_B wl88_b. WL88_C wl88_c.
         WL88_D wl88_d. WL88_E wl88_e. WL88_F wl88_f.
         WL88_G_1 wl88_g_f. WL88_G_2 wl88_g0f. WL88_G_3 wl88_g1f.
         WL88_G_4 wl88_g2f. WL88_G_5 wl88_g3f. WL88_G_6 wl88_g4f.
         WL88_G_7 wl88_g5f. WL88_G_8 wl88_g6f. WL88_H wl88_h.
         WL88_I wl88_i. WL88_J wl88_j. WL88_K wl88_k.
         WL88_L_1 wl88_l_f. WL88_L_2 wl88_l0f. WL88_L_3 wl88_l1f.
         WL88_L_4 wl88_l2f. WL88_L_5 wl88_l3f. WL88_L_6 wl88_l4f.
         WL88_M wl88_m. WL88_N wl88_n. WL88_O wl88_o.
         WL88_P wl88_p. WL89 wl89ffff. WL89_A_1 wl89_a_f.
         WL89_A_2 wl89_a0f. WL89_A_3 wl89_a1f. WL89_A_4 wl89_a2f.
         WL89_A_5 wl89_a3f. WL89_A_6 wl89_a4f. WL89_A_7 wl89_a5f.
         WL89_A_8 wl89_a6f. WL89_A_9 wl89_a7f. WL89B_1 wl89b_1f.
         WL89C_1 wl89c_1f. WL89D_1 wl89d_1f. WL89E_1 wl89e_1f.
         WL89F1_1 wl89f1_f. WL89F1_2 wl89f10f. WL89F111 wl89f11f.
         WL89F112 wl89f12f. WL89F113 wl89f13f. WL89F121 wl89f14f.
         WL89F122 wl89f15f. WL89F123 wl89f16f. WL89F127 wl89f17f.
         WL89F129 wl89f18f. WL89F171 wl89f19f. WL89F191 wl89f20f.
         WL89G_1 wl89g_1f. WL89B_2 wl89b_2f. WL89C_2 wl89c_2f.
         WL89D_2 wl89d_2f. WL89E_2 wl89e_2f. WL89F2_1 wl89f2_f.
         WL89F2_2 wl89f21f. WL89F211 wl89f22f. WL89F212 wl89f23f.
         WL89F213 wl89f24f. WL89F221 wl89f25f. WL89F222 wl89f26f.
         WL89F223 wl89f27f. WL89F227 wl89f28f. WL89F229 wl89f29f.
         WL89F271 wl89f30f. WL89F291 wl89f31f. WL89G_2 wl89g_2f.
         WL90 wl90ffff. WL91 wl91ffff. WL92_01 wl92_01f.
         WL92_02 wl92_02f. WL92_11 wl92_11f. WL92_12 wl92_12f.
         WL92_13 wl92_13f. WL92_21 wl92_21f. WL92_22 wl92_22f.
         WL92_23 wl92_23f. WL92_27 wl92_27f. WL92_29 wl92_29f.
         WL92_71 wl92_71f. WL92_91 wl92_91f. WL92A_1 wl92a_1f.
         WL92A_2 wl92a_2f. WL93 wl93ffff. WL93_A wl93_a.
         WL93_B_1 wl93_b_f. WL93_B_2 wl93_b0f. WL93_B_3 wl93_b1f.
         WL93_B_4 wl93_b2f. WL93_B_5 wl93_b3f. WL93_B_6 wl93_b4f.
         WL93_B_7 wl93_b5f. WL93_B_8 wl93_b6f. WL93_C wl93_c.
         WL94 wl94ffff. WL94_A wl94_a. WL94_B_1 wl94_b_f.
         WL94_B_2 wl94_b0f. WL94_B_3 wl94_b1f. WL94_B_4 wl94_b2f.
         WL94_B_5 wl94_b3f. WL94_B_6 wl94_b4f. WL94_B_7 wl94_b5f.
         WL94_B_8 wl94_b6f. WL94_C wl94_c. WL95 wl95ffff.
         WL95_A_1 wl95_a_f. WL95_A_2 wl95_a0f. WL95_A_3 wl95_a1f.
         WL95_A_4 wl95_a2f. WL95_A_5 wl95_a3f. WL95_A_6 wl95_a4f.
         WL95B_1 wl95b_1f. WL95C_1 wl95c_1f. WL95D_1 wl95d_1f.
         WL95E_1 wl95e_1f. WL95F1_1 wl95f1_f. WL95F1_2 wl95f10f.
         WL95F127 wl95f12f. WL95F129 wl95f11f. WL95F171 wl95f17f.
         WL95F191 wl95f19f. WL95G_1 wl95g_1f. WL95B_2 wl95b_2f.
         WL95C_2 wl95c_2f. WL95D_2 wl95d_2f. WL95E_2 wl95e_2f.
         WL95F2_1 wl95f2_f. WL95F2_2 wl95f20f. WL95F227 wl95f22f.
         WL95F229 wl95f21f. WL95F271 wl95f27f. WL95F291 wl95f29f.
         WL95G_2 wl95g_2f. WL96 wl96ffff. WL97 wl97ffff.
         WL98_01 wl98_01f. WL98_02 wl98_02f. WL98_11 wl98_11f.
         WL98_12 wl98_12f. WL98_13 wl98_13f. WL98_21 wl98_21f.
         WL98_22 wl98_22f. WL98_23 wl98_23f. WL98_27 wl98_27f.
         WL98_28 wl98_28f. WL98_29 wl98_29f. WL98_30 wl98_30f.
         WL98_71 wl98_71f. WL98_91 wl98_91f. WL98A_1 wl98a_1f.
         WL98A_2 wl98a_2f. WL99 wl99ffff. WL99_A_1 wl99_a_f.
         WL99_A_2 wl99_a0f. WL99_A_3 wl99_a1f. WL99_A_4 wl99_a2f.
         WL99_A_5 wl99_a3f. WL99_A_6 wl99_a4f. WL99_B wl99_b.
         WL100 wl100fff. WL100A_1 wl100a_f. WL100A_2 wl100a0f.
         WL100A_3 wl100a1f. WL100A_4 wl100a2f. WL100A_5 wl100a3f.
         WL100A_6 wl100a4f. WL100_B wl100_b. WL101 wl101fff.
         WL101A_1 wl101a_f. WL101A_2 wl101a0f. WL101A_3 wl101a1f.
         WL101A_4 wl101a2f. WL101A_5 wl101a3f. WL101A_6 wl101a4f.
         WL101B_1 wl101b_f. WL101C_1 wl101c_f. WL101D_1 wl101d_f.
         WL101E_1 wl101e_f. WL101B_2 wl101b0f. WL101C_2 wl101c0f.
         WL101D_2 wl101d0f. WL101E_2 wl101e0f. WL102 wl102fff.
         WL103 wl103fff. WL104_01 wl104_0f. WL104_02 wl104_1f.
         WL104_11 wl104_2f. WL104_12 wl104_3f. WL104_13 wl104_4f.
         WL104_21 wl104_5f. WL104_22 wl104_6f. WL104_23 wl104_7f.
         WL104_27 wl104_8f. WL104_28 wl104_9f. WL104_29 wl10410f.
         WL104_71 wl10411f. WL104_91 wl10412f. WL104A_1 wl104a_f.
         WL104A_2 wl104a0f. WL105 wl105fff. WL105A_1 wl105a_f.
         WL105A_2 wl105a0f. WL105A_3 wl105a1f. WL105A_4 wl105a2f.
         WL105A_5 wl105a3f. WL105A_6 wl105a4f. WL105_B wl105_b.
         WL106 wl106fff. WL106A_1 wl106a_f. WL106A_2 wl106a0f.
         WL106A_3 wl106a1f. WL106A_4 wl106a2f. WL106A_5 wl106a3f.
         WL106A_6 wl106a4f. WL106_B wl106_b. WL107 wl107fff.
         WL107A51 wl107a5f. WL107A52 wl107a0f. WL107A53 wl107a1f.
         WL107A54 wl107a2f. WL107A91 wl107a9f. WL107B_1 wl107b_f.
         WL107C_1 wl107c_f. WL107D_1 wl107d_f. WL107E_1 wl107e_f.
         WL107B_2 wl107b0f. WL107C_2 wl107c0f. WL107D_2 wl107d0f.
         WL107E_2 wl107e0f. WL108 wl108fff. WL108_A wl108_a.
         WL108_B wl108_b. WL109 wl109fff. WL110 wl110fff.
         WL111_A wl111_a. WL111_B wl111_b. WL113_01 wl113_0f.
         WL113_02 wl113_1f. WL113_11 wl113_2f. WL113_12 wl113_3f.
         WL113_13 wl113_4f. WL113_21 wl113_5f. WL113_22 wl113_6f.
         WL113_23 wl113_7f. WL113_24 wl113_8f. WL113_25 wl113_9f.
         WL113_26 wl11310f. WL113_27 wl11311f. WL113_28 wl11312f.
         WL113_29 wl11313f. WL113_71 wl11314f. WL113_91 wl11315f.
         WL114_A wl114_a. WL114_B wl114_b. WL114_C wl114_c.
         WL114_D wl114_d. WL114_E wl114_e. WL114_F wl114_f.
         WL114_G wl114_g. WL114_H wl114_h. WL114_I wl114_i.
         WL114_J wl114_j. WL114_K wl114_k. WL114K_1 wl114k_f.
         WL114K_2 wl114k0f. WL114K_3 wl114k1f. WL114K_4 wl114k2f.
         WL115 wl115fff. WL116 wl116fff. WL117 wl117fff.
         WL117_B1 wl117_bf. WL117_B2 wl117_0f. WL117_B3 wl117_1f.
         WL117_B4 wl117_2f. WL117_B5 wl117_3f. WL118 wl118fff.
         WL118_A wl118_a. WL119 wl119fff. WL120 wl120fff.
         WL121_A wl121_a. WL121_B wl121_b. WL121_C wl121_c.
         WL121_D wl121_d. WL121_E wl121_e. WL121_F wl121_f.
         WL122 wl122fff. WL123_W wl123_w. WL124 wl124fff.
         WL125 wl125fff. WL126 wl126fff. WL127 wl127fff.
         WL128 wl128fff. WLDM wldm. WLTH wlth.
         WLTM wltm. WLAMPM wlampm. WM1 wm1fffff.
         WM2 wm2fffff. WM3 wm3fffff. WM4 wm4fffff.
         WM5 wm5fffff. WM6 wm6fffff. WM7 wm7fffff.
         WM8 wm8fffff. WM9 wm9fffff. WM10A wm10a.
         WM10B wm10b. WM11A wm11a. WM11B wm11b.
         WM11C wm11c. WM12A wm12a. WM12B wm12b.
         WM12C wm12c. WM12D wm12d. WM12E wm12e.
         WM13 wm13ffff. WM14A wm14a. WM14B wm14b.
         WM14C wm14c. WM15A wm15a. WM15B wm15b.
         WM16 wm16ffff. WM17 wm17ffff. WM18A wm18a.
         WM18B wm18b. WM18C wm18c. WM19 wm19ffff.
         WM20 wm20ffff. WM21 wm21ffff. WMDM wmdm.
         WMTH wmth. WMTM wmtm. WMAMPM wmampm.
         WN1 wn1fffff. WN2 wn2fffff. WN2A wn2a.
         WN3_1_1 wn3_1_1f. WN3_1_2 wn3_1_2f. WN3_2_1 wn3_2_1f.
         WN3_2_2 wn3_2_2f. WN3_3_1 wn3_3_1f. WN3_3_2 wn3_3_2f.
         WN3_4_1 wn3_4_1f. WN3_4_2 wn3_4_2f. WN4 wn4fffff.
         WN4A1 wn4a1fff. WN4A2 wn4a2fff. WN4A3 wn4a3fff.
         WN4A4 wn4a4fff. WN4A5 wn4a5fff. WN4A6 wn4a6fff.
         WN5 wn5fffff. WN6 wn6fffff. WN6A1 wn6a1fff.
         WN6A2 wn6a2fff. LDATE_M ldate_m. LDATE_Y ldate_y.
         WIA1_1 wia1_1ff. WIA1_2 wia1_2ff. WIA2_1 wia2_1ff.
         WIA2_2 wia2_2ff. WIA3_1 wia3_1ff. WIA3_2 wia3_2ff.
         WIA4_1 wia4_1ff. WIA4_2 wia4_2ff. WIA5_1 wia5_1ff.
         WIA5_2 wia5_2ff. WIA6_1 wia6_1ff. WIA6_2 wia6_2ff.
         WIA7_1 wia7_1ff. WIA7_2 wia7_2ff. WIA8_1 wia8_1ff.
         WIA8_2 wia8_2ff. WIA9_1 wia9_1ff. WIA9_2 wia9_2ff.
         WIA10_1 wia10_1f. WIA10_2 wia10_2f. WP1A wp1a.
         WP1B wp1b. WP1C wp1c. WP1D wp1d.
         WP1E wp1e. WP1F wp1f. WP1G wp1g.
         WP1H wp1h. WP1I wp1i. WP1J wp1j.
         WP1K wp1k. WP1L wp1l. WP1M wp1m.
         WP1N wp1n. WP2A wp2a. WP3A wp3a.
         WP2B wp2b. WP3B wp3b. WP2C wp2c.
         WP3C wp3c. WP2D wp2d. WP3D wp3d.
         WP2E wp2e. WP3E wp3e. WP2F wp2f.
         WP3F wp3f. WP2G wp2g. WP3G wp3g.
         WP2H wp2h. WP3H wp3h. WP2I wp2i.
         WP3I wp3i. WP2J wp2j. WP3J wp3j.
         QU6 qu6fffff. IA6 ia6fffff. SU6 su6fffff.
         MODALITY modality. SEX sex. AGE age.
         HLTHINS hlthins. FTWORK ftwork. MSTAT mstat.
         INSCHOOL inschool. RACE race. EDLEV edlev.
         RACESEX racesex. HVY_ALC hvy_alc. ALCR alcr.
         MRJR mrjr. COCR cocr. HERR herr.
         NARR narr. SEDR sedr. AMPR ampr.
         HALR halr. INHR inhr. ALCWK alcwk.
         MRJWK mrjwk. COCWK cocwk. HERWK herwk.
         NARWK narwk. SEDWK sedwk. AMPWK ampwk.
         HALWK halwk. INHWK inhwk. MRJ_EV mrj_ev.
         COC_EV coc_ev. HER_EV her_ev. NAR_EV nar_ev.
         SED_EV sed_ev. AMP_EV amp_ev. HAL_EV hal_ev.
         INH_EV inh_ev. CJ_STAT cj_stat. IAY_SIA iay_sia.
         MAJSRC majsrc. REFER refer. RESTRICT restrict.
         DRUGTX drugtx. SCHOOL school. DEP_YR dep_yr.
         EMPSTAT empstat. IAPY iapy. PDT pdt.
         CRKR crkr. CRKWK crkwk.  ;
*/

RUN ;
